#include <qtsql_includes.h>

#include <smoke.h>
#include <qtsql_smoke.h>

namespace __smokeqtsql {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractItemModel
      switch(to) {
        case 43: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)xptr;
        case 78: return (void*)(QSqlRelationalTableModel*)(QAbstractItemModel*)xptr;
        case 80: return (void*)(QSqlTableModel*)(QAbstractItemModel*)xptr;
        case 74: return (void*)(QSqlQueryModel*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 2:   //QAbstractTableModel
      switch(to) {
        case 1: return (void*)(QAbstractItemModel*)(QAbstractTableModel*)xptr;
        case 43: return (void*)(QObject*)(QAbstractTableModel*)xptr;
        case 2: return (void*)(QAbstractTableModel*)xptr;
        case 78: return (void*)(QSqlRelationalTableModel*)(QAbstractTableModel*)xptr;
        case 80: return (void*)(QSqlTableModel*)(QAbstractTableModel*)xptr;
        case 74: return (void*)(QSqlQueryModel*)(QAbstractTableModel*)xptr;
        default: return xptr;
      }
    case 3:   //QAccessible2Interface
      switch(to) {
        case 3: return (void*)(QAccessible2Interface*)xptr;
        default: return xptr;
      }
    case 4:   //QBitArray
      switch(to) {
        case 4: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 5:   //QBool
      switch(to) {
        case 5: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 6:   //QBrush
      switch(to) {
        case 6: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 7:   //QByteArray
      switch(to) {
        case 7: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 8:   //QChar
      switch(to) {
        case 8: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 9:   //QChildEvent
      switch(to) {
        case 18: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 9: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QColor
      switch(to) {
        case 10: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 11:   //QCursor
      switch(to) {
        case 11: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 12:   //QDataStream
      switch(to) {
        case 12: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 13:   //QDate
      switch(to) {
        case 13: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 14:   //QDateTime
      switch(to) {
        case 14: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 15:   //QDebug
      switch(to) {
        case 15: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 16:   //QDir
      switch(to) {
        case 16: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 17:   //QEasingCurve
      switch(to) {
        case 17: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 18:   //QEvent
      switch(to) {
        case 18: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 19:   //QFactoryInterface
      switch(to) {
        case 19: return (void*)(QFactoryInterface*)xptr;
        case 68: return (void*)(QSqlDriverFactoryInterface*)(QFactoryInterface*)xptr;
        case 69: return (void*)(QSqlDriverPlugin*)(QFactoryInterface*)xptr;
        default: return xptr;
      }
    case 20:   //QFont
      switch(to) {
        case 20: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 22:   //QGraphicsItem
      switch(to) {
        case 22: return (void*)(QGraphicsItem*)xptr;
        default: return xptr;
      }
    case 23:   //QGraphicsObject
      switch(to) {
        case 43: return (void*)(QObject*)(QGraphicsObject*)xptr;
        case 22: return (void*)(QGraphicsItem*)(QGraphicsObject*)xptr;
        case 23: return (void*)(QGraphicsObject*)xptr;
        default: return xptr;
      }
    case 24:   //QHashDummyValue
      switch(to) {
        case 24: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 25:   //QIcon
      switch(to) {
        case 25: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 26:   //QImage
      switch(to) {
        case 26: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 27:   //QIncompatibleFlag
      switch(to) {
        case 27: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 28:   //QItemDelegate
      switch(to) {
        case 43: return (void*)(QObject*)(QItemDelegate*)xptr;
        case 28: return (void*)(QItemDelegate*)xptr;
        case 77: return (void*)(QSqlRelationalDelegate*)(QItemDelegate*)xptr;
        default: return xptr;
      }
    case 29:   //QItemSelectionRange
      switch(to) {
        case 29: return (void*)(QItemSelectionRange*)xptr;
        default: return xptr;
      }
    case 30:   //QKeyEvent
      switch(to) {
        case 18: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 30: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 31:   //QKeySequence
      switch(to) {
        case 31: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 32:   //QLatin1String
      switch(to) {
        case 32: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 33:   //QLine
      switch(to) {
        case 33: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 34:   //QLineF
      switch(to) {
        case 34: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 35:   //QListWidgetItem
      switch(to) {
        case 35: return (void*)(QListWidgetItem*)xptr;
        default: return xptr;
      }
    case 36:   //QLocale
      switch(to) {
        case 36: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 37:   //QMargins
      switch(to) {
        case 37: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 38:   //QMatrix
      switch(to) {
        case 38: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 39:   //QMatrix4x4
      switch(to) {
        case 39: return (void*)(QMatrix4x4*)xptr;
        default: return xptr;
      }
    case 40:   //QMetaObject
      switch(to) {
        case 40: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 41:   //QMimeData
      switch(to) {
        case 43: return (void*)(QObject*)(QMimeData*)xptr;
        case 41: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 42:   //QModelIndex
      switch(to) {
        case 42: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 43:   //QObject
      switch(to) {
        case 43: return (void*)(QObject*)xptr;
        case 77: return (void*)(QSqlRelationalDelegate*)(QObject*)xptr;
        case 78: return (void*)(QSqlRelationalTableModel*)(QObject*)xptr;
        case 66: return (void*)(QSqlDriver*)(QObject*)xptr;
        case 69: return (void*)(QSqlDriverPlugin*)(QObject*)xptr;
        case 80: return (void*)(QSqlTableModel*)(QObject*)xptr;
        case 74: return (void*)(QSqlQueryModel*)(QObject*)xptr;
        default: return xptr;
      }
    case 44:   //QPainter
      switch(to) {
        case 44: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 45:   //QPainterPath
      switch(to) {
        case 45: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 46:   //QPalette
      switch(to) {
        case 46: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 47:   //QPen
      switch(to) {
        case 47: return (void*)(QPen*)xptr;
        default: return xptr;
      }
    case 48:   //QPersistentModelIndex
      switch(to) {
        case 48: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 49:   //QPicture
      switch(to) {
        case 49: return (void*)(QPicture*)xptr;
        default: return xptr;
      }
    case 50:   //QPixmap
      switch(to) {
        case 50: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 51:   //QPoint
      switch(to) {
        case 51: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 52:   //QPointF
      switch(to) {
        case 52: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 53:   //QPolygon
      switch(to) {
        case 53: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 54:   //QPolygonF
      switch(to) {
        case 54: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 55:   //QQuaternion
      switch(to) {
        case 55: return (void*)(QQuaternion*)xptr;
        default: return xptr;
      }
    case 56:   //QRect
      switch(to) {
        case 56: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 57:   //QRectF
      switch(to) {
        case 57: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 58:   //QRegExp
      switch(to) {
        case 58: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 59:   //QRegion
      switch(to) {
        case 59: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 60:   //QSize
      switch(to) {
        case 60: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 61:   //QSizeF
      switch(to) {
        case 61: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 62:   //QSizePolicy
      switch(to) {
        case 62: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 63:   //QSplitter
      switch(to) {
        case 104: return (void*)(QWidget*)(QSplitter*)xptr;
        case 43: return (void*)(QObject*)(QSplitter*)xptr;
        case 63: return (void*)(QSplitter*)xptr;
        default: return xptr;
      }
    case 65:   //QSqlDatabase
      switch(to) {
        case 65: return (void*)(QSqlDatabase*)xptr;
        default: return xptr;
      }
    case 66:   //QSqlDriver
      switch(to) {
        case 43: return (void*)(QObject*)(QSqlDriver*)xptr;
        case 66: return (void*)(QSqlDriver*)xptr;
        default: return xptr;
      }
    case 67:   //QSqlDriverCreatorBase
      switch(to) {
        case 67: return (void*)(QSqlDriverCreatorBase*)xptr;
        default: return xptr;
      }
    case 68:   //QSqlDriverFactoryInterface
      switch(to) {
        case 19: return (void*)(QFactoryInterface*)(QSqlDriverFactoryInterface*)xptr;
        case 68: return (void*)(QSqlDriverFactoryInterface*)xptr;
        case 69: return (void*)(QSqlDriverPlugin*)(QSqlDriverFactoryInterface*)xptr;
        default: return xptr;
      }
    case 69:   //QSqlDriverPlugin
      switch(to) {
        case 43: return (void*)(QObject*)(QSqlDriverPlugin*)xptr;
        case 68: return (void*)(QSqlDriverFactoryInterface*)(QSqlDriverPlugin*)xptr;
        case 19: return (void*)(QFactoryInterface*)(QSqlDriverPlugin*)xptr;
        case 69: return (void*)(QSqlDriverPlugin*)xptr;
        default: return xptr;
      }
    case 70:   //QSqlError
      switch(to) {
        case 70: return (void*)(QSqlError*)xptr;
        default: return xptr;
      }
    case 71:   //QSqlField
      switch(to) {
        case 71: return (void*)(QSqlField*)xptr;
        default: return xptr;
      }
    case 72:   //QSqlIndex
      switch(to) {
        case 75: return (void*)(QSqlRecord*)(QSqlIndex*)xptr;
        case 72: return (void*)(QSqlIndex*)xptr;
        default: return xptr;
      }
    case 73:   //QSqlQuery
      switch(to) {
        case 73: return (void*)(QSqlQuery*)xptr;
        default: return xptr;
      }
    case 74:   //QSqlQueryModel
      switch(to) {
        case 2: return (void*)(QAbstractTableModel*)(QSqlQueryModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)(QSqlQueryModel*)xptr;
        case 43: return (void*)(QObject*)(QSqlQueryModel*)xptr;
        case 74: return (void*)(QSqlQueryModel*)xptr;
        case 78: return (void*)(QSqlRelationalTableModel*)(QSqlQueryModel*)xptr;
        case 80: return (void*)(QSqlTableModel*)(QSqlQueryModel*)xptr;
        default: return xptr;
      }
    case 75:   //QSqlRecord
      switch(to) {
        case 75: return (void*)(QSqlRecord*)xptr;
        case 72: return (void*)(QSqlIndex*)(QSqlRecord*)xptr;
        default: return xptr;
      }
    case 76:   //QSqlRelation
      switch(to) {
        case 76: return (void*)(QSqlRelation*)xptr;
        default: return xptr;
      }
    case 77:   //QSqlRelationalDelegate
      switch(to) {
        case 28: return (void*)(QItemDelegate*)(QSqlRelationalDelegate*)xptr;
        case 43: return (void*)(QObject*)(QSqlRelationalDelegate*)xptr;
        case 77: return (void*)(QSqlRelationalDelegate*)xptr;
        default: return xptr;
      }
    case 78:   //QSqlRelationalTableModel
      switch(to) {
        case 80: return (void*)(QSqlTableModel*)(QSqlRelationalTableModel*)xptr;
        case 74: return (void*)(QSqlQueryModel*)(QSqlRelationalTableModel*)xptr;
        case 2: return (void*)(QAbstractTableModel*)(QSqlRelationalTableModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)(QSqlRelationalTableModel*)xptr;
        case 43: return (void*)(QObject*)(QSqlRelationalTableModel*)xptr;
        case 78: return (void*)(QSqlRelationalTableModel*)xptr;
        default: return xptr;
      }
    case 79:   //QSqlResult
      switch(to) {
        case 79: return (void*)(QSqlResult*)xptr;
        default: return xptr;
      }
    case 80:   //QSqlTableModel
      switch(to) {
        case 74: return (void*)(QSqlQueryModel*)(QSqlTableModel*)xptr;
        case 2: return (void*)(QAbstractTableModel*)(QSqlTableModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)(QSqlTableModel*)xptr;
        case 43: return (void*)(QObject*)(QSqlTableModel*)xptr;
        case 80: return (void*)(QSqlTableModel*)xptr;
        case 78: return (void*)(QSqlRelationalTableModel*)(QSqlTableModel*)xptr;
        default: return xptr;
      }
    case 81:   //QStandardItem
      switch(to) {
        case 81: return (void*)(QStandardItem*)xptr;
        default: return xptr;
      }
    case 82:   //QString::Null
      switch(to) {
        case 82: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 83:   //QStringRef
      switch(to) {
        case 83: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 84:   //QStyleOption
      switch(to) {
        case 84: return (void*)(QStyleOption*)xptr;
        default: return xptr;
      }
    case 85:   //QStyleOptionViewItem
      switch(to) {
        case 84: return (void*)(QStyleOption*)(QStyleOptionViewItem*)xptr;
        case 85: return (void*)(QStyleOptionViewItem*)xptr;
        default: return xptr;
      }
    case 86:   //QTableWidgetItem
      switch(to) {
        case 86: return (void*)(QTableWidgetItem*)xptr;
        default: return xptr;
      }
    case 87:   //QTextCodec
      switch(to) {
        case 87: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 88:   //QTextFormat
      switch(to) {
        case 88: return (void*)(QTextFormat*)xptr;
        default: return xptr;
      }
    case 89:   //QTextLength
      switch(to) {
        case 89: return (void*)(QTextLength*)xptr;
        default: return xptr;
      }
    case 90:   //QTextStream
      switch(to) {
        case 90: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 91:   //QTextStreamManipulator
      switch(to) {
        case 91: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 92:   //QTileRules
      switch(to) {
        case 92: return (void*)(QTileRules*)xptr;
        default: return xptr;
      }
    case 93:   //QTime
      switch(to) {
        case 93: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 94:   //QTimerEvent
      switch(to) {
        case 18: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 94: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 95:   //QTransform
      switch(to) {
        case 95: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 96:   //QTreeWidgetItem
      switch(to) {
        case 96: return (void*)(QTreeWidgetItem*)xptr;
        default: return xptr;
      }
    case 97:   //QUrl
      switch(to) {
        case 97: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 98:   //QUuid
      switch(to) {
        case 98: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 99:   //QVariant
      switch(to) {
        case 99: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 100:   //QVariantComparisonHelper
      switch(to) {
        case 100: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 101:   //QVector2D
      switch(to) {
        case 101: return (void*)(QVector2D*)xptr;
        default: return xptr;
      }
    case 102:   //QVector3D
      switch(to) {
        case 102: return (void*)(QVector3D*)xptr;
        default: return xptr;
      }
    case 103:   //QVector4D
      switch(to) {
        case 103: return (void*)(QVector4D*)xptr;
        default: return xptr;
      }
    case 104:   //QWidget
      switch(to) {
        case 43: return (void*)(QObject*)(QWidget*)xptr;
        case 104: return (void*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    43, 0,	// 1: QObject
    19, 0,	// 3: QFactoryInterface
    43, 68, 0,	// 5: QObject, QSqlDriverFactoryInterface
    75, 0,	// 8: QSqlRecord
    2, 0,	// 10: QAbstractTableModel
    28, 0,	// 12: QItemDelegate
    80, 0,	// 14: QSqlTableModel
    74, 0,	// 16: QSqlQueryModel
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlField(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlError(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlResult(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlDriver(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlRelationalTableModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSql(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlTableModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlQuery(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QSql(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDatabase(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriver(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriverCreatorBase(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriverFactoryInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriverPlugin(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlError(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlField(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlIndex(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlQueryModel(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRecord(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRelation(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRelationalDelegate(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRelationalTableModel(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlResult(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlTableModel(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//1
    { "QAbstractTableModel", true, 0, 0, 0, 0, 0 },	//2
    { "QAccessible2Interface", true, 0, 0, 0, 0, 0 },	//3
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//4
    { "QBool", true, 0, 0, 0, 0, 0 },	//5
    { "QBrush", true, 0, 0, 0, 0, 0 },	//6
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//7
    { "QChar", true, 0, 0, 0, 0, 0 },	//8
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QColor", true, 0, 0, 0, 0, 0 },	//10
    { "QCursor", true, 0, 0, 0, 0, 0 },	//11
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//12
    { "QDate", true, 0, 0, 0, 0, 0 },	//13
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//14
    { "QDebug", true, 0, 0, 0, 0, 0 },	//15
    { "QDir", true, 0, 0, 0, 0, 0 },	//16
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//17
    { "QEvent", true, 0, 0, 0, 0, 0 },	//18
    { "QFactoryInterface", true, 0, 0, 0, 0, 0 },	//19
    { "QFont", true, 0, 0, 0, 0, 0 },	//20
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//21
    { "QGraphicsItem", true, 0, 0, 0, 0, 0 },	//22
    { "QGraphicsObject", true, 0, 0, 0, 0, 0 },	//23
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//24
    { "QIcon", true, 0, 0, 0, 0, 0 },	//25
    { "QImage", true, 0, 0, 0, 0, 0 },	//26
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//27
    { "QItemDelegate", true, 0, 0, 0, 0, 0 },	//28
    { "QItemSelectionRange", true, 0, 0, 0, 0, 0 },	//29
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//31
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//32
    { "QLine", true, 0, 0, 0, 0, 0 },	//33
    { "QLineF", true, 0, 0, 0, 0, 0 },	//34
    { "QListWidgetItem", true, 0, 0, 0, 0, 0 },	//35
    { "QLocale", true, 0, 0, 0, 0, 0 },	//36
    { "QMargins", true, 0, 0, 0, 0, 0 },	//37
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//38
    { "QMatrix4x4", true, 0, 0, 0, 0, 0 },	//39
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//40
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//41
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//42
    { "QObject", true, 0, 0, 0, 0, 0 },	//43
    { "QPainter", true, 0, 0, 0, 0, 0 },	//44
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//45
    { "QPalette", true, 0, 0, 0, 0, 0 },	//46
    { "QPen", true, 0, 0, 0, 0, 0 },	//47
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//48
    { "QPicture", true, 0, 0, 0, 0, 0 },	//49
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//50
    { "QPoint", true, 0, 0, 0, 0, 0 },	//51
    { "QPointF", true, 0, 0, 0, 0, 0 },	//52
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//53
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//54
    { "QQuaternion", true, 0, 0, 0, 0, 0 },	//55
    { "QRect", true, 0, 0, 0, 0, 0 },	//56
    { "QRectF", true, 0, 0, 0, 0, 0 },	//57
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//58
    { "QRegion", true, 0, 0, 0, 0, 0 },	//59
    { "QSize", true, 0, 0, 0, 0, 0 },	//60
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//61
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//62
    { "QSplitter", true, 0, 0, 0, 0, 0 },	//63
    { "QSql", false, 0, xcall_QSql, xenum_QSql, Smoke::cf_namespace, 0 },	//64
    { "QSqlDatabase", false, 0, xcall_QSqlDatabase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlDatabase) },	//65
    { "QSqlDriver", false, 1, xcall_QSqlDriver, xenum_QSqlDriver, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlDriver) },	//66
    { "QSqlDriverCreatorBase", false, 0, xcall_QSqlDriverCreatorBase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QSqlDriverCreatorBase) },	//67
    { "QSqlDriverFactoryInterface", false, 3, xcall_QSqlDriverFactoryInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QSqlDriverFactoryInterface) },	//68
    { "QSqlDriverPlugin", false, 5, xcall_QSqlDriverPlugin, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlDriverPlugin) },	//69
    { "QSqlError", false, 0, xcall_QSqlError, xenum_QSqlError, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlError) },	//70
    { "QSqlField", false, 0, xcall_QSqlField, xenum_QSqlField, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlField) },	//71
    { "QSqlIndex", false, 8, xcall_QSqlIndex, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlIndex) },	//72
    { "QSqlQuery", false, 0, xcall_QSqlQuery, xenum_QSqlQuery, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlQuery) },	//73
    { "QSqlQueryModel", false, 10, xcall_QSqlQueryModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlQueryModel) },	//74
    { "QSqlRecord", false, 0, xcall_QSqlRecord, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlRecord) },	//75
    { "QSqlRelation", false, 0, xcall_QSqlRelation, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlRelation) },	//76
    { "QSqlRelationalDelegate", false, 12, xcall_QSqlRelationalDelegate, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlRelationalDelegate) },	//77
    { "QSqlRelationalTableModel", false, 14, xcall_QSqlRelationalTableModel, xenum_QSqlRelationalTableModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlRelationalTableModel) },	//78
    { "QSqlResult", false, 0, xcall_QSqlResult, xenum_QSqlResult, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlResult) },	//79
    { "QSqlTableModel", false, 16, xcall_QSqlTableModel, xenum_QSqlTableModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlTableModel) },	//80
    { "QStandardItem", true, 0, 0, 0, 0, 0 },	//81
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//82
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//83
    { "QStyleOption", true, 0, 0, 0, 0, 0 },	//84
    { "QStyleOptionViewItem", true, 0, 0, 0, 0, 0 },	//85
    { "QTableWidgetItem", true, 0, 0, 0, 0, 0 },	//86
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//87
    { "QTextFormat", true, 0, 0, 0, 0, 0 },	//88
    { "QTextLength", true, 0, 0, 0, 0, 0 },	//89
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//90
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//91
    { "QTileRules", true, 0, 0, 0, 0, 0 },	//92
    { "QTime", true, 0, 0, 0, 0, 0 },	//93
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//94
    { "QTransform", true, 0, 0, 0, 0, 0 },	//95
    { "QTreeWidgetItem", true, 0, 0, 0, 0, 0 },	//96
    { "QUrl", true, 0, 0, 0, 0, 0 },	//97
    { "QUuid", true, 0, 0, 0, 0, 0 },	//98
    { "QVariant", true, 0, 0, 0, 0, 0 },	//99
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//100
    { "QVector2D", true, 0, 0, 0, 0, 0 },	//101
    { "QVector3D", true, 0, 0, 0, 0, 0 },	//102
    { "QVector4D", true, 0, 0, 0, 0, 0 },	//103
    { "QWidget", true, 0, 0, 0, 0, 0 },	//104
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QAbstractItemModel*", 1, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QAbstractItemView::EditTrigger", 0, Smoke::t_enum|Smoke::tf_stack },	//3
    { "QAbstractPrintDialog::PrintDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//4
    { "QAbstractSpinBox::StepEnabledFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "QAccessible2::BoundaryType", 0, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAccessible2::CoordinateType", 0, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QAccessible2::InterfaceType", 0, Smoke::t_enum|Smoke::tf_stack },	//8
    { "QAccessible2::TableModelChangeType", 0, Smoke::t_enum|Smoke::tf_stack },	//9
    { "QAccessible2Interface*", 3, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QAccessible::RelationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//11
    { "QAccessible::StateFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//12
    { "QBitArray", 4, Smoke::t_class|Smoke::tf_stack },	//13
    { "QBitArray&", 4, Smoke::t_class|Smoke::tf_ref },	//14
    { "QBool", 5, Smoke::t_class|Smoke::tf_stack },	//15
    { "QBrush&", 6, Smoke::t_class|Smoke::tf_ref },	//16
    { "QByteArray", 7, Smoke::t_class|Smoke::tf_stack },	//17
    { "QByteArray&", 7, Smoke::t_class|Smoke::tf_ref },	//18
    { "QChar", 8, Smoke::t_class|Smoke::tf_stack },	//19
    { "QChar&", 8, Smoke::t_class|Smoke::tf_ref },	//20
    { "QChildEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QColor&", 10, Smoke::t_class|Smoke::tf_ref },	//22
    { "QColorDialog::ColorDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//23
    { "QCursor&", 11, Smoke::t_class|Smoke::tf_ref },	//24
    { "QDataStream&", 12, Smoke::t_class|Smoke::tf_ref },	//25
    { "QDate&", 13, Smoke::t_class|Smoke::tf_ref },	//26
    { "QDateTime&", 14, Smoke::t_class|Smoke::tf_ref },	//27
    { "QDateTimeEdit::Section", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "QDebug", 15, Smoke::t_class|Smoke::tf_stack },	//29
    { "QDialogButtonBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "QDir::Filter", 16, Smoke::t_enum|Smoke::tf_stack },	//31
    { "QDir::SortFlag", 16, Smoke::t_enum|Smoke::tf_stack },	//32
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//33
    { "QDockWidget::DockWidgetFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "QEasingCurve&", 17, Smoke::t_class|Smoke::tf_ref },	//36
    { "QEvent*", 18, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "QFileDialog::Option", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//41
    { "QFlags<QAbstractItemView::EditTrigger>", 0, Smoke::t_uint|Smoke::tf_stack },	//42
    { "QFlags<QAbstractPrintDialog::PrintDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//43
    { "QFlags<QAbstractSpinBox::StepEnabledFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//44
    { "QFlags<QAccessible::RelationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//45
    { "QFlags<QAccessible::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//46
    { "QFlags<QColorDialog::ColorDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//47
    { "QFlags<QDateTimeEdit::Section>", 0, Smoke::t_uint|Smoke::tf_stack },	//48
    { "QFlags<QDialogButtonBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//51
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<QDockWidget::DockWidgetFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<QDrawBorderPixmap::DrawingHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<QFileDialog::Option>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<QFontComboBox::FontFilter>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<QFontDialog::FontDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<QGestureRecognizer::ResultFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<QGraphicsBlurEffect::BlurHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<QGraphicsEffect::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<QGraphicsItem::GraphicsItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<QGraphicsScene::SceneLayer>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<QGraphicsView::CacheModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<QGraphicsView::OptimizationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<QImageIOPlugin::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<QInputDialog::InputDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<QItemSelectionModel::SelectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<QMainWindow::DockOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<QMdiArea::AreaOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<QMdiSubWindow::SubWindowOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QMessageBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QPaintEngine::DirtyFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QPaintEngine::PaintEngineFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QPainter::RenderHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QPinchGesture::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QSql::ParamTypeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QStyle::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<QStyle::SubControl>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<QStyleOptionButton::ButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<QStyleOptionFrameV2::FrameFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<QStyleOptionTab::CornerWidget>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<QStyleOptionToolBar::ToolBarFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<QStyleOptionToolButton::ToolButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<QStyleOptionViewItemV2::ViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<QTextDocument::FindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<QTextEdit::AutoFormattingFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<QTextFormat::PageBreakFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<QTextItem::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<QTextOption::Flag>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<QTreeWidgetItemIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//101
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//102
    { "QFlags<QWizard::WizardOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//103
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//104
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//105
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//106
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//107
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//108
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//109
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//110
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//111
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//112
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//113
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//114
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//115
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//116
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//117
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//118
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//119
    { "QFont&", 20, Smoke::t_class|Smoke::tf_ref },	//120
    { "QFontComboBox::FontFilter", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "QFontDialog::FontDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "QGestureRecognizer::ResultFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "QGraphicsBlurEffect::BlurHint", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "QGraphicsEffect::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "QGraphicsItem*", 22, Smoke::t_class|Smoke::tf_ptr },	//126
    { "QGraphicsItem::GraphicsItemChange", 22, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QGraphicsItem::GraphicsItemFlag", 22, Smoke::t_enum|Smoke::tf_stack },	//128
    { "QGraphicsObject*", 23, Smoke::t_class|Smoke::tf_ptr },	//129
    { "QGraphicsScene::SceneLayer", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "QGraphicsView::CacheModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "QGraphicsView::OptimizationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "QIcon&", 25, Smoke::t_class|Smoke::tf_ref },	//134
    { "QImage&", 26, Smoke::t_class|Smoke::tf_ref },	//135
    { "QImageIOPlugin::Capability", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "QIncompatibleFlag", 27, Smoke::t_class|Smoke::tf_stack },	//137
    { "QInputDialog::InputDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "QItemSelectionModel::SelectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "QKeyEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//140
    { "QKeySequence&", 31, Smoke::t_class|Smoke::tf_ref },	//141
    { "QKeySequence::StandardKey", 31, Smoke::t_enum|Smoke::tf_stack },	//142
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "QLine", 33, Smoke::t_class|Smoke::tf_stack },	//144
    { "QLine&", 33, Smoke::t_class|Smoke::tf_ref },	//145
    { "QLineF", 34, Smoke::t_class|Smoke::tf_stack },	//146
    { "QLineF&", 34, Smoke::t_class|Smoke::tf_ref },	//147
    { "QList<QModelIndex>", 0, Smoke::t_voidp|Smoke::tf_stack },	//148
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//149
    { "QListWidgetItem&", 35, Smoke::t_class|Smoke::tf_ref },	//150
    { "QLocale&", 36, Smoke::t_class|Smoke::tf_ref },	//151
    { "QLocale::NumberOption", 36, Smoke::t_enum|Smoke::tf_stack },	//152
    { "QMainWindow::DockOption", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "QMap<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//154
    { "QMap<int,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//155
    { "QMatrix&", 38, Smoke::t_class|Smoke::tf_ref },	//156
    { "QMatrix4x4", 39, Smoke::t_class|Smoke::tf_stack },	//157
    { "QMatrix4x4&", 39, Smoke::t_class|Smoke::tf_ref },	//158
    { "QMdiArea::AreaOption", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "QMdiSubWindow::SubWindowOption", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "QMessageBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "QMetaObject::Call", 40, Smoke::t_enum|Smoke::tf_stack },	//162
    { "QMimeData*", 41, Smoke::t_class|Smoke::tf_ptr },	//163
    { "QModelIndex", 42, Smoke::t_class|Smoke::tf_stack },	//164
    { "QObject*", 43, Smoke::t_class|Smoke::tf_ptr },	//165
    { "QObject*(*)()", 43, Smoke::t_class|Smoke::tf_ptr },	//166
    { "QPaintEngine::DirtyFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "QPaintEngine::PaintEngineFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "QPainter*", 44, Smoke::t_class|Smoke::tf_ptr },	//169
    { "QPainter::RenderHint", 44, Smoke::t_enum|Smoke::tf_stack },	//170
    { "QPainterPath", 45, Smoke::t_class|Smoke::tf_stack },	//171
    { "QPainterPath&", 45, Smoke::t_class|Smoke::tf_ref },	//172
    { "QPalette&", 46, Smoke::t_class|Smoke::tf_ref },	//173
    { "QPen&", 47, Smoke::t_class|Smoke::tf_ref },	//174
    { "QPicture&", 49, Smoke::t_class|Smoke::tf_ref },	//175
    { "QPinchGesture::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "QPixmap&", 50, Smoke::t_class|Smoke::tf_ref },	//177
    { "QPoint", 51, Smoke::t_class|Smoke::tf_stack },	//178
    { "QPoint&", 51, Smoke::t_class|Smoke::tf_ref },	//179
    { "QPointF", 52, Smoke::t_class|Smoke::tf_stack },	//180
    { "QPointF&", 52, Smoke::t_class|Smoke::tf_ref },	//181
    { "QPolygon", 53, Smoke::t_class|Smoke::tf_stack },	//182
    { "QPolygon&", 53, Smoke::t_class|Smoke::tf_ref },	//183
    { "QPolygonF", 54, Smoke::t_class|Smoke::tf_stack },	//184
    { "QPolygonF&", 54, Smoke::t_class|Smoke::tf_ref },	//185
    { "QQuaternion&", 55, Smoke::t_class|Smoke::tf_ref },	//186
    { "QRect&", 56, Smoke::t_class|Smoke::tf_ref },	//187
    { "QRectF&", 57, Smoke::t_class|Smoke::tf_ref },	//188
    { "QRegExp&", 58, Smoke::t_class|Smoke::tf_ref },	//189
    { "QRegion", 59, Smoke::t_class|Smoke::tf_stack },	//190
    { "QRegion&", 59, Smoke::t_class|Smoke::tf_ref },	//191
    { "QSize", 60, Smoke::t_class|Smoke::tf_stack },	//192
    { "QSize&", 60, Smoke::t_class|Smoke::tf_ref },	//193
    { "QSizeF&", 61, Smoke::t_class|Smoke::tf_ref },	//194
    { "QSizePolicy&", 62, Smoke::t_class|Smoke::tf_ref },	//195
    { "QSizePolicy::ControlType", 62, Smoke::t_enum|Smoke::tf_stack },	//196
    { "QSplitter&", 63, Smoke::t_class|Smoke::tf_ref },	//197
    { "QSql::Location", 64, Smoke::t_enum|Smoke::tf_stack },	//198
    { "QSql::NumericalPrecisionPolicy", 64, Smoke::t_enum|Smoke::tf_stack },	//199
    { "QSql::ParamTypeFlag", 64, Smoke::t_enum|Smoke::tf_stack },	//200
    { "QSql::TableType", 64, Smoke::t_enum|Smoke::tf_stack },	//201
    { "QSqlDatabase", 65, Smoke::t_class|Smoke::tf_stack },	//202
    { "QSqlDatabase&", 65, Smoke::t_class|Smoke::tf_ref },	//203
    { "QSqlDatabase*", 65, Smoke::t_class|Smoke::tf_ptr },	//204
    { "QSqlDriver*", 66, Smoke::t_class|Smoke::tf_ptr },	//205
    { "QSqlDriver::DriverFeature", 66, Smoke::t_enum|Smoke::tf_stack },	//206
    { "QSqlDriver::IdentifierType", 66, Smoke::t_enum|Smoke::tf_stack },	//207
    { "QSqlDriver::StatementType", 66, Smoke::t_enum|Smoke::tf_stack },	//208
    { "QSqlDriverCreatorBase*", 67, Smoke::t_class|Smoke::tf_ptr },	//209
    { "QSqlDriverFactoryInterface*", 68, Smoke::t_class|Smoke::tf_ptr },	//210
    { "QSqlDriverPlugin*", 69, Smoke::t_class|Smoke::tf_ptr },	//211
    { "QSqlError", 70, Smoke::t_class|Smoke::tf_stack },	//212
    { "QSqlError&", 70, Smoke::t_class|Smoke::tf_ref },	//213
    { "QSqlError*", 70, Smoke::t_class|Smoke::tf_ptr },	//214
    { "QSqlError::ErrorType", 70, Smoke::t_enum|Smoke::tf_stack },	//215
    { "QSqlField", 71, Smoke::t_class|Smoke::tf_stack },	//216
    { "QSqlField&", 71, Smoke::t_class|Smoke::tf_ref },	//217
    { "QSqlField*", 71, Smoke::t_class|Smoke::tf_ptr },	//218
    { "QSqlField::RequiredStatus", 71, Smoke::t_enum|Smoke::tf_stack },	//219
    { "QSqlIndex", 72, Smoke::t_class|Smoke::tf_stack },	//220
    { "QSqlIndex&", 72, Smoke::t_class|Smoke::tf_ref },	//221
    { "QSqlIndex*", 72, Smoke::t_class|Smoke::tf_ptr },	//222
    { "QSqlQuery", 73, Smoke::t_class|Smoke::tf_stack },	//223
    { "QSqlQuery&", 73, Smoke::t_class|Smoke::tf_ref },	//224
    { "QSqlQuery*", 73, Smoke::t_class|Smoke::tf_ptr },	//225
    { "QSqlQuery::BatchExecutionMode", 73, Smoke::t_enum|Smoke::tf_stack },	//226
    { "QSqlQueryModel*", 74, Smoke::t_class|Smoke::tf_ptr },	//227
    { "QSqlRecord", 75, Smoke::t_class|Smoke::tf_stack },	//228
    { "QSqlRecord&", 75, Smoke::t_class|Smoke::tf_ref },	//229
    { "QSqlRecord*", 75, Smoke::t_class|Smoke::tf_ptr },	//230
    { "QSqlRelation", 76, Smoke::t_class|Smoke::tf_stack },	//231
    { "QSqlRelation*", 76, Smoke::t_class|Smoke::tf_ptr },	//232
    { "QSqlRelationalDelegate*", 77, Smoke::t_class|Smoke::tf_ptr },	//233
    { "QSqlRelationalTableModel*", 78, Smoke::t_class|Smoke::tf_ptr },	//234
    { "QSqlRelationalTableModel::JoinMode", 78, Smoke::t_enum|Smoke::tf_stack },	//235
    { "QSqlResult*", 79, Smoke::t_class|Smoke::tf_ptr },	//236
    { "QSqlResult::BindingSyntax", 79, Smoke::t_enum|Smoke::tf_stack },	//237
    { "QSqlResult::VirtualHookOperation", 79, Smoke::t_enum|Smoke::tf_stack },	//238
    { "QSqlTableModel*", 80, Smoke::t_class|Smoke::tf_ptr },	//239
    { "QSqlTableModel::EditStrategy", 80, Smoke::t_enum|Smoke::tf_stack },	//240
    { "QStandardItem&", 81, Smoke::t_class|Smoke::tf_ref },	//241
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//242
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//243
    { "QString::Null", 82, Smoke::t_class|Smoke::tf_stack },	//244
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//245
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//246
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//247
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//248
    { "QStyle::StateFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//249
    { "QStyle::SubControl", 0, Smoke::t_enum|Smoke::tf_stack },	//250
    { "QStyleOptionButton::ButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//251
    { "QStyleOptionFrameV2::FrameFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//252
    { "QStyleOptionQ3ListViewItem::Q3ListViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//253
    { "QStyleOptionTab::CornerWidget", 0, Smoke::t_enum|Smoke::tf_stack },	//254
    { "QStyleOptionToolBar::ToolBarFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//255
    { "QStyleOptionToolButton::ToolButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//256
    { "QStyleOptionViewItemV2::ViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//257
    { "QTableWidgetItem&", 86, Smoke::t_class|Smoke::tf_ref },	//258
    { "QTextCodec*", 87, Smoke::t_class|Smoke::tf_ptr },	//259
    { "QTextCodec::ConversionFlag", 87, Smoke::t_enum|Smoke::tf_stack },	//260
    { "QTextDocument::FindFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//261
    { "QTextEdit::AutoFormattingFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//262
    { "QTextFormat&", 88, Smoke::t_class|Smoke::tf_ref },	//263
    { "QTextFormat::PageBreakFlag", 88, Smoke::t_enum|Smoke::tf_stack },	//264
    { "QTextItem::RenderFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//265
    { "QTextLength&", 89, Smoke::t_class|Smoke::tf_ref },	//266
    { "QTextOption::Flag", 0, Smoke::t_enum|Smoke::tf_stack },	//267
    { "QTextStream&", 90, Smoke::t_class|Smoke::tf_ref },	//268
    { "QTextStream&(*)(QTextStream&)", 90, Smoke::t_class|Smoke::tf_ref },	//269
    { "QTextStream::NumberFlag", 90, Smoke::t_enum|Smoke::tf_stack },	//270
    { "QTextStreamManipulator", 91, Smoke::t_class|Smoke::tf_stack },	//271
    { "QTime&", 93, Smoke::t_class|Smoke::tf_ref },	//272
    { "QTimerEvent*", 94, Smoke::t_class|Smoke::tf_ptr },	//273
    { "QTransform", 95, Smoke::t_class|Smoke::tf_stack },	//274
    { "QTransform&", 95, Smoke::t_class|Smoke::tf_ref },	//275
    { "QTreeWidgetItem&", 96, Smoke::t_class|Smoke::tf_ref },	//276
    { "QTreeWidgetItemIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//277
    { "QUrl&", 97, Smoke::t_class|Smoke::tf_ref },	//278
    { "QUrl::FormattingOption", 97, Smoke::t_enum|Smoke::tf_stack },	//279
    { "QUuid&", 98, Smoke::t_class|Smoke::tf_ref },	//280
    { "QVariant", 99, Smoke::t_class|Smoke::tf_stack },	//281
    { "QVariant&", 99, Smoke::t_class|Smoke::tf_ref },	//282
    { "QVariant::Type", 99, Smoke::t_enum|Smoke::tf_stack },	//283
    { "QVariant::Type&", 99, Smoke::t_enum|Smoke::tf_ref },	//284
    { "QVector2D&", 101, Smoke::t_class|Smoke::tf_ref },	//285
    { "QVector3D", 102, Smoke::t_class|Smoke::tf_stack },	//286
    { "QVector3D&", 102, Smoke::t_class|Smoke::tf_ref },	//287
    { "QVector4D", 103, Smoke::t_class|Smoke::tf_stack },	//288
    { "QVector4D&", 103, Smoke::t_class|Smoke::tf_ref },	//289
    { "QVector<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//290
    { "QWidget*", 104, Smoke::t_class|Smoke::tf_ptr },	//291
    { "QWidget::RenderFlag", 104, Smoke::t_enum|Smoke::tf_stack },	//292
    { "QWizard::WizardOption", 0, Smoke::t_enum|Smoke::tf_stack },	//293
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//294
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//295
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//296
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//297
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//298
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::HitTestAccuracy", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//350
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//351
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//352
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//353
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//354
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//355
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//356
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//357
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//358
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//359
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//360
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//361
    { "Qt::WhiteSpaceMode", 0, Smoke::t_enum|Smoke::tf_stack },	//362
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//363
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//364
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//365
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//366
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//367
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//368
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//369
    { "QtMsgType", 21, Smoke::t_enum|Smoke::tf_stack },	//370
    { "QtValidLicenseForActiveQtModule", 21, Smoke::t_enum|Smoke::tf_stack },	//371
    { "QtValidLicenseForCoreModule", 21, Smoke::t_enum|Smoke::tf_stack },	//372
    { "QtValidLicenseForDBusModule", 21, Smoke::t_enum|Smoke::tf_stack },	//373
    { "QtValidLicenseForDeclarativeModule", 21, Smoke::t_enum|Smoke::tf_stack },	//374
    { "QtValidLicenseForGuiModule", 21, Smoke::t_enum|Smoke::tf_stack },	//375
    { "QtValidLicenseForHelpModule", 21, Smoke::t_enum|Smoke::tf_stack },	//376
    { "QtValidLicenseForMultimediaModule", 21, Smoke::t_enum|Smoke::tf_stack },	//377
    { "QtValidLicenseForNetworkModule", 21, Smoke::t_enum|Smoke::tf_stack },	//378
    { "QtValidLicenseForOpenGLModule", 21, Smoke::t_enum|Smoke::tf_stack },	//379
    { "QtValidLicenseForOpenVGModule", 21, Smoke::t_enum|Smoke::tf_stack },	//380
    { "QtValidLicenseForQt3SupportLightModule", 21, Smoke::t_enum|Smoke::tf_stack },	//381
    { "QtValidLicenseForQt3SupportModule", 21, Smoke::t_enum|Smoke::tf_stack },	//382
    { "QtValidLicenseForScriptModule", 21, Smoke::t_enum|Smoke::tf_stack },	//383
    { "QtValidLicenseForScriptToolsModule", 21, Smoke::t_enum|Smoke::tf_stack },	//384
    { "QtValidLicenseForSqlModule", 21, Smoke::t_enum|Smoke::tf_stack },	//385
    { "QtValidLicenseForSvgModule", 21, Smoke::t_enum|Smoke::tf_stack },	//386
    { "QtValidLicenseForTestModule", 21, Smoke::t_enum|Smoke::tf_stack },	//387
    { "QtValidLicenseForXmlModule", 21, Smoke::t_enum|Smoke::tf_stack },	//388
    { "QtValidLicenseForXmlPatternsModule", 21, Smoke::t_enum|Smoke::tf_stack },	//389
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//390
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//391
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//392
    { "const QBitArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//393
    { "const QBrush&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//394
    { "const QBrush*", 6, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//395
    { "const QByteArray", 7, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//396
    { "const QByteArray&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//397
    { "const QChar&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//398
    { "const QColor&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//399
    { "const QCursor&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//400
    { "const QDate&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//401
    { "const QDateTime&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//402
    { "const QDir&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//403
    { "const QEasingCurve&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//404
    { "const QEvent*", 18, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//405
    { "const QFont&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//406
    { "const QHashDummyValue&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const QIcon&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//408
    { "const QImage&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//409
    { "const QItemSelectionRange&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//410
    { "const QKeySequence&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//411
    { "const QLatin1String&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//412
    { "const QLine&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//413
    { "const QLineF&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//414
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//415
    { "const QListWidgetItem&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//416
    { "const QLocale&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//417
    { "const QMap<int,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//418
    { "const QMargins&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//419
    { "const QMatrix&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//420
    { "const QMatrix4x4&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//421
    { "const QMetaObject&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//422
    { "const QMetaObject*", 40, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//423
    { "const QMimeData*", 41, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//424
    { "const QModelIndex&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//425
    { "const QObject*", 43, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//426
    { "const QPainterPath&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//427
    { "const QPalette&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//428
    { "const QPen&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//429
    { "const QPersistentModelIndex&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//430
    { "const QPicture&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//431
    { "const QPixmap&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//432
    { "const QPoint", 51, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//433
    { "const QPoint&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//434
    { "const QPointF", 52, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//435
    { "const QPointF&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//436
    { "const QPolygon&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//437
    { "const QPolygonF&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//438
    { "const QQuaternion", 55, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//439
    { "const QQuaternion&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//440
    { "const QRect&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//441
    { "const QRectF&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//442
    { "const QRegExp&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//443
    { "const QRegExp*", 58, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//444
    { "const QRegion&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//445
    { "const QSize", 60, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//446
    { "const QSize&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//447
    { "const QSizeF", 61, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//448
    { "const QSizeF&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//449
    { "const QSizePolicy&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//450
    { "const QSplitter&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//451
    { "const QSqlDatabase&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//452
    { "const QSqlDriver*", 66, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//453
    { "const QSqlDriverCreatorBase&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//454
    { "const QSqlDriverFactoryInterface&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//455
    { "const QSqlError&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//456
    { "const QSqlField&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//457
    { "const QSqlIndex&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//458
    { "const QSqlQuery&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//459
    { "const QSqlRecord&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//460
    { "const QSqlRelation&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//461
    { "const QSqlResult*", 79, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//462
    { "const QStandardItem&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//463
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//464
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//465
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//466
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//467
    { "const QStringRef&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//468
    { "const QStyleOption&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//469
    { "const QStyleOption::OptionType&", 84, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//470
    { "const QStyleOptionViewItem&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//471
    { "const QTableWidgetItem&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//472
    { "const QTextFormat&", 88, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//473
    { "const QTextLength&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//474
    { "const QTileRules&", 92, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//475
    { "const QTime&", 93, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//476
    { "const QTransform&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//477
    { "const QTreeWidgetItem&", 96, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//478
    { "const QUrl&", 97, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//479
    { "const QUuid&", 98, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//480
    { "const QVariant&", 99, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//481
    { "const QVariant::Type", 99, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//482
    { "const QVariantComparisonHelper&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//483
    { "const QVector2D", 101, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//484
    { "const QVector2D&", 101, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//485
    { "const QVector3D", 102, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//486
    { "const QVector3D&", 102, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//487
    { "const QVector4D", 103, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//488
    { "const QVector4D&", 103, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//489
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//490
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//491
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//492
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//493
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//494
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//495
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//496
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//497
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//498
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//499
    { "size_t", 0, Smoke::t_uint|Smoke::tf_stack },	//500
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//501
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//502
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//503
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//504
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//505
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//506
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//507
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//508
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//509
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//510
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//511
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//512
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    425, 481, 495, 0,	//1  const QModelIndex&, const QVariant&, int
    425, 0,	//5  const QModelIndex&
    425, 418, 0,	//7  const QModelIndex&, const QMap<int,QVariant>&
    415, 0,	//10  const QList<QModelIndex>&
    495, 495, 425, 0,	//12  int, int, const QModelIndex&
    495, 349, 0,	//16  int, Qt::SortOrder
    425, 495, 481, 495, 112, 0,	//19  const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>
    424, 316, 495, 495, 425, 0,	//25  const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    393, 393, 0,	//31  const QBitArray&, const QBitArray&
    430, 0,	//34  const QPersistentModelIndex&
    314, 495, 0,	//36  Qt::DockWidgetArea, int
    490, 490, 495, 0,	//39  const char*, const char*, int
    123, 123, 0,	//43  QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag
    434, 493, 0,	//46  const QPoint&, double
    493, 0,	//49  double
    29, 410, 0,	//51  QDebug, const QItemSelectionRange&
    493, 436, 0,	//54  double, const QPointF&
    339, 113, 0,	//57  Qt::MouseButton, QFlags<Qt::MouseButton>
    419, 419, 0,	//60  const QMargins&, const QMargins&
    29, 469, 0,	//63  QDebug, const QStyleOption&
    493, 449, 0,	//66  double, const QSizeF&
    32, 495, 0,	//69  QDir::SortFlag, int
    3, 3, 0,	//72  QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger
    29, 430, 0,	//75  QDebug, const QPersistentModelIndex&
    25, 135, 0,	//78  QDataStream&, QImage&
    25, 450, 0,	//81  QDataStream&, const QSizePolicy&
    328, 495, 0,	//84  Qt::InputMethodHint, int
    255, 495, 0,	//87  QStyleOptionToolBar::ToolBarFeature, int
    29, 477, 0,	//90  QDebug, const QTransform&
    392, 490, 0,	//93  char*, const char*
    441, 441, 0,	//96  const QRect&, const QRect&
    447, 447, 0,	//99  const QSize&, const QSize&
    25, 477, 0,	//102  QDataStream&, const QTransform&
    260, 260, 0,	//105  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    29, 434, 0,	//108  QDebug, const QPoint&
    421, 421, 0,	//111  const QMatrix4x4&, const QMatrix4x4&
    501, 0,	//114  unsigned char
    31, 50, 0,	//116  QDir::Filter, QFlags<QDir::Filter>
    489, 489, 0,	//119  const QVector4D&, const QVector4D&
    436, 420, 0,	//122  const QPointF&, const QMatrix&
    168, 168, 0,	//125  QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature
    413, 477, 0,	//128  const QLine&, const QTransform&
    485, 485, 0,	//131  const QVector2D&, const QVector2D&
    38, 55, 0,	//134  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    366, 118, 0,	//137  Qt::WindowState, QFlags<Qt::WindowState>
    449, 493, 0,	//140  const QSizeF&, double
    25, 413, 0,	//143  QDataStream&, const QLine&
    31, 495, 0,	//146  QDir::Filter, int
    477, 477, 0,	//149  const QTransform&, const QTransform&
    503, 0,	//152  unsigned int
    40, 57, 0,	//154  QFileDialog::Option, QFlags<QFileDialog::Option>
    449, 449, 0,	//157  const QSizeF&, const QSizeF&
    397, 397, 0,	//160  const QByteArray&, const QByteArray&
    412, 468, 0,	//163  const QLatin1String&, const QStringRef&
    440, 0,	//166  const QQuaternion&
    4, 4, 0,	//168  QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption
    339, 339, 0,	//171  Qt::MouseButton, Qt::MouseButton
    29, 482, 0,	//174  QDebug, const QVariant::Type
    481, 483, 0,	//177  const QVariant&, const QVariantComparisonHelper&
    440, 493, 0,	//180  const QQuaternion&, double
    15, 15, 0,	//183  QBool, QBool
    254, 254, 0,	//186  QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget
    253, 253, 0,	//189  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature
    121, 121, 0,	//192  QFontComboBox::FontFilter, QFontComboBox::FontFilter
    294, 104, 0,	//195  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    468, 0,	//198  const QStringRef&
    264, 264, 0,	//200  QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag
    244, 244, 0,	//203  QString::Null, QString::Null
    29, 406, 0,	//206  QDebug, const QFont&
    200, 495, 0,	//209  QSql::ParamTypeFlag, int
    29, 437, 0,	//212  QDebug, const QPolygon&
    25, 442, 0,	//215  QDataStream&, const QRectF&
    200, 200, 0,	//218  QSql::ParamTypeFlag, QSql::ParamTypeFlag
    25, 151, 0,	//221  QDataStream&, QLocale&
    250, 495, 0,	//224  QStyle::SubControl, int
    34, 34, 0,	//227  QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature
    19, 465, 0,	//230  QChar, const QString&
    133, 67, 0,	//233  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    485, 0,	//236  const QVector2D&
    169, 441, 428, 390, 495, 395, 0,	//238  QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*
    169, 441, 428, 0,	//245  QPainter*, const QRect&, const QPalette&
    169, 441, 428, 390, 0,	//249  QPainter*, const QRect&, const QPalette&, bool
    169, 441, 428, 390, 495, 0,	//254  QPainter*, const QRect&, const QPalette&, bool, int
    31, 31, 0,	//260  QDir::Filter, QDir::Filter
    25, 428, 0,	//263  QDataStream&, const QPalette&
    29, 476, 0,	//266  QDebug, const QTime&
    440, 440, 0,	//269  const QQuaternion&, const QQuaternion&
    261, 94, 0,	//272  QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>
    25, 397, 0,	//275  QDataStream&, const QByteArray&
    29, 401, 0,	//278  QDebug, const QDate&
    393, 0,	//281  const QBitArray&
    262, 95, 0,	//283  QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>
    491, 502, 495, 0,	//286  const unsigned char*, unsigned char*, int
    12, 46, 0,	//290  QAccessible::StateFlag, QFlags<QAccessible::StateFlag>
    438, 477, 0,	//293  const QPolygonF&, const QTransform&
    481, 283, 510, 0,	//296  const QVariant&, QVariant::Type, void*
    465, 0,	//300  const QString&
    506, 0,	//302  unsigned short
    166, 0,	//304  QObject*(*)()
    496, 0,	//306  long
    356, 356, 0,	//308  Qt::ToolBarArea, Qt::ToolBarArea
    497, 0,	//311  long long
    29, 438, 0,	//313  QDebug, const QPolygonF&
    169, 495, 495, 495, 495, 428, 390, 395, 0,	//316  QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*
    169, 495, 495, 495, 495, 428, 0,	//325  QPainter*, int, int, int, int, const QPalette&
    169, 495, 495, 495, 495, 428, 390, 0,	//332  QPainter*, int, int, int, int, const QPalette&, bool
    176, 80, 0,	//340  QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>
    292, 495, 0,	//343  QWidget::RenderFlag, int
    29, 399, 0,	//346  QDebug, const QColor&
    277, 495, 0,	//349  QTreeWidgetItemIterator::IteratorFlag, int
    316, 495, 0,	//352  Qt::DropAction, int
    169, 495, 495, 495, 495, 428, 390, 495, 495, 395, 0,	//355  QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*
    169, 495, 495, 495, 495, 428, 390, 495, 0,	//366  QPainter*, int, int, int, int, const QPalette&, bool, int
    169, 495, 495, 495, 495, 428, 390, 495, 495, 0,	//375  QPainter*, int, int, int, int, const QPalette&, bool, int, int
    25, 466, 0,	//385  QDataStream&, const QStringList&
    1, 1, 0,	//388  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    25, 174, 0,	//391  QDataStream&, QPen&
    494, 0,	//394  float
    123, 60, 0,	//396  QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>
    294, 294, 0,	//399  Qt::AlignmentFlag, Qt::AlignmentFlag
    25, 22, 0,	//402  QDataStream&, QColor&
    33, 495, 0,	//405  QDirIterator::IteratorFlag, int
    25, 443, 0,	//408  QDataStream&, const QRegExp&
    279, 495, 0,	//411  QUrl::FormattingOption, int
    33, 52, 0,	//414  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    397, 490, 0,	//417  const QByteArray&, const char*
    125, 125, 0,	//420  QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag
    122, 495, 0,	//423  QFontDialog::FontDialogOption, int
    29, 449, 0,	//426  QDebug, const QSizeF&
    314, 105, 0,	//429  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    253, 495, 0,	//432  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int
    413, 420, 0,	//435  const QLine&, const QMatrix&
    167, 167, 0,	//438  QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag
    495, 495, 495, 0,	//441  int, int, int
    414, 420, 0,	//445  const QLineF&, const QMatrix&
    341, 341, 0,	//448  Qt::Orientation, Qt::Orientation
    427, 420, 0,	//451  const QPainterPath&, const QMatrix&
    356, 495, 0,	//454  Qt::ToolBarArea, int
    487, 487, 0,	//457  const QVector3D&, const QVector3D&
    25, 181, 0,	//460  QDataStream&, QPointF&
    337, 495, 0,	//463  Qt::MatchFlag, int
    25, 411, 0,	//466  QDataStream&, const QKeySequence&
    25, 472, 0,	//469  QDataStream&, const QTableWidgetItem&
    29, 127, 0,	//472  QDebug, QGraphicsItem::GraphicsItemChange
    29, 404, 0,	//475  QDebug, const QEasingCurve&
    139, 495, 0,	//478  QItemSelectionModel::SelectionFlag, int
    25, 400, 0,	//481  QDataStream&, const QCursor&
    161, 76, 0,	//484  QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>
    321, 321, 0,	//487  Qt::GestureFlag, Qt::GestureFlag
    25, 26, 0,	//490  QDataStream&, QDate&
    25, 431, 0,	//493  QDataStream&, const QPicture&
    133, 133, 0,	//496  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    161, 161, 0,	//499  QMessageBox::StandardButton, QMessageBox::StandardButton
    38, 495, 0,	//502  QEventLoop::ProcessEventsFlag, int
    391, 397, 0,	//505  char, const QByteArray&
    25, 289, 0,	//508  QDataStream&, QVector4D&
    160, 75, 0,	//511  QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>
    29, 84, 0,	//514  QDebug, QFlags<QStyle::StateFlag>
    490, 397, 0,	//517  const char*, const QByteArray&
    122, 122, 0,	//520  QFontDialog::FontDialogOption, QFontDialog::FontDialogOption
    25, 280, 0,	//523  QDataStream&, QUuid&
    493, 493, 0,	//526  double, double
    25, 18, 0,	//529  QDataStream&, QByteArray&
    25, 282, 0,	//532  QDataStream&, QVariant&
    25, 478, 0,	//535  QDataStream&, const QTreeWidgetItem&
    25, 189, 0,	//538  QDataStream&, QRegExp&
    170, 170, 0,	//541  QPainter::RenderHint, QPainter::RenderHint
    436, 436, 0,	//544  const QPointF&, const QPointF&
    477, 493, 0,	//547  const QTransform&, double
    268, 451, 0,	//550  QTextStream&, const QSplitter&
    5, 44, 0,	//553  QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>
    485, 493, 0,	//556  const QVector2D&, double
    277, 277, 0,	//559  QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag
    251, 251, 0,	//562  QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature
    468, 468, 0,	//565  const QStringRef&, const QStringRef&
    489, 493, 0,	//568  const QVector4D&, double
    251, 495, 0,	//571  QStyleOptionButton::ButtonFeature, int
    39, 495, 0,	//574  QFile::Permission, int
    29, 414, 0,	//577  QDebug, const QLineF&
    19, 19, 0,	//580  QChar, QChar
    421, 493, 0,	//583  const QMatrix4x4&, double
    427, 477, 0,	//586  const QPainterPath&, const QTransform&
    25, 394, 0,	//589  QDataStream&, const QBrush&
    159, 74, 0,	//592  QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>
    490, 490, 503, 0,	//595  const char*, const char*, unsigned int
    397, 0,	//599  const QByteArray&
    5, 5, 0,	//601  QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag
    138, 495, 0,	//604  QInputDialog::InputDialogOption, int
    249, 495, 0,	//607  QStyle::StateFlag, int
    29, 50, 0,	//610  QDebug, QFlags<QDir::Filter>
    490, 495, 0,	//613  const char*, int
    25, 191, 0,	//616  QDataStream&, QRegion&
    170, 495, 0,	//619  QPainter::RenderHint, int
    254, 495, 0,	//622  QStyleOptionTab::CornerWidget, int
    293, 293, 0,	//625  QWizard::WizardOption, QWizard::WizardOption
    270, 99, 0,	//628  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    25, 14, 0,	//631  QDataStream&, QBitArray&
    293, 103, 0,	//634  QWizard::WizardOption, QFlags<QWizard::WizardOption>
    436, 493, 0,	//637  const QPointF&, double
    168, 78, 0,	//640  QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>
    128, 128, 0,	//643  QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag
    19, 0,	//646  QChar
    169, 495, 495, 495, 495, 428, 390, 495, 395, 0,	//648  QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*
    1, 41, 0,	//658  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    509, 0,	//661  void(*)(QtMsgType,const char*)
    25, 401, 0,	//663  QDataStream&, const QDate&
    426, 465, 422, 0,	//666  const QObject*, const QString&, const QMetaObject&
    337, 112, 0,	//670  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    487, 421, 0,	//673  const QVector3D&, const QMatrix4x4&
    321, 495, 0,	//676  Qt::GestureFlag, int
    169, 441, 428, 390, 395, 0,	//679  QPainter*, const QRect&, const QPalette&, bool, const QBrush*
    260, 495, 0,	//685  QTextCodec::ConversionFlag, int
    196, 196, 0,	//688  QSizePolicy::ControlType, QSizePolicy::ControlType
    121, 495, 0,	//691  QFontComboBox::FontFilter, int
    261, 495, 0,	//694  QTextDocument::FindFlag, int
    25, 24, 0,	//697  QDataStream&, QCursor&
    334, 111, 0,	//700  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    487, 493, 0,	//703  const QVector3D&, double
    337, 337, 0,	//706  Qt::MatchFlag, Qt::MatchFlag
    25, 275, 0,	//709  QDataStream&, QTransform&
    437, 420, 0,	//712  const QPolygon&, const QMatrix&
    510, 0,	//715  void*
    254, 89, 0,	//717  QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>
    465, 244, 0,	//720  const QString&, QString::Null
    29, 429, 0,	//723  QDebug, const QPen&
    256, 256, 0,	//726  QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature
    29, 457, 0,	//729  QDebug, const QSqlField&
    143, 495, 0,	//732  QLibrary::LoadHint, int
    25, 194, 0,	//735  QDataStream&, QSizeF&
    468, 490, 0,	//738  const QStringRef&, const char*
    169, 441, 428, 390, 495, 495, 395, 0,	//741  QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*
    169, 441, 428, 390, 495, 495, 0,	//749  QPainter*, const QRect&, const QPalette&, bool, int, int
    167, 495, 0,	//756  QPaintEngine::DirtyFlag, int
    262, 262, 0,	//759  QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag
    128, 495, 0,	//762  QGraphicsItem::GraphicsItemFlag, int
    436, 0,	//765  const QPointF&
    510, 500, 500, 500, 0,	//767  void*, size_t, size_t, size_t
    331, 331, 0,	//772  Qt::ItemFlag, Qt::ItemFlag
    25, 432, 0,	//775  QDataStream&, const QPixmap&
    505, 0,	//778  unsigned long long
    367, 119, 0,	//780  Qt::WindowType, QFlags<Qt::WindowType>
    29, 447, 0,	//783  QDebug, const QSize&
    436, 477, 0,	//786  const QPointF&, const QTransform&
    331, 110, 0,	//789  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    29, 487, 0,	//792  QDebug, const QVector3D&
    359, 117, 0,	//795  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    34, 53, 0,	//798  QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>
    125, 495, 0,	//801  QGraphicsEffect::ChangeFlag, int
    169, 495, 495, 495, 495, 399, 495, 395, 0,	//804  QPainter*, int, int, int, int, const QColor&, int, const QBrush*
    169, 495, 495, 495, 495, 399, 0,	//813  QPainter*, int, int, int, int, const QColor&
    169, 495, 495, 495, 495, 399, 495, 0,	//820  QPainter*, int, int, int, int, const QColor&, int
    25, 479, 0,	//828  QDataStream&, const QUrl&
    510, 495, 500, 0,	//831  void*, int, size_t
    196, 81, 0,	//835  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    25, 481, 0,	//838  QDataStream&, const QVariant&
    25, 145, 0,	//841  QDataStream&, QLine&
    397, 495, 0,	//844  const QByteArray&, int
    5, 495, 0,	//847  QAbstractSpinBox::StepEnabledFlag, int
    29, 485, 0,	//850  QDebug, const QVector2D&
    334, 334, 0,	//853  Qt::KeyboardModifier, Qt::KeyboardModifier
    421, 489, 0,	//856  const QMatrix4x4&, const QVector4D&
    12, 495, 0,	//859  QAccessible::StateFlag, int
    169, 441, 399, 495, 395, 0,	//862  QPainter*, const QRect&, const QColor&, int, const QBrush*
    169, 441, 399, 0,	//868  QPainter*, const QRect&, const QColor&
    169, 441, 399, 495, 0,	//872  QPainter*, const QRect&, const QColor&, int
    176, 176, 0,	//877  QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag
    28, 495, 0,	//880  QDateTimeEdit::Section, int
    508, 0,	//883  void(*)()
    294, 495, 0,	//885  Qt::AlignmentFlag, int
    434, 420, 0,	//888  const QPoint&, const QMatrix&
    334, 495, 0,	//891  Qt::KeyboardModifier, int
    331, 495, 0,	//894  Qt::ItemFlag, int
    326, 108, 0,	//897  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    25, 429, 0,	//900  QDataStream&, const QPen&
    434, 434, 0,	//903  const QPoint&, const QPoint&
    245, 495, 0,	//906  QString::SectionFlag, int
    367, 495, 0,	//909  Qt::WindowType, int
    292, 292, 0,	//912  QWidget::RenderFlag, QWidget::RenderFlag
    468, 465, 0,	//915  const QStringRef&, const QString&
    169, 441, 419, 432, 441, 419, 475, 54, 0,	//918  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>
    169, 441, 419, 432, 441, 419, 0,	//927  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&
    169, 441, 419, 432, 441, 419, 475, 0,	//934  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&
    407, 407, 0,	//942  const QHashDummyValue&, const QHashDummyValue&
    490, 503, 0,	//945  const char*, unsigned int
    279, 279, 0,	//948  QUrl::FormattingOption, QUrl::FormattingOption
    23, 495, 0,	//951  QColorDialog::ColorDialogOption, int
    25, 134, 0,	//954  QDataStream&, QIcon&
    25, 437, 0,	//957  QDataStream&, const QPolygon&
    359, 495, 0,	//960  Qt::TouchPointState, int
    29, 419, 0,	//963  QDebug, const QMargins&
    292, 102, 0,	//966  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    264, 495, 0,	//969  QTextFormat::PageBreakFlag, int
    490, 0,	//972  const char*
    136, 495, 0,	//974  QImageIOPlugin::Capability, int
    29, 63, 0,	//977  QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>
    131, 495, 0,	//980  QGraphicsView::CacheModeFlag, int
    3, 495, 0,	//983  QAbstractItemView::EditTrigger, int
    29, 489, 0,	//986  QDebug, const QVector4D&
    268, 269, 0,	//989  QTextStream&, QTextStream&(*)(QTextStream&)
    293, 495, 0,	//992  QWizard::WizardOption, int
    40, 495, 0,	//995  QFileDialog::Option, int
    249, 84, 0,	//998  QStyle::StateFlag, QFlags<QStyle::StateFlag>
    421, 434, 0,	//1001  const QMatrix4x4&, const QPoint&
    256, 91, 0,	//1004  QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>
    25, 36, 0,	//1007  QDataStream&, QEasingCurve&
    29, 452, 0,	//1010  QDebug, const QSqlDatabase&
    130, 64, 0,	//1013  QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>
    159, 159, 0,	//1016  QMdiArea::AreaOption, QMdiArea::AreaOption
    25, 241, 0,	//1019  QDataStream&, QStandardItem&
    25, 414, 0,	//1022  QDataStream&, const QLineF&
    39, 56, 0,	//1025  QFile::Permission, QFlags<QFile::Permission>
    168, 495, 0,	//1028  QPaintEngine::PaintEngineFeature, int
    29, 427, 0,	//1031  QDebug, const QPainterPath&
    392, 490, 503, 0,	//1034  char*, const char*, unsigned int
    23, 47, 0,	//1038  QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>
    25, 16, 0,	//1041  QDataStream&, QBrush&
    25, 436, 0,	//1044  QDataStream&, const QPointF&
    25, 158, 0,	//1047  QDataStream&, QMatrix4x4&
    489, 0,	//1050  const QVector4D&
    29, 421, 0,	//1052  QDebug, const QMatrix4x4&
    479, 0,	//1055  const QUrl&
    132, 495, 0,	//1057  QGraphicsView::OptimizationFlag, int
    25, 263, 0,	//1060  QDataStream&, QTextFormat&
    495, 0,	//1063  int
    434, 494, 0,	//1065  const QPoint&, float
    152, 495, 0,	//1068  QLocale::NumberOption, int
    25, 150, 0,	//1071  QDataStream&, QListWidgetItem&
    510, 500, 0,	//1074  void*, size_t
    125, 62, 0,	//1077  QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>
    124, 61, 0,	//1080  QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>
    465, 465, 0,	//1083  const QString&, const QString&
    256, 495, 0,	//1086  QStyleOptionToolButton::ToolButtonFeature, int
    161, 495, 0,	//1089  QMessageBox::StandardButton, int
    490, 490, 490, 495, 0,	//1092  const char*, const char*, const char*, int
    465, 468, 0,	//1097  const QString&, const QStringRef&
    29, 128, 0,	//1100  QDebug, QGraphicsItem::GraphicsItemFlag
    11, 45, 0,	//1103  QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>
    142, 140, 0,	//1106  QKeySequence::StandardKey, QKeyEvent*
    196, 495, 0,	//1109  QSizePolicy::ControlType, int
    25, 195, 0,	//1112  QDataStream&, QSizePolicy&
    29, 460, 0,	//1115  QDebug, const QSqlRecord&
    490, 468, 0,	//1118  const char*, const QStringRef&
    25, 156, 0,	//1121  QDataStream&, QMatrix&
    339, 495, 0,	//1124  Qt::MouseButton, int
    253, 88, 0,	//1127  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>
    25, 193, 0,	//1130  QDataStream&, QSize&
    33, 33, 0,	//1133  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    328, 328, 0,	//1136  Qt::InputMethodHint, Qt::InputMethodHint
    270, 270, 0,	//1139  QTextStream::NumberFlag, QTextStream::NumberFlag
    421, 436, 0,	//1142  const QMatrix4x4&, const QPointF&
    421, 0,	//1145  const QMatrix4x4&
    493, 485, 0,	//1147  double, const QVector2D&
    4, 43, 0,	//1150  QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>
    138, 138, 0,	//1153  QInputDialog::InputDialogOption, QInputDialog::InputDialogOption
    4, 495, 0,	//1156  QAbstractPrintDialog::PrintDialogOption, int
    25, 284, 0,	//1159  QDataStream&, QVariant::Type&
    353, 115, 0,	//1162  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    25, 487, 0,	//1165  QDataStream&, const QVector3D&
    414, 477, 0,	//1168  const QLineF&, const QTransform&
    468, 412, 0,	//1171  const QStringRef&, const QLatin1String&
    499, 0,	//1174  signed char
    25, 438, 0,	//1176  QDataStream&, const QPolygonF&
    25, 449, 0,	//1179  QDataStream&, const QSizeF&
    356, 116, 0,	//1182  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    493, 487, 0,	//1185  double, const QVector3D&
    25, 406, 0,	//1188  QDataStream&, const QFont&
    267, 98, 0,	//1191  QTextOption::Flag, QFlags<QTextOption::Flag>
    490, 490, 0,	//1194  const char*, const char*
    25, 258, 0,	//1197  QDataStream&, QTableWidgetItem&
    250, 85, 0,	//1200  QStyle::SubControl, QFlags<QStyle::SubControl>
    25, 485, 0,	//1203  QDataStream&, const QVector2D&
    25, 420, 0,	//1206  QDataStream&, const QMatrix&
    170, 79, 0,	//1209  QPainter::RenderHint, QFlags<QPainter::RenderHint>
    143, 143, 0,	//1212  QLibrary::LoadHint, QLibrary::LoadHint
    493, 421, 0,	//1215  double, const QMatrix4x4&
    132, 66, 0,	//1218  QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>
    366, 366, 0,	//1221  Qt::WindowState, Qt::WindowState
    265, 265, 0,	//1224  QTextItem::RenderFlag, QTextItem::RenderFlag
    29, 479, 0,	//1227  QDebug, const QUrl&
    131, 131, 0,	//1230  QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag
    279, 101, 0,	//1233  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    25, 185, 0,	//1236  QDataStream&, QPolygonF&
    277, 100, 0,	//1239  QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>
    25, 173, 0,	//1242  QDataStream&, QPalette&
    25, 427, 0,	//1245  QDataStream&, const QPainterPath&
    12, 12, 0,	//1248  QAccessible::StateFlag, QAccessible::StateFlag
    442, 442, 0,	//1251  const QRectF&, const QRectF&
    493, 447, 0,	//1254  double, const QSize&
    140, 142, 0,	//1257  QKeyEvent*, QKeySequence::StandardKey
    39, 39, 0,	//1260  QFile::Permission, QFile::Permission
    131, 65, 0,	//1263  QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>
    250, 250, 0,	//1266  QStyle::SubControl, QStyle::SubControl
    29, 413, 0,	//1269  QDebug, const QLine&
    3, 42, 0,	//1272  QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>
    25, 186, 0,	//1275  QDataStream&, QQuaternion&
    176, 495, 0,	//1278  QPinchGesture::ChangeFlag, int
    489, 421, 0,	//1281  const QVector4D&, const QMatrix4x4&
    25, 393, 0,	//1284  QDataStream&, const QBitArray&
    420, 420, 0,	//1287  const QMatrix&, const QMatrix&
    257, 257, 0,	//1290  QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature
    510, 492, 500, 0,	//1293  void*, const void*, size_t
    493, 434, 0,	//1297  double, const QPoint&
    29, 129, 0,	//1300  QDebug, QGraphicsObject*
    153, 73, 0,	//1303  QMainWindow::DockOption, QFlags<QMainWindow::DockOption>
    29, 425, 0,	//1306  QDebug, const QModelIndex&
    498, 0,	//1309  short
    29, 402, 0,	//1311  QDebug, const QDateTime&
    160, 160, 0,	//1314  QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption
    25, 434, 0,	//1317  QDataStream&, const QPoint&
    25, 409, 0,	//1320  QDataStream&, const QImage&
    493, 440, 0,	//1323  double, const QQuaternion&
    397, 391, 0,	//1326  const QByteArray&, char
    261, 261, 0,	//1329  QTextDocument::FindFlag, QTextDocument::FindFlag
    29, 411, 0,	//1332  QDebug, const QKeySequence&
    167, 77, 0,	//1335  QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>
    30, 30, 0,	//1338  QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton
    11, 11, 0,	//1341  QAccessible::RelationFlag, QAccessible::RelationFlag
    29, 426, 0,	//1344  QDebug, const QObject*
    130, 130, 0,	//1347  QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer
    29, 405, 0,	//1350  QDebug, const QEvent*
    494, 494, 0,	//1353  float, float
    25, 120, 0,	//1356  QDataStream&, QFont&
    32, 51, 0,	//1359  QDir::SortFlag, QFlags<QDir::SortFlag>
    392, 500, 490, 507, 0,	//1362  char*, size_t, const char*, va_list
    138, 69, 0,	//1367  QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>
    245, 83, 0,	//1370  QString::SectionFlag, QFlags<QString::SectionFlag>
    25, 447, 0,	//1373  QDataStream&, const QSize&
    139, 70, 0,	//1376  QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>
    25, 188, 0,	//1379  QDataStream&, QRectF&
    260, 93, 0,	//1382  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    29, 67, 0,	//1385  QDebug, QFlags<QIODevice::OpenModeFlag>
    25, 398, 0,	//1388  QDataStream&, const QChar&
    390, 15, 0,	//1391  bool, QBool
    504, 0,	//1394  unsigned long
    29, 442, 0,	//1396  QDebug, const QRectF&
    123, 495, 0,	//1399  QGestureRecognizer::ResultFlag, int
    437, 477, 0,	//1402  const QPolygon&, const QTransform&
    15, 390, 0,	//1405  QBool, bool
    366, 495, 0,	//1408  Qt::WindowState, int
    257, 92, 0,	//1411  QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>
    25, 266, 0,	//1414  QDataStream&, QTextLength&
    25, 247, 0,	//1417  QDataStream&, QStringList&
    25, 441, 0,	//1420  QDataStream&, const QRect&
    25, 445, 0,	//1423  QDataStream&, const QRegion&
    314, 314, 0,	//1426  Qt::DockWidgetArea, Qt::DockWidgetArea
    29, 420, 0,	//1429  QDebug, const QMatrix&
    124, 495, 0,	//1432  QGraphicsBlurEffect::BlurHint, int
    152, 72, 0,	//1435  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    267, 267, 0,	//1438  QTextOption::Flag, QTextOption::Flag
    25, 399, 0,	//1441  QDataStream&, const QColor&
    367, 367, 0,	//1444  Qt::WindowType, Qt::WindowType
    28, 28, 0,	//1447  QDateTimeEdit::Section, QDateTimeEdit::Section
    447, 493, 0,	//1450  const QSize&, double
    421, 487, 0,	//1453  const QMatrix4x4&, const QVector3D&
    244, 465, 0,	//1456  QString::Null, const QString&
    29, 394, 0,	//1459  QDebug, const QBrush&
    32, 32, 0,	//1462  QDir::SortFlag, QDir::SortFlag
    328, 109, 0,	//1465  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    25, 179, 0,	//1468  QDataStream&, QPoint&
    29, 436, 0,	//1471  QDebug, const QPointF&
    426, 465, 444, 422, 149, 0,	//1474  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    25, 27, 0,	//1480  QDataStream&, QDateTime&
    252, 252, 0,	//1483  QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature
    25, 476, 0,	//1486  QDataStream&, const QTime&
    25, 276, 0,	//1489  QDataStream&, QTreeWidgetItem&
    25, 141, 0,	//1492  QDataStream&, QKeySequence&
    262, 495, 0,	//1495  QTextEdit::AutoFormattingFlag, int
    25, 480, 0,	//1498  QDataStream&, const QUuid&
    268, 271, 0,	//1501  QTextStream&, QTextStreamManipulator
    136, 68, 0,	//1504  QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>
    25, 474, 0,	//1507  QDataStream&, const QTextLength&
    445, 477, 0,	//1510  const QRegion&, const QTransform&
    436, 421, 0,	//1513  const QPointF&, const QMatrix4x4&
    29, 126, 0,	//1516  QDebug, QGraphicsItem*
    34, 495, 0,	//1519  QDockWidget::DockWidgetFeature, int
    25, 416, 0,	//1522  QDataStream&, const QListWidgetItem&
    245, 245, 0,	//1525  QString::SectionFlag, QString::SectionFlag
    500, 500, 0,	//1528  size_t, size_t
    130, 495, 0,	//1531  QGraphicsScene::SceneLayer, int
    270, 495, 0,	//1534  QTextStream::NumberFlag, int
    491, 495, 495, 0,	//1537  const unsigned char*, int, int
    491, 495, 0,	//1541  const unsigned char*, int
    133, 495, 0,	//1544  QIODevice::OpenModeFlag, int
    495, 434, 0,	//1547  int, const QPoint&
    29, 470, 0,	//1550  QDebug, const QStyleOption::OptionType&
    321, 107, 0,	//1553  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    25, 463, 0,	//1556  QDataStream&, const QStandardItem&
    438, 420, 0,	//1559  const QPolygonF&, const QMatrix&
    11, 495, 0,	//1562  QAccessible::RelationFlag, int
    434, 0,	//1565  const QPoint&
    25, 183, 0,	//1567  QDataStream&, QPolygon&
    169, 441, 419, 432, 0,	//1570  QPainter*, const QRect&, const QMargins&, const QPixmap&
    121, 58, 0,	//1575  QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>
    200, 82, 0,	//1578  QSql::ParamTypeFlag, QFlags<QSql::ParamTypeFlag>
    40, 40, 0,	//1581  QFileDialog::Option, QFileDialog::Option
    159, 495, 0,	//1584  QMdiArea::AreaOption, int
    25, 243, 0,	//1587  QDataStream&, QString&
    28, 48, 0,	//1590  QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>
    30, 49, 0,	//1593  QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>
    169, 434, 434, 428, 390, 495, 495, 0,	//1596  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int
    169, 434, 434, 428, 0,	//1604  QPainter*, const QPoint&, const QPoint&, const QPalette&
    169, 434, 434, 428, 390, 0,	//1609  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool
    169, 434, 434, 428, 390, 495, 0,	//1615  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int
    139, 139, 0,	//1622  QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag
    25, 465, 0,	//1625  QDataStream&, const QString&
    25, 404, 0,	//1628  QDataStream&, const QEasingCurve&
    268, 197, 0,	//1631  QTextStream&, QSplitter&
    25, 421, 0,	//1634  QDataStream&, const QMatrix4x4&
    25, 20, 0,	//1637  QDataStream&, QChar&
    25, 489, 0,	//1640  QDataStream&, const QVector4D&
    249, 249, 0,	//1643  QStyle::StateFlag, QStyle::StateFlag
    410, 0,	//1646  const QItemSelectionRange&
    353, 353, 0,	//1648  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    25, 177, 0,	//1651  QDataStream&, QPixmap&
    38, 38, 0,	//1654  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    434, 421, 0,	//1657  const QPoint&, const QMatrix4x4&
    25, 187, 0,	//1660  QDataStream&, QRect&
    1, 495, 0,	//1663  QAbstractFileEngine::FileFlag, int
    122, 59, 0,	//1666  QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>
    132, 132, 0,	//1669  QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag
    370, 490, 0,	//1672  QtMsgType, const char*
    29, 456, 0,	//1675  QDebug, const QSqlError&
    326, 495, 0,	//1678  Qt::ImageConversionFlag, int
    487, 0,	//1681  const QVector3D&
    251, 86, 0,	//1683  QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>
    23, 23, 0,	//1686  QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption
    29, 441, 0,	//1689  QDebug, const QRect&
    25, 408, 0,	//1692  QDataStream&, const QIcon&
    25, 482, 0,	//1695  QDataStream&, const QVariant::Type
    25, 287, 0,	//1698  QDataStream&, QVector3D&
    257, 495, 0,	//1701  QStyleOptionViewItemV2::ViewItemFeature, int
    493, 489, 0,	//1704  double, const QVector4D&
    25, 147, 0,	//1707  QDataStream&, QLineF&
    25, 172, 0,	//1710  QDataStream&, QPainterPath&
    128, 63, 0,	//1713  QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>
    25, 175, 0,	//1716  QDataStream&, QPicture&
    359, 359, 0,	//1719  Qt::TouchPointState, Qt::TouchPointState
    265, 97, 0,	//1722  QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>
    353, 495, 0,	//1725  Qt::TextInteractionFlag, int
    434, 477, 0,	//1728  const QPoint&, const QTransform&
    252, 495, 0,	//1731  QStyleOptionFrameV2::FrameFeature, int
    30, 495, 0,	//1734  QDialogButtonBox::StandardButton, int
    255, 255, 0,	//1737  QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature
    25, 285, 0,	//1740  QDataStream&, QVector2D&
    265, 495, 0,	//1743  QTextItem::RenderFlag, int
    391, 0,	//1746  char
    25, 402, 0,	//1748  QDataStream&, const QDateTime&
    153, 495, 0,	//1751  QMainWindow::DockOption, int
    25, 272, 0,	//1754  QDataStream&, QTime&
    264, 96, 0,	//1757  QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>
    434, 495, 0,	//1760  const QPoint&, int
    326, 326, 0,	//1763  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    29, 440, 0,	//1766  QDebug, const QQuaternion&
    252, 87, 0,	//1769  QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>
    25, 473, 0,	//1772  QDataStream&, const QTextFormat&
    316, 106, 0,	//1775  Qt::DropAction, QFlags<Qt::DropAction>
    160, 495, 0,	//1778  QMdiSubWindow::SubWindowOption, int
    316, 316, 0,	//1781  Qt::DropAction, Qt::DropAction
    124, 124, 0,	//1784  QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint
    341, 495, 0,	//1787  Qt::Orientation, int
    136, 136, 0,	//1790  QImageIOPlugin::Capability, QImageIOPlugin::Capability
    25, 440, 0,	//1793  QDataStream&, const QQuaternion&
    29, 403, 0,	//1796  QDebug, const QDir&
    445, 420, 0,	//1799  const QRegion&, const QMatrix&
    29, 445, 0,	//1802  QDebug, const QRegion&
    494, 434, 0,	//1805  float, const QPoint&
    25, 278, 0,	//1808  QDataStream&, QUrl&
    143, 71, 0,	//1811  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    267, 495, 0,	//1814  QTextOption::Flag, int
    465, 19, 0,	//1817  const QString&, QChar
    495, 495, 495, 495, 0,	//1820  int, int, int, int
    341, 114, 0,	//1825  Qt::Orientation, QFlags<Qt::Orientation>
    255, 90, 0,	//1828  QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>
    153, 153, 0,	//1831  QMainWindow::DockOption, QMainWindow::DockOption
    500, 0,	//1834  size_t
    29, 481, 0,	//1836  QDebug, const QVariant&
    152, 152, 0,	//1839  QLocale::NumberOption, QLocale::NumberOption
    25, 417, 0,	//1842  QDataStream&, const QLocale&
    162, 495, 511, 0,	//1845  QMetaObject::Call, int, void**
    169, 471, 425, 0,	//1849  QPainter*, const QStyleOptionViewItem&, const QModelIndex&
    471, 425, 0,	//1853  const QStyleOptionViewItem&, const QModelIndex&
    291, 471, 425, 0,	//1856  QWidget*, const QStyleOptionViewItem&, const QModelIndex&
    169, 471, 441, 465, 0,	//1860  QPainter*, const QStyleOptionViewItem&, const QRect&, const QString&
    169, 471, 441, 432, 0,	//1865  QPainter*, const QStyleOptionViewItem&, const QRect&, const QPixmap&
    169, 471, 441, 0,	//1870  QPainter*, const QStyleOptionViewItem&, const QRect&
    169, 471, 441, 304, 0,	//1874  QPainter*, const QStyleOptionViewItem&, const QRect&, Qt::CheckState
    165, 37, 0,	//1879  QObject*, QEvent*
    37, 2, 471, 425, 0,	//1882  QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&
    37, 0,	//1887  QEvent*
    273, 0,	//1889  QTimerEvent*
    21, 0,	//1891  QChildEvent*
    452, 0,	//1893  const QSqlDatabase&
    201, 0,	//1895  QSql::TableType
    199, 0,	//1897  QSql::NumericalPrecisionPolicy
    205, 465, 0,	//1899  QSqlDriver*, const QString&
    452, 465, 0,	//1902  const QSqlDatabase&, const QString&
    465, 390, 0,	//1905  const QString&, bool
    465, 209, 0,	//1908  const QString&, QSqlDriverCreatorBase*
    205, 0,	//1911  QSqlDriver*
    165, 0,	//1913  QObject*
    457, 390, 0,	//1915  const QSqlField&, bool
    465, 207, 0,	//1918  const QString&, QSqlDriver::IdentifierType
    208, 465, 460, 390, 0,	//1921  QSqlDriver::StatementType, const QString&, const QSqlRecord&, bool
    206, 0,	//1926  QSqlDriver::DriverFeature
    465, 465, 465, 465, 495, 465, 0,	//1928  const QString&, const QString&, const QString&, const QString&, int, const QString&
    390, 0,	//1935  bool
    456, 0,	//1937  const QSqlError&
    457, 0,	//1939  const QSqlField&
    465, 465, 465, 0,	//1941  const QString&, const QString&, const QString&
    465, 465, 465, 465, 0,	//1945  const QString&, const QString&, const QString&, const QString&
    465, 465, 465, 465, 495, 0,	//1950  const QString&, const QString&, const QString&, const QString&, int
    454, 0,	//1956  const QSqlDriverCreatorBase&
    455, 0,	//1958  const QSqlDriverFactoryInterface&
    465, 465, 215, 495, 0,	//1960  const QString&, const QString&, QSqlError::ErrorType, int
    215, 0,	//1965  QSqlError::ErrorType
    465, 465, 215, 0,	//1967  const QString&, const QString&, QSqlError::ErrorType
    465, 283, 0,	//1971  const QString&, QVariant::Type
    481, 0,	//1974  const QVariant&
    283, 0,	//1976  QVariant::Type
    219, 0,	//1978  QSqlField::RequiredStatus
    458, 0,	//1980  const QSqlIndex&
    495, 390, 0,	//1982  int, bool
    236, 0,	//1985  QSqlResult*
    465, 202, 0,	//1987  const QString&, QSqlDatabase
    202, 0,	//1990  QSqlDatabase
    459, 0,	//1992  const QSqlQuery&
    226, 0,	//1994  QSqlQuery::BatchExecutionMode
    465, 481, 82, 0,	//1996  const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>
    495, 481, 82, 0,	//2000  int, const QVariant&, QFlags<QSql::ParamTypeFlag>
    481, 82, 0,	//2004  const QVariant&, QFlags<QSql::ParamTypeFlag>
    465, 481, 0,	//2007  const QString&, const QVariant&
    495, 481, 0,	//2010  int, const QVariant&
    425, 495, 0,	//2013  const QModelIndex&, int
    495, 341, 495, 0,	//2016  int, Qt::Orientation, int
    495, 341, 481, 495, 0,	//2020  int, Qt::Orientation, const QVariant&, int
    465, 452, 0,	//2025  const QString&, const QSqlDatabase&
    495, 341, 0,	//2028  int, Qt::Orientation
    495, 341, 481, 0,	//2031  int, Qt::Orientation, const QVariant&
    495, 495, 0,	//2035  int, int
    460, 0,	//2038  const QSqlRecord&
    495, 457, 0,	//2040  int, const QSqlField&
    461, 0,	//2043  const QSqlRelation&
    291, 425, 0,	//2045  QWidget*, const QModelIndex&
    291, 2, 425, 0,	//2048  QWidget*, QAbstractItemModel*, const QModelIndex&
    165, 202, 0,	//2052  QObject*, QSqlDatabase
    495, 461, 0,	//2055  int, const QSqlRelation&
    235, 0,	//2058  QSqlRelationalTableModel::JoinMode
    495, 460, 0,	//2060  int, const QSqlRecord&
    425, 481, 0,	//2063  const QModelIndex&, const QVariant&
    453, 0,	//2066  const QSqlDriver*
    495, 510, 0,	//2068  int, void*
    240, 0,	//2071  QSqlTableModel::EditStrategy
    495, 229, 0,	//2073  int, QSqlRecord&
    229, 0,	//2076  QSqlRecord&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AfterLastRow",	//1
    "AllTables",	//2
    "BLOB",	//3
    "BatchOperation",	//4
    "BatchOperations",	//5
    "BeforeFirstRow",	//6
    "Binary",	//7
    "ConnectionError",	//8
    "DeleteStatement",	//9
    "DetachFromResultSet",	//10
    "EventNotifications",	//11
    "FieldName",	//12
    "FinishQuery",	//13
    "HighPrecision",	//14
    "In",	//15
    "InOut",	//16
    "InnerJoin",	//17
    "InsertStatement",	//18
    "LastInsertId",	//19
    "LeftJoin",	//20
    "LicensedActiveQt",	//21
    "LicensedCore",	//22
    "LicensedDBus",	//23
    "LicensedDeclarative",	//24
    "LicensedGui",	//25
    "LicensedHelp",	//26
    "LicensedMultimedia",	//27
    "LicensedNetwork",	//28
    "LicensedOpenGL",	//29
    "LicensedOpenVG",	//30
    "LicensedQt3Support",	//31
    "LicensedQt3SupportLight",	//32
    "LicensedScript",	//33
    "LicensedScriptTools",	//34
    "LicensedSql",	//35
    "LicensedSvg",	//36
    "LicensedTest",	//37
    "LicensedXml",	//38
    "LicensedXmlPatterns",	//39
    "LowPrecisionDouble",	//40
    "LowPrecisionInt32",	//41
    "LowPrecisionInt64",	//42
    "LowPrecisionNumbers",	//43
    "MultipleResultSets",	//44
    "NamedBinding",	//45
    "NamedPlaceholders",	//46
    "NextResult",	//47
    "NoError",	//48
    "OnFieldChange",	//49
    "OnManualSubmit",	//50
    "OnRowChange",	//51
    "Optional",	//52
    "Out",	//53
    "PositionalBinding",	//54
    "PositionalPlaceholders",	//55
    "PreparedQueries",	//56
    "QSqlDatabase",	//57
    "QSqlDatabase#",	//58
    "QSqlDatabase$",	//59
    "QSqlDriver",	//60
    "QSqlDriver#",	//61
    "QSqlDriverCreatorBase",	//62
    "QSqlDriverCreatorBase#",	//63
    "QSqlDriverFactoryInterface",	//64
    "QSqlDriverFactoryInterface#",	//65
    "QSqlDriverPlugin",	//66
    "QSqlDriverPlugin#",	//67
    "QSqlError",	//68
    "QSqlError#",	//69
    "QSqlError$",	//70
    "QSqlError$$",	//71
    "QSqlError$$$",	//72
    "QSqlError$$$$",	//73
    "QSqlField",	//74
    "QSqlField#",	//75
    "QSqlField$",	//76
    "QSqlField$$",	//77
    "QSqlIndex",	//78
    "QSqlIndex#",	//79
    "QSqlIndex$",	//80
    "QSqlIndex$$",	//81
    "QSqlQuery",	//82
    "QSqlQuery#",	//83
    "QSqlQuery$",	//84
    "QSqlQuery$#",	//85
    "QSqlQueryModel",	//86
    "QSqlQueryModel#",	//87
    "QSqlRecord",	//88
    "QSqlRecord#",	//89
    "QSqlRelation",	//90
    "QSqlRelation#",	//91
    "QSqlRelation$$$",	//92
    "QSqlRelationalDelegate",	//93
    "QSqlRelationalDelegate#",	//94
    "QSqlRelationalTableModel",	//95
    "QSqlRelationalTableModel#",	//96
    "QSqlRelationalTableModel##",	//97
    "QSqlResult",	//98
    "QSqlResult#",	//99
    "QSqlTableModel",	//100
    "QSqlTableModel#",	//101
    "QSqlTableModel##",	//102
    "QtCriticalMsg",	//103
    "QtDebugMsg",	//104
    "QtFatalMsg",	//105
    "QtSystemMsg",	//106
    "QtWarningMsg",	//107
    "QuerySize",	//108
    "Required",	//109
    "SP_CustomCameraCaptureButton",	//110
    "SP_CustomCameraCaptureButtonPressed",	//111
    "SP_CustomCameraPauseButton",	//112
    "SP_CustomCameraPauseButtonPressed",	//113
    "SP_CustomCameraPlayButton",	//114
    "SP_CustomCameraPlayButtonPressed",	//115
    "SP_CustomCameraRecButton",	//116
    "SP_CustomCameraRecButtonPressed",	//117
    "SP_CustomCameraStopButton",	//118
    "SP_CustomCameraStopButtonPressed",	//119
    "SP_CustomTabAll",	//120
    "SP_CustomTabArtist",	//121
    "SP_CustomTabFavourite",	//122
    "SP_CustomTabGenre",	//123
    "SP_CustomTabLanguage",	//124
    "SP_CustomTabMusicAlbum",	//125
    "SP_CustomTabPhotosAlbum",	//126
    "SP_CustomTabPhotosAll",	//127
    "SP_CustomTabPlaylist",	//128
    "SP_CustomTabServices",	//129
    "SP_CustomTabSongs",	//130
    "SP_CustomTabVideos",	//131
    "SP_CustomToolBarAdd",	//132
    "SP_CustomToolBarAddDetail",	//133
    "SP_CustomToolBarAgain",	//134
    "SP_CustomToolBarAgenda",	//135
    "SP_CustomToolBarAudioOff",	//136
    "SP_CustomToolBarAudioOn",	//137
    "SP_CustomToolBarBack",	//138
    "SP_CustomToolBarBluetoothOff",	//139
    "SP_CustomToolBarBluetoothOn",	//140
    "SP_CustomToolBarCancel",	//141
    "SP_CustomToolBarDelete",	//142
    "SP_CustomToolBarDone",	//143
    "SP_CustomToolBarEdit",	//144
    "SP_CustomToolBarEditDisabled",	//145
    "SP_CustomToolBarEmailSend",	//146
    "SP_CustomToolBarEmergencyCall",	//147
    "SP_CustomToolBarFavouriteAdd",	//148
    "SP_CustomToolBarFavouriteRemove",	//149
    "SP_CustomToolBarFavourites",	//150
    "SP_CustomToolBarGo",	//151
    "SP_CustomToolBarHome",	//152
    "SP_CustomToolBarImageTools",	//153
    "SP_CustomToolBarList",	//154
    "SP_CustomToolBarLock",	//155
    "SP_CustomToolBarLogs",	//156
    "SP_CustomToolBarMenu",	//157
    "SP_CustomToolBarNewContact",	//158
    "SP_CustomToolBarNewGroup",	//159
    "SP_CustomToolBarNextFrame",	//160
    "SP_CustomToolBarNowPlay",	//161
    "SP_CustomToolBarOptions",	//162
    "SP_CustomToolBarOther",	//163
    "SP_CustomToolBarOvi",	//164
    "SP_CustomToolBarPreviousFrame",	//165
    "SP_CustomToolBarRead",	//166
    "SP_CustomToolBarRedo",	//167
    "SP_CustomToolBarRedoDisabled",	//168
    "SP_CustomToolBarRefresh",	//169
    "SP_CustomToolBarRemoveDetail",	//170
    "SP_CustomToolBarRemoveDisabled",	//171
    "SP_CustomToolBarRepeat",	//172
    "SP_CustomToolBarRepeatOff",	//173
    "SP_CustomToolBarRepeatOne",	//174
    "SP_CustomToolBarSearch",	//175
    "SP_CustomToolBarSearchDisabled",	//176
    "SP_CustomToolBarSelectContent",	//177
    "SP_CustomToolBarSelfTimer",	//178
    "SP_CustomToolBarSend",	//179
    "SP_CustomToolBarSendDimmed",	//180
    "SP_CustomToolBarShare",	//181
    "SP_CustomToolBarShift",	//182
    "SP_CustomToolBarShuffle",	//183
    "SP_CustomToolBarShuffleOff",	//184
    "SP_CustomToolBarSignalOff",	//185
    "SP_CustomToolBarSignalOn",	//186
    "SP_CustomToolBarSync",	//187
    "SP_CustomToolBarTools",	//188
    "SP_CustomToolBarTrim",	//189
    "SP_CustomToolBarUnlock",	//190
    "SP_CustomToolBarUnmark",	//191
    "SP_CustomToolBarView",	//192
    "SP_CustomToolBarWlanOff",	//193
    "SP_CustomToolBarWlanOn",	//194
    "SelectStatement",	//195
    "SetNumericalPrecision",	//196
    "SimpleLocking",	//197
    "StatementError",	//198
    "SystemTables",	//199
    "TableName",	//200
    "Tables",	//201
    "TransactionError",	//202
    "Transactions",	//203
    "Unicode",	//204
    "Unknown",	//205
    "UnknownError",	//206
    "UpdateStatement",	//207
    "ValuesAsColumns",	//208
    "ValuesAsRows",	//209
    "Views",	//210
    "WhereStatement",	//211
    "addBindValue",	//212
    "addBindValue#",	//213
    "addBindValue#$",	//214
    "addDatabase",	//215
    "addDatabase#",	//216
    "addDatabase#$",	//217
    "addDatabase$",	//218
    "addDatabase$$",	//219
    "append",	//220
    "append#",	//221
    "append#$",	//222
    "at",	//223
    "beforeDelete",	//224
    "beforeDelete$",	//225
    "beforeInsert",	//226
    "beforeInsert#",	//227
    "beforeUpdate",	//228
    "beforeUpdate$#",	//229
    "beginTransaction",	//230
    "bindValue",	//231
    "bindValue$#",	//232
    "bindValue$#$",	//233
    "bindValueType",	//234
    "bindValueType$",	//235
    "bindingSyntax",	//236
    "boundValue",	//237
    "boundValue$",	//238
    "boundValueCount",	//239
    "boundValueName",	//240
    "boundValueName$",	//241
    "boundValues",	//242
    "buddy",	//243
    "canFetchMore",	//244
    "canFetchMore#",	//245
    "childEvent",	//246
    "clear",	//247
    "clearValues",	//248
    "cloneDatabase",	//249
    "cloneDatabase#$",	//250
    "close",	//251
    "columnCount",	//252
    "columnCount#",	//253
    "commit",	//254
    "commitTransaction",	//255
    "connectNotify",	//256
    "connectOptions",	//257
    "connectionName",	//258
    "connectionNames",	//259
    "contains",	//260
    "contains$",	//261
    "count",	//262
    "create",	//263
    "create$",	//264
    "createEditor",	//265
    "createEditor###",	//266
    "createObject",	//267
    "createResult",	//268
    "cursorName",	//269
    "customEvent",	//270
    "data",	//271
    "data#",	//272
    "data#$",	//273
    "data$",	//274
    "database",	//275
    "database$",	//276
    "database$$",	//277
    "databaseName",	//278
    "databaseText",	//279
    "defaultConnection",	//280
    "defaultValue",	//281
    "deleteRowFromTable",	//282
    "deleteRowFromTable$",	//283
    "detachFromResultSet",	//284
    "disconnectNotify",	//285
    "displayColumn",	//286
    "drawCheck",	//287
    "drawDecoration",	//288
    "drawDisplay",	//289
    "drawFocus",	//290
    "driver",	//291
    "driverName",	//292
    "driverText",	//293
    "drivers",	//294
    "dropMimeData",	//295
    "editStrategy",	//296
    "editorEvent",	//297
    "escapeIdentifier",	//298
    "escapeIdentifier$$",	//299
    "event",	//300
    "eventFilter",	//301
    "exec",	//302
    "exec$",	//303
    "execBatch",	//304
    "execBatch$",	//305
    "executedQuery",	//306
    "fetch",	//307
    "fetch$",	//308
    "fetchFirst",	//309
    "fetchLast",	//310
    "fetchMore",	//311
    "fetchMore#",	//312
    "fetchNext",	//313
    "fetchPrevious",	//314
    "field",	//315
    "field$",	//316
    "fieldIndex",	//317
    "fieldIndex$",	//318
    "fieldName",	//319
    "fieldName$",	//320
    "filter",	//321
    "finish",	//322
    "first",	//323
    "flags",	//324
    "flags#",	//325
    "formatValue",	//326
    "formatValue#",	//327
    "formatValue#$",	//328
    "handle",	//329
    "hasFeature",	//330
    "hasFeature$",	//331
    "hasOutValues",	//332
    "headerData",	//333
    "headerData$$",	//334
    "headerData$$$",	//335
    "hostName",	//336
    "index",	//337
    "indexColumn",	//338
    "indexInQuery",	//339
    "indexInQuery#",	//340
    "indexOf",	//341
    "indexOf$",	//342
    "insert",	//343
    "insert$#",	//344
    "insertColumns",	//345
    "insertColumns$$",	//346
    "insertColumns$$#",	//347
    "insertRecord",	//348
    "insertRecord$#",	//349
    "insertRowIntoTable",	//350
    "insertRowIntoTable#",	//351
    "insertRows",	//352
    "insertRows$$",	//353
    "insertRows$$#",	//354
    "isActive",	//355
    "isAutoValue",	//356
    "isDescending",	//357
    "isDescending$",	//358
    "isDirty",	//359
    "isDirty#",	//360
    "isDriverAvailable",	//361
    "isDriverAvailable$",	//362
    "isEmpty",	//363
    "isForwardOnly",	//364
    "isGenerated",	//365
    "isGenerated$",	//366
    "isIdentifierEscaped",	//367
    "isIdentifierEscaped$$",	//368
    "isIdentifierEscapedImplementation",	//369
    "isIdentifierEscapedImplementation$$",	//370
    "isNull",	//371
    "isNull$",	//372
    "isOpen",	//373
    "isOpenError",	//374
    "isReadOnly",	//375
    "isSelect",	//376
    "isValid",	//377
    "itemData",	//378
    "keys",	//379
    "last",	//380
    "lastError",	//381
    "lastInsertId",	//382
    "lastQuery",	//383
    "length",	//384
    "match",	//385
    "metaObject",	//386
    "mimeData",	//387
    "mimeTypes",	//388
    "name",	//389
    "next",	//390
    "nextResult",	//391
    "notification",	//392
    "notification$",	//393
    "numRowsAffected",	//394
    "number",	//395
    "numericalPrecisionPolicy",	//396
    "open",	//397
    "open$",	//398
    "open$$",	//399
    "open$$$",	//400
    "open$$$$",	//401
    "open$$$$$",	//402
    "open$$$$$$",	//403
    "operator!=",	//404
    "operator!=#",	//405
    "operator!=##",	//406
    "operator!=#$",	//407
    "operator!=$#",	//408
    "operator&",	//409
    "operator&##",	//410
    "operator*",	//411
    "operator*##",	//412
    "operator*#$",	//413
    "operator*$#",	//414
    "operator+",	//415
    "operator+##",	//416
    "operator+#$",	//417
    "operator+$#",	//418
    "operator+$$",	//419
    "operator-",	//420
    "operator-#",	//421
    "operator-##",	//422
    "operator-#$",	//423
    "operator/",	//424
    "operator/#$",	//425
    "operator<",	//426
    "operator<##",	//427
    "operator<#$",	//428
    "operator<$#",	//429
    "operator<<",	//430
    "operator<<##",	//431
    "operator<<#$",	//432
    "operator<<#?",	//433
    "operator<=",	//434
    "operator<=##",	//435
    "operator<=#$",	//436
    "operator<=$#",	//437
    "operator=",	//438
    "operator=#",	//439
    "operator==",	//440
    "operator==#",	//441
    "operator==##",	//442
    "operator==#$",	//443
    "operator==$#",	//444
    "operator>",	//445
    "operator>##",	//446
    "operator>#$",	//447
    "operator>$#",	//448
    "operator>=",	//449
    "operator>=##",	//450
    "operator>=#$",	//451
    "operator>=$#",	//452
    "operator>>",	//453
    "operator>>##",	//454
    "operator>>#$",	//455
    "operator>>#?",	//456
    "operator^",	//457
    "operator^##",	//458
    "operator|",	//459
    "operator|##",	//460
    "operator|$$",	//461
    "orderByClause",	//462
    "paint",	//463
    "password",	//464
    "port",	//465
    "precision",	//466
    "prepare",	//467
    "prepare$",	//468
    "previous",	//469
    "primaryIndex",	//470
    "primaryIndex$",	//471
    "primaryKey",	//472
    "primeInsert",	//473
    "primeInsert$#",	//474
    "qAccessibleActionCastHelper",	//475
    "qAccessibleEditableTextCastHelper",	//476
    "qAccessibleImageCastHelper",	//477
    "qAccessibleTable2CastHelper",	//478
    "qAccessibleTableCastHelper",	//479
    "qAccessibleTextCastHelper",	//480
    "qAccessibleValueCastHelper",	//481
    "qAcos",	//482
    "qAcos$",	//483
    "qAddPostRoutine",	//484
    "qAddPostRoutine$",	//485
    "qAlpha",	//486
    "qAlpha$",	//487
    "qAppName",	//488
    "qAsin",	//489
    "qAsin$",	//490
    "qAtan",	//491
    "qAtan$",	//492
    "qAtan2",	//493
    "qAtan2$$",	//494
    "qBadAlloc",	//495
    "qBlue",	//496
    "qBlue$",	//497
    "qCeil",	//498
    "qCeil$",	//499
    "qChecksum",	//500
    "qChecksum$$",	//501
    "qCompress",	//502
    "qCompress#",	//503
    "qCompress#$",	//504
    "qCompress$$",	//505
    "qCompress$$$",	//506
    "qCos",	//507
    "qCos$",	//508
    "qCritical",	//509
    "qDebug",	//510
    "qDrawBorderPixmap",	//511
    "qDrawBorderPixmap####",	//512
    "qDrawBorderPixmap######",	//513
    "qDrawBorderPixmap#######",	//514
    "qDrawBorderPixmap#######$",	//515
    "qDrawPlainRect",	//516
    "qDrawPlainRect###",	//517
    "qDrawPlainRect###$",	//518
    "qDrawPlainRect###$#",	//519
    "qDrawPlainRect#$$$$#",	//520
    "qDrawPlainRect#$$$$#$",	//521
    "qDrawPlainRect#$$$$#$#",	//522
    "qDrawShadeLine",	//523
    "qDrawShadeLine####",	//524
    "qDrawShadeLine####$",	//525
    "qDrawShadeLine####$$",	//526
    "qDrawShadeLine####$$$",	//527
    "qDrawShadeLine#$$$$#",	//528
    "qDrawShadeLine#$$$$#$",	//529
    "qDrawShadeLine#$$$$#$$",	//530
    "qDrawShadeLine#$$$$#$$$",	//531
    "qDrawShadePanel",	//532
    "qDrawShadePanel###",	//533
    "qDrawShadePanel###$",	//534
    "qDrawShadePanel###$$",	//535
    "qDrawShadePanel###$$#",	//536
    "qDrawShadePanel#$$$$#",	//537
    "qDrawShadePanel#$$$$#$",	//538
    "qDrawShadePanel#$$$$#$$",	//539
    "qDrawShadePanel#$$$$#$$#",	//540
    "qDrawShadeRect",	//541
    "qDrawShadeRect###",	//542
    "qDrawShadeRect###$",	//543
    "qDrawShadeRect###$$",	//544
    "qDrawShadeRect###$$$",	//545
    "qDrawShadeRect###$$$#",	//546
    "qDrawShadeRect#$$$$#",	//547
    "qDrawShadeRect#$$$$#$",	//548
    "qDrawShadeRect#$$$$#$$",	//549
    "qDrawShadeRect#$$$$#$$$",	//550
    "qDrawShadeRect#$$$$#$$$#",	//551
    "qDrawWinButton",	//552
    "qDrawWinButton###",	//553
    "qDrawWinButton###$",	//554
    "qDrawWinButton###$#",	//555
    "qDrawWinButton#$$$$#",	//556
    "qDrawWinButton#$$$$#$",	//557
    "qDrawWinButton#$$$$#$#",	//558
    "qDrawWinPanel",	//559
    "qDrawWinPanel###",	//560
    "qDrawWinPanel###$",	//561
    "qDrawWinPanel###$#",	//562
    "qDrawWinPanel#$$$$#",	//563
    "qDrawWinPanel#$$$$#$",	//564
    "qDrawWinPanel#$$$$#$#",	//565
    "qExp",	//566
    "qExp$",	//567
    "qFabs",	//568
    "qFabs$",	//569
    "qFastCos",	//570
    "qFastCos$",	//571
    "qFastSin",	//572
    "qFastSin$",	//573
    "qFlagLocation",	//574
    "qFlagLocation$",	//575
    "qFloor",	//576
    "qFloor$",	//577
    "qFree",	//578
    "qFree$",	//579
    "qFreeAligned",	//580
    "qFreeAligned$",	//581
    "qFuzzyCompare",	//582
    "qFuzzyCompare##",	//583
    "qFuzzyCompare$$",	//584
    "qFuzzyIsNull",	//585
    "qFuzzyIsNull$",	//586
    "qGray",	//587
    "qGray$",	//588
    "qGray$$$",	//589
    "qGreen",	//590
    "qGreen$",	//591
    "qHash",	//592
    "qHash#",	//593
    "qHash$",	//594
    "qInf",	//595
    "qInstallMsgHandler",	//596
    "qInstallMsgHandler$",	//597
    "qIntCast",	//598
    "qIntCast$",	//599
    "qIsFinite",	//600
    "qIsFinite$",	//601
    "qIsGray",	//602
    "qIsGray$",	//603
    "qIsInf",	//604
    "qIsInf$",	//605
    "qIsNaN",	//606
    "qIsNaN$",	//607
    "qIsNull",	//608
    "qIsNull$",	//609
    "qLn",	//610
    "qLn$",	//611
    "qMalloc",	//612
    "qMalloc$",	//613
    "qMallocAligned",	//614
    "qMallocAligned$$",	//615
    "qMemCopy",	//616
    "qMemCopy$$$",	//617
    "qMemSet",	//618
    "qMemSet$$$",	//619
    "qPow",	//620
    "qPow$$",	//621
    "qQNaN",	//622
    "qRealloc",	//623
    "qRealloc$$",	//624
    "qReallocAligned",	//625
    "qReallocAligned$$$$",	//626
    "qRed",	//627
    "qRed$",	//628
    "qRegisterStaticPluginInstanceFunction",	//629
    "qRegisterStaticPluginInstanceFunction#",	//630
    "qRemovePostRoutine",	//631
    "qRemovePostRoutine$",	//632
    "qRgb",	//633
    "qRgb$$$",	//634
    "qRgba",	//635
    "qRgba$$$$",	//636
    "qRound",	//637
    "qRound$",	//638
    "qRound64",	//639
    "qRound64$",	//640
    "qSNaN",	//641
    "qSetFieldWidth",	//642
    "qSetFieldWidth$",	//643
    "qSetPadChar",	//644
    "qSetPadChar#",	//645
    "qSetRealNumberPrecision",	//646
    "qSetRealNumberPrecision$",	//647
    "qSharedBuild",	//648
    "qSin",	//649
    "qSin$",	//650
    "qSqrt",	//651
    "qSqrt$",	//652
    "qStringComparisonHelper",	//653
    "qStringComparisonHelper#$",	//654
    "qTan",	//655
    "qTan$",	//656
    "qUncompress",	//657
    "qUncompress#",	//658
    "qUncompress$$",	//659
    "qVersion",	//660
    "qWarning",	//661
    "qbswap_helper",	//662
    "qbswap_helper$$$",	//663
    "qgetenv",	//664
    "qgetenv$",	//665
    "qputenv",	//666
    "qputenv$#",	//667
    "qrand",	//668
    "qsrand",	//669
    "qsrand$",	//670
    "qstrcmp",	//671
    "qstrcmp##",	//672
    "qstrcmp#$",	//673
    "qstrcmp$#",	//674
    "qstrcmp$$",	//675
    "qstrcpy",	//676
    "qstrcpy$$",	//677
    "qstrdup",	//678
    "qstrdup$",	//679
    "qstricmp",	//680
    "qstricmp$$",	//681
    "qstrlen",	//682
    "qstrlen$",	//683
    "qstrncmp",	//684
    "qstrncmp$$$",	//685
    "qstrncpy",	//686
    "qstrncpy$$$",	//687
    "qstrnicmp",	//688
    "qstrnicmp$$$",	//689
    "qstrnlen",	//690
    "qstrnlen$$",	//691
    "qtTrId",	//692
    "qtTrId$",	//693
    "qtTrId$$",	//694
    "qt_assert",	//695
    "qt_assert$$$",	//696
    "qt_assert_x",	//697
    "qt_assert_x$$$$",	//698
    "qt_check_pointer",	//699
    "qt_check_pointer$$",	//700
    "qt_error_string",	//701
    "qt_error_string$",	//702
    "qt_message_output",	//703
    "qt_message_output$$",	//704
    "qt_metacall",	//705
    "qt_metacall$$?",	//706
    "qt_metacast",	//707
    "qt_metacast$",	//708
    "qt_noop",	//709
    "qt_qFindChild_helper",	//710
    "qt_qFindChild_helper#$#",	//711
    "qt_qFindChildren_helper",	//712
    "qt_qFindChildren_helper#$##?",	//713
    "query",	//714
    "queryChange",	//715
    "qvariant_cast_helper",	//716
    "qvariant_cast_helper#$$",	//717
    "qvsnprintf",	//718
    "qvsnprintf$$$?",	//719
    "record",	//720
    "record$",	//721
    "registerSqlDriver",	//722
    "registerSqlDriver$#",	//723
    "relation",	//724
    "relation$",	//725
    "relationModel",	//726
    "relationModel$",	//727
    "remove",	//728
    "remove$",	//729
    "removeColumns",	//730
    "removeColumns$$",	//731
    "removeColumns$$#",	//732
    "removeDatabase",	//733
    "removeDatabase$",	//734
    "removeRows",	//735
    "removeRows$$",	//736
    "removeRows$$#",	//737
    "replace",	//738
    "replace$#",	//739
    "requiredStatus",	//740
    "reset",	//741
    "reset$",	//742
    "result",	//743
    "revert",	//744
    "revertAll",	//745
    "revertRow",	//746
    "revertRow$",	//747
    "rollback",	//748
    "rollbackTransaction",	//749
    "rowCount",	//750
    "rowCount#",	//751
    "savePrepare",	//752
    "savePrepare$",	//753
    "seek",	//754
    "seek$",	//755
    "seek$$",	//756
    "select",	//757
    "selectStatement",	//758
    "setActive",	//759
    "setActive$",	//760
    "setAt",	//761
    "setAt$",	//762
    "setAutoValue",	//763
    "setAutoValue$",	//764
    "setConnectOptions",	//765
    "setConnectOptions$",	//766
    "setCursorName",	//767
    "setCursorName$",	//768
    "setData",	//769
    "setData##",	//770
    "setData##$",	//771
    "setDatabaseName",	//772
    "setDatabaseName$",	//773
    "setDatabaseText",	//774
    "setDatabaseText$",	//775
    "setDefaultConnection",	//776
    "setDefaultConnection$",	//777
    "setDefaultValue",	//778
    "setDefaultValue#",	//779
    "setDescending",	//780
    "setDescending$$",	//781
    "setDriverText",	//782
    "setDriverText$",	//783
    "setEditStrategy",	//784
    "setEditStrategy$",	//785
    "setEditorData",	//786
    "setEditorData##",	//787
    "setFilter",	//788
    "setFilter$",	//789
    "setForwardOnly",	//790
    "setForwardOnly$",	//791
    "setGenerated",	//792
    "setGenerated$",	//793
    "setGenerated$$",	//794
    "setHeaderData",	//795
    "setHeaderData$$#",	//796
    "setHeaderData$$#$",	//797
    "setHostName",	//798
    "setHostName$",	//799
    "setItemData",	//800
    "setJoinMode",	//801
    "setJoinMode$",	//802
    "setLastError",	//803
    "setLastError#",	//804
    "setLength",	//805
    "setLength$",	//806
    "setModelData",	//807
    "setModelData###",	//808
    "setName",	//809
    "setName$",	//810
    "setNull",	//811
    "setNull$",	//812
    "setNumber",	//813
    "setNumber$",	//814
    "setNumericalPrecisionPolicy",	//815
    "setNumericalPrecisionPolicy$",	//816
    "setOpen",	//817
    "setOpen$",	//818
    "setOpenError",	//819
    "setOpenError$",	//820
    "setPassword",	//821
    "setPassword$",	//822
    "setPort",	//823
    "setPort$",	//824
    "setPrecision",	//825
    "setPrecision$",	//826
    "setPrimaryKey",	//827
    "setPrimaryKey#",	//828
    "setQuery",	//829
    "setQuery#",	//830
    "setQuery$",	//831
    "setQuery$#",	//832
    "setReadOnly",	//833
    "setReadOnly$",	//834
    "setRecord",	//835
    "setRecord$#",	//836
    "setRelation",	//837
    "setRelation$#",	//838
    "setRequired",	//839
    "setRequired$",	//840
    "setRequiredStatus",	//841
    "setRequiredStatus$",	//842
    "setSelect",	//843
    "setSelect$",	//844
    "setSort",	//845
    "setSort$$",	//846
    "setSqlType",	//847
    "setSqlType$",	//848
    "setTable",	//849
    "setTable$",	//850
    "setType",	//851
    "setType$",	//852
    "setUserName",	//853
    "setUserName$",	//854
    "setValue",	//855
    "setValue#",	//856
    "setValue$#",	//857
    "size",	//858
    "sizeHint",	//859
    "sort",	//860
    "sort$$",	//861
    "span",	//862
    "sqlStatement",	//863
    "sqlStatement$$#$",	//864
    "staticMetaObject",	//865
    "stripDelimiters",	//866
    "stripDelimiters$$",	//867
    "stripDelimitersImplementation",	//868
    "stripDelimitersImplementation$$",	//869
    "submit",	//870
    "submitAll",	//871
    "subscribeToNotification",	//872
    "subscribeToNotification$",	//873
    "subscribeToNotificationImplementation",	//874
    "subscribeToNotificationImplementation$",	//875
    "subscribedToNotifications",	//876
    "subscribedToNotificationsImplementation",	//877
    "supportedDropActions",	//878
    "tableName",	//879
    "tables",	//880
    "tables$",	//881
    "text",	//882
    "timerEvent",	//883
    "tr",	//884
    "tr$",	//885
    "tr$$",	//886
    "tr$$$",	//887
    "trUtf8",	//888
    "trUtf8$",	//889
    "trUtf8$$",	//890
    "trUtf8$$$",	//891
    "transaction",	//892
    "type",	//893
    "typeID",	//894
    "unsubscribeFromNotification",	//895
    "unsubscribeFromNotification$",	//896
    "unsubscribeFromNotificationImplementation",	//897
    "unsubscribeFromNotificationImplementation$",	//898
    "updateEditorGeometry",	//899
    "updateRowInTable",	//900
    "updateRowInTable$#",	//901
    "userName",	//902
    "value",	//903
    "value$",	//904
    "virtual_hook",	//905
    "virtual_hook$$",	//906
    "~QSqlDatabase",	//907
    "~QSqlDriver",	//908
    "~QSqlDriverCreatorBase",	//909
    "~QSqlDriverFactoryInterface",	//910
    "~QSqlDriverPlugin",	//911
    "~QSqlError",	//912
    "~QSqlField",	//913
    "~QSqlIndex",	//914
    "~QSqlQuery",	//915
    "~QSqlQueryModel",	//916
    "~QSqlRecord",	//917
    "~QSqlRelation",	//918
    "~QSqlRelationalDelegate",	//919
    "~QSqlRelationalTableModel",	//920
    "~QSqlResult",	//921
    "~QSqlTableModel",	//922
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 769, 1, 3, Smoke::mf_virtual, 390, 0},	//1 QAbstractItemModel::setData(const QModelIndex&, const QVariant&, int)
    {1, 378, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 155, 0},	//2 QAbstractItemModel::itemData(const QModelIndex&) const
    {1, 800, 7, 2, Smoke::mf_virtual, 390, 0},	//3 QAbstractItemModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {1, 388, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 246, 0},	//4 QAbstractItemModel::mimeTypes() const
    {1, 387, 10, 1, Smoke::mf_const|Smoke::mf_virtual, 163, 0},	//5 QAbstractItemModel::mimeData(const QList<QModelIndex>&) const
    {1, 878, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 106, 0},	//6 QAbstractItemModel::supportedDropActions() const
    {1, 352, 12, 3, Smoke::mf_virtual, 390, 0},	//7 QAbstractItemModel::insertRows(int, int, const QModelIndex&)
    {1, 735, 12, 3, Smoke::mf_virtual, 390, 0},	//8 QAbstractItemModel::removeRows(int, int, const QModelIndex&)
    {1, 324, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 110, 0},	//9 QAbstractItemModel::flags(const QModelIndex&) const
    {1, 860, 16, 2, Smoke::mf_virtual, 0, 0},	//10 QAbstractItemModel::sort(int, Qt::SortOrder)
    {1, 243, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 164, 0},	//11 QAbstractItemModel::buddy(const QModelIndex&) const
    {1, 385, 19, 5, Smoke::mf_const|Smoke::mf_virtual, 148, 0},	//12 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {1, 862, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 192, 0},	//13 QAbstractItemModel::span(const QModelIndex&) const
    {1, 870, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 390, 0},	//14 QAbstractItemModel::submit()
    {1, 744, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//15 QAbstractItemModel::revert()
    {2, 337, 12, 3, Smoke::mf_const|Smoke::mf_virtual, 164, 0},	//16 QAbstractTableModel::index(int, int, const QModelIndex&) const
    {2, 295, 25, 5, Smoke::mf_virtual, 390, 0},	//17 QAbstractTableModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {19, 379, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 246, 0},	//18 QFactoryInterface::keys() const [pure virtual]
    {21, 409, 31, 2, Smoke::mf_static, 13, 1},	//19 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {21, 509, 0, 0, Smoke::mf_static, 29, 2},	//20 QGlobalSpace::qCritical()
    {21, 592, 34, 1, Smoke::mf_static, 503, 3},	//21 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {21, 459, 36, 2, Smoke::mf_static, 137, 4},	//22 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {21, 695, 39, 3, Smoke::mf_static, 0, 5},	//23 QGlobalSpace::qt_assert(const char*, const char*, int)
    {21, 459, 43, 2, Smoke::mf_static, 60, 6},	//24 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    {21, 411, 46, 2, Smoke::mf_static, 433, 7},	//25 QGlobalSpace::operator*(const QPoint&, double)
    {21, 604, 49, 1, Smoke::mf_static, 390, 8},	//26 QGlobalSpace::qIsInf(double)
    {21, 430, 51, 2, Smoke::mf_static, 29, 9},	//27 QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    {21, 411, 54, 2, Smoke::mf_static, 435, 10},	//28 QGlobalSpace::operator*(double, const QPointF&)
    {21, 459, 57, 2, Smoke::mf_static, 113, 11},	//29 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {21, 404, 60, 2, Smoke::mf_static, 390, 12},	//30 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {21, 430, 63, 2, Smoke::mf_static, 29, 13},	//31 QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    {21, 411, 66, 2, Smoke::mf_static, 448, 14},	//32 QGlobalSpace::operator*(double, const QSizeF&)
    {21, 459, 69, 2, Smoke::mf_static, 137, 15},	//33 QGlobalSpace::operator|(QDir::SortFlag, int)
    {21, 459, 72, 2, Smoke::mf_static, 42, 16},	//34 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    {21, 430, 75, 2, Smoke::mf_static, 29, 17},	//35 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {21, 453, 78, 2, Smoke::mf_static, 25, 18},	//36 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {21, 430, 81, 2, Smoke::mf_static, 25, 19},	//37 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {21, 459, 84, 2, Smoke::mf_static, 137, 20},	//38 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {21, 459, 87, 2, Smoke::mf_static, 137, 21},	//39 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    {21, 430, 90, 2, Smoke::mf_static, 29, 22},	//40 QGlobalSpace::operator<<(QDebug, const QTransform&)
    {21, 676, 93, 2, Smoke::mf_static, 392, 23},	//41 QGlobalSpace::qstrcpy(char*, const char*)
    {21, 404, 96, 2, Smoke::mf_static, 390, 24},	//42 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {21, 415, 99, 2, Smoke::mf_static, 446, 25},	//43 QGlobalSpace::operator+(const QSize&, const QSize&)
    {21, 568, 49, 1, Smoke::mf_static, 493, 26},	//44 QGlobalSpace::qFabs(double)
    {21, 430, 102, 2, Smoke::mf_static, 25, 27},	//45 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {21, 459, 105, 2, Smoke::mf_static, 93, 28},	//46 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {21, 430, 108, 2, Smoke::mf_static, 29, 29},	//47 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {21, 622, 0, 0, Smoke::mf_static, 493, 30},	//48 QGlobalSpace::qQNaN()
    {21, 420, 111, 2, Smoke::mf_static, 157, 31},	//49 QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    {21, 592, 114, 1, Smoke::mf_static, 503, 32},	//50 QGlobalSpace::qHash(unsigned char)
    {21, 459, 116, 2, Smoke::mf_static, 50, 33},	//51 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {21, 420, 119, 2, Smoke::mf_static, 488, 34},	//52 QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    {21, 411, 122, 2, Smoke::mf_static, 180, 35},	//53 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {21, 459, 125, 2, Smoke::mf_static, 78, 36},	//54 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    {21, 411, 128, 2, Smoke::mf_static, 144, 37},	//55 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {21, 660, 0, 0, Smoke::mf_static, 490, 38},	//56 QGlobalSpace::qVersion()
    {21, 582, 131, 2, Smoke::mf_static, 390, 39},	//57 QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    {21, 459, 134, 2, Smoke::mf_static, 55, 40},	//58 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {21, 440, 60, 2, Smoke::mf_static, 390, 41},	//59 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {21, 459, 137, 2, Smoke::mf_static, 118, 42},	//60 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {21, 411, 140, 2, Smoke::mf_static, 448, 43},	//61 QGlobalSpace::operator*(const QSizeF&, double)
    {21, 430, 143, 2, Smoke::mf_static, 25, 44},	//62 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {21, 459, 146, 2, Smoke::mf_static, 137, 45},	//63 QGlobalSpace::operator|(QDir::Filter, int)
    {21, 582, 149, 2, Smoke::mf_static, 390, 46},	//64 QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    {21, 498, 49, 1, Smoke::mf_static, 495, 47},	//65 QGlobalSpace::qCeil(double)
    {21, 668, 0, 0, Smoke::mf_static, 495, 48},	//66 QGlobalSpace::qrand()
    {21, 587, 152, 1, Smoke::mf_static, 495, 49},	//67 QGlobalSpace::qGray(unsigned int)
    {21, 459, 154, 2, Smoke::mf_static, 57, 50},	//68 QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    {21, 420, 157, 2, Smoke::mf_static, 448, 51},	//69 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {21, 449, 160, 2, Smoke::mf_static, 390, 52},	//70 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {21, 440, 163, 2, Smoke::mf_static, 390, 53},	//71 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {21, 420, 166, 1, Smoke::mf_static, 439, 54},	//72 QGlobalSpace::operator-(const QQuaternion&)
    {21, 459, 168, 2, Smoke::mf_static, 43, 55},	//73 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    {21, 459, 171, 2, Smoke::mf_static, 113, 56},	//74 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {21, 430, 174, 2, Smoke::mf_static, 29, 57},	//75 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {21, 627, 152, 1, Smoke::mf_static, 495, 58},	//76 QGlobalSpace::qRed(unsigned int)
    {21, 404, 177, 2, Smoke::mf_static, 390, 59},	//77 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {21, 411, 180, 2, Smoke::mf_static, 439, 60},	//78 QGlobalSpace::operator*(const QQuaternion&, double)
    {21, 440, 183, 2, Smoke::mf_static, 390, 61},	//79 QGlobalSpace::operator==(QBool, QBool)
    {21, 459, 186, 2, Smoke::mf_static, 89, 62},	//80 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    {21, 459, 189, 2, Smoke::mf_static, 88, 63},	//81 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    {21, 459, 192, 2, Smoke::mf_static, 58, 64},	//82 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    {21, 459, 195, 2, Smoke::mf_static, 104, 65},	//83 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {21, 592, 198, 1, Smoke::mf_static, 503, 66},	//84 QGlobalSpace::qHash(const QStringRef&)
    {21, 459, 200, 2, Smoke::mf_static, 96, 67},	//85 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    {21, 440, 203, 2, Smoke::mf_static, 390, 68},	//86 QGlobalSpace::operator==(QString::Null, QString::Null)
    {21, 430, 206, 2, Smoke::mf_static, 29, 69},	//87 QGlobalSpace::operator<<(QDebug, const QFont&)
    {21, 459, 209, 2, Smoke::mf_static, 137, 70},	//88 QGlobalSpace::operator|(QSql::ParamTypeFlag, int)
    {21, 430, 212, 2, Smoke::mf_static, 29, 71},	//89 QGlobalSpace::operator<<(QDebug, const QPolygon&)
    {21, 430, 215, 2, Smoke::mf_static, 25, 72},	//90 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {21, 459, 218, 2, Smoke::mf_static, 82, 73},	//91 QGlobalSpace::operator|(QSql::ParamTypeFlag, QSql::ParamTypeFlag)
    {21, 453, 221, 2, Smoke::mf_static, 25, 74},	//92 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {21, 486, 152, 1, Smoke::mf_static, 495, 75},	//93 QGlobalSpace::qAlpha(unsigned int)
    {21, 459, 224, 2, Smoke::mf_static, 137, 76},	//94 QGlobalSpace::operator|(QStyle::SubControl, int)
    {21, 459, 227, 2, Smoke::mf_static, 53, 77},	//95 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    {21, 415, 230, 2, Smoke::mf_static, 464, 78},	//96 QGlobalSpace::operator+(QChar, const QString&)
    {21, 590, 152, 1, Smoke::mf_static, 495, 79},	//97 QGlobalSpace::qGreen(unsigned int)
    {21, 459, 233, 2, Smoke::mf_static, 67, 80},	//98 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {21, 420, 236, 1, Smoke::mf_static, 484, 81},	//99 QGlobalSpace::operator-(const QVector2D&)
    {21, 532, 238, 6, Smoke::mf_static, 0, 82},	//100 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*)
    {21, 532, 245, 3, Smoke::mf_static, 0, 83},	//101 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&)
    {21, 532, 249, 4, Smoke::mf_static, 0, 84},	//102 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool)
    {21, 532, 254, 5, Smoke::mf_static, 0, 85},	//103 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int)
    {21, 459, 260, 2, Smoke::mf_static, 50, 86},	//104 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {21, 430, 263, 2, Smoke::mf_static, 25, 87},	//105 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {21, 430, 266, 2, Smoke::mf_static, 29, 88},	//106 QGlobalSpace::operator<<(QDebug, const QTime&)
    {21, 411, 119, 2, Smoke::mf_static, 488, 89},	//107 QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    {21, 411, 269, 2, Smoke::mf_static, 439, 90},	//108 QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    {21, 459, 272, 2, Smoke::mf_static, 94, 91},	//109 QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    {21, 430, 275, 2, Smoke::mf_static, 25, 92},	//110 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {21, 430, 278, 2, Smoke::mf_static, 29, 93},	//111 QGlobalSpace::operator<<(QDebug, const QDate&)
    {21, 592, 281, 1, Smoke::mf_static, 503, 94},	//112 QGlobalSpace::qHash(const QBitArray&)
    {21, 459, 283, 2, Smoke::mf_static, 95, 95},	//113 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    {21, 491, 49, 1, Smoke::mf_static, 493, 96},	//114 QGlobalSpace::qAtan(double)
    {21, 662, 286, 3, Smoke::mf_static, 0, 97},	//115 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {21, 459, 290, 2, Smoke::mf_static, 46, 98},	//116 QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    {21, 411, 293, 2, Smoke::mf_static, 184, 99},	//117 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {21, 716, 296, 3, Smoke::mf_static, 390, 100},	//118 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {21, 592, 300, 1, Smoke::mf_static, 503, 101},	//119 QGlobalSpace::qHash(const QString&)
    {21, 592, 302, 1, Smoke::mf_static, 503, 102},	//120 QGlobalSpace::qHash(unsigned short)
    {21, 629, 304, 1, Smoke::mf_static, 0, 103},	//121 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {21, 592, 306, 1, Smoke::mf_static, 503, 104},	//122 QGlobalSpace::qHash(long)
    {21, 459, 308, 2, Smoke::mf_static, 116, 105},	//123 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {21, 592, 311, 1, Smoke::mf_static, 503, 106},	//124 QGlobalSpace::qHash(long long)
    {21, 430, 313, 2, Smoke::mf_static, 29, 107},	//125 QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    {21, 415, 157, 2, Smoke::mf_static, 448, 108},	//126 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {21, 552, 316, 8, Smoke::mf_static, 0, 109},	//127 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {21, 552, 325, 6, Smoke::mf_static, 0, 110},	//128 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&)
    {21, 552, 332, 7, Smoke::mf_static, 0, 111},	//129 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool)
    {21, 459, 340, 2, Smoke::mf_static, 80, 112},	//130 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>)
    {21, 459, 343, 2, Smoke::mf_static, 137, 113},	//131 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {21, 430, 346, 2, Smoke::mf_static, 29, 114},	//132 QGlobalSpace::operator<<(QDebug, const QColor&)
    {21, 459, 349, 2, Smoke::mf_static, 137, 115},	//133 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    {21, 459, 352, 2, Smoke::mf_static, 137, 116},	//134 QGlobalSpace::operator|(Qt::DropAction, int)
    {21, 541, 355, 10, Smoke::mf_static, 0, 117},	//135 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*)
    {21, 541, 325, 6, Smoke::mf_static, 0, 118},	//136 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&)
    {21, 541, 332, 7, Smoke::mf_static, 0, 119},	//137 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool)
    {21, 541, 366, 8, Smoke::mf_static, 0, 120},	//138 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {21, 541, 375, 9, Smoke::mf_static, 0, 121},	//139 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {21, 507, 49, 1, Smoke::mf_static, 493, 122},	//140 QGlobalSpace::qCos(double)
    {21, 430, 385, 2, Smoke::mf_static, 25, 123},	//141 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {21, 459, 388, 2, Smoke::mf_static, 41, 124},	//142 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {21, 453, 391, 2, Smoke::mf_static, 25, 125},	//143 QGlobalSpace::operator>>(QDataStream&, QPen&)
    {21, 669, 152, 1, Smoke::mf_static, 0, 126},	//144 QGlobalSpace::qsrand(unsigned int)
    {21, 604, 394, 1, Smoke::mf_static, 390, 127},	//145 QGlobalSpace::qIsInf(float)
    {21, 459, 396, 2, Smoke::mf_static, 60, 128},	//146 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    {21, 459, 399, 2, Smoke::mf_static, 104, 129},	//147 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {21, 453, 402, 2, Smoke::mf_static, 25, 130},	//148 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {21, 459, 405, 2, Smoke::mf_static, 137, 131},	//149 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {21, 430, 408, 2, Smoke::mf_static, 25, 132},	//150 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {21, 459, 411, 2, Smoke::mf_static, 137, 133},	//151 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {21, 459, 414, 2, Smoke::mf_static, 52, 134},	//152 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {21, 426, 417, 2, Smoke::mf_static, 390, 135},	//153 QGlobalSpace::operator<(const QByteArray&, const char*)
    {21, 459, 420, 2, Smoke::mf_static, 62, 136},	//154 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    {21, 459, 423, 2, Smoke::mf_static, 137, 137},	//155 QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    {21, 430, 426, 2, Smoke::mf_static, 29, 138},	//156 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {21, 459, 429, 2, Smoke::mf_static, 105, 139},	//157 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {21, 459, 432, 2, Smoke::mf_static, 137, 140},	//158 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    {21, 411, 435, 2, Smoke::mf_static, 144, 141},	//159 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {21, 661, 0, 0, Smoke::mf_static, 29, 142},	//160 QGlobalSpace::qWarning()
    {21, 459, 438, 2, Smoke::mf_static, 77, 143},	//161 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    {21, 415, 119, 2, Smoke::mf_static, 488, 144},	//162 QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    {21, 587, 441, 3, Smoke::mf_static, 495, 145},	//163 QGlobalSpace::qGray(int, int, int)
    {21, 411, 445, 2, Smoke::mf_static, 146, 146},	//164 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {21, 459, 448, 2, Smoke::mf_static, 114, 147},	//165 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {21, 411, 451, 2, Smoke::mf_static, 171, 148},	//166 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {21, 459, 454, 2, Smoke::mf_static, 137, 149},	//167 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {21, 440, 457, 2, Smoke::mf_static, 390, 150},	//168 QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    {21, 404, 131, 2, Smoke::mf_static, 390, 151},	//169 QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    {21, 453, 460, 2, Smoke::mf_static, 25, 152},	//170 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {21, 459, 463, 2, Smoke::mf_static, 137, 153},	//171 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {21, 430, 466, 2, Smoke::mf_static, 25, 154},	//172 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {21, 430, 469, 2, Smoke::mf_static, 25, 155},	//173 QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    {21, 430, 472, 2, Smoke::mf_static, 29, 156},	//174 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    {21, 430, 475, 2, Smoke::mf_static, 29, 157},	//175 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {21, 459, 478, 2, Smoke::mf_static, 137, 158},	//176 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    {21, 430, 481, 2, Smoke::mf_static, 25, 159},	//177 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {21, 459, 484, 2, Smoke::mf_static, 76, 160},	//178 QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    {21, 459, 487, 2, Smoke::mf_static, 107, 161},	//179 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {21, 453, 490, 2, Smoke::mf_static, 25, 162},	//180 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {21, 430, 493, 2, Smoke::mf_static, 25, 163},	//181 QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    {21, 459, 496, 2, Smoke::mf_static, 67, 164},	//182 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {21, 459, 499, 2, Smoke::mf_static, 76, 165},	//183 QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    {21, 459, 502, 2, Smoke::mf_static, 137, 166},	//184 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {21, 415, 505, 2, Smoke::mf_static, 396, 167},	//185 QGlobalSpace::operator+(char, const QByteArray&)
    {21, 424, 46, 2, Smoke::mf_static, 433, 168},	//186 QGlobalSpace::operator/(const QPoint&, double)
    {21, 453, 508, 2, Smoke::mf_static, 25, 169},	//187 QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    {21, 415, 131, 2, Smoke::mf_static, 484, 170},	//188 QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    {21, 459, 511, 2, Smoke::mf_static, 75, 171},	//189 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    {21, 430, 514, 2, Smoke::mf_static, 29, 172},	//190 QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    {21, 440, 517, 2, Smoke::mf_static, 390, 173},	//191 QGlobalSpace::operator==(const char*, const QByteArray&)
    {21, 459, 520, 2, Smoke::mf_static, 59, 174},	//192 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    {21, 453, 523, 2, Smoke::mf_static, 25, 175},	//193 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {21, 606, 394, 1, Smoke::mf_static, 390, 176},	//194 QGlobalSpace::qIsNaN(float)
    {21, 582, 526, 2, Smoke::mf_static, 390, 177},	//195 QGlobalSpace::qFuzzyCompare(double, double)
    {21, 608, 394, 1, Smoke::mf_static, 390, 178},	//196 QGlobalSpace::qIsNull(float)
    {21, 453, 529, 2, Smoke::mf_static, 25, 179},	//197 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {21, 453, 532, 2, Smoke::mf_static, 25, 180},	//198 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {21, 430, 535, 2, Smoke::mf_static, 25, 181},	//199 QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    {21, 453, 538, 2, Smoke::mf_static, 25, 182},	//200 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {21, 459, 541, 2, Smoke::mf_static, 79, 183},	//201 QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    {21, 440, 544, 2, Smoke::mf_static, 390, 184},	//202 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {21, 424, 547, 2, Smoke::mf_static, 274, 185},	//203 QGlobalSpace::operator/(const QTransform&, double)
    {21, 430, 550, 2, Smoke::mf_static, 268, 186},	//204 QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    {21, 459, 553, 2, Smoke::mf_static, 44, 187},	//205 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    {21, 411, 556, 2, Smoke::mf_static, 484, 188},	//206 QGlobalSpace::operator*(const QVector2D&, double)
    {21, 459, 559, 2, Smoke::mf_static, 100, 189},	//207 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    {21, 459, 562, 2, Smoke::mf_static, 86, 190},	//208 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    {21, 404, 565, 2, Smoke::mf_static, 390, 191},	//209 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {21, 411, 568, 2, Smoke::mf_static, 488, 192},	//210 QGlobalSpace::operator*(const QVector4D&, double)
    {21, 459, 571, 2, Smoke::mf_static, 137, 193},	//211 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    {21, 459, 574, 2, Smoke::mf_static, 137, 194},	//212 QGlobalSpace::operator|(QFile::Permission, int)
    {21, 430, 577, 2, Smoke::mf_static, 29, 195},	//213 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {21, 426, 580, 2, Smoke::mf_static, 390, 196},	//214 QGlobalSpace::operator<(QChar, QChar)
    {21, 440, 269, 2, Smoke::mf_static, 390, 197},	//215 QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    {21, 480, 0, 0, Smoke::mf_static, 10, 198},	//216 QGlobalSpace::qAccessibleTextCastHelper()
    {21, 582, 111, 2, Smoke::mf_static, 390, 199},	//217 QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    {21, 424, 583, 2, Smoke::mf_static, 157, 200},	//218 QGlobalSpace::operator/(const QMatrix4x4&, double)
    {21, 411, 586, 2, Smoke::mf_static, 171, 201},	//219 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {21, 430, 589, 2, Smoke::mf_static, 25, 202},	//220 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {21, 459, 592, 2, Smoke::mf_static, 74, 203},	//221 QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    {21, 688, 595, 3, Smoke::mf_static, 495, 204},	//222 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {21, 592, 599, 1, Smoke::mf_static, 503, 205},	//223 QGlobalSpace::qHash(const QByteArray&)
    {21, 459, 601, 2, Smoke::mf_static, 44, 206},	//224 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    {21, 459, 604, 2, Smoke::mf_static, 137, 207},	//225 QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    {21, 459, 607, 2, Smoke::mf_static, 137, 208},	//226 QGlobalSpace::operator|(QStyle::StateFlag, int)
    {21, 415, 111, 2, Smoke::mf_static, 157, 209},	//227 QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    {21, 430, 610, 2, Smoke::mf_static, 29, 210},	//228 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {21, 411, 131, 2, Smoke::mf_static, 484, 211},	//229 QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    {21, 699, 613, 2, Smoke::mf_static, 0, 212},	//230 QGlobalSpace::qt_check_pointer(const char*, int)
    {21, 453, 616, 2, Smoke::mf_static, 25, 213},	//231 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {21, 459, 619, 2, Smoke::mf_static, 137, 214},	//232 QGlobalSpace::operator|(QPainter::RenderHint, int)
    {21, 459, 622, 2, Smoke::mf_static, 137, 215},	//233 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    {21, 459, 625, 2, Smoke::mf_static, 103, 216},	//234 QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    {21, 459, 628, 2, Smoke::mf_static, 99, 217},	//235 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {21, 453, 631, 2, Smoke::mf_static, 25, 218},	//236 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {21, 459, 634, 2, Smoke::mf_static, 103, 219},	//237 QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    {21, 411, 637, 2, Smoke::mf_static, 435, 220},	//238 QGlobalSpace::operator*(const QPointF&, double)
    {21, 671, 160, 2, Smoke::mf_static, 495, 221},	//239 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {21, 459, 640, 2, Smoke::mf_static, 78, 222},	//240 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    {21, 459, 643, 2, Smoke::mf_static, 63, 223},	//241 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    {21, 644, 646, 1, Smoke::mf_static, 271, 224},	//242 QGlobalSpace::qSetPadChar(QChar)
    {21, 671, 417, 2, Smoke::mf_static, 495, 225},	//243 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {21, 440, 99, 2, Smoke::mf_static, 390, 226},	//244 QGlobalSpace::operator==(const QSize&, const QSize&)
    {21, 532, 648, 9, Smoke::mf_static, 0, 227},	//245 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*)
    {21, 532, 325, 6, Smoke::mf_static, 0, 228},	//246 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&)
    {21, 532, 332, 7, Smoke::mf_static, 0, 229},	//247 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {21, 532, 366, 8, Smoke::mf_static, 0, 230},	//248 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {21, 648, 0, 0, Smoke::mf_static, 390, 231},	//249 QGlobalSpace::qSharedBuild()
    {21, 415, 269, 2, Smoke::mf_static, 439, 232},	//250 QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    {21, 459, 658, 2, Smoke::mf_static, 41, 233},	//251 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {21, 596, 661, 1, Smoke::mf_static, 509, 234},	//252 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {21, 430, 663, 2, Smoke::mf_static, 25, 235},	//253 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {21, 710, 666, 3, Smoke::mf_static, 165, 236},	//254 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {21, 459, 670, 2, Smoke::mf_static, 112, 237},	//255 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {21, 411, 673, 2, Smoke::mf_static, 286, 238},	//256 QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    {21, 459, 676, 2, Smoke::mf_static, 137, 239},	//257 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {21, 404, 160, 2, Smoke::mf_static, 390, 240},	//258 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {21, 552, 679, 5, Smoke::mf_static, 0, 241},	//259 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {21, 552, 245, 3, Smoke::mf_static, 0, 242},	//260 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&)
    {21, 552, 249, 4, Smoke::mf_static, 0, 243},	//261 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool)
    {21, 459, 685, 2, Smoke::mf_static, 137, 244},	//262 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {21, 459, 688, 2, Smoke::mf_static, 81, 245},	//263 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {21, 459, 691, 2, Smoke::mf_static, 137, 246},	//264 QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    {21, 459, 694, 2, Smoke::mf_static, 137, 247},	//265 QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    {21, 453, 697, 2, Smoke::mf_static, 25, 248},	//266 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {21, 420, 131, 2, Smoke::mf_static, 484, 249},	//267 QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    {21, 459, 700, 2, Smoke::mf_static, 111, 250},	//268 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {21, 424, 140, 2, Smoke::mf_static, 448, 251},	//269 QGlobalSpace::operator/(const QSizeF&, double)
    {21, 411, 703, 2, Smoke::mf_static, 486, 252},	//270 QGlobalSpace::operator*(const QVector3D&, double)
    {21, 459, 706, 2, Smoke::mf_static, 112, 253},	//271 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {21, 453, 709, 2, Smoke::mf_static, 25, 254},	//272 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {21, 411, 712, 2, Smoke::mf_static, 182, 255},	//273 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {21, 445, 580, 2, Smoke::mf_static, 390, 256},	//274 QGlobalSpace::operator>(QChar, QChar)
    {21, 449, 517, 2, Smoke::mf_static, 390, 257},	//275 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {21, 580, 715, 1, Smoke::mf_static, 0, 258},	//276 QGlobalSpace::qFreeAligned(void*)
    {21, 459, 717, 2, Smoke::mf_static, 89, 259},	//277 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    {21, 440, 720, 2, Smoke::mf_static, 390, 260},	//278 QGlobalSpace::operator==(const QString&, QString::Null)
    {21, 430, 723, 2, Smoke::mf_static, 29, 261},	//279 QGlobalSpace::operator<<(QDebug, const QPen&)
    {21, 598, 394, 1, Smoke::mf_static, 495, 262},	//280 QGlobalSpace::qIntCast(float)
    {21, 426, 160, 2, Smoke::mf_static, 390, 263},	//281 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {21, 459, 726, 2, Smoke::mf_static, 91, 264},	//282 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    {21, 666, 517, 2, Smoke::mf_static, 390, 265},	//283 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {21, 430, 729, 2, Smoke::mf_static, 29, 266},	//284 QGlobalSpace::operator<<(QDebug, const QSqlField&)
    {21, 459, 732, 2, Smoke::mf_static, 137, 267},	//285 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {21, 453, 735, 2, Smoke::mf_static, 25, 268},	//286 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {21, 653, 738, 2, Smoke::mf_static, 390, 269},	//287 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {21, 684, 595, 3, Smoke::mf_static, 495, 270},	//288 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {21, 541, 741, 7, Smoke::mf_static, 0, 271},	//289 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*)
    {21, 541, 245, 3, Smoke::mf_static, 0, 272},	//290 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&)
    {21, 541, 249, 4, Smoke::mf_static, 0, 273},	//291 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool)
    {21, 541, 254, 5, Smoke::mf_static, 0, 274},	//292 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int)
    {21, 541, 749, 6, Smoke::mf_static, 0, 275},	//293 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int)
    {21, 459, 756, 2, Smoke::mf_static, 137, 276},	//294 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    {21, 459, 759, 2, Smoke::mf_static, 95, 277},	//295 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    {21, 459, 762, 2, Smoke::mf_static, 137, 278},	//296 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    {21, 420, 765, 1, Smoke::mf_static, 435, 279},	//297 QGlobalSpace::operator-(const QPointF&)
    {21, 625, 767, 4, Smoke::mf_static, 510, 280},	//298 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {21, 459, 772, 2, Smoke::mf_static, 110, 281},	//299 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {21, 430, 775, 2, Smoke::mf_static, 25, 282},	//300 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {21, 592, 778, 1, Smoke::mf_static, 503, 283},	//301 QGlobalSpace::qHash(unsigned long long)
    {21, 459, 780, 2, Smoke::mf_static, 119, 284},	//302 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {21, 430, 783, 2, Smoke::mf_static, 29, 285},	//303 QGlobalSpace::operator<<(QDebug, const QSize&)
    {21, 411, 786, 2, Smoke::mf_static, 180, 286},	//304 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {21, 459, 789, 2, Smoke::mf_static, 110, 287},	//305 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {21, 430, 792, 2, Smoke::mf_static, 29, 288},	//306 QGlobalSpace::operator<<(QDebug, const QVector3D&)
    {21, 459, 795, 2, Smoke::mf_static, 117, 289},	//307 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {21, 488, 0, 0, Smoke::mf_static, 242, 290},	//308 QGlobalSpace::qAppName()
    {21, 449, 565, 2, Smoke::mf_static, 390, 291},	//309 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {21, 459, 798, 2, Smoke::mf_static, 53, 292},	//310 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    {21, 592, 646, 1, Smoke::mf_static, 503, 293},	//311 QGlobalSpace::qHash(QChar)
    {21, 459, 801, 2, Smoke::mf_static, 137, 294},	//312 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    {21, 516, 804, 8, Smoke::mf_static, 0, 295},	//313 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int, const QBrush*)
    {21, 516, 813, 6, Smoke::mf_static, 0, 296},	//314 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&)
    {21, 516, 820, 7, Smoke::mf_static, 0, 297},	//315 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int)
    {21, 440, 177, 2, Smoke::mf_static, 390, 298},	//316 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {21, 585, 49, 1, Smoke::mf_static, 390, 299},	//317 QGlobalSpace::qFuzzyIsNull(double)
    {21, 411, 111, 2, Smoke::mf_static, 157, 300},	//318 QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    {21, 430, 828, 2, Smoke::mf_static, 25, 301},	//319 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {21, 618, 831, 3, Smoke::mf_static, 510, 302},	//320 QGlobalSpace::qMemSet(void*, int, size_t)
    {21, 493, 526, 2, Smoke::mf_static, 493, 303},	//321 QGlobalSpace::qAtan2(double, double)
    {21, 459, 835, 2, Smoke::mf_static, 81, 304},	//322 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {21, 430, 838, 2, Smoke::mf_static, 25, 305},	//323 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {21, 453, 841, 2, Smoke::mf_static, 25, 306},	//324 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {21, 502, 844, 2, Smoke::mf_static, 17, 307},	//325 QGlobalSpace::qCompress(const QByteArray&, int)
    {21, 502, 599, 1, Smoke::mf_static, 17, 308},	//326 QGlobalSpace::qCompress(const QByteArray&)
    {21, 459, 847, 2, Smoke::mf_static, 137, 309},	//327 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    {21, 430, 850, 2, Smoke::mf_static, 29, 310},	//328 QGlobalSpace::operator<<(QDebug, const QVector2D&)
    {21, 459, 853, 2, Smoke::mf_static, 111, 311},	//329 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {21, 411, 856, 2, Smoke::mf_static, 288, 312},	//330 QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    {21, 459, 859, 2, Smoke::mf_static, 137, 313},	//331 QGlobalSpace::operator|(QAccessible::StateFlag, int)
    {21, 426, 517, 2, Smoke::mf_static, 390, 314},	//332 QGlobalSpace::operator<(const char*, const QByteArray&)
    {21, 516, 862, 5, Smoke::mf_static, 0, 315},	//333 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int, const QBrush*)
    {21, 516, 868, 3, Smoke::mf_static, 0, 316},	//334 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&)
    {21, 516, 872, 4, Smoke::mf_static, 0, 317},	//335 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int)
    {21, 459, 877, 2, Smoke::mf_static, 80, 318},	//336 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag)
    {21, 459, 880, 2, Smoke::mf_static, 137, 319},	//337 QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    {21, 484, 883, 1, Smoke::mf_static, 0, 320},	//338 QGlobalSpace::qAddPostRoutine(void(*)())
    {21, 459, 885, 2, Smoke::mf_static, 137, 321},	//339 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {21, 411, 888, 2, Smoke::mf_static, 178, 322},	//340 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {21, 459, 891, 2, Smoke::mf_static, 137, 323},	//341 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {21, 459, 894, 2, Smoke::mf_static, 137, 324},	//342 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {21, 566, 49, 1, Smoke::mf_static, 493, 325},	//343 QGlobalSpace::qExp(double)
    {21, 404, 99, 2, Smoke::mf_static, 390, 326},	//344 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {21, 459, 897, 2, Smoke::mf_static, 108, 327},	//345 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {21, 434, 417, 2, Smoke::mf_static, 390, 328},	//346 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {21, 430, 900, 2, Smoke::mf_static, 25, 329},	//347 QGlobalSpace::operator<<(QDataStream&, const QPen&)
    {21, 404, 903, 2, Smoke::mf_static, 390, 330},	//348 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {21, 459, 906, 2, Smoke::mf_static, 137, 331},	//349 QGlobalSpace::operator|(QString::SectionFlag, int)
    {21, 459, 909, 2, Smoke::mf_static, 137, 332},	//350 QGlobalSpace::operator|(Qt::WindowType, int)
    {21, 459, 912, 2, Smoke::mf_static, 102, 333},	//351 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {21, 440, 915, 2, Smoke::mf_static, 390, 334},	//352 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {21, 608, 49, 1, Smoke::mf_static, 390, 335},	//353 QGlobalSpace::qIsNull(double)
    {21, 511, 918, 8, Smoke::mf_static, 0, 336},	//354 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>)
    {21, 511, 927, 6, Smoke::mf_static, 0, 337},	//355 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&)
    {21, 511, 934, 7, Smoke::mf_static, 0, 338},	//356 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&)
    {21, 440, 942, 2, Smoke::mf_static, 390, 339},	//357 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {21, 598, 49, 1, Smoke::mf_static, 495, 340},	//358 QGlobalSpace::qIntCast(double)
    {21, 457, 31, 2, Smoke::mf_static, 13, 341},	//359 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {21, 500, 945, 2, Smoke::mf_static, 506, 342},	//360 QGlobalSpace::qChecksum(const char*, unsigned int)
    {21, 459, 948, 2, Smoke::mf_static, 101, 343},	//361 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {21, 459, 951, 2, Smoke::mf_static, 137, 344},	//362 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    {21, 453, 954, 2, Smoke::mf_static, 25, 345},	//363 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {21, 430, 957, 2, Smoke::mf_static, 25, 346},	//364 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {21, 411, 547, 2, Smoke::mf_static, 274, 347},	//365 QGlobalSpace::operator*(const QTransform&, double)
    {21, 459, 960, 2, Smoke::mf_static, 137, 348},	//366 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {21, 426, 565, 2, Smoke::mf_static, 390, 349},	//367 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {21, 430, 963, 2, Smoke::mf_static, 29, 350},	//368 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {21, 459, 966, 2, Smoke::mf_static, 102, 351},	//369 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {21, 459, 969, 2, Smoke::mf_static, 137, 352},	//370 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    {21, 664, 972, 1, Smoke::mf_static, 17, 353},	//371 QGlobalSpace::qgetenv(const char*)
    {21, 459, 974, 2, Smoke::mf_static, 137, 354},	//372 QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    {21, 430, 977, 2, Smoke::mf_static, 29, 355},	//373 QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {21, 459, 980, 2, Smoke::mf_static, 137, 356},	//374 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    {21, 459, 983, 2, Smoke::mf_static, 137, 357},	//375 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    {21, 404, 738, 2, Smoke::mf_static, 390, 358},	//376 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {21, 430, 986, 2, Smoke::mf_static, 29, 359},	//377 QGlobalSpace::operator<<(QDebug, const QVector4D&)
    {21, 453, 989, 2, Smoke::mf_static, 268, 360},	//378 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {21, 459, 992, 2, Smoke::mf_static, 137, 361},	//379 QGlobalSpace::operator|(QWizard::WizardOption, int)
    {21, 404, 517, 2, Smoke::mf_static, 390, 362},	//380 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {21, 459, 995, 2, Smoke::mf_static, 137, 363},	//381 QGlobalSpace::operator|(QFileDialog::Option, int)
    {21, 482, 49, 1, Smoke::mf_static, 493, 364},	//382 QGlobalSpace::qAcos(double)
    {21, 459, 998, 2, Smoke::mf_static, 84, 365},	//383 QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    {21, 445, 565, 2, Smoke::mf_static, 390, 366},	//384 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {21, 424, 568, 2, Smoke::mf_static, 488, 367},	//385 QGlobalSpace::operator/(const QVector4D&, double)
    {21, 411, 1001, 2, Smoke::mf_static, 178, 368},	//386 QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    {21, 459, 1004, 2, Smoke::mf_static, 91, 369},	//387 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    {21, 453, 1007, 2, Smoke::mf_static, 25, 370},	//388 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {21, 430, 1010, 2, Smoke::mf_static, 29, 371},	//389 QGlobalSpace::operator<<(QDebug, const QSqlDatabase&)
    {21, 459, 1013, 2, Smoke::mf_static, 64, 372},	//390 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    {21, 424, 180, 2, Smoke::mf_static, 439, 373},	//391 QGlobalSpace::operator/(const QQuaternion&, double)
    {21, 459, 1016, 2, Smoke::mf_static, 74, 374},	//392 QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    {21, 453, 1019, 2, Smoke::mf_static, 25, 375},	//393 QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    {21, 430, 1022, 2, Smoke::mf_static, 25, 376},	//394 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {21, 459, 1025, 2, Smoke::mf_static, 56, 377},	//395 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {21, 477, 0, 0, Smoke::mf_static, 10, 378},	//396 QGlobalSpace::qAccessibleImageCastHelper()
    {21, 459, 1028, 2, Smoke::mf_static, 137, 379},	//397 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    {21, 430, 1031, 2, Smoke::mf_static, 29, 380},	//398 QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    {21, 686, 1034, 3, Smoke::mf_static, 392, 381},	//399 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {21, 459, 1038, 2, Smoke::mf_static, 47, 382},	//400 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    {21, 453, 1041, 2, Smoke::mf_static, 25, 383},	//401 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {21, 430, 1044, 2, Smoke::mf_static, 25, 384},	//402 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {21, 453, 1047, 2, Smoke::mf_static, 25, 385},	//403 QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    {21, 420, 1050, 1, Smoke::mf_static, 488, 386},	//404 QGlobalSpace::operator-(const QVector4D&)
    {21, 430, 1052, 2, Smoke::mf_static, 29, 387},	//405 QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    {21, 592, 1055, 1, Smoke::mf_static, 503, 388},	//406 QGlobalSpace::qHash(const QUrl&)
    {21, 459, 1057, 2, Smoke::mf_static, 137, 389},	//407 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    {21, 453, 1060, 2, Smoke::mf_static, 25, 390},	//408 QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    {21, 600, 394, 1, Smoke::mf_static, 390, 391},	//409 QGlobalSpace::qIsFinite(float)
    {21, 404, 457, 2, Smoke::mf_static, 390, 392},	//410 QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    {21, 440, 131, 2, Smoke::mf_static, 390, 393},	//411 QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    {21, 701, 1063, 1, Smoke::mf_static, 242, 394},	//412 QGlobalSpace::qt_error_string(int)
    {21, 701, 0, 0, Smoke::mf_static, 242, 395},	//413 QGlobalSpace::qt_error_string()
    {21, 424, 556, 2, Smoke::mf_static, 484, 396},	//414 QGlobalSpace::operator/(const QVector2D&, double)
    {21, 411, 1065, 2, Smoke::mf_static, 433, 397},	//415 QGlobalSpace::operator*(const QPoint&, float)
    {21, 459, 1068, 2, Smoke::mf_static, 137, 398},	//416 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {21, 453, 1071, 2, Smoke::mf_static, 25, 399},	//417 QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    {21, 623, 1074, 2, Smoke::mf_static, 510, 400},	//418 QGlobalSpace::qRealloc(void*, size_t)
    {21, 459, 1077, 2, Smoke::mf_static, 62, 401},	//419 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    {21, 459, 1080, 2, Smoke::mf_static, 61, 402},	//420 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    {21, 415, 1083, 2, Smoke::mf_static, 464, 403},	//421 QGlobalSpace::operator+(const QString&, const QString&)
    {21, 459, 1086, 2, Smoke::mf_static, 137, 404},	//422 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    {21, 479, 0, 0, Smoke::mf_static, 10, 405},	//423 QGlobalSpace::qAccessibleTableCastHelper()
    {21, 459, 1089, 2, Smoke::mf_static, 137, 406},	//424 QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    {21, 411, 583, 2, Smoke::mf_static, 157, 407},	//425 QGlobalSpace::operator*(const QMatrix4x4&, double)
    {21, 697, 1092, 4, Smoke::mf_static, 0, 408},	//426 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {21, 404, 417, 2, Smoke::mf_static, 390, 409},	//427 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {21, 404, 1097, 2, Smoke::mf_static, 390, 410},	//428 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {21, 430, 1100, 2, Smoke::mf_static, 29, 411},	//429 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    {21, 459, 1103, 2, Smoke::mf_static, 45, 412},	//430 QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    {21, 440, 1106, 2, Smoke::mf_static, 390, 413},	//431 QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    {21, 459, 1109, 2, Smoke::mf_static, 137, 414},	//432 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {21, 453, 1112, 2, Smoke::mf_static, 25, 415},	//433 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {21, 445, 160, 2, Smoke::mf_static, 390, 416},	//434 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {21, 637, 49, 1, Smoke::mf_static, 495, 417},	//435 QGlobalSpace::qRound(double)
    {21, 440, 903, 2, Smoke::mf_static, 390, 418},	//436 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {21, 430, 1115, 2, Smoke::mf_static, 29, 419},	//437 QGlobalSpace::operator<<(QDebug, const QSqlRecord&)
    {21, 459, 31, 2, Smoke::mf_static, 13, 420},	//438 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {21, 440, 1118, 2, Smoke::mf_static, 390, 421},	//439 QGlobalSpace::operator==(const char*, const QStringRef&)
    {21, 415, 517, 2, Smoke::mf_static, 396, 422},	//440 QGlobalSpace::operator+(const char*, const QByteArray&)
    {21, 453, 1121, 2, Smoke::mf_static, 25, 423},	//441 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {21, 459, 1124, 2, Smoke::mf_static, 137, 424},	//442 QGlobalSpace::operator|(Qt::MouseButton, int)
    {21, 459, 1127, 2, Smoke::mf_static, 88, 425},	//443 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    {21, 434, 565, 2, Smoke::mf_static, 390, 426},	//444 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {21, 453, 1130, 2, Smoke::mf_static, 25, 427},	//445 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {21, 459, 1133, 2, Smoke::mf_static, 52, 428},	//446 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {21, 459, 1136, 2, Smoke::mf_static, 109, 429},	//447 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {21, 602, 152, 1, Smoke::mf_static, 390, 430},	//448 QGlobalSpace::qIsGray(unsigned int)
    {21, 459, 1139, 2, Smoke::mf_static, 99, 431},	//449 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {21, 411, 1142, 2, Smoke::mf_static, 180, 432},	//450 QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    {21, 420, 1145, 1, Smoke::mf_static, 157, 433},	//451 QGlobalSpace::operator-(const QMatrix4x4&)
    {21, 411, 1147, 2, Smoke::mf_static, 484, 434},	//452 QGlobalSpace::operator*(double, const QVector2D&)
    {21, 459, 1150, 2, Smoke::mf_static, 43, 435},	//453 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    {21, 459, 1153, 2, Smoke::mf_static, 69, 436},	//454 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    {21, 459, 1156, 2, Smoke::mf_static, 137, 437},	//455 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    {21, 453, 1159, 2, Smoke::mf_static, 25, 438},	//456 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {21, 440, 580, 2, Smoke::mf_static, 390, 439},	//457 QGlobalSpace::operator==(QChar, QChar)
    {21, 459, 1162, 2, Smoke::mf_static, 115, 440},	//458 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {21, 430, 1165, 2, Smoke::mf_static, 25, 441},	//459 QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    {21, 404, 915, 2, Smoke::mf_static, 390, 442},	//460 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {21, 411, 1168, 2, Smoke::mf_static, 146, 443},	//461 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {21, 404, 1171, 2, Smoke::mf_static, 390, 444},	//462 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {21, 592, 1174, 1, Smoke::mf_static, 503, 445},	//463 QGlobalSpace::qHash(signed char)
    {21, 430, 1176, 2, Smoke::mf_static, 25, 446},	//464 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {21, 430, 1179, 2, Smoke::mf_static, 25, 447},	//465 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {21, 459, 1182, 2, Smoke::mf_static, 116, 448},	//466 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {21, 411, 1185, 2, Smoke::mf_static, 486, 449},	//467 QGlobalSpace::operator*(double, const QVector3D&)
    {21, 651, 49, 1, Smoke::mf_static, 493, 450},	//468 QGlobalSpace::qSqrt(double)
    {21, 430, 1188, 2, Smoke::mf_static, 25, 451},	//469 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {21, 459, 1191, 2, Smoke::mf_static, 98, 452},	//470 QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    {21, 671, 1194, 2, Smoke::mf_static, 495, 453},	//471 QGlobalSpace::qstrcmp(const char*, const char*)
    {21, 453, 1197, 2, Smoke::mf_static, 25, 454},	//472 QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    {21, 459, 1200, 2, Smoke::mf_static, 85, 455},	//473 QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    {21, 440, 119, 2, Smoke::mf_static, 390, 456},	//474 QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    {21, 430, 1203, 2, Smoke::mf_static, 25, 457},	//475 QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    {21, 430, 1206, 2, Smoke::mf_static, 25, 458},	//476 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {21, 424, 703, 2, Smoke::mf_static, 486, 459},	//477 QGlobalSpace::operator/(const QVector3D&, double)
    {21, 459, 1209, 2, Smoke::mf_static, 79, 460},	//478 QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    {21, 404, 163, 2, Smoke::mf_static, 390, 461},	//479 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {21, 404, 580, 2, Smoke::mf_static, 390, 462},	//480 QGlobalSpace::operator!=(QChar, QChar)
    {21, 459, 1212, 2, Smoke::mf_static, 71, 463},	//481 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {21, 411, 1215, 2, Smoke::mf_static, 157, 464},	//482 QGlobalSpace::operator*(double, const QMatrix4x4&)
    {21, 690, 945, 2, Smoke::mf_static, 503, 465},	//483 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {21, 459, 1218, 2, Smoke::mf_static, 66, 466},	//484 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    {21, 633, 441, 3, Smoke::mf_static, 503, 467},	//485 QGlobalSpace::qRgb(int, int, int)
    {21, 582, 119, 2, Smoke::mf_static, 390, 468},	//486 QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    {21, 576, 49, 1, Smoke::mf_static, 495, 469},	//487 QGlobalSpace::qFloor(double)
    {21, 459, 1221, 2, Smoke::mf_static, 118, 470},	//488 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {21, 459, 1224, 2, Smoke::mf_static, 97, 471},	//489 QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    {21, 430, 1227, 2, Smoke::mf_static, 29, 472},	//490 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {21, 459, 1230, 2, Smoke::mf_static, 65, 473},	//491 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    {21, 459, 1233, 2, Smoke::mf_static, 101, 474},	//492 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {21, 440, 157, 2, Smoke::mf_static, 390, 475},	//493 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {21, 453, 1236, 2, Smoke::mf_static, 25, 476},	//494 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {21, 459, 1239, 2, Smoke::mf_static, 100, 477},	//495 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    {21, 453, 1242, 2, Smoke::mf_static, 25, 478},	//496 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {21, 430, 1245, 2, Smoke::mf_static, 25, 479},	//497 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {21, 459, 1248, 2, Smoke::mf_static, 46, 480},	//498 QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    {21, 440, 565, 2, Smoke::mf_static, 390, 481},	//499 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {21, 404, 1251, 2, Smoke::mf_static, 390, 482},	//500 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {21, 411, 1254, 2, Smoke::mf_static, 446, 483},	//501 QGlobalSpace::operator*(double, const QSize&)
    {21, 440, 1257, 2, Smoke::mf_static, 390, 484},	//502 QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    {21, 459, 1260, 2, Smoke::mf_static, 56, 485},	//503 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {21, 592, 5, 1, Smoke::mf_static, 503, 486},	//504 QGlobalSpace::qHash(const QModelIndex&)
    {21, 459, 1263, 2, Smoke::mf_static, 65, 487},	//505 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    {21, 459, 1266, 2, Smoke::mf_static, 85, 488},	//506 QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    {21, 430, 1269, 2, Smoke::mf_static, 29, 489},	//507 QGlobalSpace::operator<<(QDebug, const QLine&)
    {21, 481, 0, 0, Smoke::mf_static, 10, 490},	//508 QGlobalSpace::qAccessibleValueCastHelper()
    {21, 459, 1272, 2, Smoke::mf_static, 42, 491},	//509 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    {21, 631, 883, 1, Smoke::mf_static, 0, 492},	//510 QGlobalSpace::qRemovePostRoutine(void(*)())
    {21, 453, 1275, 2, Smoke::mf_static, 25, 493},	//511 QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    {21, 459, 1278, 2, Smoke::mf_static, 137, 494},	//512 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, int)
    {21, 411, 1281, 2, Smoke::mf_static, 288, 495},	//513 QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    {21, 430, 1284, 2, Smoke::mf_static, 25, 496},	//514 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {21, 582, 1287, 2, Smoke::mf_static, 390, 497},	//515 QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    {21, 459, 1290, 2, Smoke::mf_static, 92, 498},	//516 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    {21, 574, 972, 1, Smoke::mf_static, 490, 499},	//517 QGlobalSpace::qFlagLocation(const char*)
    {21, 616, 1293, 3, Smoke::mf_static, 510, 500},	//518 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {21, 449, 417, 2, Smoke::mf_static, 390, 501},	//519 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {21, 411, 1297, 2, Smoke::mf_static, 433, 502},	//520 QGlobalSpace::operator*(double, const QPoint&)
    {21, 606, 49, 1, Smoke::mf_static, 390, 503},	//521 QGlobalSpace::qIsNaN(double)
    {21, 430, 1300, 2, Smoke::mf_static, 29, 504},	//522 QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    {21, 459, 1303, 2, Smoke::mf_static, 73, 505},	//523 QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    {21, 430, 1306, 2, Smoke::mf_static, 29, 506},	//524 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {21, 592, 1309, 1, Smoke::mf_static, 503, 507},	//525 QGlobalSpace::qHash(short)
    {21, 595, 0, 0, Smoke::mf_static, 493, 508},	//526 QGlobalSpace::qInf()
    {21, 430, 1311, 2, Smoke::mf_static, 29, 509},	//527 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {21, 459, 1314, 2, Smoke::mf_static, 75, 510},	//528 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    {21, 430, 1317, 2, Smoke::mf_static, 25, 511},	//529 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {21, 430, 1320, 2, Smoke::mf_static, 25, 512},	//530 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {21, 411, 1323, 2, Smoke::mf_static, 439, 513},	//531 QGlobalSpace::operator*(double, const QQuaternion&)
    {21, 415, 1326, 2, Smoke::mf_static, 396, 514},	//532 QGlobalSpace::operator+(const QByteArray&, char)
    {21, 459, 1329, 2, Smoke::mf_static, 94, 515},	//533 QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    {21, 430, 1332, 2, Smoke::mf_static, 29, 516},	//534 QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    {21, 459, 1335, 2, Smoke::mf_static, 77, 517},	//535 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    {21, 459, 1338, 2, Smoke::mf_static, 49, 518},	//536 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    {21, 424, 637, 2, Smoke::mf_static, 435, 519},	//537 QGlobalSpace::operator/(const QPointF&, double)
    {21, 657, 599, 1, Smoke::mf_static, 17, 520},	//538 QGlobalSpace::qUncompress(const QByteArray&)
    {21, 449, 580, 2, Smoke::mf_static, 390, 521},	//539 QGlobalSpace::operator>=(QChar, QChar)
    {21, 459, 1341, 2, Smoke::mf_static, 45, 522},	//540 QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    {21, 434, 160, 2, Smoke::mf_static, 390, 523},	//541 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {21, 646, 1063, 1, Smoke::mf_static, 271, 524},	//542 QGlobalSpace::qSetRealNumberPrecision(int)
    {21, 430, 1344, 2, Smoke::mf_static, 29, 525},	//543 QGlobalSpace::operator<<(QDebug, const QObject*)
    {21, 649, 49, 1, Smoke::mf_static, 493, 526},	//544 QGlobalSpace::qSin(double)
    {21, 489, 49, 1, Smoke::mf_static, 493, 527},	//545 QGlobalSpace::qAsin(double)
    {21, 582, 457, 2, Smoke::mf_static, 390, 528},	//546 QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    {21, 680, 1194, 2, Smoke::mf_static, 495, 529},	//547 QGlobalSpace::qstricmp(const char*, const char*)
    {21, 459, 1347, 2, Smoke::mf_static, 64, 530},	//548 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    {21, 430, 1350, 2, Smoke::mf_static, 29, 531},	//549 QGlobalSpace::operator<<(QDebug, const QEvent*)
    {21, 582, 1353, 2, Smoke::mf_static, 390, 532},	//550 QGlobalSpace::qFuzzyCompare(float, float)
    {21, 453, 1356, 2, Smoke::mf_static, 25, 533},	//551 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {21, 459, 1359, 2, Smoke::mf_static, 51, 534},	//552 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {21, 718, 1362, 4, Smoke::mf_static, 495, 535},	//553 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {21, 459, 1367, 2, Smoke::mf_static, 69, 536},	//554 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    {21, 459, 1370, 2, Smoke::mf_static, 83, 537},	//555 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {21, 430, 1373, 2, Smoke::mf_static, 25, 538},	//556 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {21, 709, 0, 0, Smoke::mf_static, 0, 539},	//557 QGlobalSpace::qt_noop()
    {21, 459, 1376, 2, Smoke::mf_static, 70, 540},	//558 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    {21, 445, 517, 2, Smoke::mf_static, 390, 541},	//559 QGlobalSpace::operator>(const char*, const QByteArray&)
    {21, 453, 1379, 2, Smoke::mf_static, 25, 542},	//560 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {21, 642, 1063, 1, Smoke::mf_static, 271, 543},	//561 QGlobalSpace::qSetFieldWidth(int)
    {21, 459, 1382, 2, Smoke::mf_static, 93, 544},	//562 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {21, 430, 1385, 2, Smoke::mf_static, 29, 545},	//563 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {21, 430, 1388, 2, Smoke::mf_static, 25, 546},	//564 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {21, 440, 1251, 2, Smoke::mf_static, 390, 547},	//565 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {21, 404, 1391, 2, Smoke::mf_static, 390, 548},	//566 QGlobalSpace::operator!=(bool, QBool)
    {21, 592, 1394, 1, Smoke::mf_static, 503, 549},	//567 QGlobalSpace::qHash(unsigned long)
    {21, 478, 0, 0, Smoke::mf_static, 10, 550},	//568 QGlobalSpace::qAccessibleTable2CastHelper()
    {21, 430, 1396, 2, Smoke::mf_static, 29, 551},	//569 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {21, 459, 1399, 2, Smoke::mf_static, 137, 552},	//570 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    {21, 411, 1402, 2, Smoke::mf_static, 182, 553},	//571 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {21, 404, 1405, 2, Smoke::mf_static, 390, 554},	//572 QGlobalSpace::operator!=(QBool, bool)
    {21, 459, 1408, 2, Smoke::mf_static, 137, 555},	//573 QGlobalSpace::operator|(Qt::WindowState, int)
    {21, 459, 1411, 2, Smoke::mf_static, 92, 556},	//574 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    {21, 420, 903, 2, Smoke::mf_static, 433, 557},	//575 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {21, 610, 49, 1, Smoke::mf_static, 493, 558},	//576 QGlobalSpace::qLn(double)
    {21, 453, 1414, 2, Smoke::mf_static, 25, 559},	//577 QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    {21, 453, 1417, 2, Smoke::mf_static, 25, 560},	//578 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {21, 582, 269, 2, Smoke::mf_static, 390, 561},	//579 QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    {21, 523, 375, 9, Smoke::mf_static, 0, 562},	//580 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {21, 523, 325, 6, Smoke::mf_static, 0, 563},	//581 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&)
    {21, 523, 332, 7, Smoke::mf_static, 0, 564},	//582 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool)
    {21, 523, 366, 8, Smoke::mf_static, 0, 565},	//583 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {21, 682, 972, 1, Smoke::mf_static, 503, 566},	//584 QGlobalSpace::qstrlen(const char*)
    {21, 415, 417, 2, Smoke::mf_static, 396, 567},	//585 QGlobalSpace::operator+(const QByteArray&, const char*)
    {21, 430, 1420, 2, Smoke::mf_static, 25, 568},	//586 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {21, 404, 157, 2, Smoke::mf_static, 390, 569},	//587 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {21, 434, 517, 2, Smoke::mf_static, 390, 570},	//588 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {21, 430, 1423, 2, Smoke::mf_static, 25, 571},	//589 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {21, 459, 1426, 2, Smoke::mf_static, 105, 572},	//590 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {21, 430, 1429, 2, Smoke::mf_static, 29, 573},	//591 QGlobalSpace::operator<<(QDebug, const QMatrix&)
    {21, 459, 1432, 2, Smoke::mf_static, 137, 574},	//592 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    {21, 440, 1097, 2, Smoke::mf_static, 390, 575},	//593 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {21, 459, 1435, 2, Smoke::mf_static, 72, 576},	//594 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {21, 459, 1438, 2, Smoke::mf_static, 98, 577},	//595 QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    {21, 430, 1441, 2, Smoke::mf_static, 25, 578},	//596 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {21, 459, 1444, 2, Smoke::mf_static, 119, 579},	//597 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {21, 459, 1447, 2, Smoke::mf_static, 48, 580},	//598 QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    {21, 476, 0, 0, Smoke::mf_static, 10, 581},	//599 QGlobalSpace::qAccessibleEditableTextCastHelper()
    {21, 411, 1450, 2, Smoke::mf_static, 446, 582},	//600 QGlobalSpace::operator*(const QSize&, double)
    {21, 411, 1453, 2, Smoke::mf_static, 286, 583},	//601 QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    {21, 440, 1456, 2, Smoke::mf_static, 390, 584},	//602 QGlobalSpace::operator==(QString::Null, const QString&)
    {21, 430, 1459, 2, Smoke::mf_static, 29, 585},	//603 QGlobalSpace::operator<<(QDebug, const QBrush&)
    {21, 459, 1462, 2, Smoke::mf_static, 51, 586},	//604 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {21, 459, 1465, 2, Smoke::mf_static, 109, 587},	//605 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {21, 453, 1468, 2, Smoke::mf_static, 25, 588},	//606 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {21, 430, 1471, 2, Smoke::mf_static, 29, 589},	//607 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {21, 440, 417, 2, Smoke::mf_static, 390, 590},	//608 QGlobalSpace::operator==(const QByteArray&, const char*)
    {21, 712, 1474, 5, Smoke::mf_static, 0, 591},	//609 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {21, 453, 1480, 2, Smoke::mf_static, 25, 592},	//610 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {21, 459, 1483, 2, Smoke::mf_static, 87, 593},	//611 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    {21, 430, 1486, 2, Smoke::mf_static, 25, 594},	//612 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {21, 453, 1489, 2, Smoke::mf_static, 25, 595},	//613 QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    {21, 453, 1492, 2, Smoke::mf_static, 25, 596},	//614 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {21, 445, 417, 2, Smoke::mf_static, 390, 597},	//615 QGlobalSpace::operator>(const QByteArray&, const char*)
    {21, 459, 1495, 2, Smoke::mf_static, 137, 598},	//616 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    {21, 415, 903, 2, Smoke::mf_static, 433, 599},	//617 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {21, 430, 1498, 2, Smoke::mf_static, 25, 600},	//618 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {21, 578, 715, 1, Smoke::mf_static, 0, 601},	//619 QGlobalSpace::qFree(void*)
    {21, 415, 457, 2, Smoke::mf_static, 486, 602},	//620 QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    {21, 434, 580, 2, Smoke::mf_static, 390, 603},	//621 QGlobalSpace::operator<=(QChar, QChar)
    {21, 430, 1501, 2, Smoke::mf_static, 268, 604},	//622 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {21, 459, 1504, 2, Smoke::mf_static, 68, 605},	//623 QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    {21, 430, 1507, 2, Smoke::mf_static, 25, 606},	//624 QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    {21, 592, 152, 1, Smoke::mf_static, 503, 607},	//625 QGlobalSpace::qHash(unsigned int)
    {21, 411, 1510, 2, Smoke::mf_static, 190, 608},	//626 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {21, 404, 1456, 2, Smoke::mf_static, 390, 609},	//627 QGlobalSpace::operator!=(QString::Null, const QString&)
    {21, 639, 49, 1, Smoke::mf_static, 497, 610},	//628 QGlobalSpace::qRound64(double)
    {21, 411, 1513, 2, Smoke::mf_static, 180, 611},	//629 QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    {21, 430, 1516, 2, Smoke::mf_static, 29, 612},	//630 QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    {21, 459, 1519, 2, Smoke::mf_static, 137, 613},	//631 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    {21, 430, 1522, 2, Smoke::mf_static, 25, 614},	//632 QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    {21, 459, 1525, 2, Smoke::mf_static, 83, 615},	//633 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {21, 614, 1528, 2, Smoke::mf_static, 510, 616},	//634 QGlobalSpace::qMallocAligned(size_t, size_t)
    {21, 459, 1531, 2, Smoke::mf_static, 137, 617},	//635 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    {21, 459, 1534, 2, Smoke::mf_static, 137, 618},	//636 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {21, 404, 720, 2, Smoke::mf_static, 390, 619},	//637 QGlobalSpace::operator!=(const QString&, QString::Null)
    {21, 502, 1537, 3, Smoke::mf_static, 17, 620},	//638 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {21, 502, 1541, 2, Smoke::mf_static, 17, 621},	//639 QGlobalSpace::qCompress(const unsigned char*, int)
    {21, 459, 1544, 2, Smoke::mf_static, 137, 622},	//640 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {21, 411, 1547, 2, Smoke::mf_static, 433, 623},	//641 QGlobalSpace::operator*(int, const QPoint&)
    {21, 430, 1550, 2, Smoke::mf_static, 29, 624},	//642 QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    {21, 678, 972, 1, Smoke::mf_static, 392, 625},	//643 QGlobalSpace::qstrdup(const char*)
    {21, 459, 1553, 2, Smoke::mf_static, 107, 626},	//644 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {21, 430, 1556, 2, Smoke::mf_static, 25, 627},	//645 QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    {21, 411, 1559, 2, Smoke::mf_static, 184, 628},	//646 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {21, 404, 269, 2, Smoke::mf_static, 390, 629},	//647 QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    {21, 459, 1562, 2, Smoke::mf_static, 137, 630},	//648 QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    {21, 510, 0, 0, Smoke::mf_static, 29, 631},	//649 QGlobalSpace::qDebug()
    {21, 420, 1565, 1, Smoke::mf_static, 433, 632},	//650 QGlobalSpace::operator-(const QPoint&)
    {21, 453, 1567, 2, Smoke::mf_static, 25, 633},	//651 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {21, 404, 119, 2, Smoke::mf_static, 390, 634},	//652 QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    {21, 511, 1570, 4, Smoke::mf_static, 0, 635},	//653 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&)
    {21, 459, 1575, 2, Smoke::mf_static, 58, 636},	//654 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    {21, 459, 1578, 2, Smoke::mf_static, 82, 637},	//655 QGlobalSpace::operator|(QSql::ParamTypeFlag, QFlags<QSql::ParamTypeFlag>)
    {21, 671, 517, 2, Smoke::mf_static, 495, 638},	//656 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {21, 459, 1581, 2, Smoke::mf_static, 57, 639},	//657 QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    {21, 459, 1584, 2, Smoke::mf_static, 137, 640},	//658 QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    {21, 655, 49, 1, Smoke::mf_static, 493, 641},	//659 QGlobalSpace::qTan(double)
    {21, 453, 1587, 2, Smoke::mf_static, 25, 642},	//660 QGlobalSpace::operator>>(QDataStream&, QString&)
    {21, 459, 1590, 2, Smoke::mf_static, 48, 643},	//661 QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    {21, 440, 160, 2, Smoke::mf_static, 390, 644},	//662 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {21, 459, 1593, 2, Smoke::mf_static, 49, 645},	//663 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    {21, 523, 1596, 7, Smoke::mf_static, 0, 646},	//664 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int)
    {21, 523, 1604, 4, Smoke::mf_static, 0, 647},	//665 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&)
    {21, 523, 1609, 5, Smoke::mf_static, 0, 648},	//666 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool)
    {21, 523, 1615, 6, Smoke::mf_static, 0, 649},	//667 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int)
    {21, 411, 457, 2, Smoke::mf_static, 486, 650},	//668 QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    {21, 459, 1622, 2, Smoke::mf_static, 70, 651},	//669 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    {21, 559, 679, 5, Smoke::mf_static, 0, 652},	//670 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {21, 559, 245, 3, Smoke::mf_static, 0, 653},	//671 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&)
    {21, 559, 249, 4, Smoke::mf_static, 0, 654},	//672 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool)
    {21, 430, 1625, 2, Smoke::mf_static, 25, 655},	//673 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {21, 592, 1063, 1, Smoke::mf_static, 503, 656},	//674 QGlobalSpace::qHash(int)
    {21, 420, 544, 2, Smoke::mf_static, 435, 657},	//675 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {21, 430, 1628, 2, Smoke::mf_static, 25, 658},	//676 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {21, 453, 1631, 2, Smoke::mf_static, 268, 659},	//677 QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    {21, 430, 1634, 2, Smoke::mf_static, 25, 660},	//678 QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    {21, 453, 1637, 2, Smoke::mf_static, 25, 661},	//679 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {21, 415, 547, 2, Smoke::mf_static, 274, 662},	//680 QGlobalSpace::operator+(const QTransform&, double)
    {21, 430, 1640, 2, Smoke::mf_static, 25, 663},	//681 QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    {21, 459, 1643, 2, Smoke::mf_static, 84, 664},	//682 QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    {21, 592, 1646, 1, Smoke::mf_static, 503, 665},	//683 QGlobalSpace::qHash(const QItemSelectionRange&)
    {21, 459, 1648, 2, Smoke::mf_static, 115, 666},	//684 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {21, 620, 526, 2, Smoke::mf_static, 493, 667},	//685 QGlobalSpace::qPow(double, double)
    {21, 440, 738, 2, Smoke::mf_static, 390, 668},	//686 QGlobalSpace::operator==(const QStringRef&, const char*)
    {21, 404, 1118, 2, Smoke::mf_static, 390, 669},	//687 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {21, 453, 1651, 2, Smoke::mf_static, 25, 670},	//688 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {21, 415, 160, 2, Smoke::mf_static, 396, 671},	//689 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {21, 459, 1654, 2, Smoke::mf_static, 55, 672},	//690 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {21, 411, 1657, 2, Smoke::mf_static, 178, 673},	//691 QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    {21, 453, 1660, 2, Smoke::mf_static, 25, 674},	//692 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {21, 459, 1663, 2, Smoke::mf_static, 137, 675},	//693 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {21, 459, 1666, 2, Smoke::mf_static, 59, 676},	//694 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    {21, 459, 1669, 2, Smoke::mf_static, 66, 677},	//695 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    {21, 703, 1672, 2, Smoke::mf_static, 0, 678},	//696 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {21, 430, 1675, 2, Smoke::mf_static, 29, 679},	//697 QGlobalSpace::operator<<(QDebug, const QSqlError&)
    {21, 459, 1678, 2, Smoke::mf_static, 137, 680},	//698 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {21, 420, 1681, 1, Smoke::mf_static, 486, 681},	//699 QGlobalSpace::operator-(const QVector3D&)
    {21, 459, 1683, 2, Smoke::mf_static, 86, 682},	//700 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    {21, 459, 1686, 2, Smoke::mf_static, 47, 683},	//701 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    {21, 430, 1689, 2, Smoke::mf_static, 29, 684},	//702 QGlobalSpace::operator<<(QDebug, const QRect&)
    {21, 570, 49, 1, Smoke::mf_static, 493, 685},	//703 QGlobalSpace::qFastCos(double)
    {21, 430, 1692, 2, Smoke::mf_static, 25, 686},	//704 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {21, 430, 1695, 2, Smoke::mf_static, 25, 687},	//705 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {21, 453, 1698, 2, Smoke::mf_static, 25, 688},	//706 QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    {21, 459, 1701, 2, Smoke::mf_static, 137, 689},	//707 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    {21, 411, 1704, 2, Smoke::mf_static, 488, 690},	//708 QGlobalSpace::operator*(double, const QVector4D&)
    {21, 424, 1450, 2, Smoke::mf_static, 446, 691},	//709 QGlobalSpace::operator/(const QSize&, double)
    {21, 453, 1707, 2, Smoke::mf_static, 25, 692},	//710 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {21, 453, 1710, 2, Smoke::mf_static, 25, 693},	//711 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {21, 459, 1713, 2, Smoke::mf_static, 63, 694},	//712 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {21, 453, 1716, 2, Smoke::mf_static, 25, 695},	//713 QGlobalSpace::operator>>(QDataStream&, QPicture&)
    {21, 440, 1391, 2, Smoke::mf_static, 390, 696},	//714 QGlobalSpace::operator==(bool, QBool)
    {21, 559, 316, 8, Smoke::mf_static, 0, 697},	//715 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {21, 559, 325, 6, Smoke::mf_static, 0, 698},	//716 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&)
    {21, 559, 332, 7, Smoke::mf_static, 0, 699},	//717 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {21, 459, 1719, 2, Smoke::mf_static, 117, 700},	//718 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {21, 459, 1722, 2, Smoke::mf_static, 97, 701},	//719 QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    {21, 459, 1725, 2, Smoke::mf_static, 137, 702},	//720 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {21, 411, 1728, 2, Smoke::mf_static, 178, 703},	//721 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {21, 459, 1731, 2, Smoke::mf_static, 137, 704},	//722 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    {21, 459, 1734, 2, Smoke::mf_static, 137, 705},	//723 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    {21, 420, 269, 2, Smoke::mf_static, 439, 706},	//724 QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    {21, 459, 1737, 2, Smoke::mf_static, 90, 707},	//725 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    {21, 420, 457, 2, Smoke::mf_static, 486, 708},	//726 QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    {21, 453, 1740, 2, Smoke::mf_static, 25, 709},	//727 QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    {21, 459, 1743, 2, Smoke::mf_static, 137, 710},	//728 QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    {21, 475, 0, 0, Smoke::mf_static, 10, 711},	//729 QGlobalSpace::qAccessibleActionCastHelper()
    {21, 592, 1746, 1, Smoke::mf_static, 503, 712},	//730 QGlobalSpace::qHash(char)
    {21, 430, 1748, 2, Smoke::mf_static, 25, 713},	//731 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {21, 496, 152, 1, Smoke::mf_static, 495, 714},	//732 QGlobalSpace::qBlue(unsigned int)
    {21, 459, 1751, 2, Smoke::mf_static, 137, 715},	//733 QGlobalSpace::operator|(QMainWindow::DockOption, int)
    {21, 453, 1754, 2, Smoke::mf_static, 25, 716},	//734 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {21, 404, 544, 2, Smoke::mf_static, 390, 717},	//735 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {21, 459, 1757, 2, Smoke::mf_static, 96, 718},	//736 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    {21, 600, 49, 1, Smoke::mf_static, 390, 719},	//737 QGlobalSpace::qIsFinite(double)
    {21, 411, 1760, 2, Smoke::mf_static, 433, 720},	//738 QGlobalSpace::operator*(const QPoint&, int)
    {21, 459, 1763, 2, Smoke::mf_static, 108, 721},	//739 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {21, 420, 99, 2, Smoke::mf_static, 446, 722},	//740 QGlobalSpace::operator-(const QSize&, const QSize&)
    {21, 430, 1766, 2, Smoke::mf_static, 29, 723},	//741 QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    {21, 641, 0, 0, Smoke::mf_static, 493, 724},	//742 QGlobalSpace::qSNaN()
    {21, 459, 1769, 2, Smoke::mf_static, 87, 725},	//743 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    {21, 430, 1772, 2, Smoke::mf_static, 25, 726},	//744 QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    {21, 585, 394, 1, Smoke::mf_static, 390, 727},	//745 QGlobalSpace::qFuzzyIsNull(float)
    {21, 459, 1775, 2, Smoke::mf_static, 106, 728},	//746 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {21, 459, 1778, 2, Smoke::mf_static, 137, 729},	//747 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    {21, 657, 1541, 2, Smoke::mf_static, 17, 730},	//748 QGlobalSpace::qUncompress(const unsigned char*, int)
    {21, 459, 1781, 2, Smoke::mf_static, 106, 731},	//749 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {21, 459, 1784, 2, Smoke::mf_static, 61, 732},	//750 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    {21, 459, 1787, 2, Smoke::mf_static, 137, 733},	//751 QGlobalSpace::operator|(Qt::Orientation, int)
    {21, 572, 49, 1, Smoke::mf_static, 493, 734},	//752 QGlobalSpace::qFastSin(double)
    {21, 459, 1790, 2, Smoke::mf_static, 68, 735},	//753 QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    {21, 430, 1793, 2, Smoke::mf_static, 25, 736},	//754 QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    {21, 430, 1796, 2, Smoke::mf_static, 29, 737},	//755 QGlobalSpace::operator<<(QDebug, const QDir&)
    {21, 415, 544, 2, Smoke::mf_static, 435, 738},	//756 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {21, 411, 1799, 2, Smoke::mf_static, 190, 739},	//757 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {21, 440, 1405, 2, Smoke::mf_static, 390, 740},	//758 QGlobalSpace::operator==(QBool, bool)
    {21, 440, 96, 2, Smoke::mf_static, 390, 741},	//759 QGlobalSpace::operator==(const QRect&, const QRect&)
    {21, 430, 1802, 2, Smoke::mf_static, 29, 742},	//760 QGlobalSpace::operator<<(QDebug, const QRegion&)
    {21, 411, 1805, 2, Smoke::mf_static, 433, 743},	//761 QGlobalSpace::operator*(float, const QPoint&)
    {21, 692, 613, 2, Smoke::mf_static, 242, 744},	//762 QGlobalSpace::qtTrId(const char*, int)
    {21, 692, 972, 1, Smoke::mf_static, 242, 745},	//763 QGlobalSpace::qtTrId(const char*)
    {21, 453, 1808, 2, Smoke::mf_static, 25, 746},	//764 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {21, 459, 1811, 2, Smoke::mf_static, 71, 747},	//765 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {21, 459, 1814, 2, Smoke::mf_static, 137, 748},	//766 QGlobalSpace::operator|(QTextOption::Flag, int)
    {21, 415, 1817, 2, Smoke::mf_static, 464, 749},	//767 QGlobalSpace::operator+(const QString&, QChar)
    {21, 495, 0, 0, Smoke::mf_static, 0, 750},	//768 QGlobalSpace::qBadAlloc()
    {21, 404, 203, 2, Smoke::mf_static, 390, 751},	//769 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {21, 635, 1820, 4, Smoke::mf_static, 503, 752},	//770 QGlobalSpace::qRgba(int, int, int, int)
    {21, 459, 1825, 2, Smoke::mf_static, 114, 753},	//771 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {21, 459, 1828, 2, Smoke::mf_static, 90, 754},	//772 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    {21, 459, 1831, 2, Smoke::mf_static, 73, 755},	//773 QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    {21, 404, 183, 2, Smoke::mf_static, 390, 756},	//774 QGlobalSpace::operator!=(QBool, QBool)
    {21, 430, 989, 2, Smoke::mf_static, 268, 757},	//775 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {21, 612, 1834, 1, Smoke::mf_static, 510, 758},	//776 QGlobalSpace::qMalloc(size_t)
    {21, 430, 1836, 2, Smoke::mf_static, 29, 759},	//777 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {21, 440, 1171, 2, Smoke::mf_static, 390, 760},	//778 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {21, 420, 547, 2, Smoke::mf_static, 274, 761},	//779 QGlobalSpace::operator-(const QTransform&, double)
    {21, 459, 1839, 2, Smoke::mf_static, 72, 762},	//780 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {21, 430, 1842, 2, Smoke::mf_static, 25, 763},	//781 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {21, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 764},	//782 QGlobalSpace::SP_CustomToolBarAdd (enum)
    {21, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 765},	//783 QGlobalSpace::SP_CustomToolBarAddDetail (enum)
    {21, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 766},	//784 QGlobalSpace::SP_CustomToolBarAgain (enum)
    {21, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 767},	//785 QGlobalSpace::SP_CustomToolBarAgenda (enum)
    {21, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 768},	//786 QGlobalSpace::SP_CustomToolBarAudioOff (enum)
    {21, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 769},	//787 QGlobalSpace::SP_CustomToolBarAudioOn (enum)
    {21, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 770},	//788 QGlobalSpace::SP_CustomToolBarBack (enum)
    {21, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 771},	//789 QGlobalSpace::SP_CustomToolBarBluetoothOff (enum)
    {21, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 772},	//790 QGlobalSpace::SP_CustomToolBarBluetoothOn (enum)
    {21, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 773},	//791 QGlobalSpace::SP_CustomToolBarCancel (enum)
    {21, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 774},	//792 QGlobalSpace::SP_CustomToolBarDelete (enum)
    {21, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 775},	//793 QGlobalSpace::SP_CustomToolBarDone (enum)
    {21, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 776},	//794 QGlobalSpace::SP_CustomToolBarEdit (enum)
    {21, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 777},	//795 QGlobalSpace::SP_CustomToolBarEditDisabled (enum)
    {21, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 778},	//796 QGlobalSpace::SP_CustomToolBarEmailSend (enum)
    {21, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 779},	//797 QGlobalSpace::SP_CustomToolBarEmergencyCall (enum)
    {21, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 780},	//798 QGlobalSpace::SP_CustomToolBarFavouriteAdd (enum)
    {21, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 781},	//799 QGlobalSpace::SP_CustomToolBarFavouriteRemove (enum)
    {21, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 782},	//800 QGlobalSpace::SP_CustomToolBarFavourites (enum)
    {21, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 783},	//801 QGlobalSpace::SP_CustomToolBarGo (enum)
    {21, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 784},	//802 QGlobalSpace::SP_CustomToolBarHome (enum)
    {21, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 785},	//803 QGlobalSpace::SP_CustomToolBarImageTools (enum)
    {21, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 786},	//804 QGlobalSpace::SP_CustomToolBarList (enum)
    {21, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 787},	//805 QGlobalSpace::SP_CustomToolBarLock (enum)
    {21, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 788},	//806 QGlobalSpace::SP_CustomToolBarLogs (enum)
    {21, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 789},	//807 QGlobalSpace::SP_CustomToolBarMenu (enum)
    {21, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 790},	//808 QGlobalSpace::SP_CustomToolBarNewContact (enum)
    {21, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 791},	//809 QGlobalSpace::SP_CustomToolBarNewGroup (enum)
    {21, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 792},	//810 QGlobalSpace::SP_CustomToolBarNextFrame (enum)
    {21, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 793},	//811 QGlobalSpace::SP_CustomToolBarNowPlay (enum)
    {21, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 794},	//812 QGlobalSpace::SP_CustomToolBarOptions (enum)
    {21, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 795},	//813 QGlobalSpace::SP_CustomToolBarOther (enum)
    {21, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 796},	//814 QGlobalSpace::SP_CustomToolBarOvi (enum)
    {21, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 797},	//815 QGlobalSpace::SP_CustomToolBarPreviousFrame (enum)
    {21, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 798},	//816 QGlobalSpace::SP_CustomToolBarRead (enum)
    {21, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 799},	//817 QGlobalSpace::SP_CustomToolBarRedoDisabled (enum)
    {21, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 800},	//818 QGlobalSpace::SP_CustomToolBarRedo (enum)
    {21, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 801},	//819 QGlobalSpace::SP_CustomToolBarRefresh (enum)
    {21, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 802},	//820 QGlobalSpace::SP_CustomToolBarRemoveDetail (enum)
    {21, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 803},	//821 QGlobalSpace::SP_CustomToolBarRemoveDisabled (enum)
    {21, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 804},	//822 QGlobalSpace::SP_CustomToolBarRepeat (enum)
    {21, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 805},	//823 QGlobalSpace::SP_CustomToolBarRepeatOff (enum)
    {21, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 806},	//824 QGlobalSpace::SP_CustomToolBarRepeatOne (enum)
    {21, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 807},	//825 QGlobalSpace::SP_CustomToolBarSearch (enum)
    {21, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 808},	//826 QGlobalSpace::SP_CustomToolBarSearchDisabled (enum)
    {21, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 809},	//827 QGlobalSpace::SP_CustomToolBarSelectContent (enum)
    {21, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 810},	//828 QGlobalSpace::SP_CustomToolBarSelfTimer (enum)
    {21, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 811},	//829 QGlobalSpace::SP_CustomToolBarSend (enum)
    {21, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 812},	//830 QGlobalSpace::SP_CustomToolBarSendDimmed (enum)
    {21, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 813},	//831 QGlobalSpace::SP_CustomToolBarShare (enum)
    {21, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 814},	//832 QGlobalSpace::SP_CustomToolBarShift (enum)
    {21, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 815},	//833 QGlobalSpace::SP_CustomToolBarShuffle (enum)
    {21, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 816},	//834 QGlobalSpace::SP_CustomToolBarShuffleOff (enum)
    {21, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 817},	//835 QGlobalSpace::SP_CustomToolBarSignalOff (enum)
    {21, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 818},	//836 QGlobalSpace::SP_CustomToolBarSignalOn (enum)
    {21, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 819},	//837 QGlobalSpace::SP_CustomToolBarSync (enum)
    {21, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 820},	//838 QGlobalSpace::SP_CustomToolBarTools (enum)
    {21, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 821},	//839 QGlobalSpace::SP_CustomToolBarTrim (enum)
    {21, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 822},	//840 QGlobalSpace::SP_CustomToolBarUnlock (enum)
    {21, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 823},	//841 QGlobalSpace::SP_CustomToolBarUnmark (enum)
    {21, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 824},	//842 QGlobalSpace::SP_CustomToolBarView (enum)
    {21, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 825},	//843 QGlobalSpace::SP_CustomToolBarWlanOff (enum)
    {21, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 826},	//844 QGlobalSpace::SP_CustomToolBarWlanOn (enum)
    {21, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 827},	//845 QGlobalSpace::SP_CustomCameraCaptureButton (enum)
    {21, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 828},	//846 QGlobalSpace::SP_CustomCameraCaptureButtonPressed (enum)
    {21, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 829},	//847 QGlobalSpace::SP_CustomCameraPauseButton (enum)
    {21, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 830},	//848 QGlobalSpace::SP_CustomCameraPauseButtonPressed (enum)
    {21, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 831},	//849 QGlobalSpace::SP_CustomCameraPlayButton (enum)
    {21, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 832},	//850 QGlobalSpace::SP_CustomCameraPlayButtonPressed (enum)
    {21, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 833},	//851 QGlobalSpace::SP_CustomCameraRecButton (enum)
    {21, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 834},	//852 QGlobalSpace::SP_CustomCameraRecButtonPressed (enum)
    {21, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 835},	//853 QGlobalSpace::SP_CustomCameraStopButton (enum)
    {21, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 836},	//854 QGlobalSpace::SP_CustomCameraStopButtonPressed (enum)
    {21, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 837},	//855 QGlobalSpace::SP_CustomTabAll (enum)
    {21, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 838},	//856 QGlobalSpace::SP_CustomTabArtist (enum)
    {21, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 839},	//857 QGlobalSpace::SP_CustomTabFavourite (enum)
    {21, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 840},	//858 QGlobalSpace::SP_CustomTabGenre (enum)
    {21, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 841},	//859 QGlobalSpace::SP_CustomTabLanguage (enum)
    {21, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 842},	//860 QGlobalSpace::SP_CustomTabMusicAlbum (enum)
    {21, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 843},	//861 QGlobalSpace::SP_CustomTabPhotosAlbum (enum)
    {21, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 844},	//862 QGlobalSpace::SP_CustomTabPhotosAll (enum)
    {21, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 845},	//863 QGlobalSpace::SP_CustomTabPlaylist (enum)
    {21, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 846},	//864 QGlobalSpace::SP_CustomTabServices (enum)
    {21, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 847},	//865 QGlobalSpace::SP_CustomTabSongs (enum)
    {21, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 496, 848},	//866 QGlobalSpace::SP_CustomTabVideos (enum)
    {21, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 379, 849},	//867 QGlobalSpace::LicensedOpenGL (enum)
    {21, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 386, 850},	//868 QGlobalSpace::LicensedSvg (enum)
    {21, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 380, 851},	//869 QGlobalSpace::LicensedOpenVG (enum)
    {21, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 383, 852},	//870 QGlobalSpace::LicensedScript (enum)
    {21, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 381, 853},	//871 QGlobalSpace::LicensedQt3SupportLight (enum)
    {21, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 854},	//872 QGlobalSpace::QtDebugMsg (enum)
    {21, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 855},	//873 QGlobalSpace::QtWarningMsg (enum)
    {21, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 856},	//874 QGlobalSpace::QtCriticalMsg (enum)
    {21, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 857},	//875 QGlobalSpace::QtFatalMsg (enum)
    {21, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 858},	//876 QGlobalSpace::QtSystemMsg (enum)
    {21, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 375, 859},	//877 QGlobalSpace::LicensedGui (enum)
    {21, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 389, 860},	//878 QGlobalSpace::LicensedXmlPatterns (enum)
    {21, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 385, 861},	//879 QGlobalSpace::LicensedSql (enum)
    {21, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 371, 862},	//880 QGlobalSpace::LicensedActiveQt (enum)
    {21, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 382, 863},	//881 QGlobalSpace::LicensedQt3Support (enum)
    {21, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 373, 864},	//882 QGlobalSpace::LicensedDBus (enum)
    {21, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 372, 865},	//883 QGlobalSpace::LicensedCore (enum)
    {21, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 378, 866},	//884 QGlobalSpace::LicensedNetwork (enum)
    {21, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 377, 867},	//885 QGlobalSpace::LicensedMultimedia (enum)
    {21, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 387, 868},	//886 QGlobalSpace::LicensedTest (enum)
    {21, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 384, 869},	//887 QGlobalSpace::LicensedScriptTools (enum)
    {21, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 376, 870},	//888 QGlobalSpace::LicensedHelp (enum)
    {21, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 388, 871},	//889 QGlobalSpace::LicensedXml (enum)
    {21, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 374, 872},	//890 QGlobalSpace::LicensedDeclarative (enum)
    {28, 386, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 423, 0},	//891 QItemDelegate::metaObject() const
    {28, 707, 972, 1, Smoke::mf_virtual, 510, 0},	//892 QItemDelegate::qt_metacast(const char*)
    {28, 705, 1845, 3, Smoke::mf_virtual, 495, 0},	//893 QItemDelegate::qt_metacall(QMetaObject::Call, int, void**)
    {28, 463, 1849, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//894 QItemDelegate::paint(QPainter*, const QStyleOptionViewItem&, const QModelIndex&) const
    {28, 859, 1853, 2, Smoke::mf_const|Smoke::mf_virtual, 192, 0},	//895 QItemDelegate::sizeHint(const QStyleOptionViewItem&, const QModelIndex&) const
    {28, 899, 1856, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//896 QItemDelegate::updateEditorGeometry(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {28, 289, 1860, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//897 QItemDelegate::drawDisplay(QPainter*, const QStyleOptionViewItem&, const QRect&, const QString&) const
    {28, 288, 1865, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//898 QItemDelegate::drawDecoration(QPainter*, const QStyleOptionViewItem&, const QRect&, const QPixmap&) const
    {28, 290, 1870, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//899 QItemDelegate::drawFocus(QPainter*, const QStyleOptionViewItem&, const QRect&) const
    {28, 287, 1874, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//900 QItemDelegate::drawCheck(QPainter*, const QStyleOptionViewItem&, const QRect&, Qt::CheckState) const
    {28, 301, 1879, 2, Smoke::mf_protected|Smoke::mf_virtual, 390, 0},	//901 QItemDelegate::eventFilter(QObject*, QEvent*)
    {28, 297, 1882, 4, Smoke::mf_protected|Smoke::mf_virtual, 390, 0},	//902 QItemDelegate::editorEvent(QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&)
    {43, 300, 1887, 1, Smoke::mf_virtual, 390, 0},	//903 QObject::event(QEvent*)
    {43, 301, 1879, 2, Smoke::mf_virtual, 390, 0},	//904 QObject::eventFilter(QObject*, QEvent*)
    {43, 883, 1889, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//905 QObject::timerEvent(QTimerEvent*)
    {43, 246, 1891, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//906 QObject::childEvent(QChildEvent*)
    {43, 270, 1887, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//907 QObject::customEvent(QEvent*)
    {43, 256, 972, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//908 QObject::connectNotify(const char*)
    {43, 285, 972, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//909 QObject::disconnectNotify(const char*)
    {64, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 1},	//910 QSql::Tables (enum)
    {64, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 2},	//911 QSql::SystemTables (enum)
    {64, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 3},	//912 QSql::Views (enum)
    {64, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 4},	//913 QSql::AllTables (enum)
    {64, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 5},	//914 QSql::In (enum)
    {64, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 6},	//915 QSql::Out (enum)
    {64, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 7},	//916 QSql::InOut (enum)
    {64, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 8},	//917 QSql::Binary (enum)
    {64, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 199, 9},	//918 QSql::LowPrecisionInt32 (enum)
    {64, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 199, 10},	//919 QSql::LowPrecisionInt64 (enum)
    {64, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 199, 11},	//920 QSql::LowPrecisionDouble (enum)
    {64, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 199, 12},	//921 QSql::HighPrecision (enum)
    {64, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 13},	//922 QSql::BeforeFirstRow (enum)
    {64, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 14},	//923 QSql::AfterLastRow (enum)
    {65, 57, 0, 0, Smoke::mf_ctor, 204, 1},	//924 QSqlDatabase::QSqlDatabase()
    {65, 57, 1893, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 204, 2},	//925 QSqlDatabase::QSqlDatabase(const QSqlDatabase&)
    {65, 438, 1893, 1, 0, 203, 3},	//926 QSqlDatabase::operator=(const QSqlDatabase&)
    {65, 397, 0, 0, 0, 390, 4},	//927 QSqlDatabase::open()
    {65, 397, 1083, 2, 0, 390, 5},	//928 QSqlDatabase::open(const QString&, const QString&)
    {65, 251, 0, 0, 0, 0, 6},	//929 QSqlDatabase::close()
    {65, 373, 0, 0, Smoke::mf_const, 390, 7},	//930 QSqlDatabase::isOpen() const
    {65, 374, 0, 0, Smoke::mf_const, 390, 8},	//931 QSqlDatabase::isOpenError() const
    {65, 880, 1895, 1, Smoke::mf_const, 246, 9},	//932 QSqlDatabase::tables(QSql::TableType) const
    {65, 470, 300, 1, Smoke::mf_const, 220, 10},	//933 QSqlDatabase::primaryIndex(const QString&) const
    {65, 720, 300, 1, Smoke::mf_const, 228, 11},	//934 QSqlDatabase::record(const QString&) const
    {65, 302, 300, 1, Smoke::mf_const, 223, 12},	//935 QSqlDatabase::exec(const QString&) const
    {65, 381, 0, 0, Smoke::mf_const, 212, 13},	//936 QSqlDatabase::lastError() const
    {65, 377, 0, 0, Smoke::mf_const, 390, 14},	//937 QSqlDatabase::isValid() const
    {65, 892, 0, 0, 0, 390, 15},	//938 QSqlDatabase::transaction()
    {65, 254, 0, 0, 0, 390, 16},	//939 QSqlDatabase::commit()
    {65, 748, 0, 0, 0, 390, 17},	//940 QSqlDatabase::rollback()
    {65, 772, 300, 1, 0, 0, 18},	//941 QSqlDatabase::setDatabaseName(const QString&)
    {65, 853, 300, 1, 0, 0, 19},	//942 QSqlDatabase::setUserName(const QString&)
    {65, 821, 300, 1, 0, 0, 20},	//943 QSqlDatabase::setPassword(const QString&)
    {65, 798, 300, 1, 0, 0, 21},	//944 QSqlDatabase::setHostName(const QString&)
    {65, 823, 1063, 1, 0, 0, 22},	//945 QSqlDatabase::setPort(int)
    {65, 765, 300, 1, 0, 0, 23},	//946 QSqlDatabase::setConnectOptions(const QString&)
    {65, 278, 0, 0, Smoke::mf_const, 242, 24},	//947 QSqlDatabase::databaseName() const
    {65, 902, 0, 0, Smoke::mf_const, 242, 25},	//948 QSqlDatabase::userName() const
    {65, 464, 0, 0, Smoke::mf_const, 242, 26},	//949 QSqlDatabase::password() const
    {65, 336, 0, 0, Smoke::mf_const, 242, 27},	//950 QSqlDatabase::hostName() const
    {65, 292, 0, 0, Smoke::mf_const, 242, 28},	//951 QSqlDatabase::driverName() const
    {65, 465, 0, 0, Smoke::mf_const, 495, 29},	//952 QSqlDatabase::port() const
    {65, 257, 0, 0, Smoke::mf_const, 242, 30},	//953 QSqlDatabase::connectOptions() const
    {65, 258, 0, 0, Smoke::mf_const, 242, 31},	//954 QSqlDatabase::connectionName() const
    {65, 815, 1897, 1, 0, 0, 32},	//955 QSqlDatabase::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {65, 396, 0, 0, Smoke::mf_const, 199, 33},	//956 QSqlDatabase::numericalPrecisionPolicy() const
    {65, 291, 0, 0, Smoke::mf_const, 205, 34},	//957 QSqlDatabase::driver() const
    {65, 215, 1083, 2, Smoke::mf_static, 202, 35},	//958 QSqlDatabase::addDatabase(const QString&, const QString&)
    {65, 215, 1899, 2, Smoke::mf_static, 202, 36},	//959 QSqlDatabase::addDatabase(QSqlDriver*, const QString&)
    {65, 249, 1902, 2, Smoke::mf_static, 202, 37},	//960 QSqlDatabase::cloneDatabase(const QSqlDatabase&, const QString&)
    {65, 275, 1905, 2, Smoke::mf_static, 202, 38},	//961 QSqlDatabase::database(const QString&, bool)
    {65, 733, 300, 1, Smoke::mf_static, 0, 39},	//962 QSqlDatabase::removeDatabase(const QString&)
    {65, 260, 300, 1, Smoke::mf_static, 390, 40},	//963 QSqlDatabase::contains(const QString&)
    {65, 294, 0, 0, Smoke::mf_static, 246, 41},	//964 QSqlDatabase::drivers()
    {65, 259, 0, 0, Smoke::mf_static, 246, 42},	//965 QSqlDatabase::connectionNames()
    {65, 722, 1908, 2, Smoke::mf_static, 0, 43},	//966 QSqlDatabase::registerSqlDriver(const QString&, QSqlDriverCreatorBase*)
    {65, 361, 300, 1, Smoke::mf_static, 390, 44},	//967 QSqlDatabase::isDriverAvailable(const QString&)
    {65, 57, 300, 1, Smoke::mf_ctor|Smoke::mf_protected, 204, 45},	//968 QSqlDatabase::QSqlDatabase(const QString&)
    {65, 57, 1911, 1, Smoke::mf_ctor|Smoke::mf_protected, 204, 46},	//969 QSqlDatabase::QSqlDatabase(QSqlDriver*)
    {65, 880, 0, 0, Smoke::mf_const, 246, 47},	//970 QSqlDatabase::tables() const
    {65, 302, 0, 0, Smoke::mf_const, 223, 48},	//971 QSqlDatabase::exec() const
    {65, 765, 0, 0, 0, 0, 49},	//972 QSqlDatabase::setConnectOptions()
    {65, 215, 300, 1, Smoke::mf_static, 202, 50},	//973 QSqlDatabase::addDatabase(const QString&)
    {65, 215, 1911, 1, Smoke::mf_static, 202, 51},	//974 QSqlDatabase::addDatabase(QSqlDriver*)
    {65, 275, 0, 0, Smoke::mf_static, 202, 52},	//975 QSqlDatabase::database()
    {65, 275, 300, 1, Smoke::mf_static, 202, 53},	//976 QSqlDatabase::database(const QString&)
    {65, 260, 0, 0, Smoke::mf_static, 390, 54},	//977 QSqlDatabase::contains()
    {65, 280, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 490, 55},	//978 QSqlDatabase::defaultConnection() const
    {65, 776, 972, 1, Smoke::mf_static|Smoke::mf_attribute, 0, 56},	//979 QSqlDatabase::setDefaultConnection(const char*)
    {65, 907, 0, 0, Smoke::mf_dtor, 0, 57 },	//980 QSqlDatabase::~QSqlDatabase()
    {66, 386, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 423, 1},	//981 QSqlDriver::metaObject() const
    {66, 707, 972, 1, Smoke::mf_virtual, 510, 2},	//982 QSqlDriver::qt_metacast(const char*)
    {66, 884, 1194, 2, Smoke::mf_static, 242, 3},	//983 QSqlDriver::tr(const char*, const char*)
    {66, 888, 1194, 2, Smoke::mf_static, 242, 4},	//984 QSqlDriver::trUtf8(const char*, const char*)
    {66, 884, 39, 3, Smoke::mf_static, 242, 5},	//985 QSqlDriver::tr(const char*, const char*, int)
    {66, 888, 39, 3, Smoke::mf_static, 242, 6},	//986 QSqlDriver::trUtf8(const char*, const char*, int)
    {66, 705, 1845, 3, Smoke::mf_virtual, 495, 7},	//987 QSqlDriver::qt_metacall(QMetaObject::Call, int, void**)
    {66, 60, 1913, 1, Smoke::mf_ctor, 205, 8},	//988 QSqlDriver::QSqlDriver(QObject*)
    {66, 373, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 390, 9},	//989 QSqlDriver::isOpen() const
    {66, 374, 0, 0, Smoke::mf_const, 390, 10},	//990 QSqlDriver::isOpenError() const
    {66, 230, 0, 0, Smoke::mf_virtual, 390, 11},	//991 QSqlDriver::beginTransaction()
    {66, 255, 0, 0, Smoke::mf_virtual, 390, 12},	//992 QSqlDriver::commitTransaction()
    {66, 749, 0, 0, Smoke::mf_virtual, 390, 13},	//993 QSqlDriver::rollbackTransaction()
    {66, 880, 1895, 1, Smoke::mf_const|Smoke::mf_virtual, 246, 14},	//994 QSqlDriver::tables(QSql::TableType) const
    {66, 470, 300, 1, Smoke::mf_const|Smoke::mf_virtual, 220, 15},	//995 QSqlDriver::primaryIndex(const QString&) const
    {66, 720, 300, 1, Smoke::mf_const|Smoke::mf_virtual, 228, 16},	//996 QSqlDriver::record(const QString&) const
    {66, 326, 1915, 2, Smoke::mf_const|Smoke::mf_virtual, 242, 17},	//997 QSqlDriver::formatValue(const QSqlField&, bool) const
    {66, 298, 1918, 2, Smoke::mf_const|Smoke::mf_virtual, 242, 18},	//998 QSqlDriver::escapeIdentifier(const QString&, QSqlDriver::IdentifierType) const
    {66, 863, 1921, 4, Smoke::mf_const|Smoke::mf_virtual, 242, 19},	//999 QSqlDriver::sqlStatement(QSqlDriver::StatementType, const QString&, const QSqlRecord&, bool) const
    {66, 381, 0, 0, Smoke::mf_const, 212, 20},	//1000 QSqlDriver::lastError() const
    {66, 329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 281, 21},	//1001 QSqlDriver::handle() const
    {66, 330, 1926, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 390, 22},	//1002 QSqlDriver::hasFeature(QSqlDriver::DriverFeature) const [pure virtual]
    {66, 251, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 23},	//1003 QSqlDriver::close() [pure virtual]
    {66, 268, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 24},	//1004 QSqlDriver::createResult() const [pure virtual]
    {66, 397, 1928, 6, Smoke::mf_virtual|Smoke::mf_purevirtual, 390, 25},	//1005 QSqlDriver::open(const QString&, const QString&, const QString&, const QString&, int, const QString&) [pure virtual]
    {66, 872, 300, 1, 0, 390, 26},	//1006 QSqlDriver::subscribeToNotification(const QString&)
    {66, 895, 300, 1, 0, 390, 27},	//1007 QSqlDriver::unsubscribeFromNotification(const QString&)
    {66, 876, 0, 0, Smoke::mf_const, 246, 28},	//1008 QSqlDriver::subscribedToNotifications() const
    {66, 367, 1918, 2, Smoke::mf_const, 390, 29},	//1009 QSqlDriver::isIdentifierEscaped(const QString&, QSqlDriver::IdentifierType) const
    {66, 866, 1918, 2, Smoke::mf_const, 242, 30},	//1010 QSqlDriver::stripDelimiters(const QString&, QSqlDriver::IdentifierType) const
    {66, 815, 1897, 1, 0, 0, 31},	//1011 QSqlDriver::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {66, 396, 0, 0, Smoke::mf_const, 199, 32},	//1012 QSqlDriver::numericalPrecisionPolicy() const
    {66, 392, 300, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1013 QSqlDriver::notification(const QString&)
    {66, 817, 1935, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1014 QSqlDriver::setOpen(bool)
    {66, 819, 1935, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//1015 QSqlDriver::setOpenError(bool)
    {66, 803, 1937, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//1016 QSqlDriver::setLastError(const QSqlError&)
    {66, 874, 300, 1, Smoke::mf_protected|Smoke::mf_slot, 390, 37},	//1017 QSqlDriver::subscribeToNotificationImplementation(const QString&)
    {66, 897, 300, 1, Smoke::mf_protected|Smoke::mf_slot, 390, 38},	//1018 QSqlDriver::unsubscribeFromNotificationImplementation(const QString&)
    {66, 877, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 246, 39},	//1019 QSqlDriver::subscribedToNotificationsImplementation() const
    {66, 369, 1918, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 390, 40},	//1020 QSqlDriver::isIdentifierEscapedImplementation(const QString&, QSqlDriver::IdentifierType) const
    {66, 868, 1918, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 242, 41},	//1021 QSqlDriver::stripDelimitersImplementation(const QString&, QSqlDriver::IdentifierType) const
    {66, 884, 972, 1, Smoke::mf_static, 242, 42},	//1022 QSqlDriver::tr(const char*)
    {66, 888, 972, 1, Smoke::mf_static, 242, 43},	//1023 QSqlDriver::trUtf8(const char*)
    {66, 60, 0, 0, Smoke::mf_ctor, 205, 44},	//1024 QSqlDriver::QSqlDriver()
    {66, 326, 1939, 1, Smoke::mf_const, 242, 45},	//1025 QSqlDriver::formatValue(const QSqlField&) const
    {66, 397, 300, 1, 0, 390, 46},	//1026 QSqlDriver::open(const QString&)
    {66, 397, 1083, 2, 0, 390, 47},	//1027 QSqlDriver::open(const QString&, const QString&)
    {66, 397, 1941, 3, 0, 390, 48},	//1028 QSqlDriver::open(const QString&, const QString&, const QString&)
    {66, 397, 1945, 4, 0, 390, 49},	//1029 QSqlDriver::open(const QString&, const QString&, const QString&, const QString&)
    {66, 397, 1950, 5, 0, 390, 50},	//1030 QSqlDriver::open(const QString&, const QString&, const QString&, const QString&, int)
    {66, 865, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 422, 51},	//1031 QSqlDriver::staticMetaObject() const
    {66, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 52},	//1032 QSqlDriver::Transactions (enum)
    {66, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 53},	//1033 QSqlDriver::QuerySize (enum)
    {66, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 54},	//1034 QSqlDriver::BLOB (enum)
    {66, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 55},	//1035 QSqlDriver::Unicode (enum)
    {66, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 56},	//1036 QSqlDriver::PreparedQueries (enum)
    {66, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 57},	//1037 QSqlDriver::NamedPlaceholders (enum)
    {66, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 58},	//1038 QSqlDriver::PositionalPlaceholders (enum)
    {66, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 59},	//1039 QSqlDriver::LastInsertId (enum)
    {66, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 60},	//1040 QSqlDriver::BatchOperations (enum)
    {66, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 61},	//1041 QSqlDriver::SimpleLocking (enum)
    {66, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 62},	//1042 QSqlDriver::LowPrecisionNumbers (enum)
    {66, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 63},	//1043 QSqlDriver::EventNotifications (enum)
    {66, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 64},	//1044 QSqlDriver::FinishQuery (enum)
    {66, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 65},	//1045 QSqlDriver::MultipleResultSets (enum)
    {66, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 66},	//1046 QSqlDriver::WhereStatement (enum)
    {66, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 67},	//1047 QSqlDriver::SelectStatement (enum)
    {66, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 68},	//1048 QSqlDriver::UpdateStatement (enum)
    {66, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 69},	//1049 QSqlDriver::InsertStatement (enum)
    {66, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 70},	//1050 QSqlDriver::DeleteStatement (enum)
    {66, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 71},	//1051 QSqlDriver::FieldName (enum)
    {66, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 72},	//1052 QSqlDriver::TableName (enum)
    {66, 908, 0, 0, Smoke::mf_dtor, 0, 73 },	//1053 QSqlDriver::~QSqlDriver()
    {67, 267, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 205, 1},	//1054 QSqlDriverCreatorBase::createObject() const [pure virtual]
    {67, 62, 0, 0, Smoke::mf_ctor, 209, 2},	//1055 QSqlDriverCreatorBase::QSqlDriverCreatorBase()
    {67, 62, 1956, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 209, 3},	//1056 QSqlDriverCreatorBase::QSqlDriverCreatorBase(const QSqlDriverCreatorBase&)
    {67, 909, 0, 0, Smoke::mf_dtor, 0, 4 },	//1057 QSqlDriverCreatorBase::~QSqlDriverCreatorBase()
    {68, 263, 300, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 205, 1},	//1058 QSqlDriverFactoryInterface::create(const QString&) [pure virtual]
    {68, 64, 0, 0, Smoke::mf_ctor, 210, 2},	//1059 QSqlDriverFactoryInterface::QSqlDriverFactoryInterface()
    {68, 64, 1958, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 210, 3},	//1060 QSqlDriverFactoryInterface::QSqlDriverFactoryInterface(const QSqlDriverFactoryInterface&)
    {68, 910, 0, 0, Smoke::mf_dtor, 0, 4 },	//1061 QSqlDriverFactoryInterface::~QSqlDriverFactoryInterface()
    {69, 386, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 423, 1},	//1062 QSqlDriverPlugin::metaObject() const
    {69, 707, 972, 1, Smoke::mf_virtual, 510, 2},	//1063 QSqlDriverPlugin::qt_metacast(const char*)
    {69, 884, 1194, 2, Smoke::mf_static, 242, 3},	//1064 QSqlDriverPlugin::tr(const char*, const char*)
    {69, 888, 1194, 2, Smoke::mf_static, 242, 4},	//1065 QSqlDriverPlugin::trUtf8(const char*, const char*)
    {69, 884, 39, 3, Smoke::mf_static, 242, 5},	//1066 QSqlDriverPlugin::tr(const char*, const char*, int)
    {69, 888, 39, 3, Smoke::mf_static, 242, 6},	//1067 QSqlDriverPlugin::trUtf8(const char*, const char*, int)
    {69, 705, 1845, 3, Smoke::mf_virtual, 495, 7},	//1068 QSqlDriverPlugin::qt_metacall(QMetaObject::Call, int, void**)
    {69, 66, 1913, 1, Smoke::mf_ctor, 211, 8},	//1069 QSqlDriverPlugin::QSqlDriverPlugin(QObject*)
    {69, 379, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 246, 9},	//1070 QSqlDriverPlugin::keys() const [pure virtual]
    {69, 263, 300, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 205, 10},	//1071 QSqlDriverPlugin::create(const QString&) [pure virtual]
    {69, 884, 972, 1, Smoke::mf_static, 242, 11},	//1072 QSqlDriverPlugin::tr(const char*)
    {69, 888, 972, 1, Smoke::mf_static, 242, 12},	//1073 QSqlDriverPlugin::trUtf8(const char*)
    {69, 66, 0, 0, Smoke::mf_ctor, 211, 13},	//1074 QSqlDriverPlugin::QSqlDriverPlugin()
    {69, 865, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 422, 14},	//1075 QSqlDriverPlugin::staticMetaObject() const
    {69, 911, 0, 0, Smoke::mf_dtor, 0, 15 },	//1076 QSqlDriverPlugin::~QSqlDriverPlugin()
    {70, 68, 1960, 4, Smoke::mf_ctor, 214, 1},	//1077 QSqlError::QSqlError(const QString&, const QString&, QSqlError::ErrorType, int)
    {70, 68, 1937, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 214, 2},	//1078 QSqlError::QSqlError(const QSqlError&)
    {70, 438, 1937, 1, 0, 213, 3},	//1079 QSqlError::operator=(const QSqlError&)
    {70, 293, 0, 0, Smoke::mf_const, 242, 4},	//1080 QSqlError::driverText() const
    {70, 782, 300, 1, 0, 0, 5},	//1081 QSqlError::setDriverText(const QString&)
    {70, 279, 0, 0, Smoke::mf_const, 242, 6},	//1082 QSqlError::databaseText() const
    {70, 774, 300, 1, 0, 0, 7},	//1083 QSqlError::setDatabaseText(const QString&)
    {70, 893, 0, 0, Smoke::mf_const, 215, 8},	//1084 QSqlError::type() const
    {70, 851, 1965, 1, 0, 0, 9},	//1085 QSqlError::setType(QSqlError::ErrorType)
    {70, 395, 0, 0, Smoke::mf_const, 495, 10},	//1086 QSqlError::number() const
    {70, 813, 1063, 1, 0, 0, 11},	//1087 QSqlError::setNumber(int)
    {70, 882, 0, 0, Smoke::mf_const, 242, 12},	//1088 QSqlError::text() const
    {70, 377, 0, 0, Smoke::mf_const, 390, 13},	//1089 QSqlError::isValid() const
    {70, 68, 0, 0, Smoke::mf_ctor, 214, 14},	//1090 QSqlError::QSqlError()
    {70, 68, 300, 1, Smoke::mf_ctor, 214, 15},	//1091 QSqlError::QSqlError(const QString&)
    {70, 68, 1083, 2, Smoke::mf_ctor, 214, 16},	//1092 QSqlError::QSqlError(const QString&, const QString&)
    {70, 68, 1967, 3, Smoke::mf_ctor, 214, 17},	//1093 QSqlError::QSqlError(const QString&, const QString&, QSqlError::ErrorType)
    {70, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 18},	//1094 QSqlError::NoError (enum)
    {70, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 19},	//1095 QSqlError::ConnectionError (enum)
    {70, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 20},	//1096 QSqlError::StatementError (enum)
    {70, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 21},	//1097 QSqlError::TransactionError (enum)
    {70, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 22},	//1098 QSqlError::UnknownError (enum)
    {70, 912, 0, 0, Smoke::mf_dtor, 0, 23 },	//1099 QSqlError::~QSqlError()
    {71, 74, 1971, 2, Smoke::mf_ctor, 218, 1},	//1100 QSqlField::QSqlField(const QString&, QVariant::Type)
    {71, 74, 1939, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 218, 2},	//1101 QSqlField::QSqlField(const QSqlField&)
    {71, 438, 1939, 1, 0, 217, 3},	//1102 QSqlField::operator=(const QSqlField&)
    {71, 440, 1939, 1, Smoke::mf_const, 390, 4},	//1103 QSqlField::operator==(const QSqlField&) const
    {71, 404, 1939, 1, Smoke::mf_const, 390, 5},	//1104 QSqlField::operator!=(const QSqlField&) const
    {71, 855, 1974, 1, 0, 0, 6},	//1105 QSqlField::setValue(const QVariant&)
    {71, 903, 0, 0, Smoke::mf_const, 281, 7},	//1106 QSqlField::value() const
    {71, 809, 300, 1, 0, 0, 8},	//1107 QSqlField::setName(const QString&)
    {71, 389, 0, 0, Smoke::mf_const, 242, 9},	//1108 QSqlField::name() const
    {71, 371, 0, 0, Smoke::mf_const, 390, 10},	//1109 QSqlField::isNull() const
    {71, 833, 1935, 1, 0, 0, 11},	//1110 QSqlField::setReadOnly(bool)
    {71, 375, 0, 0, Smoke::mf_const, 390, 12},	//1111 QSqlField::isReadOnly() const
    {71, 247, 0, 0, 0, 0, 13},	//1112 QSqlField::clear()
    {71, 893, 0, 0, Smoke::mf_const, 283, 14},	//1113 QSqlField::type() const
    {71, 356, 0, 0, Smoke::mf_const, 390, 15},	//1114 QSqlField::isAutoValue() const
    {71, 851, 1976, 1, 0, 0, 16},	//1115 QSqlField::setType(QVariant::Type)
    {71, 841, 1978, 1, 0, 0, 17},	//1116 QSqlField::setRequiredStatus(QSqlField::RequiredStatus)
    {71, 839, 1935, 1, 0, 0, 18},	//1117 QSqlField::setRequired(bool)
    {71, 805, 1063, 1, 0, 0, 19},	//1118 QSqlField::setLength(int)
    {71, 825, 1063, 1, 0, 0, 20},	//1119 QSqlField::setPrecision(int)
    {71, 778, 1974, 1, 0, 0, 21},	//1120 QSqlField::setDefaultValue(const QVariant&)
    {71, 847, 1063, 1, 0, 0, 22},	//1121 QSqlField::setSqlType(int)
    {71, 792, 1935, 1, 0, 0, 23},	//1122 QSqlField::setGenerated(bool)
    {71, 763, 1935, 1, 0, 0, 24},	//1123 QSqlField::setAutoValue(bool)
    {71, 740, 0, 0, Smoke::mf_const, 219, 25},	//1124 QSqlField::requiredStatus() const
    {71, 384, 0, 0, Smoke::mf_const, 495, 26},	//1125 QSqlField::length() const
    {71, 466, 0, 0, Smoke::mf_const, 495, 27},	//1126 QSqlField::precision() const
    {71, 281, 0, 0, Smoke::mf_const, 281, 28},	//1127 QSqlField::defaultValue() const
    {71, 894, 0, 0, Smoke::mf_const, 495, 29},	//1128 QSqlField::typeID() const
    {71, 365, 0, 0, Smoke::mf_const, 390, 30},	//1129 QSqlField::isGenerated() const
    {71, 377, 0, 0, Smoke::mf_const, 390, 31},	//1130 QSqlField::isValid() const
    {71, 74, 0, 0, Smoke::mf_ctor, 218, 32},	//1131 QSqlField::QSqlField()
    {71, 74, 300, 1, Smoke::mf_ctor, 218, 33},	//1132 QSqlField::QSqlField(const QString&)
    {71, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 34},	//1133 QSqlField::Unknown (enum)
    {71, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 35},	//1134 QSqlField::Optional (enum)
    {71, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 36},	//1135 QSqlField::Required (enum)
    {71, 913, 0, 0, Smoke::mf_dtor, 0, 37 },	//1136 QSqlField::~QSqlField()
    {72, 78, 1083, 2, Smoke::mf_ctor, 222, 1},	//1137 QSqlIndex::QSqlIndex(const QString&, const QString&)
    {72, 78, 1980, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 222, 2},	//1138 QSqlIndex::QSqlIndex(const QSqlIndex&)
    {72, 438, 1980, 1, 0, 221, 3},	//1139 QSqlIndex::operator=(const QSqlIndex&)
    {72, 767, 300, 1, 0, 0, 4},	//1140 QSqlIndex::setCursorName(const QString&)
    {72, 269, 0, 0, Smoke::mf_const, 242, 5},	//1141 QSqlIndex::cursorName() const
    {72, 809, 300, 1, 0, 0, 6},	//1142 QSqlIndex::setName(const QString&)
    {72, 389, 0, 0, Smoke::mf_const, 242, 7},	//1143 QSqlIndex::name() const
    {72, 220, 1939, 1, 0, 0, 8},	//1144 QSqlIndex::append(const QSqlField&)
    {72, 220, 1915, 2, 0, 0, 9},	//1145 QSqlIndex::append(const QSqlField&, bool)
    {72, 357, 1063, 1, Smoke::mf_const, 390, 10},	//1146 QSqlIndex::isDescending(int) const
    {72, 780, 1982, 2, 0, 0, 11},	//1147 QSqlIndex::setDescending(int, bool)
    {72, 78, 0, 0, Smoke::mf_ctor, 222, 12},	//1148 QSqlIndex::QSqlIndex()
    {72, 78, 300, 1, Smoke::mf_ctor, 222, 13},	//1149 QSqlIndex::QSqlIndex(const QString&)
    {72, 914, 0, 0, Smoke::mf_dtor, 0, 14 },	//1150 QSqlIndex::~QSqlIndex()
    {73, 82, 1985, 1, Smoke::mf_ctor, 225, 1},	//1151 QSqlQuery::QSqlQuery(QSqlResult*)
    {73, 82, 1987, 2, Smoke::mf_ctor, 225, 2},	//1152 QSqlQuery::QSqlQuery(const QString&, QSqlDatabase)
    {73, 82, 1990, 1, Smoke::mf_ctor, 225, 3},	//1153 QSqlQuery::QSqlQuery(QSqlDatabase)
    {73, 82, 1992, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 225, 4},	//1154 QSqlQuery::QSqlQuery(const QSqlQuery&)
    {73, 438, 1992, 1, 0, 224, 5},	//1155 QSqlQuery::operator=(const QSqlQuery&)
    {73, 377, 0, 0, Smoke::mf_const, 390, 6},	//1156 QSqlQuery::isValid() const
    {73, 355, 0, 0, Smoke::mf_const, 390, 7},	//1157 QSqlQuery::isActive() const
    {73, 371, 1063, 1, Smoke::mf_const, 390, 8},	//1158 QSqlQuery::isNull(int) const
    {73, 223, 0, 0, Smoke::mf_const, 495, 9},	//1159 QSqlQuery::at() const
    {73, 383, 0, 0, Smoke::mf_const, 242, 10},	//1160 QSqlQuery::lastQuery() const
    {73, 394, 0, 0, Smoke::mf_const, 495, 11},	//1161 QSqlQuery::numRowsAffected() const
    {73, 381, 0, 0, Smoke::mf_const, 212, 12},	//1162 QSqlQuery::lastError() const
    {73, 376, 0, 0, Smoke::mf_const, 390, 13},	//1163 QSqlQuery::isSelect() const
    {73, 858, 0, 0, Smoke::mf_const, 495, 14},	//1164 QSqlQuery::size() const
    {73, 291, 0, 0, Smoke::mf_const, 453, 15},	//1165 QSqlQuery::driver() const
    {73, 743, 0, 0, Smoke::mf_const, 462, 16},	//1166 QSqlQuery::result() const
    {73, 364, 0, 0, Smoke::mf_const, 390, 17},	//1167 QSqlQuery::isForwardOnly() const
    {73, 720, 0, 0, Smoke::mf_const, 228, 18},	//1168 QSqlQuery::record() const
    {73, 790, 1935, 1, 0, 0, 19},	//1169 QSqlQuery::setForwardOnly(bool)
    {73, 302, 300, 1, 0, 390, 20},	//1170 QSqlQuery::exec(const QString&)
    {73, 903, 1063, 1, Smoke::mf_const, 281, 21},	//1171 QSqlQuery::value(int) const
    {73, 815, 1897, 1, 0, 0, 22},	//1172 QSqlQuery::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {73, 396, 0, 0, Smoke::mf_const, 199, 23},	//1173 QSqlQuery::numericalPrecisionPolicy() const
    {73, 754, 1982, 2, 0, 390, 24},	//1174 QSqlQuery::seek(int, bool)
    {73, 390, 0, 0, 0, 390, 25},	//1175 QSqlQuery::next()
    {73, 469, 0, 0, 0, 390, 26},	//1176 QSqlQuery::previous()
    {73, 323, 0, 0, 0, 390, 27},	//1177 QSqlQuery::first()
    {73, 380, 0, 0, 0, 390, 28},	//1178 QSqlQuery::last()
    {73, 247, 0, 0, 0, 0, 29},	//1179 QSqlQuery::clear()
    {73, 302, 0, 0, 0, 390, 30},	//1180 QSqlQuery::exec()
    {73, 304, 1994, 1, 0, 390, 31},	//1181 QSqlQuery::execBatch(QSqlQuery::BatchExecutionMode)
    {73, 467, 300, 1, 0, 390, 32},	//1182 QSqlQuery::prepare(const QString&)
    {73, 231, 1996, 3, 0, 0, 33},	//1183 QSqlQuery::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {73, 231, 2000, 3, 0, 0, 34},	//1184 QSqlQuery::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {73, 212, 2004, 2, 0, 0, 35},	//1185 QSqlQuery::addBindValue(const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {73, 237, 300, 1, Smoke::mf_const, 281, 36},	//1186 QSqlQuery::boundValue(const QString&) const
    {73, 237, 1063, 1, Smoke::mf_const, 281, 37},	//1187 QSqlQuery::boundValue(int) const
    {73, 242, 0, 0, Smoke::mf_const, 154, 38},	//1188 QSqlQuery::boundValues() const
    {73, 306, 0, 0, Smoke::mf_const, 242, 39},	//1189 QSqlQuery::executedQuery() const
    {73, 382, 0, 0, Smoke::mf_const, 281, 40},	//1190 QSqlQuery::lastInsertId() const
    {73, 322, 0, 0, 0, 0, 41},	//1191 QSqlQuery::finish()
    {73, 391, 0, 0, 0, 390, 42},	//1192 QSqlQuery::nextResult()
    {73, 82, 0, 0, Smoke::mf_ctor, 225, 43},	//1193 QSqlQuery::QSqlQuery()
    {73, 82, 300, 1, Smoke::mf_ctor, 225, 44},	//1194 QSqlQuery::QSqlQuery(const QString&)
    {73, 754, 1063, 1, 0, 390, 45},	//1195 QSqlQuery::seek(int)
    {73, 304, 0, 0, 0, 390, 46},	//1196 QSqlQuery::execBatch()
    {73, 231, 2007, 2, 0, 0, 47},	//1197 QSqlQuery::bindValue(const QString&, const QVariant&)
    {73, 231, 2010, 2, 0, 0, 48},	//1198 QSqlQuery::bindValue(int, const QVariant&)
    {73, 212, 1974, 1, 0, 0, 49},	//1199 QSqlQuery::addBindValue(const QVariant&)
    {73, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 50},	//1200 QSqlQuery::ValuesAsRows (enum)
    {73, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 51},	//1201 QSqlQuery::ValuesAsColumns (enum)
    {73, 915, 0, 0, Smoke::mf_dtor, 0, 52 },	//1202 QSqlQuery::~QSqlQuery()
    {74, 386, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 423, 1},	//1203 QSqlQueryModel::metaObject() const
    {74, 707, 972, 1, Smoke::mf_virtual, 510, 2},	//1204 QSqlQueryModel::qt_metacast(const char*)
    {74, 884, 1194, 2, Smoke::mf_static, 242, 3},	//1205 QSqlQueryModel::tr(const char*, const char*)
    {74, 888, 1194, 2, Smoke::mf_static, 242, 4},	//1206 QSqlQueryModel::trUtf8(const char*, const char*)
    {74, 884, 39, 3, Smoke::mf_static, 242, 5},	//1207 QSqlQueryModel::tr(const char*, const char*, int)
    {74, 888, 39, 3, Smoke::mf_static, 242, 6},	//1208 QSqlQueryModel::trUtf8(const char*, const char*, int)
    {74, 705, 1845, 3, Smoke::mf_virtual, 495, 7},	//1209 QSqlQueryModel::qt_metacall(QMetaObject::Call, int, void**)
    {74, 86, 1913, 1, Smoke::mf_ctor, 227, 8},	//1210 QSqlQueryModel::QSqlQueryModel(QObject*)
    {74, 750, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 495, 9},	//1211 QSqlQueryModel::rowCount(const QModelIndex&) const
    {74, 252, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 495, 10},	//1212 QSqlQueryModel::columnCount(const QModelIndex&) const
    {74, 720, 1063, 1, Smoke::mf_const, 228, 11},	//1213 QSqlQueryModel::record(int) const
    {74, 720, 0, 0, Smoke::mf_const, 228, 12},	//1214 QSqlQueryModel::record() const
    {74, 271, 2013, 2, Smoke::mf_const|Smoke::mf_virtual, 281, 13},	//1215 QSqlQueryModel::data(const QModelIndex&, int) const
    {74, 333, 2016, 3, Smoke::mf_const|Smoke::mf_virtual, 281, 14},	//1216 QSqlQueryModel::headerData(int, Qt::Orientation, int) const
    {74, 795, 2020, 4, Smoke::mf_virtual, 390, 15},	//1217 QSqlQueryModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {74, 345, 12, 3, Smoke::mf_virtual, 390, 16},	//1218 QSqlQueryModel::insertColumns(int, int, const QModelIndex&)
    {74, 730, 12, 3, Smoke::mf_virtual, 390, 17},	//1219 QSqlQueryModel::removeColumns(int, int, const QModelIndex&)
    {74, 829, 1992, 1, 0, 0, 18},	//1220 QSqlQueryModel::setQuery(const QSqlQuery&)
    {74, 829, 2025, 2, 0, 0, 19},	//1221 QSqlQueryModel::setQuery(const QString&, const QSqlDatabase&)
    {74, 714, 0, 0, Smoke::mf_const, 223, 20},	//1222 QSqlQueryModel::query() const
    {74, 247, 0, 0, Smoke::mf_virtual, 0, 21},	//1223 QSqlQueryModel::clear()
    {74, 381, 0, 0, Smoke::mf_const, 212, 22},	//1224 QSqlQueryModel::lastError() const
    {74, 311, 5, 1, Smoke::mf_virtual, 0, 23},	//1225 QSqlQueryModel::fetchMore(const QModelIndex&)
    {74, 244, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 390, 24},	//1226 QSqlQueryModel::canFetchMore(const QModelIndex&) const
    {74, 715, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1227 QSqlQueryModel::queryChange()
    {74, 339, 5, 1, Smoke::mf_const|Smoke::mf_protected, 164, 26},	//1228 QSqlQueryModel::indexInQuery(const QModelIndex&) const
    {74, 803, 1937, 1, Smoke::mf_protected, 0, 27},	//1229 QSqlQueryModel::setLastError(const QSqlError&)
    {74, 884, 972, 1, Smoke::mf_static, 242, 28},	//1230 QSqlQueryModel::tr(const char*)
    {74, 888, 972, 1, Smoke::mf_static, 242, 29},	//1231 QSqlQueryModel::trUtf8(const char*)
    {74, 86, 0, 0, Smoke::mf_ctor, 227, 30},	//1232 QSqlQueryModel::QSqlQueryModel()
    {74, 750, 0, 0, Smoke::mf_const, 495, 31},	//1233 QSqlQueryModel::rowCount() const
    {74, 252, 0, 0, Smoke::mf_const, 495, 32},	//1234 QSqlQueryModel::columnCount() const
    {74, 271, 5, 1, Smoke::mf_const, 281, 33},	//1235 QSqlQueryModel::data(const QModelIndex&) const
    {74, 333, 2028, 2, Smoke::mf_const, 281, 34},	//1236 QSqlQueryModel::headerData(int, Qt::Orientation) const
    {74, 795, 2031, 3, 0, 390, 35},	//1237 QSqlQueryModel::setHeaderData(int, Qt::Orientation, const QVariant&)
    {74, 345, 2035, 2, 0, 390, 36},	//1238 QSqlQueryModel::insertColumns(int, int)
    {74, 730, 2035, 2, 0, 390, 37},	//1239 QSqlQueryModel::removeColumns(int, int)
    {74, 829, 300, 1, 0, 0, 38},	//1240 QSqlQueryModel::setQuery(const QString&)
    {74, 311, 0, 0, 0, 0, 39},	//1241 QSqlQueryModel::fetchMore()
    {74, 244, 0, 0, Smoke::mf_const, 390, 40},	//1242 QSqlQueryModel::canFetchMore() const
    {74, 865, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 422, 41},	//1243 QSqlQueryModel::staticMetaObject() const
    {74, 916, 0, 0, Smoke::mf_dtor, 0, 42 },	//1244 QSqlQueryModel::~QSqlQueryModel()
    {75, 88, 0, 0, Smoke::mf_ctor, 230, 1},	//1245 QSqlRecord::QSqlRecord()
    {75, 88, 2038, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 230, 2},	//1246 QSqlRecord::QSqlRecord(const QSqlRecord&)
    {75, 438, 2038, 1, 0, 229, 3},	//1247 QSqlRecord::operator=(const QSqlRecord&)
    {75, 440, 2038, 1, Smoke::mf_const, 390, 4},	//1248 QSqlRecord::operator==(const QSqlRecord&) const
    {75, 404, 2038, 1, Smoke::mf_const, 390, 5},	//1249 QSqlRecord::operator!=(const QSqlRecord&) const
    {75, 903, 1063, 1, Smoke::mf_const, 281, 6},	//1250 QSqlRecord::value(int) const
    {75, 903, 300, 1, Smoke::mf_const, 281, 7},	//1251 QSqlRecord::value(const QString&) const
    {75, 855, 2010, 2, 0, 0, 8},	//1252 QSqlRecord::setValue(int, const QVariant&)
    {75, 855, 2007, 2, 0, 0, 9},	//1253 QSqlRecord::setValue(const QString&, const QVariant&)
    {75, 811, 1063, 1, 0, 0, 10},	//1254 QSqlRecord::setNull(int)
    {75, 811, 300, 1, 0, 0, 11},	//1255 QSqlRecord::setNull(const QString&)
    {75, 371, 1063, 1, Smoke::mf_const, 390, 12},	//1256 QSqlRecord::isNull(int) const
    {75, 371, 300, 1, Smoke::mf_const, 390, 13},	//1257 QSqlRecord::isNull(const QString&) const
    {75, 341, 300, 1, Smoke::mf_const, 495, 14},	//1258 QSqlRecord::indexOf(const QString&) const
    {75, 319, 1063, 1, Smoke::mf_const, 242, 15},	//1259 QSqlRecord::fieldName(int) const
    {75, 315, 1063, 1, Smoke::mf_const, 216, 16},	//1260 QSqlRecord::field(int) const
    {75, 315, 300, 1, Smoke::mf_const, 216, 17},	//1261 QSqlRecord::field(const QString&) const
    {75, 365, 1063, 1, Smoke::mf_const, 390, 18},	//1262 QSqlRecord::isGenerated(int) const
    {75, 365, 300, 1, Smoke::mf_const, 390, 19},	//1263 QSqlRecord::isGenerated(const QString&) const
    {75, 792, 1905, 2, 0, 0, 20},	//1264 QSqlRecord::setGenerated(const QString&, bool)
    {75, 792, 1982, 2, 0, 0, 21},	//1265 QSqlRecord::setGenerated(int, bool)
    {75, 220, 1939, 1, 0, 0, 22},	//1266 QSqlRecord::append(const QSqlField&)
    {75, 738, 2040, 2, 0, 0, 23},	//1267 QSqlRecord::replace(int, const QSqlField&)
    {75, 343, 2040, 2, 0, 0, 24},	//1268 QSqlRecord::insert(int, const QSqlField&)
    {75, 728, 1063, 1, 0, 0, 25},	//1269 QSqlRecord::remove(int)
    {75, 363, 0, 0, Smoke::mf_const, 390, 26},	//1270 QSqlRecord::isEmpty() const
    {75, 260, 300, 1, Smoke::mf_const, 390, 27},	//1271 QSqlRecord::contains(const QString&) const
    {75, 247, 0, 0, 0, 0, 28},	//1272 QSqlRecord::clear()
    {75, 248, 0, 0, 0, 0, 29},	//1273 QSqlRecord::clearValues()
    {75, 262, 0, 0, Smoke::mf_const, 495, 30},	//1274 QSqlRecord::count() const
    {75, 917, 0, 0, Smoke::mf_dtor, 0, 31 },	//1275 QSqlRecord::~QSqlRecord()
    {76, 90, 0, 0, Smoke::mf_ctor, 232, 1},	//1276 QSqlRelation::QSqlRelation()
    {76, 90, 1941, 3, Smoke::mf_ctor, 232, 2},	//1277 QSqlRelation::QSqlRelation(const QString&, const QString&, const QString&)
    {76, 879, 0, 0, Smoke::mf_const, 242, 3},	//1278 QSqlRelation::tableName() const
    {76, 338, 0, 0, Smoke::mf_const, 242, 4},	//1279 QSqlRelation::indexColumn() const
    {76, 286, 0, 0, Smoke::mf_const, 242, 5},	//1280 QSqlRelation::displayColumn() const
    {76, 377, 0, 0, Smoke::mf_const, 390, 6},	//1281 QSqlRelation::isValid() const
    {76, 90, 2043, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 232, 7},	//1282 QSqlRelation::QSqlRelation(const QSqlRelation&)
    {76, 918, 0, 0, Smoke::mf_dtor, 0, 8 },	//1283 QSqlRelation::~QSqlRelation()
    {77, 93, 1913, 1, Smoke::mf_ctor|Smoke::mf_explicit, 233, 1},	//1284 QSqlRelationalDelegate::QSqlRelationalDelegate(QObject*)
    {77, 265, 1856, 3, Smoke::mf_const|Smoke::mf_virtual, 291, 2},	//1285 QSqlRelationalDelegate::createEditor(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {77, 786, 2045, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 3},	//1286 QSqlRelationalDelegate::setEditorData(QWidget*, const QModelIndex&) const
    {77, 807, 2048, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 4},	//1287 QSqlRelationalDelegate::setModelData(QWidget*, QAbstractItemModel*, const QModelIndex&) const
    {77, 93, 0, 0, Smoke::mf_ctor|Smoke::mf_explicit, 233, 5},	//1288 QSqlRelationalDelegate::QSqlRelationalDelegate()
    {77, 919, 0, 0, Smoke::mf_dtor, 0, 6 },	//1289 QSqlRelationalDelegate::~QSqlRelationalDelegate()
    {78, 386, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 423, 1},	//1290 QSqlRelationalTableModel::metaObject() const
    {78, 707, 972, 1, Smoke::mf_virtual, 510, 2},	//1291 QSqlRelationalTableModel::qt_metacast(const char*)
    {78, 884, 1194, 2, Smoke::mf_static, 242, 3},	//1292 QSqlRelationalTableModel::tr(const char*, const char*)
    {78, 888, 1194, 2, Smoke::mf_static, 242, 4},	//1293 QSqlRelationalTableModel::trUtf8(const char*, const char*)
    {78, 884, 39, 3, Smoke::mf_static, 242, 5},	//1294 QSqlRelationalTableModel::tr(const char*, const char*, int)
    {78, 888, 39, 3, Smoke::mf_static, 242, 6},	//1295 QSqlRelationalTableModel::trUtf8(const char*, const char*, int)
    {78, 705, 1845, 3, Smoke::mf_virtual, 495, 7},	//1296 QSqlRelationalTableModel::qt_metacall(QMetaObject::Call, int, void**)
    {78, 95, 2052, 2, Smoke::mf_ctor, 234, 8},	//1297 QSqlRelationalTableModel::QSqlRelationalTableModel(QObject*, QSqlDatabase)
    {78, 271, 2013, 2, Smoke::mf_const|Smoke::mf_virtual, 281, 9},	//1298 QSqlRelationalTableModel::data(const QModelIndex&, int) const
    {78, 769, 1, 3, Smoke::mf_virtual, 390, 10},	//1299 QSqlRelationalTableModel::setData(const QModelIndex&, const QVariant&, int)
    {78, 730, 12, 3, Smoke::mf_virtual, 390, 11},	//1300 QSqlRelationalTableModel::removeColumns(int, int, const QModelIndex&)
    {78, 247, 0, 0, Smoke::mf_virtual, 0, 12},	//1301 QSqlRelationalTableModel::clear()
    {78, 757, 0, 0, Smoke::mf_virtual, 390, 13},	//1302 QSqlRelationalTableModel::select()
    {78, 849, 300, 1, Smoke::mf_virtual, 0, 14},	//1303 QSqlRelationalTableModel::setTable(const QString&)
    {78, 837, 2055, 2, Smoke::mf_virtual, 0, 15},	//1304 QSqlRelationalTableModel::setRelation(int, const QSqlRelation&)
    {78, 724, 1063, 1, Smoke::mf_const, 231, 16},	//1305 QSqlRelationalTableModel::relation(int) const
    {78, 726, 1063, 1, Smoke::mf_const|Smoke::mf_virtual, 239, 17},	//1306 QSqlRelationalTableModel::relationModel(int) const
    {78, 801, 2058, 1, 0, 0, 18},	//1307 QSqlRelationalTableModel::setJoinMode(QSqlRelationalTableModel::JoinMode)
    {78, 746, 1063, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//1308 QSqlRelationalTableModel::revertRow(int)
    {78, 758, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 242, 20},	//1309 QSqlRelationalTableModel::selectStatement() const
    {78, 900, 2060, 2, Smoke::mf_protected|Smoke::mf_virtual, 390, 21},	//1310 QSqlRelationalTableModel::updateRowInTable(int, const QSqlRecord&)
    {78, 350, 2038, 1, Smoke::mf_protected|Smoke::mf_virtual, 390, 22},	//1311 QSqlRelationalTableModel::insertRowIntoTable(const QSqlRecord&)
    {78, 462, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 242, 23},	//1312 QSqlRelationalTableModel::orderByClause() const
    {78, 884, 972, 1, Smoke::mf_static, 242, 24},	//1313 QSqlRelationalTableModel::tr(const char*)
    {78, 888, 972, 1, Smoke::mf_static, 242, 25},	//1314 QSqlRelationalTableModel::trUtf8(const char*)
    {78, 95, 0, 0, Smoke::mf_ctor, 234, 26},	//1315 QSqlRelationalTableModel::QSqlRelationalTableModel()
    {78, 95, 1913, 1, Smoke::mf_ctor, 234, 27},	//1316 QSqlRelationalTableModel::QSqlRelationalTableModel(QObject*)
    {78, 271, 5, 1, Smoke::mf_const, 281, 28},	//1317 QSqlRelationalTableModel::data(const QModelIndex&) const
    {78, 769, 2063, 2, 0, 390, 29},	//1318 QSqlRelationalTableModel::setData(const QModelIndex&, const QVariant&)
    {78, 730, 2035, 2, 0, 390, 30},	//1319 QSqlRelationalTableModel::removeColumns(int, int)
    {78, 865, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 422, 31},	//1320 QSqlRelationalTableModel::staticMetaObject() const
    {78, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 32},	//1321 QSqlRelationalTableModel::InnerJoin (enum)
    {78, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 33},	//1322 QSqlRelationalTableModel::LeftJoin (enum)
    {78, 920, 0, 0, Smoke::mf_dtor, 0, 34 },	//1323 QSqlRelationalTableModel::~QSqlRelationalTableModel()
    {79, 329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 281, 1},	//1324 QSqlResult::handle() const
    {79, 98, 2066, 1, Smoke::mf_ctor|Smoke::mf_protected, 236, 2},	//1325 QSqlResult::QSqlResult(const QSqlDriver*)
    {79, 223, 0, 0, Smoke::mf_const|Smoke::mf_protected, 495, 3},	//1326 QSqlResult::at() const
    {79, 383, 0, 0, Smoke::mf_const|Smoke::mf_protected, 242, 4},	//1327 QSqlResult::lastQuery() const
    {79, 381, 0, 0, Smoke::mf_const|Smoke::mf_protected, 212, 5},	//1328 QSqlResult::lastError() const
    {79, 377, 0, 0, Smoke::mf_const|Smoke::mf_protected, 390, 6},	//1329 QSqlResult::isValid() const
    {79, 355, 0, 0, Smoke::mf_const|Smoke::mf_protected, 390, 7},	//1330 QSqlResult::isActive() const
    {79, 376, 0, 0, Smoke::mf_const|Smoke::mf_protected, 390, 8},	//1331 QSqlResult::isSelect() const
    {79, 364, 0, 0, Smoke::mf_const|Smoke::mf_protected, 390, 9},	//1332 QSqlResult::isForwardOnly() const
    {79, 291, 0, 0, Smoke::mf_const|Smoke::mf_protected, 453, 10},	//1333 QSqlResult::driver() const
    {79, 761, 1063, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//1334 QSqlResult::setAt(int)
    {79, 759, 1935, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//1335 QSqlResult::setActive(bool)
    {79, 803, 1937, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 13},	//1336 QSqlResult::setLastError(const QSqlError&)
    {79, 829, 300, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//1337 QSqlResult::setQuery(const QString&)
    {79, 843, 1935, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//1338 QSqlResult::setSelect(bool)
    {79, 790, 1935, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//1339 QSqlResult::setForwardOnly(bool)
    {79, 302, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 390, 17},	//1340 QSqlResult::exec()
    {79, 467, 300, 1, Smoke::mf_protected|Smoke::mf_virtual, 390, 18},	//1341 QSqlResult::prepare(const QString&)
    {79, 752, 300, 1, Smoke::mf_protected|Smoke::mf_virtual, 390, 19},	//1342 QSqlResult::savePrepare(const QString&)
    {79, 231, 2000, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1343 QSqlResult::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {79, 231, 1996, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1344 QSqlResult::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {79, 212, 2004, 2, Smoke::mf_protected, 0, 22},	//1345 QSqlResult::addBindValue(const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {79, 237, 300, 1, Smoke::mf_const|Smoke::mf_protected, 281, 23},	//1346 QSqlResult::boundValue(const QString&) const
    {79, 237, 1063, 1, Smoke::mf_const|Smoke::mf_protected, 281, 24},	//1347 QSqlResult::boundValue(int) const
    {79, 234, 300, 1, Smoke::mf_const|Smoke::mf_protected, 82, 25},	//1348 QSqlResult::bindValueType(const QString&) const
    {79, 234, 1063, 1, Smoke::mf_const|Smoke::mf_protected, 82, 26},	//1349 QSqlResult::bindValueType(int) const
    {79, 239, 0, 0, Smoke::mf_const|Smoke::mf_protected, 495, 27},	//1350 QSqlResult::boundValueCount() const
    {79, 242, 0, 0, Smoke::mf_const|Smoke::mf_protected, 290, 28},	//1351 QSqlResult::boundValues() const
    {79, 306, 0, 0, Smoke::mf_const|Smoke::mf_protected, 242, 29},	//1352 QSqlResult::executedQuery() const
    {79, 240, 1063, 1, Smoke::mf_const|Smoke::mf_protected, 242, 30},	//1353 QSqlResult::boundValueName(int) const
    {79, 247, 0, 0, Smoke::mf_protected, 0, 31},	//1354 QSqlResult::clear()
    {79, 332, 0, 0, Smoke::mf_const|Smoke::mf_protected, 390, 32},	//1355 QSqlResult::hasOutValues() const
    {79, 236, 0, 0, Smoke::mf_const|Smoke::mf_protected, 237, 33},	//1356 QSqlResult::bindingSyntax() const
    {79, 271, 1063, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 281, 34},	//1357 QSqlResult::data(int) [pure virtual]
    {79, 371, 1063, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 390, 35},	//1358 QSqlResult::isNull(int) [pure virtual]
    {79, 741, 300, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 390, 36},	//1359 QSqlResult::reset(const QString&) [pure virtual]
    {79, 307, 1063, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 390, 37},	//1360 QSqlResult::fetch(int) [pure virtual]
    {79, 313, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 390, 38},	//1361 QSqlResult::fetchNext()
    {79, 314, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 390, 39},	//1362 QSqlResult::fetchPrevious()
    {79, 309, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 390, 40},	//1363 QSqlResult::fetchFirst() [pure virtual]
    {79, 310, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 390, 41},	//1364 QSqlResult::fetchLast() [pure virtual]
    {79, 858, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 495, 42},	//1365 QSqlResult::size() [pure virtual]
    {79, 394, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 495, 43},	//1366 QSqlResult::numRowsAffected() [pure virtual]
    {79, 720, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 228, 44},	//1367 QSqlResult::record() const
    {79, 382, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 281, 45},	//1368 QSqlResult::lastInsertId() const
    {79, 905, 2068, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//1369 QSqlResult::virtual_hook(int, void*)
    {79, 304, 1935, 1, Smoke::mf_protected, 390, 47},	//1370 QSqlResult::execBatch(bool)
    {79, 284, 0, 0, Smoke::mf_protected, 0, 48},	//1371 QSqlResult::detachFromResultSet()
    {79, 815, 1897, 1, Smoke::mf_protected, 0, 49},	//1372 QSqlResult::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {79, 396, 0, 0, Smoke::mf_const|Smoke::mf_protected, 199, 50},	//1373 QSqlResult::numericalPrecisionPolicy() const
    {79, 391, 0, 0, Smoke::mf_protected, 390, 51},	//1374 QSqlResult::nextResult()
    {79, 304, 0, 0, Smoke::mf_protected, 390, 52},	//1375 QSqlResult::execBatch()
    {79, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 53},	//1376 QSqlResult::PositionalBinding (enum)
    {79, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 54},	//1377 QSqlResult::NamedBinding (enum)
    {79, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 55},	//1378 QSqlResult::BatchOperation (enum)
    {79, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 56},	//1379 QSqlResult::DetachFromResultSet (enum)
    {79, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 57},	//1380 QSqlResult::SetNumericalPrecision (enum)
    {79, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 58},	//1381 QSqlResult::NextResult (enum)
    {79, 921, 0, 0, Smoke::mf_dtor, 0, 59 },	//1382 QSqlResult::~QSqlResult()
    {80, 386, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 423, 1},	//1383 QSqlTableModel::metaObject() const
    {80, 707, 972, 1, Smoke::mf_virtual, 510, 2},	//1384 QSqlTableModel::qt_metacast(const char*)
    {80, 884, 1194, 2, Smoke::mf_static, 242, 3},	//1385 QSqlTableModel::tr(const char*, const char*)
    {80, 888, 1194, 2, Smoke::mf_static, 242, 4},	//1386 QSqlTableModel::trUtf8(const char*, const char*)
    {80, 884, 39, 3, Smoke::mf_static, 242, 5},	//1387 QSqlTableModel::tr(const char*, const char*, int)
    {80, 888, 39, 3, Smoke::mf_static, 242, 6},	//1388 QSqlTableModel::trUtf8(const char*, const char*, int)
    {80, 705, 1845, 3, Smoke::mf_virtual, 495, 7},	//1389 QSqlTableModel::qt_metacall(QMetaObject::Call, int, void**)
    {80, 100, 2052, 2, Smoke::mf_ctor, 239, 8},	//1390 QSqlTableModel::QSqlTableModel(QObject*, QSqlDatabase)
    {80, 757, 0, 0, Smoke::mf_virtual, 390, 9},	//1391 QSqlTableModel::select()
    {80, 849, 300, 1, Smoke::mf_virtual, 0, 10},	//1392 QSqlTableModel::setTable(const QString&)
    {80, 879, 0, 0, Smoke::mf_const, 242, 11},	//1393 QSqlTableModel::tableName() const
    {80, 324, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 110, 12},	//1394 QSqlTableModel::flags(const QModelIndex&) const
    {80, 271, 2013, 2, Smoke::mf_const|Smoke::mf_virtual, 281, 13},	//1395 QSqlTableModel::data(const QModelIndex&, int) const
    {80, 769, 1, 3, Smoke::mf_virtual, 390, 14},	//1396 QSqlTableModel::setData(const QModelIndex&, const QVariant&, int)
    {80, 333, 2016, 3, Smoke::mf_const|Smoke::mf_virtual, 281, 15},	//1397 QSqlTableModel::headerData(int, Qt::Orientation, int) const
    {80, 359, 5, 1, Smoke::mf_const, 390, 16},	//1398 QSqlTableModel::isDirty(const QModelIndex&) const
    {80, 247, 0, 0, Smoke::mf_virtual, 0, 17},	//1399 QSqlTableModel::clear()
    {80, 784, 2071, 1, Smoke::mf_virtual, 0, 18},	//1400 QSqlTableModel::setEditStrategy(QSqlTableModel::EditStrategy)
    {80, 296, 0, 0, Smoke::mf_const, 240, 19},	//1401 QSqlTableModel::editStrategy() const
    {80, 472, 0, 0, Smoke::mf_const, 220, 20},	//1402 QSqlTableModel::primaryKey() const
    {80, 275, 0, 0, Smoke::mf_const, 202, 21},	//1403 QSqlTableModel::database() const
    {80, 317, 300, 1, Smoke::mf_const, 495, 22},	//1404 QSqlTableModel::fieldIndex(const QString&) const
    {80, 860, 16, 2, Smoke::mf_virtual, 0, 23},	//1405 QSqlTableModel::sort(int, Qt::SortOrder)
    {80, 845, 16, 2, Smoke::mf_virtual, 0, 24},	//1406 QSqlTableModel::setSort(int, Qt::SortOrder)
    {80, 321, 0, 0, Smoke::mf_const, 242, 25},	//1407 QSqlTableModel::filter() const
    {80, 788, 300, 1, Smoke::mf_virtual, 0, 26},	//1408 QSqlTableModel::setFilter(const QString&)
    {80, 750, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 495, 27},	//1409 QSqlTableModel::rowCount(const QModelIndex&) const
    {80, 730, 12, 3, Smoke::mf_virtual, 390, 28},	//1410 QSqlTableModel::removeColumns(int, int, const QModelIndex&)
    {80, 735, 12, 3, Smoke::mf_virtual, 390, 29},	//1411 QSqlTableModel::removeRows(int, int, const QModelIndex&)
    {80, 352, 12, 3, Smoke::mf_virtual, 390, 30},	//1412 QSqlTableModel::insertRows(int, int, const QModelIndex&)
    {80, 348, 2060, 2, 0, 390, 31},	//1413 QSqlTableModel::insertRecord(int, const QSqlRecord&)
    {80, 835, 2060, 2, 0, 390, 32},	//1414 QSqlTableModel::setRecord(int, const QSqlRecord&)
    {80, 746, 1063, 1, Smoke::mf_virtual, 0, 33},	//1415 QSqlTableModel::revertRow(int)
    {80, 870, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 390, 34},	//1416 QSqlTableModel::submit()
    {80, 744, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 35},	//1417 QSqlTableModel::revert()
    {80, 871, 0, 0, Smoke::mf_slot, 390, 36},	//1418 QSqlTableModel::submitAll()
    {80, 745, 0, 0, Smoke::mf_slot, 0, 37},	//1419 QSqlTableModel::revertAll()
    {80, 473, 2073, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//1420 QSqlTableModel::primeInsert(int, QSqlRecord&)
    {80, 226, 2076, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//1421 QSqlTableModel::beforeInsert(QSqlRecord&)
    {80, 228, 2073, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//1422 QSqlTableModel::beforeUpdate(int, QSqlRecord&)
    {80, 224, 1063, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//1423 QSqlTableModel::beforeDelete(int)
    {80, 900, 2060, 2, Smoke::mf_protected|Smoke::mf_virtual, 390, 42},	//1424 QSqlTableModel::updateRowInTable(int, const QSqlRecord&)
    {80, 350, 2038, 1, Smoke::mf_protected|Smoke::mf_virtual, 390, 43},	//1425 QSqlTableModel::insertRowIntoTable(const QSqlRecord&)
    {80, 282, 1063, 1, Smoke::mf_protected|Smoke::mf_virtual, 390, 44},	//1426 QSqlTableModel::deleteRowFromTable(int)
    {80, 462, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 242, 45},	//1427 QSqlTableModel::orderByClause() const
    {80, 758, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 242, 46},	//1428 QSqlTableModel::selectStatement() const
    {80, 827, 1980, 1, Smoke::mf_protected, 0, 47},	//1429 QSqlTableModel::setPrimaryKey(const QSqlIndex&)
    {80, 829, 1992, 1, Smoke::mf_protected, 0, 48},	//1430 QSqlTableModel::setQuery(const QSqlQuery&)
    {80, 339, 5, 1, Smoke::mf_const|Smoke::mf_protected, 164, 49},	//1431 QSqlTableModel::indexInQuery(const QModelIndex&) const
    {80, 884, 972, 1, Smoke::mf_static, 242, 50},	//1432 QSqlTableModel::tr(const char*)
    {80, 888, 972, 1, Smoke::mf_static, 242, 51},	//1433 QSqlTableModel::trUtf8(const char*)
    {80, 100, 0, 0, Smoke::mf_ctor, 239, 52},	//1434 QSqlTableModel::QSqlTableModel()
    {80, 100, 1913, 1, Smoke::mf_ctor, 239, 53},	//1435 QSqlTableModel::QSqlTableModel(QObject*)
    {80, 271, 5, 1, Smoke::mf_const, 281, 54},	//1436 QSqlTableModel::data(const QModelIndex&) const
    {80, 769, 2063, 2, 0, 390, 55},	//1437 QSqlTableModel::setData(const QModelIndex&, const QVariant&)
    {80, 333, 2028, 2, Smoke::mf_const, 281, 56},	//1438 QSqlTableModel::headerData(int, Qt::Orientation) const
    {80, 750, 0, 0, Smoke::mf_const, 495, 57},	//1439 QSqlTableModel::rowCount() const
    {80, 730, 2035, 2, 0, 390, 58},	//1440 QSqlTableModel::removeColumns(int, int)
    {80, 735, 2035, 2, 0, 390, 59},	//1441 QSqlTableModel::removeRows(int, int)
    {80, 352, 2035, 2, 0, 390, 60},	//1442 QSqlTableModel::insertRows(int, int)
    {80, 865, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 422, 61},	//1443 QSqlTableModel::staticMetaObject() const
    {80, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 240, 62},	//1444 QSqlTableModel::OnFieldChange (enum)
    {80, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 240, 63},	//1445 QSqlTableModel::OnRowChange (enum)
    {80, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 240, 64},	//1446 QSqlTableModel::OnManualSubmit (enum)
    {80, 922, 0, 0, Smoke::mf_dtor, 0, 65 },	//1447 QSqlTableModel::~QSqlTableModel()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    30,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    42,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    77,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    169,  // QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    209,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    258,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    344,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    348,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    410,  // QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    462,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    479,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    480,  // QGlobalSpace::operator!=(QChar, QChar)
    500,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    587,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    647,  // QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    652,  // QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    735,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    769,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    774,  // QGlobalSpace::operator!=(QBool, QBool)
    0,
    376,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    427,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    460,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    572,  // QGlobalSpace::operator!=(QBool, bool)
    627,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    0,
    380,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    428,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    566,  // QGlobalSpace::operator!=(bool, QBool)
    637,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    687,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    0,
    53,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    55,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    107,  // QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    108,  // QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    117,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    159,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    164,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    166,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    219,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    229,  // QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    256,  // QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    273,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    304,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    318,  // QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    330,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    340,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    386,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    450,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    461,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    513,  // QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    571,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    601,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    626,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    629,  // QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    646,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    668,  // QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    691,  // QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    721,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    757,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    0,
    25,  // QGlobalSpace::operator*(const QPoint&, double)
    61,  // QGlobalSpace::operator*(const QSizeF&, double)
    78,  // QGlobalSpace::operator*(const QQuaternion&, double)
    206,  // QGlobalSpace::operator*(const QVector2D&, double)
    210,  // QGlobalSpace::operator*(const QVector4D&, double)
    238,  // QGlobalSpace::operator*(const QPointF&, double)
    270,  // QGlobalSpace::operator*(const QVector3D&, double)
    365,  // QGlobalSpace::operator*(const QTransform&, double)
    415,  // QGlobalSpace::operator*(const QPoint&, float)
    425,  // QGlobalSpace::operator*(const QMatrix4x4&, double)
    600,  // QGlobalSpace::operator*(const QSize&, double)
    738,  // QGlobalSpace::operator*(const QPoint&, int)
    0,
    28,  // QGlobalSpace::operator*(double, const QPointF&)
    32,  // QGlobalSpace::operator*(double, const QSizeF&)
    452,  // QGlobalSpace::operator*(double, const QVector2D&)
    467,  // QGlobalSpace::operator*(double, const QVector3D&)
    482,  // QGlobalSpace::operator*(double, const QMatrix4x4&)
    501,  // QGlobalSpace::operator*(double, const QSize&)
    520,  // QGlobalSpace::operator*(double, const QPoint&)
    531,  // QGlobalSpace::operator*(double, const QQuaternion&)
    641,  // QGlobalSpace::operator*(int, const QPoint&)
    708,  // QGlobalSpace::operator*(double, const QVector4D&)
    761,  // QGlobalSpace::operator*(float, const QPoint&)
    0,
    43,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    126,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    162,  // QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    188,  // QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    227,  // QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    250,  // QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    617,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    620,  // QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    689,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    756,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    0,
    96,  // QGlobalSpace::operator+(QChar, const QString&)
    532,  // QGlobalSpace::operator+(const QByteArray&, char)
    585,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    680,  // QGlobalSpace::operator+(const QTransform&, double)
    0,
    185,  // QGlobalSpace::operator+(char, const QByteArray&)
    440,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    767,  // QGlobalSpace::operator+(const QString&, QChar)
    0,
    72,  // QGlobalSpace::operator-(const QQuaternion&)
    99,  // QGlobalSpace::operator-(const QVector2D&)
    297,  // QGlobalSpace::operator-(const QPointF&)
    404,  // QGlobalSpace::operator-(const QVector4D&)
    451,  // QGlobalSpace::operator-(const QMatrix4x4&)
    650,  // QGlobalSpace::operator-(const QPoint&)
    699,  // QGlobalSpace::operator-(const QVector3D&)
    0,
    49,  // QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    52,  // QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    69,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    267,  // QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    575,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    675,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    724,  // QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    726,  // QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    740,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    186,  // QGlobalSpace::operator/(const QPoint&, double)
    203,  // QGlobalSpace::operator/(const QTransform&, double)
    218,  // QGlobalSpace::operator/(const QMatrix4x4&, double)
    269,  // QGlobalSpace::operator/(const QSizeF&, double)
    385,  // QGlobalSpace::operator/(const QVector4D&, double)
    391,  // QGlobalSpace::operator/(const QQuaternion&, double)
    414,  // QGlobalSpace::operator/(const QVector2D&, double)
    477,  // QGlobalSpace::operator/(const QVector3D&, double)
    537,  // QGlobalSpace::operator/(const QPointF&, double)
    709,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    214,  // QGlobalSpace::operator<(QChar, QChar)
    281,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    367,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    27,  // QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    31,  // QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    35,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    37,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    40,  // QGlobalSpace::operator<<(QDebug, const QTransform&)
    45,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    47,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    62,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    87,  // QGlobalSpace::operator<<(QDebug, const QFont&)
    89,  // QGlobalSpace::operator<<(QDebug, const QPolygon&)
    90,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    105,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    106,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    110,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    111,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    125,  // QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    132,  // QGlobalSpace::operator<<(QDebug, const QColor&)
    150,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    156,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    172,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    173,  // QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    175,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    177,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    181,  // QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    199,  // QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    204,  // QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    213,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    220,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    253,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    279,  // QGlobalSpace::operator<<(QDebug, const QPen&)
    284,  // QGlobalSpace::operator<<(QDebug, const QSqlField&)
    300,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    303,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    306,  // QGlobalSpace::operator<<(QDebug, const QVector3D&)
    319,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    323,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    328,  // QGlobalSpace::operator<<(QDebug, const QVector2D&)
    347,  // QGlobalSpace::operator<<(QDataStream&, const QPen&)
    364,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    368,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    377,  // QGlobalSpace::operator<<(QDebug, const QVector4D&)
    389,  // QGlobalSpace::operator<<(QDebug, const QSqlDatabase&)
    394,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    398,  // QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    402,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    405,  // QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    437,  // QGlobalSpace::operator<<(QDebug, const QSqlRecord&)
    459,  // QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    464,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    465,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    469,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    475,  // QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    476,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    490,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    497,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    507,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    514,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    522,  // QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    524,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    527,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    529,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    530,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    534,  // QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    543,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    549,  // QGlobalSpace::operator<<(QDebug, const QEvent*)
    556,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    564,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    569,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    586,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    589,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    591,  // QGlobalSpace::operator<<(QDebug, const QMatrix&)
    596,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    603,  // QGlobalSpace::operator<<(QDebug, const QBrush&)
    607,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    612,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    618,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    622,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    624,  // QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    630,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    632,  // QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    645,  // QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    676,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    678,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    681,  // QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    697,  // QGlobalSpace::operator<<(QDebug, const QSqlError&)
    702,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    704,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    731,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    741,  // QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    744,  // QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    754,  // QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    755,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    760,  // QGlobalSpace::operator<<(QDebug, const QRegion&)
    775,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    777,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    781,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    0,
    75,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    174,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    190,  // QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    228,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    373,  // QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    429,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    563,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    642,  // QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    673,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    705,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    444,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    541,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    621,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    59,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    71,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    79,  // QGlobalSpace::operator==(QBool, QBool)
    86,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    168,  // QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    202,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    215,  // QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    244,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    316,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    357,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    411,  // QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    436,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    457,  // QGlobalSpace::operator==(QChar, QChar)
    474,  // QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    493,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    499,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    565,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    662,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    759,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    778,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    0,
    352,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    502,  // QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    602,  // QGlobalSpace::operator==(QString::Null, const QString&)
    608,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    686,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    758,  // QGlobalSpace::operator==(QBool, bool)
    0,
    191,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    278,  // QGlobalSpace::operator==(const QString&, QString::Null)
    431,  // QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    439,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    593,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    714,  // QGlobalSpace::operator==(bool, QBool)
    0,
    274,  // QGlobalSpace::operator>(QChar, QChar)
    384,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    434,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    0,
    70,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    309,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    539,  // QGlobalSpace::operator>=(QChar, QChar)
    0,
    36,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    92,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    143,  // QGlobalSpace::operator>>(QDataStream&, QPen&)
    148,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    170,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    180,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    187,  // QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    193,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    197,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    198,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    200,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    231,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    236,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    266,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    272,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    286,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    324,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    363,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    378,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    388,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    393,  // QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    401,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    403,  // QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    408,  // QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    417,  // QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    433,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    441,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    445,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    472,  // QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    494,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    496,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    511,  // QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    551,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    560,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    577,  // QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    606,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    610,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    613,  // QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    614,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    651,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    677,  // QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    679,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    688,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    692,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    706,  // QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    710,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    711,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    713,  // QGlobalSpace::operator>>(QDataStream&, QPicture&)
    727,  // QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    734,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    764,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    0,
    456,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    660,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    0,
    22,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    24,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    29,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    33,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    34,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    38,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    39,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    46,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    51,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    54,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    58,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    60,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    63,  // QGlobalSpace::operator|(QDir::Filter, int)
    68,  // QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    73,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    74,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    80,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    81,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    82,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    83,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    85,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    88,  // QGlobalSpace::operator|(QSql::ParamTypeFlag, int)
    91,  // QGlobalSpace::operator|(QSql::ParamTypeFlag, QSql::ParamTypeFlag)
    94,  // QGlobalSpace::operator|(QStyle::SubControl, int)
    95,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    98,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    104,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    109,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    113,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    116,  // QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    123,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    130,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>)
    131,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    133,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    134,  // QGlobalSpace::operator|(Qt::DropAction, int)
    142,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    146,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    147,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    149,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    151,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    152,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    154,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    155,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    157,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    158,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    161,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    165,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    167,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    171,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    176,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    178,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    179,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    182,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    183,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    184,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    189,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    192,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    201,  // QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    205,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    207,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    208,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    211,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    212,  // QGlobalSpace::operator|(QFile::Permission, int)
    221,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    224,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    225,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    226,  // QGlobalSpace::operator|(QStyle::StateFlag, int)
    232,  // QGlobalSpace::operator|(QPainter::RenderHint, int)
    233,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    234,  // QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    235,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    237,  // QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    240,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    241,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    251,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    255,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    257,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    262,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    263,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    264,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    265,  // QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    268,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    271,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    277,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    282,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    285,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    294,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    295,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    296,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    299,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    302,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    305,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    307,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    310,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    312,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    322,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    327,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    329,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    331,  // QGlobalSpace::operator|(QAccessible::StateFlag, int)
    336,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag)
    337,  // QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    339,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    341,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    342,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    345,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    349,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    350,  // QGlobalSpace::operator|(Qt::WindowType, int)
    351,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    361,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    362,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    366,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    369,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    370,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    372,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    374,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    375,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    379,  // QGlobalSpace::operator|(QWizard::WizardOption, int)
    381,  // QGlobalSpace::operator|(QFileDialog::Option, int)
    383,  // QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    387,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    390,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    392,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    395,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    397,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    400,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    407,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    416,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    419,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    420,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    422,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    424,  // QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    430,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    432,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    442,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    443,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    446,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    447,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    449,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    453,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    454,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    455,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    458,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    466,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    470,  // QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    473,  // QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    478,  // QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    481,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    484,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    488,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    489,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    491,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    492,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    495,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    498,  // QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    503,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    505,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    506,  // QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    509,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    512,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, int)
    516,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    523,  // QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    528,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    533,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    535,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    536,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    540,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    548,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    552,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    554,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    555,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    558,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    562,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    570,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    573,  // QGlobalSpace::operator|(Qt::WindowState, int)
    574,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    590,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    592,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    594,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    595,  // QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    597,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    598,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    604,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    605,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    611,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    616,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    623,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    631,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    633,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    635,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    636,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    640,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    644,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    648,  // QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    654,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    655,  // QGlobalSpace::operator|(QSql::ParamTypeFlag, QFlags<QSql::ParamTypeFlag>)
    657,  // QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    658,  // QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    661,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    663,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    669,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    682,  // QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    684,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    690,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    693,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    694,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    695,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    698,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    700,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    701,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    707,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    712,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    718,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    719,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    720,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    722,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    723,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    725,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    728,  // QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    733,  // QGlobalSpace::operator|(QMainWindow::DockOption, int)
    736,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    739,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    743,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    746,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    747,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    749,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    750,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    751,  // QGlobalSpace::operator|(Qt::Orientation, int)
    753,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    765,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    766,  // QGlobalSpace::operator|(QTextOption::Flag, int)
    771,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    772,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    773,  // QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    780,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    0,
    57,  // QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    64,  // QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    217,  // QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    486,  // QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    515,  // QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    546,  // QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    579,  // QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    0,
    195,  // QGlobalSpace::qFuzzyCompare(double, double)
    550,  // QGlobalSpace::qFuzzyCompare(float, float)
    0,
    317,  // QGlobalSpace::qFuzzyIsNull(double)
    745,  // QGlobalSpace::qFuzzyIsNull(float)
    0,
    21,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    84,  // QGlobalSpace::qHash(const QStringRef&)
    112,  // QGlobalSpace::qHash(const QBitArray&)
    223,  // QGlobalSpace::qHash(const QByteArray&)
    311,  // QGlobalSpace::qHash(QChar)
    406,  // QGlobalSpace::qHash(const QUrl&)
    504,  // QGlobalSpace::qHash(const QModelIndex&)
    683,  // QGlobalSpace::qHash(const QItemSelectionRange&)
    0,
    50,  // QGlobalSpace::qHash(unsigned char)
    119,  // QGlobalSpace::qHash(const QString&)
    120,  // QGlobalSpace::qHash(unsigned short)
    122,  // QGlobalSpace::qHash(long)
    124,  // QGlobalSpace::qHash(long long)
    301,  // QGlobalSpace::qHash(unsigned long long)
    463,  // QGlobalSpace::qHash(signed char)
    525,  // QGlobalSpace::qHash(short)
    567,  // QGlobalSpace::qHash(unsigned long)
    625,  // QGlobalSpace::qHash(unsigned int)
    674,  // QGlobalSpace::qHash(int)
    730,  // QGlobalSpace::qHash(char)
    0,
    280,  // QGlobalSpace::qIntCast(float)
    358,  // QGlobalSpace::qIntCast(double)
    0,
    409,  // QGlobalSpace::qIsFinite(float)
    737,  // QGlobalSpace::qIsFinite(double)
    0,
    26,  // QGlobalSpace::qIsInf(double)
    145,  // QGlobalSpace::qIsInf(float)
    0,
    194,  // QGlobalSpace::qIsNaN(float)
    521,  // QGlobalSpace::qIsNaN(double)
    0,
    196,  // QGlobalSpace::qIsNull(float)
    353,  // QGlobalSpace::qIsNull(double)
    0,
    925,  // QSqlDatabase::QSqlDatabase(const QSqlDatabase&)
    969,  // QSqlDatabase::QSqlDatabase(QSqlDriver*)
    0,
    1151,  // QSqlQuery::QSqlQuery(QSqlResult*)
    1153,  // QSqlQuery::QSqlQuery(QSqlDatabase)
    1154,  // QSqlQuery::QSqlQuery(const QSqlQuery&)
    0,
    1197,  // QSqlQuery::bindValue(const QString&, const QVariant&)
    1198,  // QSqlQuery::bindValue(int, const QVariant&)
    0,
    1183,  // QSqlQuery::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    1184,  // QSqlQuery::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    0,
    1186,  // QSqlQuery::boundValue(const QString&) const
    1187,  // QSqlQuery::boundValue(int) const
    0,
    1260,  // QSqlRecord::field(int) const
    1261,  // QSqlRecord::field(const QString&) const
    0,
    1262,  // QSqlRecord::isGenerated(int) const
    1263,  // QSqlRecord::isGenerated(const QString&) const
    0,
    1256,  // QSqlRecord::isNull(int) const
    1257,  // QSqlRecord::isNull(const QString&) const
    0,
    1264,  // QSqlRecord::setGenerated(const QString&, bool)
    1265,  // QSqlRecord::setGenerated(int, bool)
    0,
    1254,  // QSqlRecord::setNull(int)
    1255,  // QSqlRecord::setNull(const QString&)
    0,
    1252,  // QSqlRecord::setValue(int, const QVariant&)
    1253,  // QSqlRecord::setValue(const QString&, const QVariant&)
    0,
    1250,  // QSqlRecord::value(int) const
    1251,  // QSqlRecord::value(const QString&) const
    0,
    1343,  // QSqlResult::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    1344,  // QSqlResult::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    0,
    1348,  // QSqlResult::bindValueType(const QString&) const
    1349,  // QSqlResult::bindValueType(int) const
    0,
    1346,  // QSqlResult::boundValue(const QString&) const
    1347,  // QSqlResult::boundValue(int) const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {21, 21, 880},	// QGlobalSpace::LicensedActiveQt
    {21, 22, 883},	// QGlobalSpace::LicensedCore
    {21, 23, 882},	// QGlobalSpace::LicensedDBus
    {21, 24, 890},	// QGlobalSpace::LicensedDeclarative
    {21, 25, 877},	// QGlobalSpace::LicensedGui
    {21, 26, 888},	// QGlobalSpace::LicensedHelp
    {21, 27, 885},	// QGlobalSpace::LicensedMultimedia
    {21, 28, 884},	// QGlobalSpace::LicensedNetwork
    {21, 29, 867},	// QGlobalSpace::LicensedOpenGL
    {21, 30, 869},	// QGlobalSpace::LicensedOpenVG
    {21, 31, 881},	// QGlobalSpace::LicensedQt3Support
    {21, 32, 871},	// QGlobalSpace::LicensedQt3SupportLight
    {21, 33, 870},	// QGlobalSpace::LicensedScript
    {21, 34, 887},	// QGlobalSpace::LicensedScriptTools
    {21, 35, 879},	// QGlobalSpace::LicensedSql
    {21, 36, 868},	// QGlobalSpace::LicensedSvg
    {21, 37, 886},	// QGlobalSpace::LicensedTest
    {21, 38, 889},	// QGlobalSpace::LicensedXml
    {21, 39, 878},	// QGlobalSpace::LicensedXmlPatterns
    {21, 103, 874},	// QGlobalSpace::QtCriticalMsg
    {21, 104, 872},	// QGlobalSpace::QtDebugMsg
    {21, 105, 875},	// QGlobalSpace::QtFatalMsg
    {21, 106, 876},	// QGlobalSpace::QtSystemMsg
    {21, 107, 873},	// QGlobalSpace::QtWarningMsg
    {21, 110, 845},	// QGlobalSpace::SP_CustomCameraCaptureButton
    {21, 111, 846},	// QGlobalSpace::SP_CustomCameraCaptureButtonPressed
    {21, 112, 847},	// QGlobalSpace::SP_CustomCameraPauseButton
    {21, 113, 848},	// QGlobalSpace::SP_CustomCameraPauseButtonPressed
    {21, 114, 849},	// QGlobalSpace::SP_CustomCameraPlayButton
    {21, 115, 850},	// QGlobalSpace::SP_CustomCameraPlayButtonPressed
    {21, 116, 851},	// QGlobalSpace::SP_CustomCameraRecButton
    {21, 117, 852},	// QGlobalSpace::SP_CustomCameraRecButtonPressed
    {21, 118, 853},	// QGlobalSpace::SP_CustomCameraStopButton
    {21, 119, 854},	// QGlobalSpace::SP_CustomCameraStopButtonPressed
    {21, 120, 855},	// QGlobalSpace::SP_CustomTabAll
    {21, 121, 856},	// QGlobalSpace::SP_CustomTabArtist
    {21, 122, 857},	// QGlobalSpace::SP_CustomTabFavourite
    {21, 123, 858},	// QGlobalSpace::SP_CustomTabGenre
    {21, 124, 859},	// QGlobalSpace::SP_CustomTabLanguage
    {21, 125, 860},	// QGlobalSpace::SP_CustomTabMusicAlbum
    {21, 126, 861},	// QGlobalSpace::SP_CustomTabPhotosAlbum
    {21, 127, 862},	// QGlobalSpace::SP_CustomTabPhotosAll
    {21, 128, 863},	// QGlobalSpace::SP_CustomTabPlaylist
    {21, 129, 864},	// QGlobalSpace::SP_CustomTabServices
    {21, 130, 865},	// QGlobalSpace::SP_CustomTabSongs
    {21, 131, 866},	// QGlobalSpace::SP_CustomTabVideos
    {21, 132, 782},	// QGlobalSpace::SP_CustomToolBarAdd
    {21, 133, 783},	// QGlobalSpace::SP_CustomToolBarAddDetail
    {21, 134, 784},	// QGlobalSpace::SP_CustomToolBarAgain
    {21, 135, 785},	// QGlobalSpace::SP_CustomToolBarAgenda
    {21, 136, 786},	// QGlobalSpace::SP_CustomToolBarAudioOff
    {21, 137, 787},	// QGlobalSpace::SP_CustomToolBarAudioOn
    {21, 138, 788},	// QGlobalSpace::SP_CustomToolBarBack
    {21, 139, 789},	// QGlobalSpace::SP_CustomToolBarBluetoothOff
    {21, 140, 790},	// QGlobalSpace::SP_CustomToolBarBluetoothOn
    {21, 141, 791},	// QGlobalSpace::SP_CustomToolBarCancel
    {21, 142, 792},	// QGlobalSpace::SP_CustomToolBarDelete
    {21, 143, 793},	// QGlobalSpace::SP_CustomToolBarDone
    {21, 144, 794},	// QGlobalSpace::SP_CustomToolBarEdit
    {21, 145, 795},	// QGlobalSpace::SP_CustomToolBarEditDisabled
    {21, 146, 796},	// QGlobalSpace::SP_CustomToolBarEmailSend
    {21, 147, 797},	// QGlobalSpace::SP_CustomToolBarEmergencyCall
    {21, 148, 798},	// QGlobalSpace::SP_CustomToolBarFavouriteAdd
    {21, 149, 799},	// QGlobalSpace::SP_CustomToolBarFavouriteRemove
    {21, 150, 800},	// QGlobalSpace::SP_CustomToolBarFavourites
    {21, 151, 801},	// QGlobalSpace::SP_CustomToolBarGo
    {21, 152, 802},	// QGlobalSpace::SP_CustomToolBarHome
    {21, 153, 803},	// QGlobalSpace::SP_CustomToolBarImageTools
    {21, 154, 804},	// QGlobalSpace::SP_CustomToolBarList
    {21, 155, 805},	// QGlobalSpace::SP_CustomToolBarLock
    {21, 156, 806},	// QGlobalSpace::SP_CustomToolBarLogs
    {21, 157, 807},	// QGlobalSpace::SP_CustomToolBarMenu
    {21, 158, 808},	// QGlobalSpace::SP_CustomToolBarNewContact
    {21, 159, 809},	// QGlobalSpace::SP_CustomToolBarNewGroup
    {21, 160, 810},	// QGlobalSpace::SP_CustomToolBarNextFrame
    {21, 161, 811},	// QGlobalSpace::SP_CustomToolBarNowPlay
    {21, 162, 812},	// QGlobalSpace::SP_CustomToolBarOptions
    {21, 163, 813},	// QGlobalSpace::SP_CustomToolBarOther
    {21, 164, 814},	// QGlobalSpace::SP_CustomToolBarOvi
    {21, 165, 815},	// QGlobalSpace::SP_CustomToolBarPreviousFrame
    {21, 166, 816},	// QGlobalSpace::SP_CustomToolBarRead
    {21, 167, 818},	// QGlobalSpace::SP_CustomToolBarRedo
    {21, 168, 817},	// QGlobalSpace::SP_CustomToolBarRedoDisabled
    {21, 169, 819},	// QGlobalSpace::SP_CustomToolBarRefresh
    {21, 170, 820},	// QGlobalSpace::SP_CustomToolBarRemoveDetail
    {21, 171, 821},	// QGlobalSpace::SP_CustomToolBarRemoveDisabled
    {21, 172, 822},	// QGlobalSpace::SP_CustomToolBarRepeat
    {21, 173, 823},	// QGlobalSpace::SP_CustomToolBarRepeatOff
    {21, 174, 824},	// QGlobalSpace::SP_CustomToolBarRepeatOne
    {21, 175, 825},	// QGlobalSpace::SP_CustomToolBarSearch
    {21, 176, 826},	// QGlobalSpace::SP_CustomToolBarSearchDisabled
    {21, 177, 827},	// QGlobalSpace::SP_CustomToolBarSelectContent
    {21, 178, 828},	// QGlobalSpace::SP_CustomToolBarSelfTimer
    {21, 179, 829},	// QGlobalSpace::SP_CustomToolBarSend
    {21, 180, 830},	// QGlobalSpace::SP_CustomToolBarSendDimmed
    {21, 181, 831},	// QGlobalSpace::SP_CustomToolBarShare
    {21, 182, 832},	// QGlobalSpace::SP_CustomToolBarShift
    {21, 183, 833},	// QGlobalSpace::SP_CustomToolBarShuffle
    {21, 184, 834},	// QGlobalSpace::SP_CustomToolBarShuffleOff
    {21, 185, 835},	// QGlobalSpace::SP_CustomToolBarSignalOff
    {21, 186, 836},	// QGlobalSpace::SP_CustomToolBarSignalOn
    {21, 187, 837},	// QGlobalSpace::SP_CustomToolBarSync
    {21, 188, 838},	// QGlobalSpace::SP_CustomToolBarTools
    {21, 189, 839},	// QGlobalSpace::SP_CustomToolBarTrim
    {21, 190, 840},	// QGlobalSpace::SP_CustomToolBarUnlock
    {21, 191, 841},	// QGlobalSpace::SP_CustomToolBarUnmark
    {21, 192, 842},	// QGlobalSpace::SP_CustomToolBarView
    {21, 193, 843},	// QGlobalSpace::SP_CustomToolBarWlanOff
    {21, 194, 844},	// QGlobalSpace::SP_CustomToolBarWlanOn
    {21, 406, -1},	// QGlobalSpace::operator!=##
    {21, 407, -21},	// QGlobalSpace::operator!=#$
    {21, 408, -27},	// QGlobalSpace::operator!=$#
    {21, 410, 19},	// QGlobalSpace::operator&##
    {21, 412, -33},	// QGlobalSpace::operator*##
    {21, 413, -63},	// QGlobalSpace::operator*#$
    {21, 414, -76},	// QGlobalSpace::operator*$#
    {21, 416, -88},	// QGlobalSpace::operator+##
    {21, 417, -99},	// QGlobalSpace::operator+#$
    {21, 418, -104},	// QGlobalSpace::operator+$#
    {21, 419, 421},	// QGlobalSpace::operator+$$
    {21, 421, -108},	// QGlobalSpace::operator-#
    {21, 422, -116},	// QGlobalSpace::operator-##
    {21, 423, 779},	// QGlobalSpace::operator-#$
    {21, 425, -126},	// QGlobalSpace::operator/#$
    {21, 427, -137},	// QGlobalSpace::operator<##
    {21, 428, 153},	// QGlobalSpace::operator<#$
    {21, 429, 332},	// QGlobalSpace::operator<$#
    {21, 431, -141},	// QGlobalSpace::operator<<##
    {21, 432, -238},	// QGlobalSpace::operator<<#$
    {21, 433, 141},	// QGlobalSpace::operator<<#?
    {21, 435, -249},	// QGlobalSpace::operator<=##
    {21, 436, 346},	// QGlobalSpace::operator<=#$
    {21, 437, 588},	// QGlobalSpace::operator<=$#
    {21, 442, -253},	// QGlobalSpace::operator==##
    {21, 443, -274},	// QGlobalSpace::operator==#$
    {21, 444, -281},	// QGlobalSpace::operator==$#
    {21, 446, -288},	// QGlobalSpace::operator>##
    {21, 447, 615},	// QGlobalSpace::operator>#$
    {21, 448, 559},	// QGlobalSpace::operator>$#
    {21, 450, -292},	// QGlobalSpace::operator>=##
    {21, 451, 519},	// QGlobalSpace::operator>=#$
    {21, 452, 275},	// QGlobalSpace::operator>=$#
    {21, 454, -296},	// QGlobalSpace::operator>>##
    {21, 455, -348},	// QGlobalSpace::operator>>#$
    {21, 456, 578},	// QGlobalSpace::operator>>#?
    {21, 458, 359},	// QGlobalSpace::operator^##
    {21, 460, 438},	// QGlobalSpace::operator|##
    {21, 461, -351},	// QGlobalSpace::operator|$$
    {21, 475, 729},	// QGlobalSpace::qAccessibleActionCastHelper
    {21, 476, 599},	// QGlobalSpace::qAccessibleEditableTextCastHelper
    {21, 477, 396},	// QGlobalSpace::qAccessibleImageCastHelper
    {21, 478, 568},	// QGlobalSpace::qAccessibleTable2CastHelper
    {21, 479, 423},	// QGlobalSpace::qAccessibleTableCastHelper
    {21, 480, 216},	// QGlobalSpace::qAccessibleTextCastHelper
    {21, 481, 508},	// QGlobalSpace::qAccessibleValueCastHelper
    {21, 483, 382},	// QGlobalSpace::qAcos$
    {21, 485, 338},	// QGlobalSpace::qAddPostRoutine$
    {21, 487, 93},	// QGlobalSpace::qAlpha$
    {21, 488, 308},	// QGlobalSpace::qAppName
    {21, 490, 545},	// QGlobalSpace::qAsin$
    {21, 492, 114},	// QGlobalSpace::qAtan$
    {21, 494, 321},	// QGlobalSpace::qAtan2$$
    {21, 495, 768},	// QGlobalSpace::qBadAlloc
    {21, 497, 732},	// QGlobalSpace::qBlue$
    {21, 499, 65},	// QGlobalSpace::qCeil$
    {21, 501, 360},	// QGlobalSpace::qChecksum$$
    {21, 503, 326},	// QGlobalSpace::qCompress#
    {21, 504, 325},	// QGlobalSpace::qCompress#$
    {21, 505, 639},	// QGlobalSpace::qCompress$$
    {21, 506, 638},	// QGlobalSpace::qCompress$$$
    {21, 508, 140},	// QGlobalSpace::qCos$
    {21, 509, 20},	// QGlobalSpace::qCritical
    {21, 510, 649},	// QGlobalSpace::qDebug
    {21, 512, 653},	// QGlobalSpace::qDrawBorderPixmap####
    {21, 513, 355},	// QGlobalSpace::qDrawBorderPixmap######
    {21, 514, 356},	// QGlobalSpace::qDrawBorderPixmap#######
    {21, 515, 354},	// QGlobalSpace::qDrawBorderPixmap#######$
    {21, 517, 334},	// QGlobalSpace::qDrawPlainRect###
    {21, 518, 335},	// QGlobalSpace::qDrawPlainRect###$
    {21, 519, 333},	// QGlobalSpace::qDrawPlainRect###$#
    {21, 520, 314},	// QGlobalSpace::qDrawPlainRect#$$$$#
    {21, 521, 315},	// QGlobalSpace::qDrawPlainRect#$$$$#$
    {21, 522, 313},	// QGlobalSpace::qDrawPlainRect#$$$$#$#
    {21, 524, 665},	// QGlobalSpace::qDrawShadeLine####
    {21, 525, 666},	// QGlobalSpace::qDrawShadeLine####$
    {21, 526, 667},	// QGlobalSpace::qDrawShadeLine####$$
    {21, 527, 664},	// QGlobalSpace::qDrawShadeLine####$$$
    {21, 528, 581},	// QGlobalSpace::qDrawShadeLine#$$$$#
    {21, 529, 582},	// QGlobalSpace::qDrawShadeLine#$$$$#$
    {21, 530, 583},	// QGlobalSpace::qDrawShadeLine#$$$$#$$
    {21, 531, 580},	// QGlobalSpace::qDrawShadeLine#$$$$#$$$
    {21, 533, 101},	// QGlobalSpace::qDrawShadePanel###
    {21, 534, 102},	// QGlobalSpace::qDrawShadePanel###$
    {21, 535, 103},	// QGlobalSpace::qDrawShadePanel###$$
    {21, 536, 100},	// QGlobalSpace::qDrawShadePanel###$$#
    {21, 537, 246},	// QGlobalSpace::qDrawShadePanel#$$$$#
    {21, 538, 247},	// QGlobalSpace::qDrawShadePanel#$$$$#$
    {21, 539, 248},	// QGlobalSpace::qDrawShadePanel#$$$$#$$
    {21, 540, 245},	// QGlobalSpace::qDrawShadePanel#$$$$#$$#
    {21, 542, 290},	// QGlobalSpace::qDrawShadeRect###
    {21, 543, 291},	// QGlobalSpace::qDrawShadeRect###$
    {21, 544, 292},	// QGlobalSpace::qDrawShadeRect###$$
    {21, 545, 293},	// QGlobalSpace::qDrawShadeRect###$$$
    {21, 546, 289},	// QGlobalSpace::qDrawShadeRect###$$$#
    {21, 547, 136},	// QGlobalSpace::qDrawShadeRect#$$$$#
    {21, 548, 137},	// QGlobalSpace::qDrawShadeRect#$$$$#$
    {21, 549, 138},	// QGlobalSpace::qDrawShadeRect#$$$$#$$
    {21, 550, 139},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$
    {21, 551, 135},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$#
    {21, 553, 260},	// QGlobalSpace::qDrawWinButton###
    {21, 554, 261},	// QGlobalSpace::qDrawWinButton###$
    {21, 555, 259},	// QGlobalSpace::qDrawWinButton###$#
    {21, 556, 128},	// QGlobalSpace::qDrawWinButton#$$$$#
    {21, 557, 129},	// QGlobalSpace::qDrawWinButton#$$$$#$
    {21, 558, 127},	// QGlobalSpace::qDrawWinButton#$$$$#$#
    {21, 560, 671},	// QGlobalSpace::qDrawWinPanel###
    {21, 561, 672},	// QGlobalSpace::qDrawWinPanel###$
    {21, 562, 670},	// QGlobalSpace::qDrawWinPanel###$#
    {21, 563, 716},	// QGlobalSpace::qDrawWinPanel#$$$$#
    {21, 564, 717},	// QGlobalSpace::qDrawWinPanel#$$$$#$
    {21, 565, 715},	// QGlobalSpace::qDrawWinPanel#$$$$#$#
    {21, 567, 343},	// QGlobalSpace::qExp$
    {21, 569, 44},	// QGlobalSpace::qFabs$
    {21, 571, 703},	// QGlobalSpace::qFastCos$
    {21, 573, 752},	// QGlobalSpace::qFastSin$
    {21, 575, 517},	// QGlobalSpace::qFlagLocation$
    {21, 577, 487},	// QGlobalSpace::qFloor$
    {21, 579, 619},	// QGlobalSpace::qFree$
    {21, 581, 276},	// QGlobalSpace::qFreeAligned$
    {21, 583, -586},	// QGlobalSpace::qFuzzyCompare##
    {21, 584, -594},	// QGlobalSpace::qFuzzyCompare$$
    {21, 586, -597},	// QGlobalSpace::qFuzzyIsNull$
    {21, 588, 67},	// QGlobalSpace::qGray$
    {21, 589, 163},	// QGlobalSpace::qGray$$$
    {21, 591, 97},	// QGlobalSpace::qGreen$
    {21, 593, -600},	// QGlobalSpace::qHash#
    {21, 594, -609},	// QGlobalSpace::qHash$
    {21, 595, 526},	// QGlobalSpace::qInf
    {21, 597, 252},	// QGlobalSpace::qInstallMsgHandler$
    {21, 599, -622},	// QGlobalSpace::qIntCast$
    {21, 601, -625},	// QGlobalSpace::qIsFinite$
    {21, 603, 448},	// QGlobalSpace::qIsGray$
    {21, 605, -628},	// QGlobalSpace::qIsInf$
    {21, 607, -631},	// QGlobalSpace::qIsNaN$
    {21, 609, -634},	// QGlobalSpace::qIsNull$
    {21, 611, 576},	// QGlobalSpace::qLn$
    {21, 613, 776},	// QGlobalSpace::qMalloc$
    {21, 615, 634},	// QGlobalSpace::qMallocAligned$$
    {21, 617, 518},	// QGlobalSpace::qMemCopy$$$
    {21, 619, 320},	// QGlobalSpace::qMemSet$$$
    {21, 621, 685},	// QGlobalSpace::qPow$$
    {21, 622, 48},	// QGlobalSpace::qQNaN
    {21, 624, 418},	// QGlobalSpace::qRealloc$$
    {21, 626, 298},	// QGlobalSpace::qReallocAligned$$$$
    {21, 628, 76},	// QGlobalSpace::qRed$
    {21, 630, 121},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {21, 632, 510},	// QGlobalSpace::qRemovePostRoutine$
    {21, 634, 485},	// QGlobalSpace::qRgb$$$
    {21, 636, 770},	// QGlobalSpace::qRgba$$$$
    {21, 638, 435},	// QGlobalSpace::qRound$
    {21, 640, 628},	// QGlobalSpace::qRound64$
    {21, 641, 742},	// QGlobalSpace::qSNaN
    {21, 643, 561},	// QGlobalSpace::qSetFieldWidth$
    {21, 645, 242},	// QGlobalSpace::qSetPadChar#
    {21, 647, 542},	// QGlobalSpace::qSetRealNumberPrecision$
    {21, 648, 249},	// QGlobalSpace::qSharedBuild
    {21, 650, 544},	// QGlobalSpace::qSin$
    {21, 652, 468},	// QGlobalSpace::qSqrt$
    {21, 654, 287},	// QGlobalSpace::qStringComparisonHelper#$
    {21, 656, 659},	// QGlobalSpace::qTan$
    {21, 658, 538},	// QGlobalSpace::qUncompress#
    {21, 659, 748},	// QGlobalSpace::qUncompress$$
    {21, 660, 56},	// QGlobalSpace::qVersion
    {21, 661, 160},	// QGlobalSpace::qWarning
    {21, 663, 115},	// QGlobalSpace::qbswap_helper$$$
    {21, 665, 371},	// QGlobalSpace::qgetenv$
    {21, 667, 283},	// QGlobalSpace::qputenv$#
    {21, 668, 66},	// QGlobalSpace::qrand
    {21, 670, 144},	// QGlobalSpace::qsrand$
    {21, 672, 239},	// QGlobalSpace::qstrcmp##
    {21, 673, 243},	// QGlobalSpace::qstrcmp#$
    {21, 674, 656},	// QGlobalSpace::qstrcmp$#
    {21, 675, 471},	// QGlobalSpace::qstrcmp$$
    {21, 677, 41},	// QGlobalSpace::qstrcpy$$
    {21, 679, 643},	// QGlobalSpace::qstrdup$
    {21, 681, 547},	// QGlobalSpace::qstricmp$$
    {21, 683, 584},	// QGlobalSpace::qstrlen$
    {21, 685, 288},	// QGlobalSpace::qstrncmp$$$
    {21, 687, 399},	// QGlobalSpace::qstrncpy$$$
    {21, 689, 222},	// QGlobalSpace::qstrnicmp$$$
    {21, 691, 483},	// QGlobalSpace::qstrnlen$$
    {21, 693, 763},	// QGlobalSpace::qtTrId$
    {21, 694, 762},	// QGlobalSpace::qtTrId$$
    {21, 696, 23},	// QGlobalSpace::qt_assert$$$
    {21, 698, 426},	// QGlobalSpace::qt_assert_x$$$$
    {21, 700, 230},	// QGlobalSpace::qt_check_pointer$$
    {21, 701, 413},	// QGlobalSpace::qt_error_string
    {21, 702, 412},	// QGlobalSpace::qt_error_string$
    {21, 704, 696},	// QGlobalSpace::qt_message_output$$
    {21, 709, 557},	// QGlobalSpace::qt_noop
    {21, 711, 254},	// QGlobalSpace::qt_qFindChild_helper#$#
    {21, 713, 609},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {21, 717, 118},	// QGlobalSpace::qvariant_cast_helper#$$
    {21, 719, 553},	// QGlobalSpace::qvsnprintf$$$?
    {64, 1, 923},	// QSql::AfterLastRow
    {64, 2, 913},	// QSql::AllTables
    {64, 6, 922},	// QSql::BeforeFirstRow
    {64, 7, 917},	// QSql::Binary
    {64, 14, 921},	// QSql::HighPrecision
    {64, 15, 914},	// QSql::In
    {64, 16, 916},	// QSql::InOut
    {64, 40, 920},	// QSql::LowPrecisionDouble
    {64, 41, 918},	// QSql::LowPrecisionInt32
    {64, 42, 919},	// QSql::LowPrecisionInt64
    {64, 53, 915},	// QSql::Out
    {64, 199, 911},	// QSql::SystemTables
    {64, 201, 910},	// QSql::Tables
    {64, 210, 912},	// QSql::Views
    {65, 57, 924},	// QSqlDatabase::QSqlDatabase
    {65, 58, -637},	// QSqlDatabase::QSqlDatabase#
    {65, 59, 968},	// QSqlDatabase::QSqlDatabase$
    {65, 216, 974},	// QSqlDatabase::addDatabase#
    {65, 217, 959},	// QSqlDatabase::addDatabase#$
    {65, 218, 973},	// QSqlDatabase::addDatabase$
    {65, 219, 958},	// QSqlDatabase::addDatabase$$
    {65, 250, 960},	// QSqlDatabase::cloneDatabase#$
    {65, 251, 929},	// QSqlDatabase::close
    {65, 254, 939},	// QSqlDatabase::commit
    {65, 257, 953},	// QSqlDatabase::connectOptions
    {65, 258, 954},	// QSqlDatabase::connectionName
    {65, 259, 965},	// QSqlDatabase::connectionNames
    {65, 260, 977},	// QSqlDatabase::contains
    {65, 261, 963},	// QSqlDatabase::contains$
    {65, 275, 975},	// QSqlDatabase::database
    {65, 276, 976},	// QSqlDatabase::database$
    {65, 277, 961},	// QSqlDatabase::database$$
    {65, 278, 947},	// QSqlDatabase::databaseName
    {65, 280, 978},	// QSqlDatabase::defaultConnection
    {65, 291, 957},	// QSqlDatabase::driver
    {65, 292, 951},	// QSqlDatabase::driverName
    {65, 294, 964},	// QSqlDatabase::drivers
    {65, 302, 971},	// QSqlDatabase::exec
    {65, 303, 935},	// QSqlDatabase::exec$
    {65, 336, 950},	// QSqlDatabase::hostName
    {65, 362, 967},	// QSqlDatabase::isDriverAvailable$
    {65, 373, 930},	// QSqlDatabase::isOpen
    {65, 374, 931},	// QSqlDatabase::isOpenError
    {65, 377, 937},	// QSqlDatabase::isValid
    {65, 381, 936},	// QSqlDatabase::lastError
    {65, 396, 956},	// QSqlDatabase::numericalPrecisionPolicy
    {65, 397, 927},	// QSqlDatabase::open
    {65, 399, 928},	// QSqlDatabase::open$$
    {65, 439, 926},	// QSqlDatabase::operator=#
    {65, 464, 949},	// QSqlDatabase::password
    {65, 465, 952},	// QSqlDatabase::port
    {65, 471, 933},	// QSqlDatabase::primaryIndex$
    {65, 721, 934},	// QSqlDatabase::record$
    {65, 723, 966},	// QSqlDatabase::registerSqlDriver$#
    {65, 734, 962},	// QSqlDatabase::removeDatabase$
    {65, 748, 940},	// QSqlDatabase::rollback
    {65, 765, 972},	// QSqlDatabase::setConnectOptions
    {65, 766, 946},	// QSqlDatabase::setConnectOptions$
    {65, 773, 941},	// QSqlDatabase::setDatabaseName$
    {65, 777, 979},	// QSqlDatabase::setDefaultConnection$
    {65, 799, 944},	// QSqlDatabase::setHostName$
    {65, 816, 955},	// QSqlDatabase::setNumericalPrecisionPolicy$
    {65, 822, 943},	// QSqlDatabase::setPassword$
    {65, 824, 945},	// QSqlDatabase::setPort$
    {65, 854, 942},	// QSqlDatabase::setUserName$
    {65, 880, 970},	// QSqlDatabase::tables
    {65, 881, 932},	// QSqlDatabase::tables$
    {65, 892, 938},	// QSqlDatabase::transaction
    {65, 902, 948},	// QSqlDatabase::userName
    {65, 907, 980},	// QSqlDatabase::~QSqlDatabase
    {66, 3, 1034},	// QSqlDriver::BLOB
    {66, 5, 1040},	// QSqlDriver::BatchOperations
    {66, 9, 1050},	// QSqlDriver::DeleteStatement
    {66, 11, 1043},	// QSqlDriver::EventNotifications
    {66, 12, 1051},	// QSqlDriver::FieldName
    {66, 13, 1044},	// QSqlDriver::FinishQuery
    {66, 18, 1049},	// QSqlDriver::InsertStatement
    {66, 19, 1039},	// QSqlDriver::LastInsertId
    {66, 43, 1042},	// QSqlDriver::LowPrecisionNumbers
    {66, 44, 1045},	// QSqlDriver::MultipleResultSets
    {66, 46, 1037},	// QSqlDriver::NamedPlaceholders
    {66, 55, 1038},	// QSqlDriver::PositionalPlaceholders
    {66, 56, 1036},	// QSqlDriver::PreparedQueries
    {66, 60, 1024},	// QSqlDriver::QSqlDriver
    {66, 61, 988},	// QSqlDriver::QSqlDriver#
    {66, 108, 1033},	// QSqlDriver::QuerySize
    {66, 195, 1047},	// QSqlDriver::SelectStatement
    {66, 197, 1041},	// QSqlDriver::SimpleLocking
    {66, 200, 1052},	// QSqlDriver::TableName
    {66, 203, 1032},	// QSqlDriver::Transactions
    {66, 204, 1035},	// QSqlDriver::Unicode
    {66, 207, 1048},	// QSqlDriver::UpdateStatement
    {66, 211, 1046},	// QSqlDriver::WhereStatement
    {66, 230, 991},	// QSqlDriver::beginTransaction
    {66, 251, 1003},	// QSqlDriver::close
    {66, 255, 992},	// QSqlDriver::commitTransaction
    {66, 268, 1004},	// QSqlDriver::createResult
    {66, 299, 998},	// QSqlDriver::escapeIdentifier$$
    {66, 327, 1025},	// QSqlDriver::formatValue#
    {66, 328, 997},	// QSqlDriver::formatValue#$
    {66, 329, 1001},	// QSqlDriver::handle
    {66, 331, 1002},	// QSqlDriver::hasFeature$
    {66, 368, 1009},	// QSqlDriver::isIdentifierEscaped$$
    {66, 370, 1020},	// QSqlDriver::isIdentifierEscapedImplementation$$
    {66, 373, 989},	// QSqlDriver::isOpen
    {66, 374, 990},	// QSqlDriver::isOpenError
    {66, 381, 1000},	// QSqlDriver::lastError
    {66, 386, 981},	// QSqlDriver::metaObject
    {66, 393, 1013},	// QSqlDriver::notification$
    {66, 396, 1012},	// QSqlDriver::numericalPrecisionPolicy
    {66, 398, 1026},	// QSqlDriver::open$
    {66, 399, 1027},	// QSqlDriver::open$$
    {66, 400, 1028},	// QSqlDriver::open$$$
    {66, 401, 1029},	// QSqlDriver::open$$$$
    {66, 402, 1030},	// QSqlDriver::open$$$$$
    {66, 403, 1005},	// QSqlDriver::open$$$$$$
    {66, 471, 995},	// QSqlDriver::primaryIndex$
    {66, 706, 987},	// QSqlDriver::qt_metacall$$?
    {66, 708, 982},	// QSqlDriver::qt_metacast$
    {66, 721, 996},	// QSqlDriver::record$
    {66, 749, 993},	// QSqlDriver::rollbackTransaction
    {66, 804, 1016},	// QSqlDriver::setLastError#
    {66, 816, 1011},	// QSqlDriver::setNumericalPrecisionPolicy$
    {66, 818, 1014},	// QSqlDriver::setOpen$
    {66, 820, 1015},	// QSqlDriver::setOpenError$
    {66, 864, 999},	// QSqlDriver::sqlStatement$$#$
    {66, 865, 1031},	// QSqlDriver::staticMetaObject
    {66, 867, 1010},	// QSqlDriver::stripDelimiters$$
    {66, 869, 1021},	// QSqlDriver::stripDelimitersImplementation$$
    {66, 873, 1006},	// QSqlDriver::subscribeToNotification$
    {66, 875, 1017},	// QSqlDriver::subscribeToNotificationImplementation$
    {66, 876, 1008},	// QSqlDriver::subscribedToNotifications
    {66, 877, 1019},	// QSqlDriver::subscribedToNotificationsImplementation
    {66, 881, 994},	// QSqlDriver::tables$
    {66, 885, 1022},	// QSqlDriver::tr$
    {66, 886, 983},	// QSqlDriver::tr$$
    {66, 887, 985},	// QSqlDriver::tr$$$
    {66, 889, 1023},	// QSqlDriver::trUtf8$
    {66, 890, 984},	// QSqlDriver::trUtf8$$
    {66, 891, 986},	// QSqlDriver::trUtf8$$$
    {66, 896, 1007},	// QSqlDriver::unsubscribeFromNotification$
    {66, 898, 1018},	// QSqlDriver::unsubscribeFromNotificationImplementation$
    {66, 908, 1053},	// QSqlDriver::~QSqlDriver
    {67, 62, 1055},	// QSqlDriverCreatorBase::QSqlDriverCreatorBase
    {67, 63, 1056},	// QSqlDriverCreatorBase::QSqlDriverCreatorBase#
    {67, 267, 1054},	// QSqlDriverCreatorBase::createObject
    {67, 909, 1057},	// QSqlDriverCreatorBase::~QSqlDriverCreatorBase
    {68, 64, 1059},	// QSqlDriverFactoryInterface::QSqlDriverFactoryInterface
    {68, 65, 1060},	// QSqlDriverFactoryInterface::QSqlDriverFactoryInterface#
    {68, 264, 1058},	// QSqlDriverFactoryInterface::create$
    {68, 910, 1061},	// QSqlDriverFactoryInterface::~QSqlDriverFactoryInterface
    {69, 66, 1074},	// QSqlDriverPlugin::QSqlDriverPlugin
    {69, 67, 1069},	// QSqlDriverPlugin::QSqlDriverPlugin#
    {69, 264, 1071},	// QSqlDriverPlugin::create$
    {69, 379, 1070},	// QSqlDriverPlugin::keys
    {69, 386, 1062},	// QSqlDriverPlugin::metaObject
    {69, 706, 1068},	// QSqlDriverPlugin::qt_metacall$$?
    {69, 708, 1063},	// QSqlDriverPlugin::qt_metacast$
    {69, 865, 1075},	// QSqlDriverPlugin::staticMetaObject
    {69, 885, 1072},	// QSqlDriverPlugin::tr$
    {69, 886, 1064},	// QSqlDriverPlugin::tr$$
    {69, 887, 1066},	// QSqlDriverPlugin::tr$$$
    {69, 889, 1073},	// QSqlDriverPlugin::trUtf8$
    {69, 890, 1065},	// QSqlDriverPlugin::trUtf8$$
    {69, 891, 1067},	// QSqlDriverPlugin::trUtf8$$$
    {69, 911, 1076},	// QSqlDriverPlugin::~QSqlDriverPlugin
    {70, 8, 1095},	// QSqlError::ConnectionError
    {70, 48, 1094},	// QSqlError::NoError
    {70, 68, 1090},	// QSqlError::QSqlError
    {70, 69, 1078},	// QSqlError::QSqlError#
    {70, 70, 1091},	// QSqlError::QSqlError$
    {70, 71, 1092},	// QSqlError::QSqlError$$
    {70, 72, 1093},	// QSqlError::QSqlError$$$
    {70, 73, 1077},	// QSqlError::QSqlError$$$$
    {70, 198, 1096},	// QSqlError::StatementError
    {70, 202, 1097},	// QSqlError::TransactionError
    {70, 206, 1098},	// QSqlError::UnknownError
    {70, 279, 1082},	// QSqlError::databaseText
    {70, 293, 1080},	// QSqlError::driverText
    {70, 377, 1089},	// QSqlError::isValid
    {70, 395, 1086},	// QSqlError::number
    {70, 439, 1079},	// QSqlError::operator=#
    {70, 775, 1083},	// QSqlError::setDatabaseText$
    {70, 783, 1081},	// QSqlError::setDriverText$
    {70, 814, 1087},	// QSqlError::setNumber$
    {70, 852, 1085},	// QSqlError::setType$
    {70, 882, 1088},	// QSqlError::text
    {70, 893, 1084},	// QSqlError::type
    {70, 912, 1099},	// QSqlError::~QSqlError
    {71, 52, 1134},	// QSqlField::Optional
    {71, 74, 1131},	// QSqlField::QSqlField
    {71, 75, 1101},	// QSqlField::QSqlField#
    {71, 76, 1132},	// QSqlField::QSqlField$
    {71, 77, 1100},	// QSqlField::QSqlField$$
    {71, 109, 1135},	// QSqlField::Required
    {71, 205, 1133},	// QSqlField::Unknown
    {71, 247, 1112},	// QSqlField::clear
    {71, 281, 1127},	// QSqlField::defaultValue
    {71, 356, 1114},	// QSqlField::isAutoValue
    {71, 365, 1129},	// QSqlField::isGenerated
    {71, 371, 1109},	// QSqlField::isNull
    {71, 375, 1111},	// QSqlField::isReadOnly
    {71, 377, 1130},	// QSqlField::isValid
    {71, 384, 1125},	// QSqlField::length
    {71, 389, 1108},	// QSqlField::name
    {71, 405, 1104},	// QSqlField::operator!=#
    {71, 439, 1102},	// QSqlField::operator=#
    {71, 441, 1103},	// QSqlField::operator==#
    {71, 466, 1126},	// QSqlField::precision
    {71, 740, 1124},	// QSqlField::requiredStatus
    {71, 764, 1123},	// QSqlField::setAutoValue$
    {71, 779, 1120},	// QSqlField::setDefaultValue#
    {71, 793, 1122},	// QSqlField::setGenerated$
    {71, 806, 1118},	// QSqlField::setLength$
    {71, 810, 1107},	// QSqlField::setName$
    {71, 826, 1119},	// QSqlField::setPrecision$
    {71, 834, 1110},	// QSqlField::setReadOnly$
    {71, 840, 1117},	// QSqlField::setRequired$
    {71, 842, 1116},	// QSqlField::setRequiredStatus$
    {71, 848, 1121},	// QSqlField::setSqlType$
    {71, 852, 1115},	// QSqlField::setType$
    {71, 856, 1105},	// QSqlField::setValue#
    {71, 893, 1113},	// QSqlField::type
    {71, 894, 1128},	// QSqlField::typeID
    {71, 903, 1106},	// QSqlField::value
    {71, 913, 1136},	// QSqlField::~QSqlField
    {72, 78, 1148},	// QSqlIndex::QSqlIndex
    {72, 79, 1138},	// QSqlIndex::QSqlIndex#
    {72, 80, 1149},	// QSqlIndex::QSqlIndex$
    {72, 81, 1137},	// QSqlIndex::QSqlIndex$$
    {72, 221, 1144},	// QSqlIndex::append#
    {72, 222, 1145},	// QSqlIndex::append#$
    {72, 269, 1141},	// QSqlIndex::cursorName
    {72, 358, 1146},	// QSqlIndex::isDescending$
    {72, 389, 1143},	// QSqlIndex::name
    {72, 439, 1139},	// QSqlIndex::operator=#
    {72, 768, 1140},	// QSqlIndex::setCursorName$
    {72, 781, 1147},	// QSqlIndex::setDescending$$
    {72, 810, 1142},	// QSqlIndex::setName$
    {72, 914, 1150},	// QSqlIndex::~QSqlIndex
    {73, 82, 1193},	// QSqlQuery::QSqlQuery
    {73, 83, -640},	// QSqlQuery::QSqlQuery#
    {73, 84, 1194},	// QSqlQuery::QSqlQuery$
    {73, 85, 1152},	// QSqlQuery::QSqlQuery$#
    {73, 208, 1201},	// QSqlQuery::ValuesAsColumns
    {73, 209, 1200},	// QSqlQuery::ValuesAsRows
    {73, 213, 1199},	// QSqlQuery::addBindValue#
    {73, 214, 1185},	// QSqlQuery::addBindValue#$
    {73, 223, 1159},	// QSqlQuery::at
    {73, 232, -644},	// QSqlQuery::bindValue$#
    {73, 233, -647},	// QSqlQuery::bindValue$#$
    {73, 238, -650},	// QSqlQuery::boundValue$
    {73, 242, 1188},	// QSqlQuery::boundValues
    {73, 247, 1179},	// QSqlQuery::clear
    {73, 291, 1165},	// QSqlQuery::driver
    {73, 302, 1180},	// QSqlQuery::exec
    {73, 303, 1170},	// QSqlQuery::exec$
    {73, 304, 1196},	// QSqlQuery::execBatch
    {73, 305, 1181},	// QSqlQuery::execBatch$
    {73, 306, 1189},	// QSqlQuery::executedQuery
    {73, 322, 1191},	// QSqlQuery::finish
    {73, 323, 1177},	// QSqlQuery::first
    {73, 355, 1157},	// QSqlQuery::isActive
    {73, 364, 1167},	// QSqlQuery::isForwardOnly
    {73, 372, 1158},	// QSqlQuery::isNull$
    {73, 376, 1163},	// QSqlQuery::isSelect
    {73, 377, 1156},	// QSqlQuery::isValid
    {73, 380, 1178},	// QSqlQuery::last
    {73, 381, 1162},	// QSqlQuery::lastError
    {73, 382, 1190},	// QSqlQuery::lastInsertId
    {73, 383, 1160},	// QSqlQuery::lastQuery
    {73, 390, 1175},	// QSqlQuery::next
    {73, 391, 1192},	// QSqlQuery::nextResult
    {73, 394, 1161},	// QSqlQuery::numRowsAffected
    {73, 396, 1173},	// QSqlQuery::numericalPrecisionPolicy
    {73, 439, 1155},	// QSqlQuery::operator=#
    {73, 468, 1182},	// QSqlQuery::prepare$
    {73, 469, 1176},	// QSqlQuery::previous
    {73, 720, 1168},	// QSqlQuery::record
    {73, 743, 1166},	// QSqlQuery::result
    {73, 755, 1195},	// QSqlQuery::seek$
    {73, 756, 1174},	// QSqlQuery::seek$$
    {73, 791, 1169},	// QSqlQuery::setForwardOnly$
    {73, 816, 1172},	// QSqlQuery::setNumericalPrecisionPolicy$
    {73, 858, 1164},	// QSqlQuery::size
    {73, 904, 1171},	// QSqlQuery::value$
    {73, 915, 1202},	// QSqlQuery::~QSqlQuery
    {74, 86, 1232},	// QSqlQueryModel::QSqlQueryModel
    {74, 87, 1210},	// QSqlQueryModel::QSqlQueryModel#
    {74, 244, 1242},	// QSqlQueryModel::canFetchMore
    {74, 245, 1226},	// QSqlQueryModel::canFetchMore#
    {74, 247, 1223},	// QSqlQueryModel::clear
    {74, 252, 1234},	// QSqlQueryModel::columnCount
    {74, 253, 1212},	// QSqlQueryModel::columnCount#
    {74, 272, 1235},	// QSqlQueryModel::data#
    {74, 273, 1215},	// QSqlQueryModel::data#$
    {74, 311, 1241},	// QSqlQueryModel::fetchMore
    {74, 312, 1225},	// QSqlQueryModel::fetchMore#
    {74, 334, 1236},	// QSqlQueryModel::headerData$$
    {74, 335, 1216},	// QSqlQueryModel::headerData$$$
    {74, 340, 1228},	// QSqlQueryModel::indexInQuery#
    {74, 346, 1238},	// QSqlQueryModel::insertColumns$$
    {74, 347, 1218},	// QSqlQueryModel::insertColumns$$#
    {74, 381, 1224},	// QSqlQueryModel::lastError
    {74, 386, 1203},	// QSqlQueryModel::metaObject
    {74, 706, 1209},	// QSqlQueryModel::qt_metacall$$?
    {74, 708, 1204},	// QSqlQueryModel::qt_metacast$
    {74, 714, 1222},	// QSqlQueryModel::query
    {74, 715, 1227},	// QSqlQueryModel::queryChange
    {74, 720, 1214},	// QSqlQueryModel::record
    {74, 721, 1213},	// QSqlQueryModel::record$
    {74, 731, 1239},	// QSqlQueryModel::removeColumns$$
    {74, 732, 1219},	// QSqlQueryModel::removeColumns$$#
    {74, 750, 1233},	// QSqlQueryModel::rowCount
    {74, 751, 1211},	// QSqlQueryModel::rowCount#
    {74, 796, 1237},	// QSqlQueryModel::setHeaderData$$#
    {74, 797, 1217},	// QSqlQueryModel::setHeaderData$$#$
    {74, 804, 1229},	// QSqlQueryModel::setLastError#
    {74, 830, 1220},	// QSqlQueryModel::setQuery#
    {74, 831, 1240},	// QSqlQueryModel::setQuery$
    {74, 832, 1221},	// QSqlQueryModel::setQuery$#
    {74, 865, 1243},	// QSqlQueryModel::staticMetaObject
    {74, 885, 1230},	// QSqlQueryModel::tr$
    {74, 886, 1205},	// QSqlQueryModel::tr$$
    {74, 887, 1207},	// QSqlQueryModel::tr$$$
    {74, 889, 1231},	// QSqlQueryModel::trUtf8$
    {74, 890, 1206},	// QSqlQueryModel::trUtf8$$
    {74, 891, 1208},	// QSqlQueryModel::trUtf8$$$
    {74, 916, 1244},	// QSqlQueryModel::~QSqlQueryModel
    {75, 88, 1245},	// QSqlRecord::QSqlRecord
    {75, 89, 1246},	// QSqlRecord::QSqlRecord#
    {75, 221, 1266},	// QSqlRecord::append#
    {75, 247, 1272},	// QSqlRecord::clear
    {75, 248, 1273},	// QSqlRecord::clearValues
    {75, 261, 1271},	// QSqlRecord::contains$
    {75, 262, 1274},	// QSqlRecord::count
    {75, 316, -653},	// QSqlRecord::field$
    {75, 320, 1259},	// QSqlRecord::fieldName$
    {75, 342, 1258},	// QSqlRecord::indexOf$
    {75, 344, 1268},	// QSqlRecord::insert$#
    {75, 363, 1270},	// QSqlRecord::isEmpty
    {75, 366, -656},	// QSqlRecord::isGenerated$
    {75, 372, -659},	// QSqlRecord::isNull$
    {75, 405, 1249},	// QSqlRecord::operator!=#
    {75, 439, 1247},	// QSqlRecord::operator=#
    {75, 441, 1248},	// QSqlRecord::operator==#
    {75, 729, 1269},	// QSqlRecord::remove$
    {75, 739, 1267},	// QSqlRecord::replace$#
    {75, 794, -662},	// QSqlRecord::setGenerated$$
    {75, 812, -665},	// QSqlRecord::setNull$
    {75, 857, -668},	// QSqlRecord::setValue$#
    {75, 904, -671},	// QSqlRecord::value$
    {75, 917, 1275},	// QSqlRecord::~QSqlRecord
    {76, 90, 1276},	// QSqlRelation::QSqlRelation
    {76, 91, 1282},	// QSqlRelation::QSqlRelation#
    {76, 92, 1277},	// QSqlRelation::QSqlRelation$$$
    {76, 286, 1280},	// QSqlRelation::displayColumn
    {76, 338, 1279},	// QSqlRelation::indexColumn
    {76, 377, 1281},	// QSqlRelation::isValid
    {76, 879, 1278},	// QSqlRelation::tableName
    {76, 918, 1283},	// QSqlRelation::~QSqlRelation
    {77, 93, 1288},	// QSqlRelationalDelegate::QSqlRelationalDelegate
    {77, 94, 1284},	// QSqlRelationalDelegate::QSqlRelationalDelegate#
    {77, 266, 1285},	// QSqlRelationalDelegate::createEditor###
    {77, 787, 1286},	// QSqlRelationalDelegate::setEditorData##
    {77, 808, 1287},	// QSqlRelationalDelegate::setModelData###
    {77, 919, 1289},	// QSqlRelationalDelegate::~QSqlRelationalDelegate
    {78, 17, 1321},	// QSqlRelationalTableModel::InnerJoin
    {78, 20, 1322},	// QSqlRelationalTableModel::LeftJoin
    {78, 95, 1315},	// QSqlRelationalTableModel::QSqlRelationalTableModel
    {78, 96, 1316},	// QSqlRelationalTableModel::QSqlRelationalTableModel#
    {78, 97, 1297},	// QSqlRelationalTableModel::QSqlRelationalTableModel##
    {78, 247, 1301},	// QSqlRelationalTableModel::clear
    {78, 272, 1317},	// QSqlRelationalTableModel::data#
    {78, 273, 1298},	// QSqlRelationalTableModel::data#$
    {78, 351, 1311},	// QSqlRelationalTableModel::insertRowIntoTable#
    {78, 386, 1290},	// QSqlRelationalTableModel::metaObject
    {78, 462, 1312},	// QSqlRelationalTableModel::orderByClause
    {78, 706, 1296},	// QSqlRelationalTableModel::qt_metacall$$?
    {78, 708, 1291},	// QSqlRelationalTableModel::qt_metacast$
    {78, 725, 1305},	// QSqlRelationalTableModel::relation$
    {78, 727, 1306},	// QSqlRelationalTableModel::relationModel$
    {78, 731, 1319},	// QSqlRelationalTableModel::removeColumns$$
    {78, 732, 1300},	// QSqlRelationalTableModel::removeColumns$$#
    {78, 747, 1308},	// QSqlRelationalTableModel::revertRow$
    {78, 757, 1302},	// QSqlRelationalTableModel::select
    {78, 758, 1309},	// QSqlRelationalTableModel::selectStatement
    {78, 770, 1318},	// QSqlRelationalTableModel::setData##
    {78, 771, 1299},	// QSqlRelationalTableModel::setData##$
    {78, 802, 1307},	// QSqlRelationalTableModel::setJoinMode$
    {78, 838, 1304},	// QSqlRelationalTableModel::setRelation$#
    {78, 850, 1303},	// QSqlRelationalTableModel::setTable$
    {78, 865, 1320},	// QSqlRelationalTableModel::staticMetaObject
    {78, 885, 1313},	// QSqlRelationalTableModel::tr$
    {78, 886, 1292},	// QSqlRelationalTableModel::tr$$
    {78, 887, 1294},	// QSqlRelationalTableModel::tr$$$
    {78, 889, 1314},	// QSqlRelationalTableModel::trUtf8$
    {78, 890, 1293},	// QSqlRelationalTableModel::trUtf8$$
    {78, 891, 1295},	// QSqlRelationalTableModel::trUtf8$$$
    {78, 901, 1310},	// QSqlRelationalTableModel::updateRowInTable$#
    {78, 920, 1323},	// QSqlRelationalTableModel::~QSqlRelationalTableModel
    {79, 4, 1378},	// QSqlResult::BatchOperation
    {79, 10, 1379},	// QSqlResult::DetachFromResultSet
    {79, 45, 1377},	// QSqlResult::NamedBinding
    {79, 47, 1381},	// QSqlResult::NextResult
    {79, 54, 1376},	// QSqlResult::PositionalBinding
    {79, 99, 1325},	// QSqlResult::QSqlResult#
    {79, 196, 1380},	// QSqlResult::SetNumericalPrecision
    {79, 214, 1345},	// QSqlResult::addBindValue#$
    {79, 223, 1326},	// QSqlResult::at
    {79, 233, -674},	// QSqlResult::bindValue$#$
    {79, 235, -677},	// QSqlResult::bindValueType$
    {79, 236, 1356},	// QSqlResult::bindingSyntax
    {79, 238, -680},	// QSqlResult::boundValue$
    {79, 239, 1350},	// QSqlResult::boundValueCount
    {79, 241, 1353},	// QSqlResult::boundValueName$
    {79, 242, 1351},	// QSqlResult::boundValues
    {79, 247, 1354},	// QSqlResult::clear
    {79, 274, 1357},	// QSqlResult::data$
    {79, 284, 1371},	// QSqlResult::detachFromResultSet
    {79, 291, 1333},	// QSqlResult::driver
    {79, 302, 1340},	// QSqlResult::exec
    {79, 304, 1375},	// QSqlResult::execBatch
    {79, 305, 1370},	// QSqlResult::execBatch$
    {79, 306, 1352},	// QSqlResult::executedQuery
    {79, 308, 1360},	// QSqlResult::fetch$
    {79, 309, 1363},	// QSqlResult::fetchFirst
    {79, 310, 1364},	// QSqlResult::fetchLast
    {79, 313, 1361},	// QSqlResult::fetchNext
    {79, 314, 1362},	// QSqlResult::fetchPrevious
    {79, 329, 1324},	// QSqlResult::handle
    {79, 332, 1355},	// QSqlResult::hasOutValues
    {79, 355, 1330},	// QSqlResult::isActive
    {79, 364, 1332},	// QSqlResult::isForwardOnly
    {79, 372, 1358},	// QSqlResult::isNull$
    {79, 376, 1331},	// QSqlResult::isSelect
    {79, 377, 1329},	// QSqlResult::isValid
    {79, 381, 1328},	// QSqlResult::lastError
    {79, 382, 1368},	// QSqlResult::lastInsertId
    {79, 383, 1327},	// QSqlResult::lastQuery
    {79, 391, 1374},	// QSqlResult::nextResult
    {79, 394, 1366},	// QSqlResult::numRowsAffected
    {79, 396, 1373},	// QSqlResult::numericalPrecisionPolicy
    {79, 468, 1341},	// QSqlResult::prepare$
    {79, 720, 1367},	// QSqlResult::record
    {79, 742, 1359},	// QSqlResult::reset$
    {79, 753, 1342},	// QSqlResult::savePrepare$
    {79, 760, 1335},	// QSqlResult::setActive$
    {79, 762, 1334},	// QSqlResult::setAt$
    {79, 791, 1339},	// QSqlResult::setForwardOnly$
    {79, 804, 1336},	// QSqlResult::setLastError#
    {79, 816, 1372},	// QSqlResult::setNumericalPrecisionPolicy$
    {79, 831, 1337},	// QSqlResult::setQuery$
    {79, 844, 1338},	// QSqlResult::setSelect$
    {79, 858, 1365},	// QSqlResult::size
    {79, 906, 1369},	// QSqlResult::virtual_hook$$
    {79, 921, 1382},	// QSqlResult::~QSqlResult
    {80, 49, 1444},	// QSqlTableModel::OnFieldChange
    {80, 50, 1446},	// QSqlTableModel::OnManualSubmit
    {80, 51, 1445},	// QSqlTableModel::OnRowChange
    {80, 100, 1434},	// QSqlTableModel::QSqlTableModel
    {80, 101, 1435},	// QSqlTableModel::QSqlTableModel#
    {80, 102, 1390},	// QSqlTableModel::QSqlTableModel##
    {80, 225, 1423},	// QSqlTableModel::beforeDelete$
    {80, 227, 1421},	// QSqlTableModel::beforeInsert#
    {80, 229, 1422},	// QSqlTableModel::beforeUpdate$#
    {80, 247, 1399},	// QSqlTableModel::clear
    {80, 272, 1436},	// QSqlTableModel::data#
    {80, 273, 1395},	// QSqlTableModel::data#$
    {80, 275, 1403},	// QSqlTableModel::database
    {80, 283, 1426},	// QSqlTableModel::deleteRowFromTable$
    {80, 296, 1401},	// QSqlTableModel::editStrategy
    {80, 318, 1404},	// QSqlTableModel::fieldIndex$
    {80, 321, 1407},	// QSqlTableModel::filter
    {80, 325, 1394},	// QSqlTableModel::flags#
    {80, 334, 1438},	// QSqlTableModel::headerData$$
    {80, 335, 1397},	// QSqlTableModel::headerData$$$
    {80, 340, 1431},	// QSqlTableModel::indexInQuery#
    {80, 349, 1413},	// QSqlTableModel::insertRecord$#
    {80, 351, 1425},	// QSqlTableModel::insertRowIntoTable#
    {80, 353, 1442},	// QSqlTableModel::insertRows$$
    {80, 354, 1412},	// QSqlTableModel::insertRows$$#
    {80, 360, 1398},	// QSqlTableModel::isDirty#
    {80, 386, 1383},	// QSqlTableModel::metaObject
    {80, 462, 1427},	// QSqlTableModel::orderByClause
    {80, 472, 1402},	// QSqlTableModel::primaryKey
    {80, 474, 1420},	// QSqlTableModel::primeInsert$#
    {80, 706, 1389},	// QSqlTableModel::qt_metacall$$?
    {80, 708, 1384},	// QSqlTableModel::qt_metacast$
    {80, 731, 1440},	// QSqlTableModel::removeColumns$$
    {80, 732, 1410},	// QSqlTableModel::removeColumns$$#
    {80, 736, 1441},	// QSqlTableModel::removeRows$$
    {80, 737, 1411},	// QSqlTableModel::removeRows$$#
    {80, 744, 1417},	// QSqlTableModel::revert
    {80, 745, 1419},	// QSqlTableModel::revertAll
    {80, 747, 1415},	// QSqlTableModel::revertRow$
    {80, 750, 1439},	// QSqlTableModel::rowCount
    {80, 751, 1409},	// QSqlTableModel::rowCount#
    {80, 757, 1391},	// QSqlTableModel::select
    {80, 758, 1428},	// QSqlTableModel::selectStatement
    {80, 770, 1437},	// QSqlTableModel::setData##
    {80, 771, 1396},	// QSqlTableModel::setData##$
    {80, 785, 1400},	// QSqlTableModel::setEditStrategy$
    {80, 789, 1408},	// QSqlTableModel::setFilter$
    {80, 828, 1429},	// QSqlTableModel::setPrimaryKey#
    {80, 830, 1430},	// QSqlTableModel::setQuery#
    {80, 836, 1414},	// QSqlTableModel::setRecord$#
    {80, 846, 1406},	// QSqlTableModel::setSort$$
    {80, 850, 1392},	// QSqlTableModel::setTable$
    {80, 861, 1405},	// QSqlTableModel::sort$$
    {80, 865, 1443},	// QSqlTableModel::staticMetaObject
    {80, 870, 1416},	// QSqlTableModel::submit
    {80, 871, 1418},	// QSqlTableModel::submitAll
    {80, 879, 1393},	// QSqlTableModel::tableName
    {80, 885, 1432},	// QSqlTableModel::tr$
    {80, 886, 1385},	// QSqlTableModel::tr$$
    {80, 887, 1387},	// QSqlTableModel::tr$$$
    {80, 889, 1433},	// QSqlTableModel::trUtf8$
    {80, 890, 1386},	// QSqlTableModel::trUtf8$$
    {80, 891, 1388},	// QSqlTableModel::trUtf8$$$
    {80, 901, 1424},	// QSqlTableModel::updateRowInTable$#
    {80, 922, 1447},	// QSqlTableModel::~QSqlTableModel
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtsql_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtsql_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtsql_Smoke = new Smoke(
        "qtsql",
        __smokeqtsql::classes, 104,
        __smokeqtsql::methods, 1448,
        __smokeqtsql::methodMaps, 827,
        __smokeqtsql::methodNames, 922,
        __smokeqtsql::types, 512,
        __smokeqtsql::inheritanceList,
        __smokeqtsql::argumentList,
        __smokeqtsql::ambiguousMethodList,
        __smokeqtsql::cast );
    initialized = true;
}

void delete_qtsql_Smoke() { delete qtsql_Smoke; }

}
