#include <qtwebkit_includes.h>

#include <smoke.h>
#include <qtwebkit_smoke.h>

namespace __smokeqtwebkit {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAction
      switch(to) {
        case 1: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QByteArray
      switch(to) {
        case 4: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 5:   //QChildEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 5: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QCloseEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 6: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 7:   //QContextMenuEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 7: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QDateTime
      switch(to) {
        case 8: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 9:   //QDragEnterEvent
      switch(to) {
        case 11: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 12: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 13: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 9: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QDragLeaveEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 10: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 11:   //QDragMoveEvent
      switch(to) {
        case 12: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 13: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 11: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QDropEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 12: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 13:   //QEvent
      switch(to) {
        case 13: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QFocusEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 14: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 15:   //QFont
      switch(to) {
        case 15: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 17:   //QHideEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 17: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 18:   //QIcon
      switch(to) {
        case 18: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 19:   //QIncompatibleFlag
      switch(to) {
        case 19: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 20:   //QInputMethodEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 20: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QKeyEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 21: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QMenu
      switch(to) {
        case 22: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 23:   //QMetaObject
      switch(to) {
        case 23: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 24:   //QMouseEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 24: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QMoveEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 25: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 26:   //QNetworkAccessManager
      switch(to) {
        case 29: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
        case 26: return (void*)(QNetworkAccessManager*)xptr;
        default: return xptr;
      }
    case 27:   //QNetworkReply
      switch(to) {
        case 29: return (void*)(QObject*)(QNetworkReply*)xptr;
        case 27: return (void*)(QNetworkReply*)xptr;
        default: return xptr;
      }
    case 28:   //QNetworkRequest
      switch(to) {
        case 28: return (void*)(QNetworkRequest*)xptr;
        default: return xptr;
      }
    case 29:   //QObject
      switch(to) {
        case 29: return (void*)(QObject*)xptr;
        case 77: return (void*)(QWebView*)(QObject*)xptr;
        case 54: return (void*)(QWebFrame*)(QObject*)xptr;
        case 60: return (void*)(QWebPage*)(QObject*)xptr;
        case 69: return (void*)(QWebPluginFactory*)(QObject*)xptr;
        case 56: return (void*)(QWebHistoryInterface*)(QObject*)xptr;
        case 59: return (void*)(QWebInspector*)(QObject*)xptr;
        default: return xptr;
      }
    case 30:   //QPaintEngine
      switch(to) {
        case 30: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 31:   //QPaintEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 31: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QPainter
      switch(to) {
        case 32: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 33:   //QPalette
      switch(to) {
        case 33: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 34:   //QPixmap
      switch(to) {
        case 34: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 35:   //QPoint
      switch(to) {
        case 35: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 36:   //QPrinter
      switch(to) {
        case 36: return (void*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 37:   //QRect
      switch(to) {
        case 37: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 38:   //QRegExp
      switch(to) {
        case 38: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 39:   //QRegion
      switch(to) {
        case 39: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 40:   //QResizeEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 40: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QShowEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 41: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QSize
      switch(to) {
        case 42: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 43:   //QStyle
      switch(to) {
        case 43: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 44:   //QTabletEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 44: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QTimerEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 45: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QUndoStack
      switch(to) {
        case 46: return (void*)(QUndoStack*)xptr;
        default: return xptr;
      }
    case 47:   //QUrl
      switch(to) {
        case 47: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 48:   //QVariant
      switch(to) {
        case 48: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 49:   //QWebDatabase
      switch(to) {
        case 49: return (void*)(QWebDatabase*)xptr;
        default: return xptr;
      }
    case 50:   //QWebElement
      switch(to) {
        case 50: return (void*)(QWebElement*)xptr;
        default: return xptr;
      }
    case 51:   //QWebElementCollection
      switch(to) {
        case 51: return (void*)(QWebElementCollection*)xptr;
        default: return xptr;
      }
    case 52:   //QWebElementCollection::const_iterator
      switch(to) {
        case 52: return (void*)(QWebElementCollection::const_iterator*)xptr;
        default: return xptr;
      }
    case 53:   //QWebElementCollection::iterator
      switch(to) {
        case 53: return (void*)(QWebElementCollection::iterator*)xptr;
        default: return xptr;
      }
    case 54:   //QWebFrame
      switch(to) {
        case 29: return (void*)(QObject*)(QWebFrame*)xptr;
        case 54: return (void*)(QWebFrame*)xptr;
        default: return xptr;
      }
    case 55:   //QWebHistory
      switch(to) {
        case 55: return (void*)(QWebHistory*)xptr;
        default: return xptr;
      }
    case 56:   //QWebHistoryInterface
      switch(to) {
        case 29: return (void*)(QObject*)(QWebHistoryInterface*)xptr;
        case 56: return (void*)(QWebHistoryInterface*)xptr;
        default: return xptr;
      }
    case 57:   //QWebHistoryItem
      switch(to) {
        case 57: return (void*)(QWebHistoryItem*)xptr;
        default: return xptr;
      }
    case 58:   //QWebHitTestResult
      switch(to) {
        case 58: return (void*)(QWebHitTestResult*)xptr;
        default: return xptr;
      }
    case 59:   //QWebInspector
      switch(to) {
        case 79: return (void*)(QWidget*)(QWebInspector*)xptr;
        case 29: return (void*)(QObject*)(QWebInspector*)xptr;
        case 59: return (void*)(QWebInspector*)xptr;
        default: return xptr;
      }
    case 60:   //QWebPage
      switch(to) {
        case 29: return (void*)(QObject*)(QWebPage*)xptr;
        case 60: return (void*)(QWebPage*)xptr;
        default: return xptr;
      }
    case 61:   //QWebPage::ChooseMultipleFilesExtensionOption
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionOption*)(QWebPage::ChooseMultipleFilesExtensionOption*)xptr;
        case 61: return (void*)(QWebPage::ChooseMultipleFilesExtensionOption*)xptr;
        default: return xptr;
      }
    case 62:   //QWebPage::ChooseMultipleFilesExtensionReturn
      switch(to) {
        case 66: return (void*)(QWebPage::ExtensionReturn*)(QWebPage::ChooseMultipleFilesExtensionReturn*)xptr;
        case 62: return (void*)(QWebPage::ChooseMultipleFilesExtensionReturn*)xptr;
        default: return xptr;
      }
    case 63:   //QWebPage::ErrorPageExtensionOption
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionOption*)(QWebPage::ErrorPageExtensionOption*)xptr;
        case 63: return (void*)(QWebPage::ErrorPageExtensionOption*)xptr;
        default: return xptr;
      }
    case 64:   //QWebPage::ErrorPageExtensionReturn
      switch(to) {
        case 66: return (void*)(QWebPage::ExtensionReturn*)(QWebPage::ErrorPageExtensionReturn*)xptr;
        case 64: return (void*)(QWebPage::ErrorPageExtensionReturn*)xptr;
        default: return xptr;
      }
    case 65:   //QWebPage::ExtensionOption
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionOption*)xptr;
        case 61: return (void*)(QWebPage::ChooseMultipleFilesExtensionOption*)(QWebPage::ExtensionOption*)xptr;
        case 63: return (void*)(QWebPage::ErrorPageExtensionOption*)(QWebPage::ExtensionOption*)xptr;
        default: return xptr;
      }
    case 66:   //QWebPage::ExtensionReturn
      switch(to) {
        case 66: return (void*)(QWebPage::ExtensionReturn*)xptr;
        case 64: return (void*)(QWebPage::ErrorPageExtensionReturn*)(QWebPage::ExtensionReturn*)xptr;
        case 62: return (void*)(QWebPage::ChooseMultipleFilesExtensionReturn*)(QWebPage::ExtensionReturn*)xptr;
        default: return xptr;
      }
    case 67:   //QWebPage::ViewportAttributes
      switch(to) {
        case 67: return (void*)(QWebPage::ViewportAttributes*)xptr;
        default: return xptr;
      }
    case 68:   //QWebPagePrivate
      switch(to) {
        case 68: return (void*)(QWebPagePrivate*)xptr;
        default: return xptr;
      }
    case 69:   //QWebPluginFactory
      switch(to) {
        case 29: return (void*)(QObject*)(QWebPluginFactory*)xptr;
        case 69: return (void*)(QWebPluginFactory*)xptr;
        default: return xptr;
      }
    case 70:   //QWebPluginFactory::ExtensionOption
      switch(to) {
        case 70: return (void*)(QWebPluginFactory::ExtensionOption*)xptr;
        default: return xptr;
      }
    case 71:   //QWebPluginFactory::ExtensionReturn
      switch(to) {
        case 71: return (void*)(QWebPluginFactory::ExtensionReturn*)xptr;
        default: return xptr;
      }
    case 72:   //QWebPluginFactory::MimeType
      switch(to) {
        case 72: return (void*)(QWebPluginFactory::MimeType*)xptr;
        default: return xptr;
      }
    case 73:   //QWebPluginFactory::Plugin
      switch(to) {
        case 73: return (void*)(QWebPluginFactory::Plugin*)xptr;
        default: return xptr;
      }
    case 74:   //QWebSecurityOrigin
      switch(to) {
        case 74: return (void*)(QWebSecurityOrigin*)xptr;
        default: return xptr;
      }
    case 75:   //QWebSettings
      switch(to) {
        case 75: return (void*)(QWebSettings*)xptr;
        default: return xptr;
      }
    case 76:   //QWebSettingsPrivate
      switch(to) {
        case 76: return (void*)(QWebSettingsPrivate*)xptr;
        default: return xptr;
      }
    case 77:   //QWebView
      switch(to) {
        case 79: return (void*)(QWidget*)(QWebView*)xptr;
        case 29: return (void*)(QObject*)(QWebView*)xptr;
        case 77: return (void*)(QWebView*)xptr;
        default: return xptr;
      }
    case 78:   //QWheelEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 78: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 79:   //QWidget
      switch(to) {
        case 29: return (void*)(QObject*)(QWidget*)xptr;
        case 79: return (void*)(QWidget*)xptr;
        case 77: return (void*)(QWebView*)(QWidget*)xptr;
        case 59: return (void*)(QWebInspector*)(QWidget*)xptr;
        default: return xptr;
      }
    case 80:   //std::bidirectional_iterator_tag
      switch(to) {
        case 80: return (void*)(std::bidirectional_iterator_tag*)xptr;
        default: return xptr;
      }
    case 81:   //std::random_access_iterator_tag
      switch(to) {
        case 81: return (void*)(std::random_access_iterator_tag*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    29, 0,	// 1: QObject
    79, 0,	// 3: QWidget
    65, 0,	// 5: QWebPage::ExtensionOption
    66, 0,	// 7: QWebPage::ExtensionReturn
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebPage(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebSettings(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebElement(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebFrame(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebPluginFactory(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebDatabase(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElement(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection__const_iterator(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection__iterator(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebFrame(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistory(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistoryInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistoryItem(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHitTestResult(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebInspector(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ChooseMultipleFilesExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ChooseMultipleFilesExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ErrorPageExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ErrorPageExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ViewportAttributes(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__ExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__ExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__MimeType(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__Plugin(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebSecurityOrigin(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebSettings(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebView(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAction", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//4
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//5
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//6
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//7
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//8
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//12
    { "QEvent", true, 0, 0, 0, 0, 0 },	//13
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//14
    { "QFont", true, 0, 0, 0, 0, 0 },	//15
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//16
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//17
    { "QIcon", true, 0, 0, 0, 0, 0 },	//18
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//19
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QMenu", true, 0, 0, 0, 0, 0 },	//22
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//23
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//25
    { "QNetworkAccessManager", true, 0, 0, 0, 0, 0 },	//26
    { "QNetworkReply", true, 0, 0, 0, 0, 0 },	//27
    { "QNetworkRequest", true, 0, 0, 0, 0, 0 },	//28
    { "QObject", true, 0, 0, 0, 0, 0 },	//29
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//30
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QPainter", true, 0, 0, 0, 0, 0 },	//32
    { "QPalette", true, 0, 0, 0, 0, 0 },	//33
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//34
    { "QPoint", true, 0, 0, 0, 0, 0 },	//35
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//36
    { "QRect", true, 0, 0, 0, 0, 0 },	//37
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//38
    { "QRegion", true, 0, 0, 0, 0, 0 },	//39
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QSize", true, 0, 0, 0, 0, 0 },	//42
    { "QStyle", true, 0, 0, 0, 0, 0 },	//43
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QUndoStack", true, 0, 0, 0, 0, 0 },	//46
    { "QUrl", true, 0, 0, 0, 0, 0 },	//47
    { "QVariant", true, 0, 0, 0, 0, 0 },	//48
    { "QWebDatabase", false, 0, xcall_QWebDatabase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebDatabase) },	//49
    { "QWebElement", false, 0, xcall_QWebElement, xenum_QWebElement, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElement) },	//50
    { "QWebElementCollection", false, 0, xcall_QWebElementCollection, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection) },	//51
    { "QWebElementCollection::const_iterator", false, 0, xcall_QWebElementCollection__const_iterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection::const_iterator) },	//52
    { "QWebElementCollection::iterator", false, 0, xcall_QWebElementCollection__iterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection::iterator) },	//53
    { "QWebFrame", false, 1, xcall_QWebFrame, xenum_QWebFrame, Smoke::cf_virtual, sizeof(QWebFrame) },	//54
    { "QWebHistory", false, 0, xcall_QWebHistory, 0, 0, sizeof(QWebHistory) },	//55
    { "QWebHistoryInterface", false, 1, xcall_QWebHistoryInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebHistoryInterface) },	//56
    { "QWebHistoryItem", false, 0, xcall_QWebHistoryItem, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebHistoryItem) },	//57
    { "QWebHitTestResult", false, 0, xcall_QWebHitTestResult, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebHitTestResult) },	//58
    { "QWebInspector", false, 3, xcall_QWebInspector, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebInspector) },	//59
    { "QWebPage", false, 1, xcall_QWebPage, xenum_QWebPage, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebPage) },	//60
    { "QWebPage::ChooseMultipleFilesExtensionOption", false, 5, xcall_QWebPage__ChooseMultipleFilesExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ChooseMultipleFilesExtensionOption) },	//61
    { "QWebPage::ChooseMultipleFilesExtensionReturn", false, 7, xcall_QWebPage__ChooseMultipleFilesExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ChooseMultipleFilesExtensionReturn) },	//62
    { "QWebPage::ErrorPageExtensionOption", false, 5, xcall_QWebPage__ErrorPageExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ErrorPageExtensionOption) },	//63
    { "QWebPage::ErrorPageExtensionReturn", false, 7, xcall_QWebPage__ErrorPageExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ErrorPageExtensionReturn) },	//64
    { "QWebPage::ExtensionOption", false, 0, xcall_QWebPage__ExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ExtensionOption) },	//65
    { "QWebPage::ExtensionReturn", false, 0, xcall_QWebPage__ExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ExtensionReturn) },	//66
    { "QWebPage::ViewportAttributes", false, 0, xcall_QWebPage__ViewportAttributes, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ViewportAttributes) },	//67
    { "QWebPagePrivate", true, 0, 0, 0, 0, 0 },	//68
    { "QWebPluginFactory", false, 1, xcall_QWebPluginFactory, xenum_QWebPluginFactory, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebPluginFactory) },	//69
    { "QWebPluginFactory::ExtensionOption", false, 0, xcall_QWebPluginFactory__ExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::ExtensionOption) },	//70
    { "QWebPluginFactory::ExtensionReturn", false, 0, xcall_QWebPluginFactory__ExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::ExtensionReturn) },	//71
    { "QWebPluginFactory::MimeType", false, 0, xcall_QWebPluginFactory__MimeType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::MimeType) },	//72
    { "QWebPluginFactory::Plugin", false, 0, xcall_QWebPluginFactory__Plugin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::Plugin) },	//73
    { "QWebSecurityOrigin", false, 0, xcall_QWebSecurityOrigin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebSecurityOrigin) },	//74
    { "QWebSettings", false, 0, xcall_QWebSettings, xenum_QWebSettings, 0, sizeof(QWebSettings) },	//75
    { "QWebSettingsPrivate", true, 0, 0, 0, 0, 0 },	//76
    { "QWebView", false, 3, xcall_QWebView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebView) },	//77
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//78
    { "QWidget", true, 0, 0, 0, 0, 0 },	//79
    { "std::bidirectional_iterator_tag", true, 0, 0, 0, 0, 0 },	//80
    { "std::random_access_iterator_tag", true, 0, 0, 0, 0, 0 },	//81
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAction*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//3
    { "QByteArray&", 4, Smoke::t_class|Smoke::tf_ref },	//4
    { "QChildEvent*", 5, Smoke::t_class|Smoke::tf_ptr },	//5
    { "QCloseEvent*", 6, Smoke::t_class|Smoke::tf_ptr },	//6
    { "QContextMenuEvent*", 7, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QDateTime", 8, Smoke::t_class|Smoke::tf_stack },	//8
    { "QDragEnterEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDragLeaveEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QDragMoveEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//12
    { "QDropEvent*", 12, Smoke::t_class|Smoke::tf_ptr },	//13
    { "QEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QFlags<QPainter::RenderHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//15
    { "QFlags<QWebPage::FindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//16
    { "QFlags<QtConcurrent::ReduceOptions::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//17
    { "QFocusEvent*", 14, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QHideEvent*", 17, Smoke::t_class|Smoke::tf_ptr },	//19
    { "QIcon", 18, Smoke::t_class|Smoke::tf_stack },	//20
    { "QIncompatibleFlag", 19, Smoke::t_class|Smoke::tf_stack },	//21
    { "QInputMethodEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QKeyEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//23
    { "QList<QWebDatabase>", 0, Smoke::t_voidp|Smoke::tf_stack },	//24
    { "QList<QWebElement>", 0, Smoke::t_voidp|Smoke::tf_stack },	//25
    { "QList<QWebFrame*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//26
    { "QList<QWebHistoryItem>", 0, Smoke::t_voidp|Smoke::tf_stack },	//27
    { "QList<QWebPluginFactory::MimeType>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//28
    { "QList<QWebPluginFactory::Plugin>", 0, Smoke::t_voidp|Smoke::tf_stack },	//29
    { "QList<QWebSecurityOrigin>", 0, Smoke::t_voidp|Smoke::tf_stack },	//30
    { "QMenu*", 22, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QMetaObject::Call", 23, Smoke::t_enum|Smoke::tf_stack },	//32
    { "QMouseEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//33
    { "QMoveEvent*", 25, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QMultiMap<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//35
    { "QNetworkAccessManager*", 26, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QNetworkAccessManager::Operation", 26, Smoke::t_enum|Smoke::tf_stack },	//37
    { "QNetworkReply*", 27, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QNetworkRequest", 28, Smoke::t_class|Smoke::tf_stack },	//39
    { "QObject*", 29, Smoke::t_class|Smoke::tf_ptr },	//40
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "QPaintEngine*", 30, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QPaintEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QPainter*", 32, Smoke::t_class|Smoke::tf_ptr },	//44
    { "QPainter::RenderHint", 32, Smoke::t_enum|Smoke::tf_stack },	//45
    { "QPalette", 33, Smoke::t_class|Smoke::tf_stack },	//46
    { "QPixmap", 34, Smoke::t_class|Smoke::tf_stack },	//47
    { "QPoint", 35, Smoke::t_class|Smoke::tf_stack },	//48
    { "QPrinter*", 36, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QRect", 37, Smoke::t_class|Smoke::tf_stack },	//50
    { "QRegExp&", 38, Smoke::t_class|Smoke::tf_ref },	//51
    { "QResizeEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//52
    { "QScriptEngine::ValueOwnership", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "QShowEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//54
    { "QSize", 42, Smoke::t_class|Smoke::tf_stack },	//55
    { "QSsl::AlternateNameEntryType", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "QSsl::EncodingFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "QSsl::KeyAlgorithm", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "QSsl::KeyType", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "QSsl::SslOption", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "QSsl::SslProtocol", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//62
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//63
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//64
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//65
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//66
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//67
    { "QStyle&", 43, Smoke::t_class|Smoke::tf_ref },	//68
    { "QTabletEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QTimerEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//70
    { "QUndoStack*", 46, Smoke::t_class|Smoke::tf_ptr },	//71
    { "QUrl", 47, Smoke::t_class|Smoke::tf_stack },	//72
    { "QUrl&", 47, Smoke::t_class|Smoke::tf_ref },	//73
    { "QVariant", 48, Smoke::t_class|Smoke::tf_stack },	//74
    { "QWebDatabase&", 49, Smoke::t_class|Smoke::tf_ref },	//75
    { "QWebDatabase*", 49, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QWebElement", 50, Smoke::t_class|Smoke::tf_stack },	//77
    { "QWebElement&", 50, Smoke::t_class|Smoke::tf_ref },	//78
    { "QWebElement*", 50, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QWebElement::StyleResolveStrategy", 50, Smoke::t_enum|Smoke::tf_stack },	//80
    { "QWebElementCollection", 51, Smoke::t_class|Smoke::tf_stack },	//81
    { "QWebElementCollection&", 51, Smoke::t_class|Smoke::tf_ref },	//82
    { "QWebElementCollection*", 51, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QWebElementCollection::const_iterator", 52, Smoke::t_class|Smoke::tf_stack },	//84
    { "QWebElementCollection::const_iterator&", 52, Smoke::t_class|Smoke::tf_ref },	//85
    { "QWebElementCollection::const_iterator*", 52, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QWebElementCollection::iterator", 53, Smoke::t_class|Smoke::tf_stack },	//87
    { "QWebElementCollection::iterator&", 53, Smoke::t_class|Smoke::tf_ref },	//88
    { "QWebElementCollection::iterator*", 53, Smoke::t_class|Smoke::tf_ptr },	//89
    { "QWebFrame*", 54, Smoke::t_class|Smoke::tf_ptr },	//90
    { "QWebFrame::RenderLayer", 54, Smoke::t_enum|Smoke::tf_stack },	//91
    { "QWebHistory*", 55, Smoke::t_class|Smoke::tf_ptr },	//92
    { "QWebHistoryInterface*", 56, Smoke::t_class|Smoke::tf_ptr },	//93
    { "QWebHistoryItem", 57, Smoke::t_class|Smoke::tf_stack },	//94
    { "QWebHistoryItem&", 57, Smoke::t_class|Smoke::tf_ref },	//95
    { "QWebHistoryItem*", 57, Smoke::t_class|Smoke::tf_ptr },	//96
    { "QWebHitTestResult", 58, Smoke::t_class|Smoke::tf_stack },	//97
    { "QWebHitTestResult&", 58, Smoke::t_class|Smoke::tf_ref },	//98
    { "QWebHitTestResult*", 58, Smoke::t_class|Smoke::tf_ptr },	//99
    { "QWebInspector*", 59, Smoke::t_class|Smoke::tf_ptr },	//100
    { "QWebPage*", 60, Smoke::t_class|Smoke::tf_ptr },	//101
    { "QWebPage::ChooseMultipleFilesExtensionOption*", 61, Smoke::t_class|Smoke::tf_ptr },	//102
    { "QWebPage::ChooseMultipleFilesExtensionReturn*", 62, Smoke::t_class|Smoke::tf_ptr },	//103
    { "QWebPage::ErrorDomain", 60, Smoke::t_enum|Smoke::tf_stack },	//104
    { "QWebPage::ErrorPageExtensionOption*", 63, Smoke::t_class|Smoke::tf_ptr },	//105
    { "QWebPage::ErrorPageExtensionReturn*", 64, Smoke::t_class|Smoke::tf_ptr },	//106
    { "QWebPage::Extension", 60, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QWebPage::ExtensionOption*", 65, Smoke::t_class|Smoke::tf_ptr },	//108
    { "QWebPage::ExtensionReturn*", 66, Smoke::t_class|Smoke::tf_ptr },	//109
    { "QWebPage::Feature", 60, Smoke::t_enum|Smoke::tf_stack },	//110
    { "QWebPage::FindFlag", 60, Smoke::t_enum|Smoke::tf_stack },	//111
    { "QWebPage::LinkDelegationPolicy", 60, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QWebPage::NavigationType", 60, Smoke::t_enum|Smoke::tf_stack },	//113
    { "QWebPage::PermissionPolicy", 60, Smoke::t_enum|Smoke::tf_stack },	//114
    { "QWebPage::ViewportAttributes", 67, Smoke::t_class|Smoke::tf_stack },	//115
    { "QWebPage::ViewportAttributes&", 67, Smoke::t_class|Smoke::tf_ref },	//116
    { "QWebPage::ViewportAttributes*", 67, Smoke::t_class|Smoke::tf_ptr },	//117
    { "QWebPage::WebAction", 60, Smoke::t_enum|Smoke::tf_stack },	//118
    { "QWebPage::WebWindowType", 60, Smoke::t_enum|Smoke::tf_stack },	//119
    { "QWebPagePrivate*", 68, Smoke::t_class|Smoke::tf_ptr },	//120
    { "QWebPluginFactory*", 69, Smoke::t_class|Smoke::tf_ptr },	//121
    { "QWebPluginFactory::Extension", 69, Smoke::t_enum|Smoke::tf_stack },	//122
    { "QWebPluginFactory::ExtensionOption*", 70, Smoke::t_class|Smoke::tf_ptr },	//123
    { "QWebPluginFactory::ExtensionReturn*", 71, Smoke::t_class|Smoke::tf_ptr },	//124
    { "QWebPluginFactory::MimeType*", 72, Smoke::t_class|Smoke::tf_ptr },	//125
    { "QWebPluginFactory::Plugin*", 73, Smoke::t_class|Smoke::tf_ptr },	//126
    { "QWebSecurityOrigin", 74, Smoke::t_class|Smoke::tf_stack },	//127
    { "QWebSecurityOrigin&", 74, Smoke::t_class|Smoke::tf_ref },	//128
    { "QWebSecurityOrigin*", 74, Smoke::t_class|Smoke::tf_ptr },	//129
    { "QWebSettings*", 75, Smoke::t_class|Smoke::tf_ptr },	//130
    { "QWebSettings::FontFamily", 75, Smoke::t_enum|Smoke::tf_stack },	//131
    { "QWebSettings::FontSize", 75, Smoke::t_enum|Smoke::tf_stack },	//132
    { "QWebSettings::WebAttribute", 75, Smoke::t_enum|Smoke::tf_stack },	//133
    { "QWebSettings::WebGraphic", 75, Smoke::t_enum|Smoke::tf_stack },	//134
    { "QWebSettingsPrivate*", 76, Smoke::t_class|Smoke::tf_ptr },	//135
    { "QWebView*", 77, Smoke::t_class|Smoke::tf_ptr },	//136
    { "QWheelEvent*", 78, Smoke::t_class|Smoke::tf_ptr },	//137
    { "QWidget*", 79, Smoke::t_class|Smoke::tf_ptr },	//138
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "QtConcurrent::ReduceOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//212
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "QtMsgType", 16, Smoke::t_enum|Smoke::tf_stack },	//214
    { "QtValidLicenseForActiveQtModule", 16, Smoke::t_enum|Smoke::tf_stack },	//215
    { "QtValidLicenseForCoreModule", 16, Smoke::t_enum|Smoke::tf_stack },	//216
    { "QtValidLicenseForDBusModule", 16, Smoke::t_enum|Smoke::tf_stack },	//217
    { "QtValidLicenseForDeclarativeModule", 16, Smoke::t_enum|Smoke::tf_stack },	//218
    { "QtValidLicenseForGuiModule", 16, Smoke::t_enum|Smoke::tf_stack },	//219
    { "QtValidLicenseForHelpModule", 16, Smoke::t_enum|Smoke::tf_stack },	//220
    { "QtValidLicenseForMultimediaModule", 16, Smoke::t_enum|Smoke::tf_stack },	//221
    { "QtValidLicenseForNetworkModule", 16, Smoke::t_enum|Smoke::tf_stack },	//222
    { "QtValidLicenseForOpenGLModule", 16, Smoke::t_enum|Smoke::tf_stack },	//223
    { "QtValidLicenseForOpenVGModule", 16, Smoke::t_enum|Smoke::tf_stack },	//224
    { "QtValidLicenseForQt3SupportLightModule", 16, Smoke::t_enum|Smoke::tf_stack },	//225
    { "QtValidLicenseForQt3SupportModule", 16, Smoke::t_enum|Smoke::tf_stack },	//226
    { "QtValidLicenseForScriptModule", 16, Smoke::t_enum|Smoke::tf_stack },	//227
    { "QtValidLicenseForScriptToolsModule", 16, Smoke::t_enum|Smoke::tf_stack },	//228
    { "QtValidLicenseForSqlModule", 16, Smoke::t_enum|Smoke::tf_stack },	//229
    { "QtValidLicenseForSvgModule", 16, Smoke::t_enum|Smoke::tf_stack },	//230
    { "QtValidLicenseForTestModule", 16, Smoke::t_enum|Smoke::tf_stack },	//231
    { "QtValidLicenseForXmlModule", 16, Smoke::t_enum|Smoke::tf_stack },	//232
    { "QtValidLicenseForXmlPatternsModule", 16, Smoke::t_enum|Smoke::tf_stack },	//233
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//234
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//235
    { "const QByteArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//236
    { "const QFont&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//237
    { "const QList<QWebPluginFactory::MimeType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const QMetaObject&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const QMetaObject*", 23, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//240
    { "const QNetworkRequest&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const QPalette&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QPixmap&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QPoint&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QRect&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const QRegExp&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QRegion&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QSize&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//251
    { "const QUrl&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const QVariant&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QWebDatabase&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QWebElement", 50, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//255
    { "const QWebElement&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QWebElementCollection&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QWebElementCollection*", 51, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//258
    { "const QWebElementCollection::const_iterator&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QWebElementCollection::iterator&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QWebHistoryItem&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QWebHitTestResult&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const QWebPage::ChooseMultipleFilesExtensionOption&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QWebPage::ChooseMultipleFilesExtensionReturn&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QWebPage::ErrorPageExtensionOption&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QWebPage::ErrorPageExtensionReturn&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QWebPage::ExtensionOption&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QWebPage::ExtensionOption*", 65, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//268
    { "const QWebPage::ExtensionReturn&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QWebPage::ViewportAttributes&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const QWebPluginFactory::ExtensionOption&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//271
    { "const QWebPluginFactory::ExtensionOption*", 70, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//272
    { "const QWebPluginFactory::ExtensionReturn&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//273
    { "const QWebPluginFactory::MimeType&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//274
    { "const QWebPluginFactory::Plugin&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const QWebSecurityOrigin&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//276
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//277
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//278
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//279
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//280
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//281
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//282
    { "quint64", 0, Smoke::t_voidp|Smoke::tf_stack },	//283
    { "std::bidirectional_iterator_tag", 80, Smoke::t_class|Smoke::tf_stack },	//284
    { "std::forward_iterator_tag", 0, Smoke::t_voidp|Smoke::tf_stack },	//285
    { "std::random_access_iterator_tag", 81, Smoke::t_class|Smoke::tf_stack },	//286
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//287
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//288
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//289
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//290
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    14, 0,	//1  QEvent*
    40, 14, 0,	//3  QObject*, QEvent*
    70, 0,	//6  QTimerEvent*
    5, 0,	//8  QChildEvent*
    277, 0,	//10  const char*
    254, 0,	//12  const QWebDatabase&
    256, 0,	//14  const QWebElement&
    249, 0,	//16  const QString&
    249, 249, 0,	//18  const QString&, const QString&
    249, 249, 249, 0,	//21  const QString&, const QString&, const QString&
    249, 80, 0,	//25  const QString&, QWebElement::StyleResolveStrategy
    44, 0,	//28  QPainter*
    44, 245, 0,	//30  QPainter*, const QRect&
    256, 249, 0,	//33  const QWebElement&, const QString&
    257, 0,	//36  const QWebElementCollection&
    280, 0,	//38  int
    258, 280, 0,	//40  const QWebElementCollection*, int
    259, 0,	//43  const QWebElementCollection::const_iterator&
    84, 0,	//45  QWebElementCollection::const_iterator
    260, 0,	//47  const QWebElementCollection::iterator&
    87, 0,	//49  QWebElementCollection::iterator
    277, 277, 0,	//51  const char*, const char*
    277, 277, 280, 0,	//54  const char*, const char*, int
    32, 280, 289, 0,	//58  QMetaObject::Call, int, void**
    252, 0,	//62  const QUrl&
    241, 37, 236, 0,	//64  const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&
    249, 252, 0,	//68  const QString&, const QUrl&
    236, 249, 252, 0,	//71  const QByteArray&, const QString&, const QUrl&
    249, 40, 0,	//75  const QString&, QObject*
    249, 40, 53, 0,	//78  const QString&, QObject*, QScriptEngine::ValueOwnership
    185, 0,	//82  Qt::Orientation
    185, 189, 0,	//84  Qt::Orientation, Qt::ScrollBarPolicy
    185, 280, 0,	//87  Qt::Orientation, int
    280, 280, 0,	//90  int, int
    244, 0,	//93  const QPoint&
    44, 247, 0,	//95  QPainter*, const QRegion&
    44, 91, 247, 0,	//98  QPainter*, QWebFrame::RenderLayer, const QRegion&
    279, 0,	//102  double
    49, 0,	//104  QPrinter*
    248, 0,	//106  const QSize&
    235, 0,	//108  bool
    241, 0,	//110  const QNetworkRequest&
    241, 37, 0,	//112  const QNetworkRequest&, QNetworkAccessManager::Operation
    236, 0,	//115  const QByteArray&
    236, 249, 0,	//117  const QByteArray&, const QString&
    44, 91, 0,	//120  QPainter*, QWebFrame::RenderLayer
    261, 0,	//123  const QWebHistoryItem&
    40, 0,	//125  QObject*
    93, 0,	//127  QWebHistoryInterface*
    253, 0,	//129  const QVariant&
    262, 0,	//131  const QWebHitTestResult&
    138, 0,	//133  QWidget*
    101, 0,	//135  QWebPage*
    52, 0,	//137  QResizeEvent*
    54, 0,	//139  QShowEvent*
    19, 0,	//141  QHideEvent*
    6, 0,	//143  QCloseEvent*
    36, 0,	//145  QNetworkAccessManager*
    121, 0,	//147  QWebPluginFactory*
    118, 0,	//149  QWebPage::WebAction
    118, 235, 0,	//151  QWebPage::WebAction, bool
    245, 0,	//154  const QRect&
    173, 0,	//156  Qt::InputMethodQuery
    249, 16, 0,	//158  const QString&, QFlags<QWebPage::FindFlag>
    112, 0,	//161  QWebPage::LinkDelegationPolicy
    242, 0,	//163  const QPalette&
    7, 0,	//165  QContextMenuEvent*
    90, 110, 114, 0,	//167  QWebFrame*, QWebPage::Feature, QWebPage::PermissionPolicy
    107, 268, 109, 0,	//171  QWebPage::Extension, const QWebPage::ExtensionOption*, QWebPage::ExtensionReturn*
    107, 0,	//175  QWebPage::Extension
    90, 0,	//177  QWebFrame*
    280, 280, 245, 0,	//179  int, int, const QRect&
    38, 0,	//183  QNetworkReply*
    90, 62, 0,	//185  QWebFrame*, QString
    129, 283, 0,	//188  QWebSecurityOrigin*, quint64
    90, 96, 0,	//191  QWebFrame*, QWebHistoryItem*
    90, 110, 0,	//194  QWebFrame*, QWebPage::Feature
    119, 0,	//197  QWebPage::WebWindowType
    249, 252, 250, 250, 0,	//199  const QString&, const QUrl&, const QStringList&, const QStringList&
    90, 241, 113, 0,	//204  QWebFrame*, const QNetworkRequest&, QWebPage::NavigationType
    90, 249, 0,	//208  QWebFrame*, const QString&
    90, 249, 249, 64, 0,	//211  QWebFrame*, const QString&, const QString&, QString*
    249, 280, 249, 0,	//216  const QString&, int, const QString&
    107, 268, 0,	//220  QWebPage::Extension, const QWebPage::ExtensionOption*
    263, 0,	//223  const QWebPage::ChooseMultipleFilesExtensionOption&
    250, 0,	//225  const QStringList&
    264, 0,	//227  const QWebPage::ChooseMultipleFilesExtensionReturn&
    265, 0,	//229  const QWebPage::ErrorPageExtensionOption&
    104, 0,	//231  QWebPage::ErrorDomain
    266, 0,	//233  const QWebPage::ErrorPageExtensionReturn&
    267, 0,	//235  const QWebPage::ExtensionOption&
    269, 0,	//237  const QWebPage::ExtensionReturn&
    270, 0,	//239  const QWebPage::ViewportAttributes&
    122, 272, 124, 0,	//241  QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*, QWebPluginFactory::ExtensionReturn*
    122, 0,	//245  QWebPluginFactory::Extension
    122, 272, 0,	//247  QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*
    271, 0,	//250  const QWebPluginFactory::ExtensionOption&
    273, 0,	//252  const QWebPluginFactory::ExtensionReturn&
    274, 0,	//254  const QWebPluginFactory::MimeType&
    275, 0,	//256  const QWebPluginFactory::Plugin&
    238, 0,	//258  const QList<QWebPluginFactory::MimeType>&
    282, 0,	//260  long long
    276, 0,	//262  const QWebSecurityOrigin&
    131, 249, 0,	//264  QWebSettings::FontFamily, const QString&
    131, 0,	//267  QWebSettings::FontFamily
    132, 280, 0,	//269  QWebSettings::FontSize, int
    132, 0,	//272  QWebSettings::FontSize
    133, 235, 0,	//274  QWebSettings::WebAttribute, bool
    133, 0,	//277  QWebSettings::WebAttribute
    134, 243, 0,	//279  QWebSettings::WebGraphic, const QPixmap&
    134, 0,	//282  QWebSettings::WebGraphic
    280, 280, 280, 0,	//284  int, int, int
    15, 0,	//288  QFlags<QPainter::RenderHint>
    45, 235, 0,	//290  QPainter::RenderHint, bool
    43, 0,	//293  QPaintEvent*
    33, 0,	//295  QMouseEvent*
    137, 0,	//297  QWheelEvent*
    23, 0,	//299  QKeyEvent*
    9, 0,	//301  QDragEnterEvent*
    10, 0,	//303  QDragLeaveEvent*
    11, 0,	//305  QDragMoveEvent*
    13, 0,	//307  QDropEvent*
    18, 0,	//309  QFocusEvent*
    22, 0,	//311  QInputMethodEvent*
    45, 0,	//313  QPainter::RenderHint
    34, 0,	//315  QMoveEvent*
    69, 0,	//317  QTabletEvent*
    2, 0,	//319  QActionEvent*
    234, 0,	//321  _XEvent*
    41, 0,	//323  QPaintDevice::PaintDeviceMetric
    68, 0,	//325  QStyle&
    237, 0,	//327  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AcceleratedCompositingEnabled",	//1
    "AlignCenter",	//2
    "AlignJustified",	//3
    "AlignLeft",	//4
    "AlignRight",	//5
    "AllLayers",	//6
    "AutoLoadImages",	//7
    "Back",	//8
    "CascadedStyle",	//9
    "ChooseMultipleFilesExtension",	//10
    "ChooseMultipleFilesExtensionOption",	//11
    "ChooseMultipleFilesExtensionOption#",	//12
    "ChooseMultipleFilesExtensionReturn",	//13
    "ChooseMultipleFilesExtensionReturn#",	//14
    "ComputedStyle",	//15
    "ContentsLayer",	//16
    "Copy",	//17
    "CopyImageToClipboard",	//18
    "CopyImageUrlToClipboard",	//19
    "CopyLinkToClipboard",	//20
    "CursiveFont",	//21
    "Cut",	//22
    "DefaultFixedFontSize",	//23
    "DefaultFontSize",	//24
    "DefaultFrameIconGraphic",	//25
    "DelegateAllLinks",	//26
    "DelegateExternalLinks",	//27
    "DeleteButtonGraphic",	//28
    "DeleteEndOfWord",	//29
    "DeleteStartOfWord",	//30
    "DeveloperExtrasEnabled",	//31
    "DnsPrefetchEnabled",	//32
    "DontDelegateLinks",	//33
    "DownloadImageToDisk",	//34
    "DownloadLinkToDisk",	//35
    "DrawChildren",	//36
    "DrawWindowBackground",	//37
    "ErrorPageExtension",	//38
    "ErrorPageExtensionOption",	//39
    "ErrorPageExtensionOption#",	//40
    "ErrorPageExtensionReturn",	//41
    "ErrorPageExtensionReturn#",	//42
    "ExtensionOption",	//43
    "ExtensionOption#",	//44
    "ExtensionReturn",	//45
    "ExtensionReturn#",	//46
    "FantasyFont",	//47
    "FindBackward",	//48
    "FindCaseSensitively",	//49
    "FindWrapsAroundDocument",	//50
    "FixedFont",	//51
    "Forward",	//52
    "FrameFlatteningEnabled",	//53
    "Geolocation",	//54
    "HighlightAllOccurrences",	//55
    "Http",	//56
    "HyperlinkAuditingEnabled",	//57
    "IgnoreMask",	//58
    "Indent",	//59
    "InlineStyle",	//60
    "InputSpeechButtonGraphic",	//61
    "InsertLineSeparator",	//62
    "InsertOrderedList",	//63
    "InsertParagraphSeparator",	//64
    "InsertUnorderedList",	//65
    "InspectElement",	//66
    "JavaEnabled",	//67
    "JavascriptCanAccessClipboard",	//68
    "JavascriptCanCloseWindows",	//69
    "JavascriptCanOpenWindows",	//70
    "JavascriptEnabled",	//71
    "LicensedActiveQt",	//72
    "LicensedCore",	//73
    "LicensedDBus",	//74
    "LicensedDeclarative",	//75
    "LicensedGui",	//76
    "LicensedHelp",	//77
    "LicensedMultimedia",	//78
    "LicensedNetwork",	//79
    "LicensedOpenGL",	//80
    "LicensedOpenVG",	//81
    "LicensedQt3Support",	//82
    "LicensedQt3SupportLight",	//83
    "LicensedScript",	//84
    "LicensedScriptTools",	//85
    "LicensedSql",	//86
    "LicensedSvg",	//87
    "LicensedTest",	//88
    "LicensedXml",	//89
    "LicensedXmlPatterns",	//90
    "LinksIncludedInFocusChain",	//91
    "LocalContentCanAccessFileUrls",	//92
    "LocalContentCanAccessRemoteUrls",	//93
    "LocalStorageDatabaseEnabled",	//94
    "LocalStorageEnabled",	//95
    "MimeType",	//96
    "MimeType#",	//97
    "MinimumFontSize",	//98
    "MinimumLogicalFontSize",	//99
    "MissingImageGraphic",	//100
    "MissingPluginGraphic",	//101
    "MoveToEndOfBlock",	//102
    "MoveToEndOfDocument",	//103
    "MoveToEndOfLine",	//104
    "MoveToNextChar",	//105
    "MoveToNextLine",	//106
    "MoveToNextWord",	//107
    "MoveToPreviousChar",	//108
    "MoveToPreviousLine",	//109
    "MoveToPreviousWord",	//110
    "MoveToStartOfBlock",	//111
    "MoveToStartOfDocument",	//112
    "MoveToStartOfLine",	//113
    "NavigationTypeBackOrForward",	//114
    "NavigationTypeFormResubmitted",	//115
    "NavigationTypeFormSubmitted",	//116
    "NavigationTypeLinkClicked",	//117
    "NavigationTypeOther",	//118
    "NavigationTypeReload",	//119
    "NoWebAction",	//120
    "Notifications",	//121
    "OfflineStorageDatabaseEnabled",	//122
    "OfflineWebApplicationCacheEnabled",	//123
    "OpenFrameInNewWindow",	//124
    "OpenImageInNewWindow",	//125
    "OpenLink",	//126
    "OpenLinkInNewWindow",	//127
    "Outdent",	//128
    "PanIconLayer",	//129
    "Paste",	//130
    "PasteAndMatchStyle",	//131
    "PermissionDeniedByUser",	//132
    "PermissionGrantedByUser",	//133
    "PermissionUnknown",	//134
    "Plugin",	//135
    "Plugin#",	//136
    "PluginsEnabled",	//137
    "PrintElementBackgrounds",	//138
    "PrivateBrowsingEnabled",	//139
    "QWebDatabase",	//140
    "QWebDatabase#",	//141
    "QWebElement",	//142
    "QWebElement#",	//143
    "QWebElementCollection",	//144
    "QWebElementCollection#",	//145
    "QWebElementCollection#$",	//146
    "QWebHistoryInterface",	//147
    "QWebHistoryInterface#",	//148
    "QWebHistoryItem",	//149
    "QWebHistoryItem#",	//150
    "QWebHitTestResult",	//151
    "QWebHitTestResult#",	//152
    "QWebInspector",	//153
    "QWebInspector#",	//154
    "QWebPage",	//155
    "QWebPage#",	//156
    "QWebPluginFactory",	//157
    "QWebPluginFactory#",	//158
    "QWebSecurityOrigin",	//159
    "QWebSecurityOrigin#",	//160
    "QWebView",	//161
    "QWebView#",	//162
    "Q_COMPLEX_TYPE",	//163
    "Q_DUMMY_TYPE",	//164
    "Q_MOVABLE_TYPE",	//165
    "Q_PRIMITIVE_TYPE",	//166
    "Q_STATIC_TYPE",	//167
    "QtCriticalMsg",	//168
    "QtDebugMsg",	//169
    "QtFatalMsg",	//170
    "QtNetwork",	//171
    "QtSystemMsg",	//172
    "QtWarningMsg",	//173
    "Redo",	//174
    "Reload",	//175
    "ReloadAndBypassCache",	//176
    "RemoveFormat",	//177
    "SansSerifFont",	//178
    "ScrollBarLayer",	//179
    "SearchCancelButtonGraphic",	//180
    "SearchCancelButtonPressedGraphic",	//181
    "SelectAll",	//182
    "SelectEndOfBlock",	//183
    "SelectEndOfDocument",	//184
    "SelectEndOfLine",	//185
    "SelectNextChar",	//186
    "SelectNextLine",	//187
    "SelectNextWord",	//188
    "SelectPreviousChar",	//189
    "SelectPreviousLine",	//190
    "SelectPreviousWord",	//191
    "SelectStartOfBlock",	//192
    "SelectStartOfDocument",	//193
    "SelectStartOfLine",	//194
    "SerifFont",	//195
    "SetTextDirectionDefault",	//196
    "SetTextDirectionLeftToRight",	//197
    "SetTextDirectionRightToLeft",	//198
    "SiteSpecificQuirksEnabled",	//199
    "SpatialNavigationEnabled",	//200
    "StandardFont",	//201
    "Stop",	//202
    "StopScheduledPageRefresh",	//203
    "TextAreaSizeGripCornerGraphic",	//204
    "TiledBackingStoreEnabled",	//205
    "ToggleBold",	//206
    "ToggleItalic",	//207
    "ToggleStrikethrough",	//208
    "ToggleSubscript",	//209
    "ToggleSuperscript",	//210
    "ToggleUnderline",	//211
    "Undo",	//212
    "ViewportAttributes",	//213
    "ViewportAttributes#",	//214
    "WebActionCount",	//215
    "WebBrowserWindow",	//216
    "WebGLEnabled",	//217
    "WebKit",	//218
    "WebModalDialog",	//219
    "XSSAuditingEnabled",	//220
    "ZoomTextOnly",	//221
    "acceptNavigationRequest",	//222
    "acceptNavigationRequest##$",	//223
    "action",	//224
    "action$",	//225
    "actionEvent",	//226
    "addClass",	//227
    "addClass$",	//228
    "addHistoryEntry",	//229
    "addHistoryEntry$",	//230
    "addLocalScheme",	//231
    "addLocalScheme$",	//232
    "addToJavaScriptWindowObject",	//233
    "addToJavaScriptWindowObject$#",	//234
    "addToJavaScriptWindowObject$#$",	//235
    "allOrigins",	//236
    "alternateText",	//237
    "append",	//238
    "append#",	//239
    "appendInside",	//240
    "appendInside#",	//241
    "appendInside$",	//242
    "appendOutside",	//243
    "appendOutside#",	//244
    "appendOutside$",	//245
    "applicationCacheQuotaExceeded",	//246
    "applicationCacheQuotaExceeded#$",	//247
    "at",	//248
    "at$",	//249
    "attribute",	//250
    "attribute$",	//251
    "attribute$$",	//252
    "attributeNS",	//253
    "attributeNS$$",	//254
    "attributeNS$$$",	//255
    "attributeNames",	//256
    "attributeNames$",	//257
    "back",	//258
    "backItem",	//259
    "backItems",	//260
    "backItems$",	//261
    "baseUrl",	//262
    "begin",	//263
    "boundingRect",	//264
    "bytesReceived",	//265
    "canGoBack",	//266
    "canGoForward",	//267
    "changeEvent",	//268
    "changeEvent#",	//269
    "childEvent",	//270
    "childFrames",	//271
    "chooseFile",	//272
    "chooseFile#$",	//273
    "classes",	//274
    "clear",	//275
    "clearIconDatabase",	//276
    "clearMemoryCaches",	//277
    "clone",	//278
    "closeEvent",	//279
    "closeEvent#",	//280
    "connectNotify",	//281
    "constBegin",	//282
    "constEnd",	//283
    "const_iterator",	//284
    "const_iterator#",	//285
    "const_iterator#$",	//286
    "content",	//287
    "contentType",	//288
    "contentsChanged",	//289
    "contentsSize",	//290
    "contentsSizeChanged",	//291
    "contentsSizeChanged#",	//292
    "contextMenuEvent",	//293
    "contextMenuEvent#",	//294
    "count",	//295
    "create",	//296
    "create$#??",	//297
    "createPlugin",	//298
    "createPlugin$#??",	//299
    "createStandardContextMenu",	//300
    "createWindow",	//301
    "createWindow$",	//302
    "currentFrame",	//303
    "currentItem",	//304
    "currentItemIndex",	//305
    "customEvent",	//306
    "databaseQuota",	//307
    "databaseQuotaExceeded",	//308
    "databaseQuotaExceeded#$",	//309
    "databaseUsage",	//310
    "databases",	//311
    "defaultInterface",	//312
    "defaultTextEncoding",	//313
    "description",	//314
    "devType",	//315
    "devicePixelRatio",	//316
    "disconnectNotify",	//317
    "displayName",	//318
    "document",	//319
    "documentElement",	//320
    "domain",	//321
    "downloadRequested",	//322
    "downloadRequested#",	//323
    "dragEnterEvent",	//324
    "dragEnterEvent#",	//325
    "dragLeaveEvent",	//326
    "dragLeaveEvent#",	//327
    "dragMoveEvent",	//328
    "dragMoveEvent#",	//329
    "dropEvent",	//330
    "dropEvent#",	//331
    "element",	//332
    "enablePersistentStorage",	//333
    "enablePersistentStorage$",	//334
    "enabledChange",	//335
    "encloseContentsWith",	//336
    "encloseContentsWith#",	//337
    "encloseContentsWith$",	//338
    "encloseWith",	//339
    "encloseWith#",	//340
    "encloseWith$",	//341
    "enclosingBlockElement",	//342
    "encoding",	//343
    "end",	//344
    "enterEvent",	//345
    "error",	//346
    "errorString",	//347
    "evaluateJavaScript",	//348
    "evaluateJavaScript$",	//349
    "event",	//350
    "event#",	//351
    "eventFilter",	//352
    "expectedSize",	//353
    "extension",	//354
    "extension$",	//355
    "extension$#",	//356
    "extension$##",	//357
    "featurePermissionRequestCanceled",	//358
    "featurePermissionRequestCanceled#$",	//359
    "featurePermissionRequested",	//360
    "featurePermissionRequested#$",	//361
    "fileExtensions",	//362
    "fileName",	//363
    "fileNames",	//364
    "findAll",	//365
    "findAll$",	//366
    "findAllElements",	//367
    "findAllElements$",	//368
    "findFirst",	//369
    "findFirst$",	//370
    "findFirstElement",	//371
    "findFirstElement$",	//372
    "findText",	//373
    "findText$",	//374
    "findText$$",	//375
    "first",	//376
    "firstChild",	//377
    "focusInEvent",	//378
    "focusInEvent#",	//379
    "focusNextPrevChild",	//380
    "focusNextPrevChild$",	//381
    "focusOutEvent",	//382
    "focusOutEvent#",	//383
    "fontChange",	//384
    "fontFamily",	//385
    "fontFamily$",	//386
    "fontSize",	//387
    "fontSize$",	//388
    "forward",	//389
    "forwardItem",	//390
    "forwardItems",	//391
    "forwardItems$",	//392
    "forwardUnsupportedContent",	//393
    "frame",	//394
    "frameAt",	//395
    "frameAt#",	//396
    "frameCreated",	//397
    "frameCreated#",	//398
    "frameName",	//399
    "geometry",	//400
    "geometryChangeRequested",	//401
    "geometryChangeRequested#",	//402
    "globalSettings",	//403
    "goToItem",	//404
    "goToItem#",	//405
    "handle",	//406
    "hasAttribute",	//407
    "hasAttribute$",	//408
    "hasAttributeNS",	//409
    "hasAttributeNS$$",	//410
    "hasAttributes",	//411
    "hasClass",	//412
    "hasClass$",	//413
    "hasFocus",	//414
    "hasSelection",	//415
    "heightForWidth",	//416
    "hideEvent",	//417
    "hideEvent#",	//418
    "history",	//419
    "historyContains",	//420
    "historyContains$",	//421
    "hitTestContent",	//422
    "hitTestContent#",	//423
    "host",	//424
    "icon",	//425
    "iconChanged",	//426
    "iconDatabasePath",	//427
    "iconForUrl",	//428
    "iconForUrl#",	//429
    "imageUrl",	//430
    "initialLayoutCompleted",	//431
    "initialScaleFactor",	//432
    "inputMethodEvent",	//433
    "inputMethodEvent#",	//434
    "inputMethodQuery",	//435
    "inputMethodQuery$",	//436
    "isContentEditable",	//437
    "isContentSelected",	//438
    "isModified",	//439
    "isNull",	//440
    "isUserScalable",	//441
    "isValid",	//442
    "itemAt",	//443
    "itemAt$",	//444
    "items",	//445
    "iterator",	//446
    "iterator#",	//447
    "iterator#$",	//448
    "javaScriptAlert",	//449
    "javaScriptAlert#$",	//450
    "javaScriptConfirm",	//451
    "javaScriptConfirm#$",	//452
    "javaScriptConsoleMessage",	//453
    "javaScriptConsoleMessage$$$",	//454
    "javaScriptPrompt",	//455
    "javaScriptPrompt#$$$",	//456
    "javaScriptWindowObjectCleared",	//457
    "keyPressEvent",	//458
    "keyPressEvent#",	//459
    "keyReleaseEvent",	//460
    "keyReleaseEvent#",	//461
    "languageChange",	//462
    "last",	//463
    "lastChild",	//464
    "lastVisited",	//465
    "leaveEvent",	//466
    "linkClicked",	//467
    "linkClicked#",	//468
    "linkDelegationPolicy",	//469
    "linkElement",	//470
    "linkHovered",	//471
    "linkHovered$$$",	//472
    "linkTargetFrame",	//473
    "linkText",	//474
    "linkTitle",	//475
    "linkUrl",	//476
    "load",	//477
    "load#",	//478
    "load#$",	//479
    "load#$#",	//480
    "loadFinished",	//481
    "loadFinished$",	//482
    "loadProgress",	//483
    "loadProgress$",	//484
    "loadStarted",	//485
    "localName",	//486
    "localSchemes",	//487
    "localStoragePath",	//488
    "mainFrame",	//489
    "maximumItemCount",	//490
    "maximumPagesInCache",	//491
    "maximumScaleFactor",	//492
    "menuBarVisibilityChangeRequested",	//493
    "menuBarVisibilityChangeRequested$",	//494
    "metaData",	//495
    "metaObject",	//496
    "metric",	//497
    "microFocusChanged",	//498
    "mimeTypes",	//499
    "minimumScaleFactor",	//500
    "minimumSizeHint",	//501
    "mouseDoubleClickEvent",	//502
    "mouseDoubleClickEvent#",	//503
    "mouseMoveEvent",	//504
    "mouseMoveEvent#",	//505
    "mousePressEvent",	//506
    "mousePressEvent#",	//507
    "mouseReleaseEvent",	//508
    "mouseReleaseEvent#",	//509
    "moveEvent",	//510
    "name",	//511
    "namespaceUri",	//512
    "networkAccessManager",	//513
    "nextSibling",	//514
    "offlineStorageDefaultQuota",	//515
    "offlineStoragePath",	//516
    "offlineWebApplicationCachePath",	//517
    "offlineWebApplicationCacheQuota",	//518
    "operator!=",	//519
    "operator!=#",	//520
    "operator*",	//521
    "operator+",	//522
    "operator+#",	//523
    "operator+$",	//524
    "operator++",	//525
    "operator++$",	//526
    "operator+=",	//527
    "operator+=#",	//528
    "operator+=$",	//529
    "operator-",	//530
    "operator-#",	//531
    "operator-$",	//532
    "operator--",	//533
    "operator--$",	//534
    "operator-=",	//535
    "operator-=$",	//536
    "operator<",	//537
    "operator<#",	//538
    "operator<=",	//539
    "operator<=#",	//540
    "operator=",	//541
    "operator=#",	//542
    "operator==",	//543
    "operator==#",	//544
    "operator>",	//545
    "operator>#",	//546
    "operator>=",	//547
    "operator>=#",	//548
    "operator[]",	//549
    "operator[]$",	//550
    "origin",	//551
    "originalUrl",	//552
    "page",	//553
    "pageAction",	//554
    "pageAction$",	//555
    "pageChanged",	//556
    "paintEngine",	//557
    "paintEvent",	//558
    "paintEvent#",	//559
    "palette",	//560
    "paletteChange",	//561
    "parent",	//562
    "parentFrame",	//563
    "pixmap",	//564
    "pluginFactory",	//565
    "plugins",	//566
    "port",	//567
    "pos",	//568
    "preferredContentsSize",	//569
    "prefix",	//570
    "prependInside",	//571
    "prependInside#",	//572
    "prependInside$",	//573
    "prependOutside",	//574
    "prependOutside#",	//575
    "prependOutside$",	//576
    "previousSibling",	//577
    "print",	//578
    "print#",	//579
    "printRequested",	//580
    "printRequested#",	//581
    "provisionalLoad",	//582
    "qt_metacall",	//583
    "qt_metacall$$?",	//584
    "qt_metacast",	//585
    "qt_metacast$",	//586
    "refreshPlugins",	//587
    "reload",	//588
    "removeAllChildren",	//589
    "removeAllDatabases",	//590
    "removeAttribute",	//591
    "removeAttribute$",	//592
    "removeAttributeNS",	//593
    "removeAttributeNS$$",	//594
    "removeClass",	//595
    "removeClass$",	//596
    "removeDatabase",	//597
    "removeDatabase#",	//598
    "removeFromDocument",	//599
    "removeLocalScheme",	//600
    "removeLocalScheme$",	//601
    "render",	//602
    "render#",	//603
    "render##",	//604
    "render#$",	//605
    "render#$#",	//606
    "renderHints",	//607
    "renderTreeDump",	//608
    "repaintRequested",	//609
    "repaintRequested#",	//610
    "replace",	//611
    "replace#",	//612
    "replace$",	//613
    "requestedUrl",	//614
    "resetAttribute",	//615
    "resetAttribute$",	//616
    "resetFontFamily",	//617
    "resetFontFamily$",	//618
    "resetFontSize",	//619
    "resetFontSize$",	//620
    "resizeEvent",	//621
    "resizeEvent#",	//622
    "restoreFrameStateRequested",	//623
    "restoreFrameStateRequested#",	//624
    "saveFrameStateRequested",	//625
    "saveFrameStateRequested##",	//626
    "scheme",	//627
    "scroll",	//628
    "scroll$$",	//629
    "scrollBarGeometry",	//630
    "scrollBarGeometry$",	//631
    "scrollBarMaximum",	//632
    "scrollBarMaximum$",	//633
    "scrollBarMinimum",	//634
    "scrollBarMinimum$",	//635
    "scrollBarPolicy",	//636
    "scrollBarPolicy$",	//637
    "scrollBarValue",	//638
    "scrollBarValue$",	//639
    "scrollPosition",	//640
    "scrollRequested",	//641
    "scrollRequested$$#",	//642
    "scrollToAnchor",	//643
    "scrollToAnchor$",	//644
    "securityOrigin",	//645
    "selectedHtml",	//646
    "selectedText",	//647
    "selectionChanged",	//648
    "setActualVisibleContentRect",	//649
    "setActualVisibleContentRect#",	//650
    "setApplicationCacheQuota",	//651
    "setApplicationCacheQuota$",	//652
    "setAttribute",	//653
    "setAttribute$$",	//654
    "setAttributeNS",	//655
    "setAttributeNS$$$",	//656
    "setBaseUrl",	//657
    "setBaseUrl#",	//658
    "setContent",	//659
    "setContent#",	//660
    "setContent#$",	//661
    "setContent#$#",	//662
    "setContentEditable",	//663
    "setContentEditable$",	//664
    "setContentType",	//665
    "setContentType$",	//666
    "setDatabaseQuota",	//667
    "setDatabaseQuota$",	//668
    "setDefaultInterface",	//669
    "setDefaultInterface#",	//670
    "setDefaultTextEncoding",	//671
    "setDefaultTextEncoding$",	//672
    "setDescription",	//673
    "setDescription$",	//674
    "setDomain",	//675
    "setDomain$",	//676
    "setEncoding",	//677
    "setEncoding$",	//678
    "setError",	//679
    "setError$",	//680
    "setErrorString",	//681
    "setErrorString$",	//682
    "setFeaturePermission",	//683
    "setFeaturePermission#$$",	//684
    "setFileExtensions",	//685
    "setFileExtensions?",	//686
    "setFileNames",	//687
    "setFileNames?",	//688
    "setFocus",	//689
    "setFontFamily",	//690
    "setFontFamily$$",	//691
    "setFontSize",	//692
    "setFontSize$$",	//693
    "setForwardUnsupportedContent",	//694
    "setForwardUnsupportedContent$",	//695
    "setFrame",	//696
    "setFrame#",	//697
    "setHtml",	//698
    "setHtml$",	//699
    "setHtml$#",	//700
    "setIconDatabasePath",	//701
    "setIconDatabasePath$",	//702
    "setInnerXml",	//703
    "setInnerXml$",	//704
    "setLinkDelegationPolicy",	//705
    "setLinkDelegationPolicy$",	//706
    "setLocalStoragePath",	//707
    "setLocalStoragePath$",	//708
    "setMaximumItemCount",	//709
    "setMaximumItemCount$",	//710
    "setMaximumPagesInCache",	//711
    "setMaximumPagesInCache$",	//712
    "setMimeTypes",	//713
    "setMimeTypes?",	//714
    "setName",	//715
    "setName$",	//716
    "setNetworkAccessManager",	//717
    "setNetworkAccessManager#",	//718
    "setObjectCacheCapacities",	//719
    "setObjectCacheCapacities$$$",	//720
    "setOfflineStorageDefaultQuota",	//721
    "setOfflineStorageDefaultQuota$",	//722
    "setOfflineStoragePath",	//723
    "setOfflineStoragePath$",	//724
    "setOfflineWebApplicationCachePath",	//725
    "setOfflineWebApplicationCachePath$",	//726
    "setOfflineWebApplicationCacheQuota",	//727
    "setOfflineWebApplicationCacheQuota$",	//728
    "setOuterXml",	//729
    "setOuterXml$",	//730
    "setPage",	//731
    "setPage#",	//732
    "setPalette",	//733
    "setPalette#",	//734
    "setParentFrame",	//735
    "setParentFrame#",	//736
    "setPlainText",	//737
    "setPlainText$",	//738
    "setPluginFactory",	//739
    "setPluginFactory#",	//740
    "setPreferredContentsSize",	//741
    "setPreferredContentsSize#",	//742
    "setRenderHint",	//743
    "setRenderHint$",	//744
    "setRenderHint$$",	//745
    "setRenderHints",	//746
    "setRenderHints$",	//747
    "setScrollBarPolicy",	//748
    "setScrollBarPolicy$$",	//749
    "setScrollBarValue",	//750
    "setScrollBarValue$$",	//751
    "setScrollPosition",	//752
    "setScrollPosition#",	//753
    "setStyleProperty",	//754
    "setStyleProperty$$",	//755
    "setSuggestedFileNames",	//756
    "setSuggestedFileNames?",	//757
    "setTextSizeMultiplier",	//758
    "setTextSizeMultiplier$",	//759
    "setUrl",	//760
    "setUrl#",	//761
    "setUserData",	//762
    "setUserData#",	//763
    "setUserStyleSheetUrl",	//764
    "setUserStyleSheetUrl#",	//765
    "setView",	//766
    "setView#",	//767
    "setViewportSize",	//768
    "setViewportSize#",	//769
    "setVisible",	//770
    "setWebGraphic",	//771
    "setWebGraphic$#",	//772
    "setZoomFactor",	//773
    "setZoomFactor$",	//774
    "settings",	//775
    "shouldInterruptJavaScript",	//776
    "showEvent",	//777
    "showEvent#",	//778
    "size",	//779
    "sizeHint",	//780
    "staticMetaObject",	//781
    "statusBarMessage",	//782
    "statusBarMessage$",	//783
    "statusBarVisibilityChangeRequested",	//784
    "statusBarVisibilityChangeRequested$",	//785
    "stop",	//786
    "styleChange",	//787
    "styleProperty",	//788
    "styleProperty$$",	//789
    "suggestedFileNames",	//790
    "supportedContentTypes",	//791
    "supportsContentType",	//792
    "supportsContentType$",	//793
    "supportsExtension",	//794
    "supportsExtension$",	//795
    "swallowContextMenuEvent",	//796
    "swallowContextMenuEvent#",	//797
    "tabletEvent",	//798
    "tagName",	//799
    "takeFromDocument",	//800
    "testAttribute",	//801
    "testAttribute$",	//802
    "textSizeMultiplier",	//803
    "timerEvent",	//804
    "title",	//805
    "titleChanged",	//806
    "titleChanged$",	//807
    "toHtml",	//808
    "toInnerXml",	//809
    "toList",	//810
    "toOuterXml",	//811
    "toPlainText",	//812
    "toggleClass",	//813
    "toggleClass$",	//814
    "toolBarVisibilityChangeRequested",	//815
    "toolBarVisibilityChangeRequested$",	//816
    "totalBytes",	//817
    "tr",	//818
    "tr$",	//819
    "tr$$",	//820
    "tr$$$",	//821
    "trUtf8",	//822
    "trUtf8$",	//823
    "trUtf8$$",	//824
    "trUtf8$$$",	//825
    "triggerAction",	//826
    "triggerAction$",	//827
    "triggerAction$$",	//828
    "triggerPageAction",	//829
    "triggerPageAction$",	//830
    "triggerPageAction$$",	//831
    "undoStack",	//832
    "unsupportedContent",	//833
    "unsupportedContent#",	//834
    "updatePositionDependentActions",	//835
    "updatePositionDependentActions#",	//836
    "url",	//837
    "urlChanged",	//838
    "urlChanged#",	//839
    "userAgentForUrl",	//840
    "userAgentForUrl#",	//841
    "userData",	//842
    "userStyleSheetUrl",	//843
    "view",	//844
    "viewportAttributesForSize",	//845
    "viewportAttributesForSize#",	//846
    "viewportChangeRequested",	//847
    "viewportSize",	//848
    "webFrame",	//849
    "webGraphic",	//850
    "webGraphic$",	//851
    "wheelEvent",	//852
    "wheelEvent#",	//853
    "windowActivationChange",	//854
    "windowCloseRequested",	//855
    "x11Event",	//856
    "zoomFactor",	//857
    "~ChooseMultipleFilesExtensionOption",	//858
    "~ChooseMultipleFilesExtensionReturn",	//859
    "~ErrorPageExtensionOption",	//860
    "~ErrorPageExtensionReturn",	//861
    "~ExtensionOption",	//862
    "~ExtensionReturn",	//863
    "~MimeType",	//864
    "~Plugin",	//865
    "~QWebDatabase",	//866
    "~QWebElement",	//867
    "~QWebElementCollection",	//868
    "~QWebHistoryInterface",	//869
    "~QWebHistoryItem",	//870
    "~QWebHitTestResult",	//871
    "~QWebInspector",	//872
    "~QWebPage",	//873
    "~QWebPluginFactory",	//874
    "~QWebSecurityOrigin",	//875
    "~QWebView",	//876
    "~ViewportAttributes",	//877
    "~const_iterator",	//878
    "~iterator",	//879
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {16, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 281, 1},	//1 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {16, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 281, 2},	//2 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {16, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 281, 3},	//3 QGlobalSpace::Q_STATIC_TYPE (enum)
    {16, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 281, 4},	//4 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {16, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 281, 5},	//5 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {16, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 6},	//6 QGlobalSpace::LicensedXml (enum)
    {16, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 7},	//7 QGlobalSpace::QtDebugMsg (enum)
    {16, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 8},	//8 QGlobalSpace::QtWarningMsg (enum)
    {16, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 9},	//9 QGlobalSpace::QtCriticalMsg (enum)
    {16, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 10},	//10 QGlobalSpace::QtFatalMsg (enum)
    {16, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 11},	//11 QGlobalSpace::QtSystemMsg (enum)
    {16, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 12},	//12 QGlobalSpace::LicensedOpenGL (enum)
    {16, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 13},	//13 QGlobalSpace::LicensedQt3Support (enum)
    {16, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 14},	//14 QGlobalSpace::LicensedOpenVG (enum)
    {16, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 15},	//15 QGlobalSpace::LicensedNetwork (enum)
    {16, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 229, 16},	//16 QGlobalSpace::LicensedSql (enum)
    {16, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 17},	//17 QGlobalSpace::LicensedCore (enum)
    {16, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 230, 18},	//18 QGlobalSpace::LicensedSvg (enum)
    {16, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 19},	//19 QGlobalSpace::LicensedXmlPatterns (enum)
    {16, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 20},	//20 QGlobalSpace::LicensedGui (enum)
    {16, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 21},	//21 QGlobalSpace::LicensedDeclarative (enum)
    {16, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 22},	//22 QGlobalSpace::LicensedActiveQt (enum)
    {16, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 23},	//23 QGlobalSpace::LicensedDBus (enum)
    {16, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 24},	//24 QGlobalSpace::LicensedTest (enum)
    {16, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 228, 25},	//25 QGlobalSpace::LicensedScriptTools (enum)
    {16, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 26},	//26 QGlobalSpace::LicensedQt3SupportLight (enum)
    {16, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 227, 27},	//27 QGlobalSpace::LicensedScript (enum)
    {16, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 28},	//28 QGlobalSpace::LicensedMultimedia (enum)
    {16, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 29},	//29 QGlobalSpace::LicensedHelp (enum)
    {29, 350, 1, 1, Smoke::mf_virtual, 235, 0},	//30 QObject::event(QEvent*)
    {29, 352, 3, 2, Smoke::mf_virtual, 235, 0},	//31 QObject::eventFilter(QObject*, QEvent*)
    {29, 804, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//32 QObject::timerEvent(QTimerEvent*)
    {29, 270, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//33 QObject::childEvent(QChildEvent*)
    {29, 306, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//34 QObject::customEvent(QEvent*)
    {29, 281, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//35 QObject::connectNotify(const char*)
    {29, 317, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//36 QObject::disconnectNotify(const char*)
    {49, 140, 12, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 76, 1},	//37 QWebDatabase::QWebDatabase(const QWebDatabase&)
    {49, 541, 12, 1, 0, 75, 2},	//38 QWebDatabase::operator=(const QWebDatabase&)
    {49, 511, 0, 0, Smoke::mf_const, 62, 3},	//39 QWebDatabase::name() const
    {49, 318, 0, 0, Smoke::mf_const, 62, 4},	//40 QWebDatabase::displayName() const
    {49, 353, 0, 0, Smoke::mf_const, 282, 5},	//41 QWebDatabase::expectedSize() const
    {49, 779, 0, 0, Smoke::mf_const, 282, 6},	//42 QWebDatabase::size() const
    {49, 363, 0, 0, Smoke::mf_const, 62, 7},	//43 QWebDatabase::fileName() const
    {49, 551, 0, 0, Smoke::mf_const, 127, 8},	//44 QWebDatabase::origin() const
    {49, 597, 12, 1, Smoke::mf_static, 0, 9},	//45 QWebDatabase::removeDatabase(const QWebDatabase&)
    {49, 590, 0, 0, Smoke::mf_static, 0, 10},	//46 QWebDatabase::removeAllDatabases()
    {49, 866, 0, 0, Smoke::mf_dtor, 0, 11 },	//47 QWebDatabase::~QWebDatabase()
    {50, 142, 0, 0, Smoke::mf_ctor, 79, 1},	//48 QWebElement::QWebElement()
    {50, 142, 14, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 79, 2},	//49 QWebElement::QWebElement(const QWebElement&)
    {50, 541, 14, 1, 0, 78, 3},	//50 QWebElement::operator=(const QWebElement&)
    {50, 543, 14, 1, Smoke::mf_const, 235, 4},	//51 QWebElement::operator==(const QWebElement&) const
    {50, 519, 14, 1, Smoke::mf_const, 235, 5},	//52 QWebElement::operator!=(const QWebElement&) const
    {50, 440, 0, 0, Smoke::mf_const, 235, 6},	//53 QWebElement::isNull() const
    {50, 365, 16, 1, Smoke::mf_const, 81, 7},	//54 QWebElement::findAll(const QString&) const
    {50, 369, 16, 1, Smoke::mf_const, 77, 8},	//55 QWebElement::findFirst(const QString&) const
    {50, 737, 16, 1, 0, 0, 9},	//56 QWebElement::setPlainText(const QString&)
    {50, 812, 0, 0, Smoke::mf_const, 62, 10},	//57 QWebElement::toPlainText() const
    {50, 729, 16, 1, 0, 0, 11},	//58 QWebElement::setOuterXml(const QString&)
    {50, 811, 0, 0, Smoke::mf_const, 62, 12},	//59 QWebElement::toOuterXml() const
    {50, 703, 16, 1, 0, 0, 13},	//60 QWebElement::setInnerXml(const QString&)
    {50, 809, 0, 0, Smoke::mf_const, 62, 14},	//61 QWebElement::toInnerXml() const
    {50, 653, 18, 2, 0, 0, 15},	//62 QWebElement::setAttribute(const QString&, const QString&)
    {50, 655, 21, 3, 0, 0, 16},	//63 QWebElement::setAttributeNS(const QString&, const QString&, const QString&)
    {50, 250, 18, 2, Smoke::mf_const, 62, 17},	//64 QWebElement::attribute(const QString&, const QString&) const
    {50, 253, 21, 3, Smoke::mf_const, 62, 18},	//65 QWebElement::attributeNS(const QString&, const QString&, const QString&) const
    {50, 407, 16, 1, Smoke::mf_const, 235, 19},	//66 QWebElement::hasAttribute(const QString&) const
    {50, 409, 18, 2, Smoke::mf_const, 235, 20},	//67 QWebElement::hasAttributeNS(const QString&, const QString&) const
    {50, 591, 16, 1, 0, 0, 21},	//68 QWebElement::removeAttribute(const QString&)
    {50, 593, 18, 2, 0, 0, 22},	//69 QWebElement::removeAttributeNS(const QString&, const QString&)
    {50, 411, 0, 0, Smoke::mf_const, 235, 23},	//70 QWebElement::hasAttributes() const
    {50, 256, 16, 1, Smoke::mf_const, 65, 24},	//71 QWebElement::attributeNames(const QString&) const
    {50, 274, 0, 0, Smoke::mf_const, 65, 25},	//72 QWebElement::classes() const
    {50, 412, 16, 1, Smoke::mf_const, 235, 26},	//73 QWebElement::hasClass(const QString&) const
    {50, 227, 16, 1, 0, 0, 27},	//74 QWebElement::addClass(const QString&)
    {50, 595, 16, 1, 0, 0, 28},	//75 QWebElement::removeClass(const QString&)
    {50, 813, 16, 1, 0, 0, 29},	//76 QWebElement::toggleClass(const QString&)
    {50, 414, 0, 0, Smoke::mf_const, 235, 30},	//77 QWebElement::hasFocus() const
    {50, 689, 0, 0, 0, 0, 31},	//78 QWebElement::setFocus()
    {50, 400, 0, 0, Smoke::mf_const, 50, 32},	//79 QWebElement::geometry() const
    {50, 799, 0, 0, Smoke::mf_const, 62, 33},	//80 QWebElement::tagName() const
    {50, 570, 0, 0, Smoke::mf_const, 62, 34},	//81 QWebElement::prefix() const
    {50, 486, 0, 0, Smoke::mf_const, 62, 35},	//82 QWebElement::localName() const
    {50, 512, 0, 0, Smoke::mf_const, 62, 36},	//83 QWebElement::namespaceUri() const
    {50, 562, 0, 0, Smoke::mf_const, 77, 37},	//84 QWebElement::parent() const
    {50, 377, 0, 0, Smoke::mf_const, 77, 38},	//85 QWebElement::firstChild() const
    {50, 464, 0, 0, Smoke::mf_const, 77, 39},	//86 QWebElement::lastChild() const
    {50, 514, 0, 0, Smoke::mf_const, 77, 40},	//87 QWebElement::nextSibling() const
    {50, 577, 0, 0, Smoke::mf_const, 77, 41},	//88 QWebElement::previousSibling() const
    {50, 319, 0, 0, Smoke::mf_const, 77, 42},	//89 QWebElement::document() const
    {50, 849, 0, 0, Smoke::mf_const, 90, 43},	//90 QWebElement::webFrame() const
    {50, 240, 16, 1, 0, 0, 44},	//91 QWebElement::appendInside(const QString&)
    {50, 240, 14, 1, 0, 0, 45},	//92 QWebElement::appendInside(const QWebElement&)
    {50, 571, 16, 1, 0, 0, 46},	//93 QWebElement::prependInside(const QString&)
    {50, 571, 14, 1, 0, 0, 47},	//94 QWebElement::prependInside(const QWebElement&)
    {50, 243, 16, 1, 0, 0, 48},	//95 QWebElement::appendOutside(const QString&)
    {50, 243, 14, 1, 0, 0, 49},	//96 QWebElement::appendOutside(const QWebElement&)
    {50, 574, 16, 1, 0, 0, 50},	//97 QWebElement::prependOutside(const QString&)
    {50, 574, 14, 1, 0, 0, 51},	//98 QWebElement::prependOutside(const QWebElement&)
    {50, 336, 14, 1, 0, 0, 52},	//99 QWebElement::encloseContentsWith(const QWebElement&)
    {50, 336, 16, 1, 0, 0, 53},	//100 QWebElement::encloseContentsWith(const QString&)
    {50, 339, 16, 1, 0, 0, 54},	//101 QWebElement::encloseWith(const QString&)
    {50, 339, 14, 1, 0, 0, 55},	//102 QWebElement::encloseWith(const QWebElement&)
    {50, 611, 16, 1, 0, 0, 56},	//103 QWebElement::replace(const QString&)
    {50, 611, 14, 1, 0, 0, 57},	//104 QWebElement::replace(const QWebElement&)
    {50, 278, 0, 0, Smoke::mf_const, 77, 58},	//105 QWebElement::clone() const
    {50, 800, 0, 0, 0, 78, 59},	//106 QWebElement::takeFromDocument()
    {50, 599, 0, 0, 0, 0, 60},	//107 QWebElement::removeFromDocument()
    {50, 589, 0, 0, 0, 0, 61},	//108 QWebElement::removeAllChildren()
    {50, 348, 16, 1, 0, 74, 62},	//109 QWebElement::evaluateJavaScript(const QString&)
    {50, 788, 25, 2, Smoke::mf_const, 62, 63},	//110 QWebElement::styleProperty(const QString&, QWebElement::StyleResolveStrategy) const
    {50, 754, 18, 2, 0, 0, 64},	//111 QWebElement::setStyleProperty(const QString&, const QString&)
    {50, 602, 28, 1, 0, 0, 65},	//112 QWebElement::render(QPainter*)
    {50, 602, 30, 2, 0, 0, 66},	//113 QWebElement::render(QPainter*, const QRect&)
    {50, 250, 16, 1, Smoke::mf_const, 62, 67},	//114 QWebElement::attribute(const QString&) const
    {50, 253, 18, 2, Smoke::mf_const, 62, 68},	//115 QWebElement::attributeNS(const QString&, const QString&) const
    {50, 256, 0, 0, Smoke::mf_const, 65, 69},	//116 QWebElement::attributeNames() const
    {50, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 70},	//117 QWebElement::InlineStyle (enum)
    {50, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 71},	//118 QWebElement::CascadedStyle (enum)
    {50, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 72},	//119 QWebElement::ComputedStyle (enum)
    {50, 867, 0, 0, Smoke::mf_dtor, 0, 73 },	//120 QWebElement::~QWebElement()
    {51, 144, 0, 0, Smoke::mf_ctor, 83, 1},	//121 QWebElementCollection::QWebElementCollection()
    {51, 144, 33, 2, Smoke::mf_ctor, 83, 2},	//122 QWebElementCollection::QWebElementCollection(const QWebElement&, const QString&)
    {51, 144, 36, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 83, 3},	//123 QWebElementCollection::QWebElementCollection(const QWebElementCollection&)
    {51, 541, 36, 1, 0, 82, 4},	//124 QWebElementCollection::operator=(const QWebElementCollection&)
    {51, 522, 36, 1, Smoke::mf_const, 81, 5},	//125 QWebElementCollection::operator+(const QWebElementCollection&) const
    {51, 527, 36, 1, 0, 82, 6},	//126 QWebElementCollection::operator+=(const QWebElementCollection&)
    {51, 238, 36, 1, 0, 0, 7},	//127 QWebElementCollection::append(const QWebElementCollection&)
    {51, 295, 0, 0, Smoke::mf_const, 280, 8},	//128 QWebElementCollection::count() const
    {51, 248, 38, 1, Smoke::mf_const, 77, 9},	//129 QWebElementCollection::at(int) const
    {51, 549, 38, 1, Smoke::mf_const, 77, 10},	//130 QWebElementCollection::operator[](int) const
    {51, 376, 0, 0, Smoke::mf_const, 77, 11},	//131 QWebElementCollection::first() const
    {51, 463, 0, 0, Smoke::mf_const, 77, 12},	//132 QWebElementCollection::last() const
    {51, 810, 0, 0, Smoke::mf_const, 25, 13},	//133 QWebElementCollection::toList() const
    {51, 263, 0, 0, Smoke::mf_const, 84, 14},	//134 QWebElementCollection::begin() const
    {51, 344, 0, 0, Smoke::mf_const, 84, 15},	//135 QWebElementCollection::end() const
    {51, 282, 0, 0, Smoke::mf_const, 84, 16},	//136 QWebElementCollection::constBegin() const
    {51, 283, 0, 0, Smoke::mf_const, 84, 17},	//137 QWebElementCollection::constEnd() const
    {51, 263, 0, 0, 0, 87, 18},	//138 QWebElementCollection::begin()
    {51, 344, 0, 0, 0, 87, 19},	//139 QWebElementCollection::end()
    {51, 868, 0, 0, Smoke::mf_dtor, 0, 20 },	//140 QWebElementCollection::~QWebElementCollection()
    {52, 284, 40, 2, Smoke::mf_ctor, 86, 1},	//141 QWebElementCollection::const_iterator::const_iterator(const QWebElementCollection*, int)
    {52, 284, 43, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 86, 2},	//142 QWebElementCollection::const_iterator::const_iterator(const QWebElementCollection::const_iterator&)
    {52, 521, 0, 0, Smoke::mf_const, 255, 3},	//143 QWebElementCollection::const_iterator::operator*() const
    {52, 543, 43, 1, Smoke::mf_const, 235, 4},	//144 QWebElementCollection::const_iterator::operator==(const QWebElementCollection::const_iterator&) const
    {52, 519, 43, 1, Smoke::mf_const, 235, 5},	//145 QWebElementCollection::const_iterator::operator!=(const QWebElementCollection::const_iterator&) const
    {52, 537, 43, 1, Smoke::mf_const, 235, 6},	//146 QWebElementCollection::const_iterator::operator<(const QWebElementCollection::const_iterator&) const
    {52, 539, 43, 1, Smoke::mf_const, 235, 7},	//147 QWebElementCollection::const_iterator::operator<=(const QWebElementCollection::const_iterator&) const
    {52, 545, 43, 1, Smoke::mf_const, 235, 8},	//148 QWebElementCollection::const_iterator::operator>(const QWebElementCollection::const_iterator&) const
    {52, 547, 43, 1, Smoke::mf_const, 235, 9},	//149 QWebElementCollection::const_iterator::operator>=(const QWebElementCollection::const_iterator&) const
    {52, 525, 0, 0, 0, 85, 10},	//150 QWebElementCollection::const_iterator::operator++()
    {52, 525, 38, 1, 0, 84, 11},	//151 QWebElementCollection::const_iterator::operator++(int)
    {52, 533, 0, 0, 0, 85, 12},	//152 QWebElementCollection::const_iterator::operator--()
    {52, 533, 38, 1, 0, 84, 13},	//153 QWebElementCollection::const_iterator::operator--(int)
    {52, 527, 38, 1, 0, 85, 14},	//154 QWebElementCollection::const_iterator::operator+=(int)
    {52, 535, 38, 1, 0, 85, 15},	//155 QWebElementCollection::const_iterator::operator-=(int)
    {52, 522, 38, 1, Smoke::mf_const, 84, 16},	//156 QWebElementCollection::const_iterator::operator+(int) const
    {52, 530, 38, 1, Smoke::mf_const, 84, 17},	//157 QWebElementCollection::const_iterator::operator-(int) const
    {52, 530, 45, 1, Smoke::mf_const, 280, 18},	//158 QWebElementCollection::const_iterator::operator-(QWebElementCollection::const_iterator) const
    {52, 878, 0, 0, Smoke::mf_dtor, 0, 19 },	//159 QWebElementCollection::const_iterator::~const_iterator()
    {53, 446, 40, 2, Smoke::mf_ctor, 89, 1},	//160 QWebElementCollection::iterator::iterator(const QWebElementCollection*, int)
    {53, 446, 47, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 89, 2},	//161 QWebElementCollection::iterator::iterator(const QWebElementCollection::iterator&)
    {53, 521, 0, 0, Smoke::mf_const, 77, 3},	//162 QWebElementCollection::iterator::operator*() const
    {53, 543, 47, 1, Smoke::mf_const, 235, 4},	//163 QWebElementCollection::iterator::operator==(const QWebElementCollection::iterator&) const
    {53, 519, 47, 1, Smoke::mf_const, 235, 5},	//164 QWebElementCollection::iterator::operator!=(const QWebElementCollection::iterator&) const
    {53, 537, 47, 1, Smoke::mf_const, 235, 6},	//165 QWebElementCollection::iterator::operator<(const QWebElementCollection::iterator&) const
    {53, 539, 47, 1, Smoke::mf_const, 235, 7},	//166 QWebElementCollection::iterator::operator<=(const QWebElementCollection::iterator&) const
    {53, 545, 47, 1, Smoke::mf_const, 235, 8},	//167 QWebElementCollection::iterator::operator>(const QWebElementCollection::iterator&) const
    {53, 547, 47, 1, Smoke::mf_const, 235, 9},	//168 QWebElementCollection::iterator::operator>=(const QWebElementCollection::iterator&) const
    {53, 525, 0, 0, 0, 88, 10},	//169 QWebElementCollection::iterator::operator++()
    {53, 525, 38, 1, 0, 87, 11},	//170 QWebElementCollection::iterator::operator++(int)
    {53, 533, 0, 0, 0, 88, 12},	//171 QWebElementCollection::iterator::operator--()
    {53, 533, 38, 1, 0, 87, 13},	//172 QWebElementCollection::iterator::operator--(int)
    {53, 527, 38, 1, 0, 88, 14},	//173 QWebElementCollection::iterator::operator+=(int)
    {53, 535, 38, 1, 0, 88, 15},	//174 QWebElementCollection::iterator::operator-=(int)
    {53, 522, 38, 1, Smoke::mf_const, 87, 16},	//175 QWebElementCollection::iterator::operator+(int) const
    {53, 530, 38, 1, Smoke::mf_const, 87, 17},	//176 QWebElementCollection::iterator::operator-(int) const
    {53, 530, 49, 1, Smoke::mf_const, 280, 18},	//177 QWebElementCollection::iterator::operator-(QWebElementCollection::iterator) const
    {53, 879, 0, 0, Smoke::mf_dtor, 0, 19 },	//178 QWebElementCollection::iterator::~iterator()
    {54, 496, 0, 0, Smoke::mf_const, 240, 1},	//179 QWebFrame::metaObject() const
    {54, 585, 10, 1, 0, 288, 2},	//180 QWebFrame::qt_metacast(const char*)
    {54, 818, 51, 2, Smoke::mf_static, 62, 3},	//181 QWebFrame::tr(const char*, const char*)
    {54, 822, 51, 2, Smoke::mf_static, 62, 4},	//182 QWebFrame::trUtf8(const char*, const char*)
    {54, 818, 54, 3, Smoke::mf_static, 62, 5},	//183 QWebFrame::tr(const char*, const char*, int)
    {54, 822, 54, 3, Smoke::mf_static, 62, 6},	//184 QWebFrame::trUtf8(const char*, const char*, int)
    {54, 583, 58, 3, 0, 280, 7},	//185 QWebFrame::qt_metacall(QMetaObject::Call, int, void**)
    {54, 553, 0, 0, Smoke::mf_const, 101, 8},	//186 QWebFrame::page() const
    {54, 477, 62, 1, 0, 0, 9},	//187 QWebFrame::load(const QUrl&)
    {54, 477, 64, 3, 0, 0, 10},	//188 QWebFrame::load(const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&)
    {54, 698, 68, 2, 0, 0, 11},	//189 QWebFrame::setHtml(const QString&, const QUrl&)
    {54, 659, 71, 3, 0, 0, 12},	//190 QWebFrame::setContent(const QByteArray&, const QString&, const QUrl&)
    {54, 233, 75, 2, 0, 0, 13},	//191 QWebFrame::addToJavaScriptWindowObject(const QString&, QObject*)
    {54, 233, 78, 3, 0, 0, 14},	//192 QWebFrame::addToJavaScriptWindowObject(const QString&, QObject*, QScriptEngine::ValueOwnership)
    {54, 808, 0, 0, Smoke::mf_const, 62, 15},	//193 QWebFrame::toHtml() const
    {54, 812, 0, 0, Smoke::mf_const, 62, 16},	//194 QWebFrame::toPlainText() const
    {54, 608, 0, 0, Smoke::mf_const, 62, 17},	//195 QWebFrame::renderTreeDump() const
    {54, 805, 0, 0, Smoke::mf_const|Smoke::mf_property, 62, 18},	//196 QWebFrame::title() const
    {54, 760, 62, 1, Smoke::mf_property, 0, 19},	//197 QWebFrame::setUrl(const QUrl&)
    {54, 837, 0, 0, Smoke::mf_const|Smoke::mf_property, 72, 20},	//198 QWebFrame::url() const
    {54, 614, 0, 0, Smoke::mf_const|Smoke::mf_property, 72, 21},	//199 QWebFrame::requestedUrl() const
    {54, 262, 0, 0, Smoke::mf_const|Smoke::mf_property, 72, 22},	//200 QWebFrame::baseUrl() const
    {54, 425, 0, 0, Smoke::mf_const|Smoke::mf_property, 20, 23},	//201 QWebFrame::icon() const
    {54, 495, 0, 0, Smoke::mf_const, 35, 24},	//202 QWebFrame::metaData() const
    {54, 399, 0, 0, Smoke::mf_const, 62, 25},	//203 QWebFrame::frameName() const
    {54, 563, 0, 0, Smoke::mf_const, 90, 26},	//204 QWebFrame::parentFrame() const
    {54, 271, 0, 0, Smoke::mf_const, 26, 27},	//205 QWebFrame::childFrames() const
    {54, 636, 82, 1, Smoke::mf_const, 189, 28},	//206 QWebFrame::scrollBarPolicy(Qt::Orientation) const
    {54, 748, 84, 2, 0, 0, 29},	//207 QWebFrame::setScrollBarPolicy(Qt::Orientation, Qt::ScrollBarPolicy)
    {54, 750, 87, 2, 0, 0, 30},	//208 QWebFrame::setScrollBarValue(Qt::Orientation, int)
    {54, 638, 82, 1, Smoke::mf_const, 280, 31},	//209 QWebFrame::scrollBarValue(Qt::Orientation) const
    {54, 634, 82, 1, Smoke::mf_const, 280, 32},	//210 QWebFrame::scrollBarMinimum(Qt::Orientation) const
    {54, 632, 82, 1, Smoke::mf_const, 280, 33},	//211 QWebFrame::scrollBarMaximum(Qt::Orientation) const
    {54, 630, 82, 1, Smoke::mf_const, 50, 34},	//212 QWebFrame::scrollBarGeometry(Qt::Orientation) const
    {54, 628, 90, 2, 0, 0, 35},	//213 QWebFrame::scroll(int, int)
    {54, 640, 0, 0, Smoke::mf_const|Smoke::mf_property, 48, 36},	//214 QWebFrame::scrollPosition() const
    {54, 752, 93, 1, Smoke::mf_property, 0, 37},	//215 QWebFrame::setScrollPosition(const QPoint&)
    {54, 643, 16, 1, 0, 0, 38},	//216 QWebFrame::scrollToAnchor(const QString&)
    {54, 602, 28, 1, 0, 0, 39},	//217 QWebFrame::render(QPainter*)
    {54, 602, 95, 2, 0, 0, 40},	//218 QWebFrame::render(QPainter*, const QRegion&)
    {54, 602, 98, 3, 0, 0, 41},	//219 QWebFrame::render(QPainter*, QWebFrame::RenderLayer, const QRegion&)
    {54, 758, 102, 1, 0, 0, 42},	//220 QWebFrame::setTextSizeMultiplier(double)
    {54, 803, 0, 0, Smoke::mf_const, 279, 43},	//221 QWebFrame::textSizeMultiplier() const
    {54, 857, 0, 0, Smoke::mf_const, 279, 44},	//222 QWebFrame::zoomFactor() const
    {54, 773, 102, 1, 0, 0, 45},	//223 QWebFrame::setZoomFactor(double)
    {54, 414, 0, 0, Smoke::mf_const|Smoke::mf_property, 235, 46},	//224 QWebFrame::hasFocus() const
    {54, 689, 0, 0, 0, 0, 47},	//225 QWebFrame::setFocus()
    {54, 568, 0, 0, Smoke::mf_const, 48, 48},	//226 QWebFrame::pos() const
    {54, 400, 0, 0, Smoke::mf_const, 50, 49},	//227 QWebFrame::geometry() const
    {54, 290, 0, 0, Smoke::mf_const|Smoke::mf_property, 55, 50},	//228 QWebFrame::contentsSize() const
    {54, 320, 0, 0, Smoke::mf_const, 77, 51},	//229 QWebFrame::documentElement() const
    {54, 367, 16, 1, Smoke::mf_const, 81, 52},	//230 QWebFrame::findAllElements(const QString&) const
    {54, 371, 16, 1, Smoke::mf_const, 77, 53},	//231 QWebFrame::findFirstElement(const QString&) const
    {54, 422, 93, 1, Smoke::mf_const, 97, 54},	//232 QWebFrame::hitTestContent(const QPoint&) const
    {54, 350, 1, 1, 0, 235, 55},	//233 QWebFrame::event(QEvent*)
    {54, 645, 0, 0, Smoke::mf_const, 127, 56},	//234 QWebFrame::securityOrigin() const
    {54, 348, 16, 1, Smoke::mf_slot, 74, 57},	//235 QWebFrame::evaluateJavaScript(const QString&)
    {54, 578, 104, 1, Smoke::mf_const|Smoke::mf_slot, 0, 58},	//236 QWebFrame::print(QPrinter*) const
    {54, 457, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 59},	//237 QWebFrame::javaScriptWindowObjectCleared()
    {54, 582, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 60},	//238 QWebFrame::provisionalLoad()
    {54, 806, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 61},	//239 QWebFrame::titleChanged(const QString&)
    {54, 838, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 62},	//240 QWebFrame::urlChanged(const QUrl&)
    {54, 431, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 63},	//241 QWebFrame::initialLayoutCompleted()
    {54, 426, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 64},	//242 QWebFrame::iconChanged()
    {54, 291, 106, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 65},	//243 QWebFrame::contentsSizeChanged(const QSize&)
    {54, 485, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 66},	//244 QWebFrame::loadStarted()
    {54, 481, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 67},	//245 QWebFrame::loadFinished(bool)
    {54, 556, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 68},	//246 QWebFrame::pageChanged()
    {54, 818, 10, 1, Smoke::mf_static, 62, 69},	//247 QWebFrame::tr(const char*)
    {54, 822, 10, 1, Smoke::mf_static, 62, 70},	//248 QWebFrame::trUtf8(const char*)
    {54, 477, 110, 1, 0, 0, 71},	//249 QWebFrame::load(const QNetworkRequest&)
    {54, 477, 112, 2, 0, 0, 72},	//250 QWebFrame::load(const QNetworkRequest&, QNetworkAccessManager::Operation)
    {54, 698, 16, 1, 0, 0, 73},	//251 QWebFrame::setHtml(const QString&)
    {54, 659, 115, 1, 0, 0, 74},	//252 QWebFrame::setContent(const QByteArray&)
    {54, 659, 117, 2, 0, 0, 75},	//253 QWebFrame::setContent(const QByteArray&, const QString&)
    {54, 602, 120, 2, 0, 0, 76},	//254 QWebFrame::render(QPainter*, QWebFrame::RenderLayer)
    {54, 781, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 239, 77},	//255 QWebFrame::staticMetaObject() const
    {54, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 78},	//256 QWebFrame::ContentsLayer (enum)
    {54, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 79},	//257 QWebFrame::ScrollBarLayer (enum)
    {54, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 80},	//258 QWebFrame::PanIconLayer (enum)
    {54, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 81},	//259 QWebFrame::AllLayers (enum)
    {55, 275, 0, 0, 0, 0, 1},	//260 QWebHistory::clear()
    {55, 445, 0, 0, Smoke::mf_const, 27, 2},	//261 QWebHistory::items() const
    {55, 260, 38, 1, Smoke::mf_const, 27, 3},	//262 QWebHistory::backItems(int) const
    {55, 391, 38, 1, Smoke::mf_const, 27, 4},	//263 QWebHistory::forwardItems(int) const
    {55, 266, 0, 0, Smoke::mf_const, 235, 5},	//264 QWebHistory::canGoBack() const
    {55, 267, 0, 0, Smoke::mf_const, 235, 6},	//265 QWebHistory::canGoForward() const
    {55, 258, 0, 0, 0, 0, 7},	//266 QWebHistory::back()
    {55, 389, 0, 0, 0, 0, 8},	//267 QWebHistory::forward()
    {55, 404, 123, 1, 0, 0, 9},	//268 QWebHistory::goToItem(const QWebHistoryItem&)
    {55, 259, 0, 0, Smoke::mf_const, 94, 10},	//269 QWebHistory::backItem() const
    {55, 304, 0, 0, Smoke::mf_const, 94, 11},	//270 QWebHistory::currentItem() const
    {55, 390, 0, 0, Smoke::mf_const, 94, 12},	//271 QWebHistory::forwardItem() const
    {55, 443, 38, 1, Smoke::mf_const, 94, 13},	//272 QWebHistory::itemAt(int) const
    {55, 305, 0, 0, Smoke::mf_const, 280, 14},	//273 QWebHistory::currentItemIndex() const
    {55, 295, 0, 0, Smoke::mf_const, 280, 15},	//274 QWebHistory::count() const
    {55, 490, 0, 0, Smoke::mf_const, 280, 16},	//275 QWebHistory::maximumItemCount() const
    {55, 709, 38, 1, 0, 0, 17},	//276 QWebHistory::setMaximumItemCount(int)
    {56, 496, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 240, 1},	//277 QWebHistoryInterface::metaObject() const
    {56, 585, 10, 1, Smoke::mf_virtual, 288, 2},	//278 QWebHistoryInterface::qt_metacast(const char*)
    {56, 818, 51, 2, Smoke::mf_static, 62, 3},	//279 QWebHistoryInterface::tr(const char*, const char*)
    {56, 822, 51, 2, Smoke::mf_static, 62, 4},	//280 QWebHistoryInterface::trUtf8(const char*, const char*)
    {56, 818, 54, 3, Smoke::mf_static, 62, 5},	//281 QWebHistoryInterface::tr(const char*, const char*, int)
    {56, 822, 54, 3, Smoke::mf_static, 62, 6},	//282 QWebHistoryInterface::trUtf8(const char*, const char*, int)
    {56, 583, 58, 3, Smoke::mf_virtual, 280, 7},	//283 QWebHistoryInterface::qt_metacall(QMetaObject::Call, int, void**)
    {56, 147, 125, 1, Smoke::mf_ctor, 93, 8},	//284 QWebHistoryInterface::QWebHistoryInterface(QObject*)
    {56, 669, 127, 1, Smoke::mf_static, 0, 9},	//285 QWebHistoryInterface::setDefaultInterface(QWebHistoryInterface*)
    {56, 312, 0, 0, Smoke::mf_static, 93, 10},	//286 QWebHistoryInterface::defaultInterface()
    {56, 420, 16, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 11},	//287 QWebHistoryInterface::historyContains(const QString&) const [pure virtual]
    {56, 229, 16, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//288 QWebHistoryInterface::addHistoryEntry(const QString&) [pure virtual]
    {56, 818, 10, 1, Smoke::mf_static, 62, 13},	//289 QWebHistoryInterface::tr(const char*)
    {56, 822, 10, 1, Smoke::mf_static, 62, 14},	//290 QWebHistoryInterface::trUtf8(const char*)
    {56, 147, 0, 0, Smoke::mf_ctor, 93, 15},	//291 QWebHistoryInterface::QWebHistoryInterface()
    {56, 781, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 239, 16},	//292 QWebHistoryInterface::staticMetaObject() const
    {56, 869, 0, 0, Smoke::mf_dtor, 0, 17 },	//293 QWebHistoryInterface::~QWebHistoryInterface()
    {57, 149, 123, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 96, 1},	//294 QWebHistoryItem::QWebHistoryItem(const QWebHistoryItem&)
    {57, 541, 123, 1, 0, 95, 2},	//295 QWebHistoryItem::operator=(const QWebHistoryItem&)
    {57, 552, 0, 0, Smoke::mf_const, 72, 3},	//296 QWebHistoryItem::originalUrl() const
    {57, 837, 0, 0, Smoke::mf_const, 72, 4},	//297 QWebHistoryItem::url() const
    {57, 805, 0, 0, Smoke::mf_const, 62, 5},	//298 QWebHistoryItem::title() const
    {57, 465, 0, 0, Smoke::mf_const, 8, 6},	//299 QWebHistoryItem::lastVisited() const
    {57, 425, 0, 0, Smoke::mf_const, 20, 7},	//300 QWebHistoryItem::icon() const
    {57, 842, 0, 0, Smoke::mf_const, 74, 8},	//301 QWebHistoryItem::userData() const
    {57, 762, 129, 1, 0, 0, 9},	//302 QWebHistoryItem::setUserData(const QVariant&)
    {57, 442, 0, 0, Smoke::mf_const, 235, 10},	//303 QWebHistoryItem::isValid() const
    {57, 870, 0, 0, Smoke::mf_dtor, 0, 11 },	//304 QWebHistoryItem::~QWebHistoryItem()
    {58, 151, 0, 0, Smoke::mf_ctor, 99, 1},	//305 QWebHitTestResult::QWebHitTestResult()
    {58, 151, 131, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 99, 2},	//306 QWebHitTestResult::QWebHitTestResult(const QWebHitTestResult&)
    {58, 541, 131, 1, 0, 98, 3},	//307 QWebHitTestResult::operator=(const QWebHitTestResult&)
    {58, 440, 0, 0, Smoke::mf_const, 235, 4},	//308 QWebHitTestResult::isNull() const
    {58, 568, 0, 0, Smoke::mf_const, 48, 5},	//309 QWebHitTestResult::pos() const
    {58, 264, 0, 0, Smoke::mf_const, 50, 6},	//310 QWebHitTestResult::boundingRect() const
    {58, 342, 0, 0, Smoke::mf_const, 77, 7},	//311 QWebHitTestResult::enclosingBlockElement() const
    {58, 805, 0, 0, Smoke::mf_const, 62, 8},	//312 QWebHitTestResult::title() const
    {58, 474, 0, 0, Smoke::mf_const, 62, 9},	//313 QWebHitTestResult::linkText() const
    {58, 476, 0, 0, Smoke::mf_const, 72, 10},	//314 QWebHitTestResult::linkUrl() const
    {58, 475, 0, 0, Smoke::mf_const, 72, 11},	//315 QWebHitTestResult::linkTitle() const
    {58, 473, 0, 0, Smoke::mf_const, 90, 12},	//316 QWebHitTestResult::linkTargetFrame() const
    {58, 470, 0, 0, Smoke::mf_const, 77, 13},	//317 QWebHitTestResult::linkElement() const
    {58, 237, 0, 0, Smoke::mf_const, 62, 14},	//318 QWebHitTestResult::alternateText() const
    {58, 430, 0, 0, Smoke::mf_const, 72, 15},	//319 QWebHitTestResult::imageUrl() const
    {58, 564, 0, 0, Smoke::mf_const, 47, 16},	//320 QWebHitTestResult::pixmap() const
    {58, 437, 0, 0, Smoke::mf_const, 235, 17},	//321 QWebHitTestResult::isContentEditable() const
    {58, 438, 0, 0, Smoke::mf_const, 235, 18},	//322 QWebHitTestResult::isContentSelected() const
    {58, 332, 0, 0, Smoke::mf_const, 77, 19},	//323 QWebHitTestResult::element() const
    {58, 394, 0, 0, Smoke::mf_const, 90, 20},	//324 QWebHitTestResult::frame() const
    {58, 871, 0, 0, Smoke::mf_dtor, 0, 21 },	//325 QWebHitTestResult::~QWebHitTestResult()
    {59, 496, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 240, 1},	//326 QWebInspector::metaObject() const
    {59, 585, 10, 1, Smoke::mf_virtual, 288, 2},	//327 QWebInspector::qt_metacast(const char*)
    {59, 818, 51, 2, Smoke::mf_static, 62, 3},	//328 QWebInspector::tr(const char*, const char*)
    {59, 822, 51, 2, Smoke::mf_static, 62, 4},	//329 QWebInspector::trUtf8(const char*, const char*)
    {59, 818, 54, 3, Smoke::mf_static, 62, 5},	//330 QWebInspector::tr(const char*, const char*, int)
    {59, 822, 54, 3, Smoke::mf_static, 62, 6},	//331 QWebInspector::trUtf8(const char*, const char*, int)
    {59, 583, 58, 3, Smoke::mf_virtual, 280, 7},	//332 QWebInspector::qt_metacall(QMetaObject::Call, int, void**)
    {59, 153, 133, 1, Smoke::mf_ctor, 100, 8},	//333 QWebInspector::QWebInspector(QWidget*)
    {59, 731, 135, 1, 0, 0, 9},	//334 QWebInspector::setPage(QWebPage*)
    {59, 553, 0, 0, Smoke::mf_const, 101, 10},	//335 QWebInspector::page() const
    {59, 780, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 55, 11},	//336 QWebInspector::sizeHint() const
    {59, 350, 1, 1, Smoke::mf_virtual, 235, 12},	//337 QWebInspector::event(QEvent*)
    {59, 621, 137, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 13},	//338 QWebInspector::resizeEvent(QResizeEvent*)
    {59, 777, 139, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//339 QWebInspector::showEvent(QShowEvent*)
    {59, 417, 141, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//340 QWebInspector::hideEvent(QHideEvent*)
    {59, 279, 143, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//341 QWebInspector::closeEvent(QCloseEvent*)
    {59, 818, 10, 1, Smoke::mf_static, 62, 17},	//342 QWebInspector::tr(const char*)
    {59, 822, 10, 1, Smoke::mf_static, 62, 18},	//343 QWebInspector::trUtf8(const char*)
    {59, 153, 0, 0, Smoke::mf_ctor, 100, 19},	//344 QWebInspector::QWebInspector()
    {59, 781, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 239, 20},	//345 QWebInspector::staticMetaObject() const
    {59, 872, 0, 0, Smoke::mf_dtor, 0, 21 },	//346 QWebInspector::~QWebInspector()
    {60, 496, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 240, 1},	//347 QWebPage::metaObject() const
    {60, 585, 10, 1, Smoke::mf_virtual, 288, 2},	//348 QWebPage::qt_metacast(const char*)
    {60, 818, 51, 2, Smoke::mf_static, 62, 3},	//349 QWebPage::tr(const char*, const char*)
    {60, 822, 51, 2, Smoke::mf_static, 62, 4},	//350 QWebPage::trUtf8(const char*, const char*)
    {60, 818, 54, 3, Smoke::mf_static, 62, 5},	//351 QWebPage::tr(const char*, const char*, int)
    {60, 822, 54, 3, Smoke::mf_static, 62, 6},	//352 QWebPage::trUtf8(const char*, const char*, int)
    {60, 583, 58, 3, Smoke::mf_virtual, 280, 7},	//353 QWebPage::qt_metacall(QMetaObject::Call, int, void**)
    {60, 155, 125, 1, Smoke::mf_ctor, 101, 8},	//354 QWebPage::QWebPage(QObject*)
    {60, 489, 0, 0, Smoke::mf_const, 90, 9},	//355 QWebPage::mainFrame() const
    {60, 303, 0, 0, Smoke::mf_const, 90, 10},	//356 QWebPage::currentFrame() const
    {60, 395, 93, 1, Smoke::mf_const, 90, 11},	//357 QWebPage::frameAt(const QPoint&) const
    {60, 419, 0, 0, Smoke::mf_const, 92, 12},	//358 QWebPage::history() const
    {60, 775, 0, 0, Smoke::mf_const, 130, 13},	//359 QWebPage::settings() const
    {60, 766, 133, 1, 0, 0, 14},	//360 QWebPage::setView(QWidget*)
    {60, 844, 0, 0, Smoke::mf_const, 138, 15},	//361 QWebPage::view() const
    {60, 439, 0, 0, Smoke::mf_const|Smoke::mf_property, 235, 16},	//362 QWebPage::isModified() const
    {60, 832, 0, 0, Smoke::mf_const, 71, 17},	//363 QWebPage::undoStack() const
    {60, 717, 145, 1, 0, 0, 18},	//364 QWebPage::setNetworkAccessManager(QNetworkAccessManager*)
    {60, 513, 0, 0, Smoke::mf_const, 36, 19},	//365 QWebPage::networkAccessManager() const
    {60, 739, 147, 1, 0, 0, 20},	//366 QWebPage::setPluginFactory(QWebPluginFactory*)
    {60, 565, 0, 0, Smoke::mf_const, 121, 21},	//367 QWebPage::pluginFactory() const
    {60, 817, 0, 0, Smoke::mf_const, 287, 22},	//368 QWebPage::totalBytes() const
    {60, 265, 0, 0, Smoke::mf_const, 287, 23},	//369 QWebPage::bytesReceived() const
    {60, 415, 0, 0, Smoke::mf_const|Smoke::mf_property, 235, 24},	//370 QWebPage::hasSelection() const
    {60, 647, 0, 0, Smoke::mf_const|Smoke::mf_property, 62, 25},	//371 QWebPage::selectedText() const
    {60, 646, 0, 0, Smoke::mf_const|Smoke::mf_property, 62, 26},	//372 QWebPage::selectedHtml() const
    {60, 224, 149, 1, Smoke::mf_const, 1, 27},	//373 QWebPage::action(QWebPage::WebAction) const
    {60, 826, 151, 2, Smoke::mf_virtual, 0, 28},	//374 QWebPage::triggerAction(QWebPage::WebAction, bool)
    {60, 848, 0, 0, Smoke::mf_const|Smoke::mf_property, 55, 29},	//375 QWebPage::viewportSize() const
    {60, 768, 106, 1, Smoke::mf_const|Smoke::mf_property, 0, 30},	//376 QWebPage::setViewportSize(const QSize&) const
    {60, 845, 106, 1, Smoke::mf_const, 115, 31},	//377 QWebPage::viewportAttributesForSize(const QSize&) const
    {60, 569, 0, 0, Smoke::mf_const|Smoke::mf_property, 55, 32},	//378 QWebPage::preferredContentsSize() const
    {60, 741, 106, 1, Smoke::mf_const|Smoke::mf_property, 0, 33},	//379 QWebPage::setPreferredContentsSize(const QSize&) const
    {60, 649, 154, 1, Smoke::mf_const, 0, 34},	//380 QWebPage::setActualVisibleContentRect(const QRect&) const
    {60, 350, 1, 1, Smoke::mf_virtual, 235, 35},	//381 QWebPage::event(QEvent*)
    {60, 380, 108, 1, 0, 235, 36},	//382 QWebPage::focusNextPrevChild(bool)
    {60, 435, 156, 1, Smoke::mf_const, 74, 37},	//383 QWebPage::inputMethodQuery(Qt::InputMethodQuery) const
    {60, 373, 158, 2, 0, 235, 38},	//384 QWebPage::findText(const QString&, QFlags<QWebPage::FindFlag>)
    {60, 694, 108, 1, Smoke::mf_property, 0, 39},	//385 QWebPage::setForwardUnsupportedContent(bool)
    {60, 393, 0, 0, Smoke::mf_const|Smoke::mf_property, 235, 40},	//386 QWebPage::forwardUnsupportedContent() const
    {60, 705, 161, 1, Smoke::mf_property, 0, 41},	//387 QWebPage::setLinkDelegationPolicy(QWebPage::LinkDelegationPolicy)
    {60, 469, 0, 0, Smoke::mf_const|Smoke::mf_property, 112, 42},	//388 QWebPage::linkDelegationPolicy() const
    {60, 733, 163, 1, Smoke::mf_property, 0, 43},	//389 QWebPage::setPalette(const QPalette&)
    {60, 560, 0, 0, Smoke::mf_const|Smoke::mf_property, 46, 44},	//390 QWebPage::palette() const
    {60, 663, 108, 1, Smoke::mf_property, 0, 45},	//391 QWebPage::setContentEditable(bool)
    {60, 437, 0, 0, Smoke::mf_const|Smoke::mf_property, 235, 46},	//392 QWebPage::isContentEditable() const
    {60, 796, 165, 1, 0, 235, 47},	//393 QWebPage::swallowContextMenuEvent(QContextMenuEvent*)
    {60, 835, 93, 1, 0, 0, 48},	//394 QWebPage::updatePositionDependentActions(const QPoint&)
    {60, 300, 0, 0, 0, 31, 49},	//395 QWebPage::createStandardContextMenu()
    {60, 683, 167, 3, 0, 0, 50},	//396 QWebPage::setFeaturePermission(QWebFrame*, QWebPage::Feature, QWebPage::PermissionPolicy)
    {60, 791, 0, 0, Smoke::mf_const, 65, 51},	//397 QWebPage::supportedContentTypes() const
    {60, 792, 16, 1, Smoke::mf_const, 235, 52},	//398 QWebPage::supportsContentType(const QString&) const
    {60, 354, 171, 3, Smoke::mf_virtual, 235, 53},	//399 QWebPage::extension(QWebPage::Extension, const QWebPage::ExtensionOption*, QWebPage::ExtensionReturn*)
    {60, 794, 175, 1, Smoke::mf_const|Smoke::mf_virtual, 235, 54},	//400 QWebPage::supportsExtension(QWebPage::Extension) const
    {60, 406, 0, 0, Smoke::mf_const, 120, 55},	//401 QWebPage::handle() const
    {60, 776, 0, 0, Smoke::mf_slot, 235, 56},	//402 QWebPage::shouldInterruptJavaScript()
    {60, 485, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//403 QWebPage::loadStarted()
    {60, 483, 38, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 58},	//404 QWebPage::loadProgress(int)
    {60, 481, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 59},	//405 QWebPage::loadFinished(bool)
    {60, 471, 21, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 60},	//406 QWebPage::linkHovered(const QString&, const QString&, const QString&)
    {60, 782, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 61},	//407 QWebPage::statusBarMessage(const QString&)
    {60, 648, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 62},	//408 QWebPage::selectionChanged()
    {60, 397, 177, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 63},	//409 QWebPage::frameCreated(QWebFrame*)
    {60, 401, 154, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 64},	//410 QWebPage::geometryChangeRequested(const QRect&)
    {60, 609, 154, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 65},	//411 QWebPage::repaintRequested(const QRect&)
    {60, 641, 179, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 66},	//412 QWebPage::scrollRequested(int, int, const QRect&)
    {60, 855, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 67},	//413 QWebPage::windowCloseRequested()
    {60, 580, 177, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 68},	//414 QWebPage::printRequested(QWebFrame*)
    {60, 467, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 69},	//415 QWebPage::linkClicked(const QUrl&)
    {60, 815, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 70},	//416 QWebPage::toolBarVisibilityChangeRequested(bool)
    {60, 784, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 71},	//417 QWebPage::statusBarVisibilityChangeRequested(bool)
    {60, 493, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 72},	//418 QWebPage::menuBarVisibilityChangeRequested(bool)
    {60, 833, 183, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 73},	//419 QWebPage::unsupportedContent(QNetworkReply*)
    {60, 322, 110, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 74},	//420 QWebPage::downloadRequested(const QNetworkRequest&)
    {60, 498, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 75},	//421 QWebPage::microFocusChanged()
    {60, 289, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 76},	//422 QWebPage::contentsChanged()
    {60, 308, 185, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 77},	//423 QWebPage::databaseQuotaExceeded(QWebFrame*, QString)
    {60, 246, 188, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 78},	//424 QWebPage::applicationCacheQuotaExceeded(QWebSecurityOrigin*, quint64)
    {60, 625, 191, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 79},	//425 QWebPage::saveFrameStateRequested(QWebFrame*, QWebHistoryItem*)
    {60, 623, 177, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 80},	//426 QWebPage::restoreFrameStateRequested(QWebFrame*)
    {60, 847, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 81},	//427 QWebPage::viewportChangeRequested()
    {60, 360, 194, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 82},	//428 QWebPage::featurePermissionRequested(QWebFrame*, QWebPage::Feature)
    {60, 358, 194, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 83},	//429 QWebPage::featurePermissionRequestCanceled(QWebFrame*, QWebPage::Feature)
    {60, 301, 197, 1, Smoke::mf_protected|Smoke::mf_virtual, 101, 84},	//430 QWebPage::createWindow(QWebPage::WebWindowType)
    {60, 298, 199, 4, Smoke::mf_protected|Smoke::mf_virtual, 40, 85},	//431 QWebPage::createPlugin(const QString&, const QUrl&, const QStringList&, const QStringList&)
    {60, 222, 204, 3, Smoke::mf_protected|Smoke::mf_virtual, 235, 86},	//432 QWebPage::acceptNavigationRequest(QWebFrame*, const QNetworkRequest&, QWebPage::NavigationType)
    {60, 272, 208, 2, Smoke::mf_protected|Smoke::mf_virtual, 62, 87},	//433 QWebPage::chooseFile(QWebFrame*, const QString&)
    {60, 449, 208, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 88},	//434 QWebPage::javaScriptAlert(QWebFrame*, const QString&)
    {60, 451, 208, 2, Smoke::mf_protected|Smoke::mf_virtual, 235, 89},	//435 QWebPage::javaScriptConfirm(QWebFrame*, const QString&)
    {60, 455, 211, 4, Smoke::mf_protected|Smoke::mf_virtual, 235, 90},	//436 QWebPage::javaScriptPrompt(QWebFrame*, const QString&, const QString&, QString*)
    {60, 453, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 91},	//437 QWebPage::javaScriptConsoleMessage(const QString&, int, const QString&)
    {60, 840, 62, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 62, 92},	//438 QWebPage::userAgentForUrl(const QUrl&) const
    {60, 818, 10, 1, Smoke::mf_static, 62, 93},	//439 QWebPage::tr(const char*)
    {60, 822, 10, 1, Smoke::mf_static, 62, 94},	//440 QWebPage::trUtf8(const char*)
    {60, 155, 0, 0, Smoke::mf_ctor, 101, 95},	//441 QWebPage::QWebPage()
    {60, 826, 149, 1, 0, 0, 96},	//442 QWebPage::triggerAction(QWebPage::WebAction)
    {60, 373, 16, 1, 0, 235, 97},	//443 QWebPage::findText(const QString&)
    {60, 354, 175, 1, 0, 235, 98},	//444 QWebPage::extension(QWebPage::Extension)
    {60, 354, 220, 2, 0, 235, 99},	//445 QWebPage::extension(QWebPage::Extension, const QWebPage::ExtensionOption*)
    {60, 781, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 239, 100},	//446 QWebPage::staticMetaObject() const
    {60, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 101},	//447 QWebPage::NavigationTypeLinkClicked (enum)
    {60, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 102},	//448 QWebPage::NavigationTypeFormSubmitted (enum)
    {60, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 103},	//449 QWebPage::NavigationTypeBackOrForward (enum)
    {60, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 104},	//450 QWebPage::NavigationTypeReload (enum)
    {60, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 105},	//451 QWebPage::NavigationTypeFormResubmitted (enum)
    {60, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 106},	//452 QWebPage::NavigationTypeOther (enum)
    {60, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 107},	//453 QWebPage::NoWebAction (enum)
    {60, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 108},	//454 QWebPage::OpenLink (enum)
    {60, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 109},	//455 QWebPage::OpenLinkInNewWindow (enum)
    {60, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 110},	//456 QWebPage::OpenFrameInNewWindow (enum)
    {60, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 111},	//457 QWebPage::DownloadLinkToDisk (enum)
    {60, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 112},	//458 QWebPage::CopyLinkToClipboard (enum)
    {60, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 113},	//459 QWebPage::OpenImageInNewWindow (enum)
    {60, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 114},	//460 QWebPage::DownloadImageToDisk (enum)
    {60, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 115},	//461 QWebPage::CopyImageToClipboard (enum)
    {60, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 116},	//462 QWebPage::Back (enum)
    {60, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 117},	//463 QWebPage::Forward (enum)
    {60, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 118},	//464 QWebPage::Stop (enum)
    {60, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 119},	//465 QWebPage::Reload (enum)
    {60, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 120},	//466 QWebPage::Cut (enum)
    {60, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 121},	//467 QWebPage::Copy (enum)
    {60, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 122},	//468 QWebPage::Paste (enum)
    {60, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 123},	//469 QWebPage::Undo (enum)
    {60, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 124},	//470 QWebPage::Redo (enum)
    {60, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 125},	//471 QWebPage::MoveToNextChar (enum)
    {60, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 126},	//472 QWebPage::MoveToPreviousChar (enum)
    {60, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 127},	//473 QWebPage::MoveToNextWord (enum)
    {60, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 128},	//474 QWebPage::MoveToPreviousWord (enum)
    {60, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 129},	//475 QWebPage::MoveToNextLine (enum)
    {60, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 130},	//476 QWebPage::MoveToPreviousLine (enum)
    {60, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 131},	//477 QWebPage::MoveToStartOfLine (enum)
    {60, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 132},	//478 QWebPage::MoveToEndOfLine (enum)
    {60, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 133},	//479 QWebPage::MoveToStartOfBlock (enum)
    {60, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 134},	//480 QWebPage::MoveToEndOfBlock (enum)
    {60, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 135},	//481 QWebPage::MoveToStartOfDocument (enum)
    {60, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 136},	//482 QWebPage::MoveToEndOfDocument (enum)
    {60, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 137},	//483 QWebPage::SelectNextChar (enum)
    {60, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 138},	//484 QWebPage::SelectPreviousChar (enum)
    {60, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 139},	//485 QWebPage::SelectNextWord (enum)
    {60, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 140},	//486 QWebPage::SelectPreviousWord (enum)
    {60, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 141},	//487 QWebPage::SelectNextLine (enum)
    {60, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 142},	//488 QWebPage::SelectPreviousLine (enum)
    {60, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 143},	//489 QWebPage::SelectStartOfLine (enum)
    {60, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 144},	//490 QWebPage::SelectEndOfLine (enum)
    {60, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 145},	//491 QWebPage::SelectStartOfBlock (enum)
    {60, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 146},	//492 QWebPage::SelectEndOfBlock (enum)
    {60, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 147},	//493 QWebPage::SelectStartOfDocument (enum)
    {60, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 148},	//494 QWebPage::SelectEndOfDocument (enum)
    {60, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 149},	//495 QWebPage::DeleteStartOfWord (enum)
    {60, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 150},	//496 QWebPage::DeleteEndOfWord (enum)
    {60, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 151},	//497 QWebPage::SetTextDirectionDefault (enum)
    {60, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 152},	//498 QWebPage::SetTextDirectionLeftToRight (enum)
    {60, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 153},	//499 QWebPage::SetTextDirectionRightToLeft (enum)
    {60, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 154},	//500 QWebPage::ToggleBold (enum)
    {60, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 155},	//501 QWebPage::ToggleItalic (enum)
    {60, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 156},	//502 QWebPage::ToggleUnderline (enum)
    {60, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 157},	//503 QWebPage::InspectElement (enum)
    {60, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 158},	//504 QWebPage::InsertParagraphSeparator (enum)
    {60, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 159},	//505 QWebPage::InsertLineSeparator (enum)
    {60, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 160},	//506 QWebPage::SelectAll (enum)
    {60, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 161},	//507 QWebPage::ReloadAndBypassCache (enum)
    {60, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 162},	//508 QWebPage::PasteAndMatchStyle (enum)
    {60, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 163},	//509 QWebPage::RemoveFormat (enum)
    {60, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 164},	//510 QWebPage::ToggleStrikethrough (enum)
    {60, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 165},	//511 QWebPage::ToggleSubscript (enum)
    {60, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 166},	//512 QWebPage::ToggleSuperscript (enum)
    {60, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 167},	//513 QWebPage::InsertUnorderedList (enum)
    {60, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 168},	//514 QWebPage::InsertOrderedList (enum)
    {60, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 169},	//515 QWebPage::Indent (enum)
    {60, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 170},	//516 QWebPage::Outdent (enum)
    {60, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 171},	//517 QWebPage::AlignCenter (enum)
    {60, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 172},	//518 QWebPage::AlignJustified (enum)
    {60, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 173},	//519 QWebPage::AlignLeft (enum)
    {60, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 174},	//520 QWebPage::AlignRight (enum)
    {60, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 175},	//521 QWebPage::StopScheduledPageRefresh (enum)
    {60, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 176},	//522 QWebPage::CopyImageUrlToClipboard (enum)
    {60, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 177},	//523 QWebPage::WebActionCount (enum)
    {60, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 178},	//524 QWebPage::FindBackward (enum)
    {60, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 179},	//525 QWebPage::FindCaseSensitively (enum)
    {60, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 180},	//526 QWebPage::FindWrapsAroundDocument (enum)
    {60, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 181},	//527 QWebPage::HighlightAllOccurrences (enum)
    {60, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 182},	//528 QWebPage::DontDelegateLinks (enum)
    {60, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 183},	//529 QWebPage::DelegateExternalLinks (enum)
    {60, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 184},	//530 QWebPage::DelegateAllLinks (enum)
    {60, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 185},	//531 QWebPage::WebBrowserWindow (enum)
    {60, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 186},	//532 QWebPage::WebModalDialog (enum)
    {60, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 187},	//533 QWebPage::PermissionUnknown (enum)
    {60, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 188},	//534 QWebPage::PermissionGrantedByUser (enum)
    {60, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 189},	//535 QWebPage::PermissionDeniedByUser (enum)
    {60, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 190},	//536 QWebPage::Notifications (enum)
    {60, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 191},	//537 QWebPage::Geolocation (enum)
    {60, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 192},	//538 QWebPage::ChooseMultipleFilesExtension (enum)
    {60, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 193},	//539 QWebPage::ErrorPageExtension (enum)
    {60, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 194},	//540 QWebPage::QtNetwork (enum)
    {60, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 195},	//541 QWebPage::Http (enum)
    {60, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 196},	//542 QWebPage::WebKit (enum)
    {60, 873, 0, 0, Smoke::mf_dtor, 0, 197 },	//543 QWebPage::~QWebPage()
    {61, 11, 0, 0, Smoke::mf_ctor, 102, 1},	//544 QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption()
    {61, 11, 223, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 102, 2},	//545 QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption(const QWebPage::ChooseMultipleFilesExtensionOption&)
    {61, 563, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 90, 3},	//546 QWebPage::ChooseMultipleFilesExtensionOption::parentFrame() const
    {61, 735, 177, 1, Smoke::mf_attribute, 0, 4},	//547 QWebPage::ChooseMultipleFilesExtensionOption::setParentFrame(QWebFrame*)
    {61, 790, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 66, 5},	//548 QWebPage::ChooseMultipleFilesExtensionOption::suggestedFileNames() const
    {61, 756, 225, 1, Smoke::mf_attribute, 0, 6},	//549 QWebPage::ChooseMultipleFilesExtensionOption::setSuggestedFileNames(const QStringList&)
    {61, 858, 0, 0, Smoke::mf_dtor, 0, 7 },	//550 QWebPage::ChooseMultipleFilesExtensionOption::~ChooseMultipleFilesExtensionOption()
    {62, 13, 0, 0, Smoke::mf_ctor, 103, 1},	//551 QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn()
    {62, 13, 227, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 103, 2},	//552 QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn(const QWebPage::ChooseMultipleFilesExtensionReturn&)
    {62, 364, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 66, 3},	//553 QWebPage::ChooseMultipleFilesExtensionReturn::fileNames() const
    {62, 687, 225, 1, Smoke::mf_attribute, 0, 4},	//554 QWebPage::ChooseMultipleFilesExtensionReturn::setFileNames(const QStringList&)
    {62, 859, 0, 0, Smoke::mf_dtor, 0, 5 },	//555 QWebPage::ChooseMultipleFilesExtensionReturn::~ChooseMultipleFilesExtensionReturn()
    {63, 39, 0, 0, Smoke::mf_ctor, 105, 1},	//556 QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption()
    {63, 39, 229, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 105, 2},	//557 QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption(const QWebPage::ErrorPageExtensionOption&)
    {63, 837, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 73, 3},	//558 QWebPage::ErrorPageExtensionOption::url() const
    {63, 760, 62, 1, Smoke::mf_attribute, 0, 4},	//559 QWebPage::ErrorPageExtensionOption::setUrl(const QUrl&)
    {63, 394, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 90, 5},	//560 QWebPage::ErrorPageExtensionOption::frame() const
    {63, 696, 177, 1, Smoke::mf_attribute, 0, 6},	//561 QWebPage::ErrorPageExtensionOption::setFrame(QWebFrame*)
    {63, 321, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 104, 7},	//562 QWebPage::ErrorPageExtensionOption::domain() const
    {63, 675, 231, 1, Smoke::mf_attribute, 0, 8},	//563 QWebPage::ErrorPageExtensionOption::setDomain(QWebPage::ErrorDomain)
    {63, 346, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 280, 9},	//564 QWebPage::ErrorPageExtensionOption::error() const
    {63, 679, 38, 1, Smoke::mf_attribute, 0, 10},	//565 QWebPage::ErrorPageExtensionOption::setError(int)
    {63, 347, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 63, 11},	//566 QWebPage::ErrorPageExtensionOption::errorString() const
    {63, 681, 16, 1, Smoke::mf_attribute, 0, 12},	//567 QWebPage::ErrorPageExtensionOption::setErrorString(const QString&)
    {63, 860, 0, 0, Smoke::mf_dtor, 0, 13 },	//568 QWebPage::ErrorPageExtensionOption::~ErrorPageExtensionOption()
    {64, 41, 0, 0, Smoke::mf_ctor, 106, 1},	//569 QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn()
    {64, 41, 233, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 106, 2},	//570 QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn(const QWebPage::ErrorPageExtensionReturn&)
    {64, 288, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 63, 3},	//571 QWebPage::ErrorPageExtensionReturn::contentType() const
    {64, 665, 16, 1, Smoke::mf_attribute, 0, 4},	//572 QWebPage::ErrorPageExtensionReturn::setContentType(const QString&)
    {64, 343, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 63, 5},	//573 QWebPage::ErrorPageExtensionReturn::encoding() const
    {64, 677, 16, 1, Smoke::mf_attribute, 0, 6},	//574 QWebPage::ErrorPageExtensionReturn::setEncoding(const QString&)
    {64, 262, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 73, 7},	//575 QWebPage::ErrorPageExtensionReturn::baseUrl() const
    {64, 657, 62, 1, Smoke::mf_attribute, 0, 8},	//576 QWebPage::ErrorPageExtensionReturn::setBaseUrl(const QUrl&)
    {64, 287, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 4, 9},	//577 QWebPage::ErrorPageExtensionReturn::content() const
    {64, 659, 115, 1, Smoke::mf_attribute, 0, 10},	//578 QWebPage::ErrorPageExtensionReturn::setContent(const QByteArray&)
    {64, 861, 0, 0, Smoke::mf_dtor, 0, 11 },	//579 QWebPage::ErrorPageExtensionReturn::~ErrorPageExtensionReturn()
    {65, 43, 0, 0, Smoke::mf_ctor, 108, 1},	//580 QWebPage::ExtensionOption::ExtensionOption()
    {65, 43, 235, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 108, 2},	//581 QWebPage::ExtensionOption::ExtensionOption(const QWebPage::ExtensionOption&)
    {65, 862, 0, 0, Smoke::mf_dtor, 0, 3 },	//582 QWebPage::ExtensionOption::~ExtensionOption()
    {66, 45, 0, 0, Smoke::mf_ctor, 109, 1},	//583 QWebPage::ExtensionReturn::ExtensionReturn()
    {66, 45, 237, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 109, 2},	//584 QWebPage::ExtensionReturn::ExtensionReturn(const QWebPage::ExtensionReturn&)
    {66, 863, 0, 0, Smoke::mf_dtor, 0, 3 },	//585 QWebPage::ExtensionReturn::~ExtensionReturn()
    {67, 213, 0, 0, Smoke::mf_ctor, 117, 1},	//586 QWebPage::ViewportAttributes::ViewportAttributes()
    {67, 213, 239, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 117, 2},	//587 QWebPage::ViewportAttributes::ViewportAttributes(const QWebPage::ViewportAttributes&)
    {67, 541, 239, 1, 0, 116, 3},	//588 QWebPage::ViewportAttributes::operator=(const QWebPage::ViewportAttributes&)
    {67, 432, 0, 0, Smoke::mf_const, 279, 4},	//589 QWebPage::ViewportAttributes::initialScaleFactor() const
    {67, 500, 0, 0, Smoke::mf_const, 279, 5},	//590 QWebPage::ViewportAttributes::minimumScaleFactor() const
    {67, 492, 0, 0, Smoke::mf_const, 279, 6},	//591 QWebPage::ViewportAttributes::maximumScaleFactor() const
    {67, 316, 0, 0, Smoke::mf_const, 279, 7},	//592 QWebPage::ViewportAttributes::devicePixelRatio() const
    {67, 441, 0, 0, Smoke::mf_const, 235, 8},	//593 QWebPage::ViewportAttributes::isUserScalable() const
    {67, 442, 0, 0, Smoke::mf_const, 235, 9},	//594 QWebPage::ViewportAttributes::isValid() const
    {67, 779, 0, 0, Smoke::mf_const, 55, 10},	//595 QWebPage::ViewportAttributes::size() const
    {67, 877, 0, 0, Smoke::mf_dtor, 0, 11 },	//596 QWebPage::ViewportAttributes::~ViewportAttributes()
    {69, 496, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 240, 1},	//597 QWebPluginFactory::metaObject() const
    {69, 585, 10, 1, Smoke::mf_virtual, 288, 2},	//598 QWebPluginFactory::qt_metacast(const char*)
    {69, 818, 51, 2, Smoke::mf_static, 62, 3},	//599 QWebPluginFactory::tr(const char*, const char*)
    {69, 822, 51, 2, Smoke::mf_static, 62, 4},	//600 QWebPluginFactory::trUtf8(const char*, const char*)
    {69, 818, 54, 3, Smoke::mf_static, 62, 5},	//601 QWebPluginFactory::tr(const char*, const char*, int)
    {69, 822, 54, 3, Smoke::mf_static, 62, 6},	//602 QWebPluginFactory::trUtf8(const char*, const char*, int)
    {69, 583, 58, 3, Smoke::mf_virtual, 280, 7},	//603 QWebPluginFactory::qt_metacall(QMetaObject::Call, int, void**)
    {69, 157, 125, 1, Smoke::mf_ctor, 121, 8},	//604 QWebPluginFactory::QWebPluginFactory(QObject*)
    {69, 566, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 29, 9},	//605 QWebPluginFactory::plugins() const [pure virtual]
    {69, 587, 0, 0, Smoke::mf_virtual, 0, 10},	//606 QWebPluginFactory::refreshPlugins()
    {69, 296, 199, 4, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 40, 11},	//607 QWebPluginFactory::create(const QString&, const QUrl&, const QStringList&, const QStringList&) const [pure virtual]
    {69, 354, 241, 3, Smoke::mf_virtual, 235, 12},	//608 QWebPluginFactory::extension(QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*, QWebPluginFactory::ExtensionReturn*)
    {69, 794, 245, 1, Smoke::mf_const|Smoke::mf_virtual, 235, 13},	//609 QWebPluginFactory::supportsExtension(QWebPluginFactory::Extension) const
    {69, 818, 10, 1, Smoke::mf_static, 62, 14},	//610 QWebPluginFactory::tr(const char*)
    {69, 822, 10, 1, Smoke::mf_static, 62, 15},	//611 QWebPluginFactory::trUtf8(const char*)
    {69, 157, 0, 0, Smoke::mf_ctor, 121, 16},	//612 QWebPluginFactory::QWebPluginFactory()
    {69, 354, 245, 1, 0, 235, 17},	//613 QWebPluginFactory::extension(QWebPluginFactory::Extension)
    {69, 354, 247, 2, 0, 235, 18},	//614 QWebPluginFactory::extension(QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*)
    {69, 781, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 239, 19},	//615 QWebPluginFactory::staticMetaObject() const
    {69, 874, 0, 0, Smoke::mf_dtor, 0, 20 },	//616 QWebPluginFactory::~QWebPluginFactory()
    {70, 43, 0, 0, Smoke::mf_ctor, 123, 1},	//617 QWebPluginFactory::ExtensionOption::ExtensionOption()
    {70, 43, 250, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 123, 2},	//618 QWebPluginFactory::ExtensionOption::ExtensionOption(const QWebPluginFactory::ExtensionOption&)
    {70, 862, 0, 0, Smoke::mf_dtor, 0, 3 },	//619 QWebPluginFactory::ExtensionOption::~ExtensionOption()
    {71, 45, 0, 0, Smoke::mf_ctor, 124, 1},	//620 QWebPluginFactory::ExtensionReturn::ExtensionReturn()
    {71, 45, 252, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 124, 2},	//621 QWebPluginFactory::ExtensionReturn::ExtensionReturn(const QWebPluginFactory::ExtensionReturn&)
    {71, 863, 0, 0, Smoke::mf_dtor, 0, 3 },	//622 QWebPluginFactory::ExtensionReturn::~ExtensionReturn()
    {72, 543, 254, 1, Smoke::mf_const, 235, 1},	//623 QWebPluginFactory::MimeType::operator==(const QWebPluginFactory::MimeType&) const
    {72, 519, 254, 1, Smoke::mf_const, 235, 2},	//624 QWebPluginFactory::MimeType::operator!=(const QWebPluginFactory::MimeType&) const
    {72, 96, 0, 0, Smoke::mf_ctor, 125, 3},	//625 QWebPluginFactory::MimeType::MimeType()
    {72, 96, 254, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 125, 4},	//626 QWebPluginFactory::MimeType::MimeType(const QWebPluginFactory::MimeType&)
    {72, 511, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 63, 5},	//627 QWebPluginFactory::MimeType::name() const
    {72, 715, 16, 1, Smoke::mf_attribute, 0, 6},	//628 QWebPluginFactory::MimeType::setName(const QString&)
    {72, 314, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 63, 7},	//629 QWebPluginFactory::MimeType::description() const
    {72, 673, 16, 1, Smoke::mf_attribute, 0, 8},	//630 QWebPluginFactory::MimeType::setDescription(const QString&)
    {72, 362, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 66, 9},	//631 QWebPluginFactory::MimeType::fileExtensions() const
    {72, 685, 225, 1, Smoke::mf_attribute, 0, 10},	//632 QWebPluginFactory::MimeType::setFileExtensions(const QStringList&)
    {72, 864, 0, 0, Smoke::mf_dtor, 0, 11 },	//633 QWebPluginFactory::MimeType::~MimeType()
    {73, 135, 0, 0, Smoke::mf_ctor, 126, 1},	//634 QWebPluginFactory::Plugin::Plugin()
    {73, 135, 256, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 126, 2},	//635 QWebPluginFactory::Plugin::Plugin(const QWebPluginFactory::Plugin&)
    {73, 511, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 63, 3},	//636 QWebPluginFactory::Plugin::name() const
    {73, 715, 16, 1, Smoke::mf_attribute, 0, 4},	//637 QWebPluginFactory::Plugin::setName(const QString&)
    {73, 314, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 63, 5},	//638 QWebPluginFactory::Plugin::description() const
    {73, 673, 16, 1, Smoke::mf_attribute, 0, 6},	//639 QWebPluginFactory::Plugin::setDescription(const QString&)
    {73, 499, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 28, 7},	//640 QWebPluginFactory::Plugin::mimeTypes() const
    {73, 713, 258, 1, Smoke::mf_attribute, 0, 8},	//641 QWebPluginFactory::Plugin::setMimeTypes(const QList<QWebPluginFactory::MimeType>&)
    {73, 865, 0, 0, Smoke::mf_dtor, 0, 9 },	//642 QWebPluginFactory::Plugin::~Plugin()
    {74, 236, 0, 0, Smoke::mf_static, 30, 1},	//643 QWebSecurityOrigin::allOrigins()
    {74, 231, 16, 1, Smoke::mf_static, 0, 2},	//644 QWebSecurityOrigin::addLocalScheme(const QString&)
    {74, 600, 16, 1, Smoke::mf_static, 0, 3},	//645 QWebSecurityOrigin::removeLocalScheme(const QString&)
    {74, 487, 0, 0, Smoke::mf_static, 65, 4},	//646 QWebSecurityOrigin::localSchemes()
    {74, 627, 0, 0, Smoke::mf_const, 62, 5},	//647 QWebSecurityOrigin::scheme() const
    {74, 424, 0, 0, Smoke::mf_const, 62, 6},	//648 QWebSecurityOrigin::host() const
    {74, 567, 0, 0, Smoke::mf_const, 280, 7},	//649 QWebSecurityOrigin::port() const
    {74, 310, 0, 0, Smoke::mf_const, 282, 8},	//650 QWebSecurityOrigin::databaseUsage() const
    {74, 307, 0, 0, Smoke::mf_const, 282, 9},	//651 QWebSecurityOrigin::databaseQuota() const
    {74, 667, 260, 1, 0, 0, 10},	//652 QWebSecurityOrigin::setDatabaseQuota(long long)
    {74, 651, 260, 1, 0, 0, 11},	//653 QWebSecurityOrigin::setApplicationCacheQuota(long long)
    {74, 311, 0, 0, Smoke::mf_const, 24, 12},	//654 QWebSecurityOrigin::databases() const
    {74, 159, 262, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 129, 13},	//655 QWebSecurityOrigin::QWebSecurityOrigin(const QWebSecurityOrigin&)
    {74, 541, 262, 1, 0, 128, 14},	//656 QWebSecurityOrigin::operator=(const QWebSecurityOrigin&)
    {74, 875, 0, 0, Smoke::mf_dtor, 0, 15 },	//657 QWebSecurityOrigin::~QWebSecurityOrigin()
    {75, 403, 0, 0, Smoke::mf_static, 130, 1},	//658 QWebSettings::globalSettings()
    {75, 690, 264, 2, 0, 0, 2},	//659 QWebSettings::setFontFamily(QWebSettings::FontFamily, const QString&)
    {75, 385, 267, 1, Smoke::mf_const, 62, 3},	//660 QWebSettings::fontFamily(QWebSettings::FontFamily) const
    {75, 617, 267, 1, 0, 0, 4},	//661 QWebSettings::resetFontFamily(QWebSettings::FontFamily)
    {75, 692, 269, 2, 0, 0, 5},	//662 QWebSettings::setFontSize(QWebSettings::FontSize, int)
    {75, 387, 272, 1, Smoke::mf_const, 280, 6},	//663 QWebSettings::fontSize(QWebSettings::FontSize) const
    {75, 619, 272, 1, 0, 0, 7},	//664 QWebSettings::resetFontSize(QWebSettings::FontSize)
    {75, 653, 274, 2, 0, 0, 8},	//665 QWebSettings::setAttribute(QWebSettings::WebAttribute, bool)
    {75, 801, 277, 1, Smoke::mf_const, 235, 9},	//666 QWebSettings::testAttribute(QWebSettings::WebAttribute) const
    {75, 615, 277, 1, 0, 0, 10},	//667 QWebSettings::resetAttribute(QWebSettings::WebAttribute)
    {75, 764, 62, 1, 0, 0, 11},	//668 QWebSettings::setUserStyleSheetUrl(const QUrl&)
    {75, 843, 0, 0, Smoke::mf_const, 72, 12},	//669 QWebSettings::userStyleSheetUrl() const
    {75, 671, 16, 1, 0, 0, 13},	//670 QWebSettings::setDefaultTextEncoding(const QString&)
    {75, 313, 0, 0, Smoke::mf_const, 62, 14},	//671 QWebSettings::defaultTextEncoding() const
    {75, 701, 16, 1, Smoke::mf_static, 0, 15},	//672 QWebSettings::setIconDatabasePath(const QString&)
    {75, 427, 0, 0, Smoke::mf_static, 62, 16},	//673 QWebSettings::iconDatabasePath()
    {75, 276, 0, 0, Smoke::mf_static, 0, 17},	//674 QWebSettings::clearIconDatabase()
    {75, 428, 62, 1, Smoke::mf_static, 20, 18},	//675 QWebSettings::iconForUrl(const QUrl&)
    {75, 771, 279, 2, Smoke::mf_static, 0, 19},	//676 QWebSettings::setWebGraphic(QWebSettings::WebGraphic, const QPixmap&)
    {75, 850, 282, 1, Smoke::mf_static, 47, 20},	//677 QWebSettings::webGraphic(QWebSettings::WebGraphic)
    {75, 711, 38, 1, Smoke::mf_static, 0, 21},	//678 QWebSettings::setMaximumPagesInCache(int)
    {75, 491, 0, 0, Smoke::mf_static, 280, 22},	//679 QWebSettings::maximumPagesInCache()
    {75, 719, 284, 3, Smoke::mf_static, 0, 23},	//680 QWebSettings::setObjectCacheCapacities(int, int, int)
    {75, 723, 16, 1, Smoke::mf_static, 0, 24},	//681 QWebSettings::setOfflineStoragePath(const QString&)
    {75, 516, 0, 0, Smoke::mf_static, 62, 25},	//682 QWebSettings::offlineStoragePath()
    {75, 721, 260, 1, Smoke::mf_static, 0, 26},	//683 QWebSettings::setOfflineStorageDefaultQuota(long long)
    {75, 515, 0, 0, Smoke::mf_static, 282, 27},	//684 QWebSettings::offlineStorageDefaultQuota()
    {75, 725, 16, 1, Smoke::mf_static, 0, 28},	//685 QWebSettings::setOfflineWebApplicationCachePath(const QString&)
    {75, 517, 0, 0, Smoke::mf_static, 62, 29},	//686 QWebSettings::offlineWebApplicationCachePath()
    {75, 727, 260, 1, Smoke::mf_static, 0, 30},	//687 QWebSettings::setOfflineWebApplicationCacheQuota(long long)
    {75, 518, 0, 0, Smoke::mf_static, 282, 31},	//688 QWebSettings::offlineWebApplicationCacheQuota()
    {75, 707, 16, 1, 0, 0, 32},	//689 QWebSettings::setLocalStoragePath(const QString&)
    {75, 488, 0, 0, Smoke::mf_const, 62, 33},	//690 QWebSettings::localStoragePath() const
    {75, 277, 0, 0, Smoke::mf_static, 0, 34},	//691 QWebSettings::clearMemoryCaches()
    {75, 333, 16, 1, Smoke::mf_static, 0, 35},	//692 QWebSettings::enablePersistentStorage(const QString&)
    {75, 406, 0, 0, Smoke::mf_const, 135, 36},	//693 QWebSettings::handle() const
    {75, 333, 0, 0, Smoke::mf_static, 0, 37},	//694 QWebSettings::enablePersistentStorage()
    {75, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 38},	//695 QWebSettings::StandardFont (enum)
    {75, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 39},	//696 QWebSettings::FixedFont (enum)
    {75, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 40},	//697 QWebSettings::SerifFont (enum)
    {75, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 41},	//698 QWebSettings::SansSerifFont (enum)
    {75, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 42},	//699 QWebSettings::CursiveFont (enum)
    {75, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 43},	//700 QWebSettings::FantasyFont (enum)
    {75, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 44},	//701 QWebSettings::AutoLoadImages (enum)
    {75, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 45},	//702 QWebSettings::JavascriptEnabled (enum)
    {75, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 46},	//703 QWebSettings::JavaEnabled (enum)
    {75, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 47},	//704 QWebSettings::PluginsEnabled (enum)
    {75, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 48},	//705 QWebSettings::PrivateBrowsingEnabled (enum)
    {75, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 49},	//706 QWebSettings::JavascriptCanOpenWindows (enum)
    {75, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 50},	//707 QWebSettings::JavascriptCanAccessClipboard (enum)
    {75, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 51},	//708 QWebSettings::DeveloperExtrasEnabled (enum)
    {75, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 52},	//709 QWebSettings::LinksIncludedInFocusChain (enum)
    {75, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 53},	//710 QWebSettings::ZoomTextOnly (enum)
    {75, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 54},	//711 QWebSettings::PrintElementBackgrounds (enum)
    {75, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 55},	//712 QWebSettings::OfflineStorageDatabaseEnabled (enum)
    {75, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 56},	//713 QWebSettings::OfflineWebApplicationCacheEnabled (enum)
    {75, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 57},	//714 QWebSettings::LocalStorageEnabled (enum)
    {75, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 58},	//715 QWebSettings::LocalStorageDatabaseEnabled (enum)
    {75, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 59},	//716 QWebSettings::LocalContentCanAccessRemoteUrls (enum)
    {75, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 60},	//717 QWebSettings::DnsPrefetchEnabled (enum)
    {75, 220, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 61},	//718 QWebSettings::XSSAuditingEnabled (enum)
    {75, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 62},	//719 QWebSettings::AcceleratedCompositingEnabled (enum)
    {75, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 63},	//720 QWebSettings::SpatialNavigationEnabled (enum)
    {75, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 64},	//721 QWebSettings::LocalContentCanAccessFileUrls (enum)
    {75, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 65},	//722 QWebSettings::TiledBackingStoreEnabled (enum)
    {75, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 66},	//723 QWebSettings::FrameFlatteningEnabled (enum)
    {75, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 67},	//724 QWebSettings::SiteSpecificQuirksEnabled (enum)
    {75, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 68},	//725 QWebSettings::JavascriptCanCloseWindows (enum)
    {75, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 69},	//726 QWebSettings::WebGLEnabled (enum)
    {75, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 70},	//727 QWebSettings::HyperlinkAuditingEnabled (enum)
    {75, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 71},	//728 QWebSettings::MissingImageGraphic (enum)
    {75, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 72},	//729 QWebSettings::MissingPluginGraphic (enum)
    {75, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 73},	//730 QWebSettings::DefaultFrameIconGraphic (enum)
    {75, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 74},	//731 QWebSettings::TextAreaSizeGripCornerGraphic (enum)
    {75, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 75},	//732 QWebSettings::DeleteButtonGraphic (enum)
    {75, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 76},	//733 QWebSettings::InputSpeechButtonGraphic (enum)
    {75, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 77},	//734 QWebSettings::SearchCancelButtonGraphic (enum)
    {75, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 78},	//735 QWebSettings::SearchCancelButtonPressedGraphic (enum)
    {75, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 79},	//736 QWebSettings::MinimumFontSize (enum)
    {75, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 80},	//737 QWebSettings::MinimumLogicalFontSize (enum)
    {75, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 81},	//738 QWebSettings::DefaultFontSize (enum)
    {75, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 82},	//739 QWebSettings::DefaultFixedFontSize (enum)
    {77, 496, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 240, 1},	//740 QWebView::metaObject() const
    {77, 585, 10, 1, Smoke::mf_virtual, 288, 2},	//741 QWebView::qt_metacast(const char*)
    {77, 818, 51, 2, Smoke::mf_static, 62, 3},	//742 QWebView::tr(const char*, const char*)
    {77, 822, 51, 2, Smoke::mf_static, 62, 4},	//743 QWebView::trUtf8(const char*, const char*)
    {77, 818, 54, 3, Smoke::mf_static, 62, 5},	//744 QWebView::tr(const char*, const char*, int)
    {77, 822, 54, 3, Smoke::mf_static, 62, 6},	//745 QWebView::trUtf8(const char*, const char*, int)
    {77, 583, 58, 3, Smoke::mf_virtual, 280, 7},	//746 QWebView::qt_metacall(QMetaObject::Call, int, void**)
    {77, 161, 133, 1, Smoke::mf_ctor, 136, 8},	//747 QWebView::QWebView(QWidget*)
    {77, 553, 0, 0, Smoke::mf_const, 101, 9},	//748 QWebView::page() const
    {77, 731, 135, 1, 0, 0, 10},	//749 QWebView::setPage(QWebPage*)
    {77, 477, 62, 1, 0, 0, 11},	//750 QWebView::load(const QUrl&)
    {77, 477, 64, 3, 0, 0, 12},	//751 QWebView::load(const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&)
    {77, 698, 68, 2, 0, 0, 13},	//752 QWebView::setHtml(const QString&, const QUrl&)
    {77, 659, 71, 3, 0, 0, 14},	//753 QWebView::setContent(const QByteArray&, const QString&, const QUrl&)
    {77, 419, 0, 0, Smoke::mf_const, 92, 15},	//754 QWebView::history() const
    {77, 775, 0, 0, Smoke::mf_const, 130, 16},	//755 QWebView::settings() const
    {77, 805, 0, 0, Smoke::mf_const|Smoke::mf_property, 62, 17},	//756 QWebView::title() const
    {77, 760, 62, 1, Smoke::mf_property, 0, 18},	//757 QWebView::setUrl(const QUrl&)
    {77, 837, 0, 0, Smoke::mf_const|Smoke::mf_property, 72, 19},	//758 QWebView::url() const
    {77, 425, 0, 0, Smoke::mf_const|Smoke::mf_property, 20, 20},	//759 QWebView::icon() const
    {77, 415, 0, 0, Smoke::mf_const|Smoke::mf_property, 235, 21},	//760 QWebView::hasSelection() const
    {77, 647, 0, 0, Smoke::mf_const|Smoke::mf_property, 62, 22},	//761 QWebView::selectedText() const
    {77, 646, 0, 0, Smoke::mf_const|Smoke::mf_property, 62, 23},	//762 QWebView::selectedHtml() const
    {77, 554, 149, 1, Smoke::mf_const, 1, 24},	//763 QWebView::pageAction(QWebPage::WebAction) const
    {77, 829, 151, 2, 0, 0, 25},	//764 QWebView::triggerPageAction(QWebPage::WebAction, bool)
    {77, 439, 0, 0, Smoke::mf_const|Smoke::mf_property, 235, 26},	//765 QWebView::isModified() const
    {77, 435, 156, 1, Smoke::mf_const|Smoke::mf_virtual, 74, 27},	//766 QWebView::inputMethodQuery(Qt::InputMethodQuery) const
    {77, 780, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 55, 28},	//767 QWebView::sizeHint() const
    {77, 857, 0, 0, Smoke::mf_const, 279, 29},	//768 QWebView::zoomFactor() const
    {77, 773, 102, 1, 0, 0, 30},	//769 QWebView::setZoomFactor(double)
    {77, 758, 102, 1, 0, 0, 31},	//770 QWebView::setTextSizeMultiplier(double)
    {77, 803, 0, 0, Smoke::mf_const, 279, 32},	//771 QWebView::textSizeMultiplier() const
    {77, 607, 0, 0, Smoke::mf_const, 15, 33},	//772 QWebView::renderHints() const
    {77, 746, 288, 1, 0, 0, 34},	//773 QWebView::setRenderHints(QFlags<QPainter::RenderHint>)
    {77, 743, 290, 2, 0, 0, 35},	//774 QWebView::setRenderHint(QPainter::RenderHint, bool)
    {77, 373, 158, 2, 0, 235, 36},	//775 QWebView::findText(const QString&, QFlags<QWebPage::FindFlag>)
    {77, 350, 1, 1, Smoke::mf_virtual, 235, 37},	//776 QWebView::event(QEvent*)
    {77, 786, 0, 0, Smoke::mf_slot, 0, 38},	//777 QWebView::stop()
    {77, 258, 0, 0, Smoke::mf_slot, 0, 39},	//778 QWebView::back()
    {77, 389, 0, 0, Smoke::mf_slot, 0, 40},	//779 QWebView::forward()
    {77, 588, 0, 0, Smoke::mf_slot, 0, 41},	//780 QWebView::reload()
    {77, 578, 104, 1, Smoke::mf_const|Smoke::mf_slot, 0, 42},	//781 QWebView::print(QPrinter*) const
    {77, 485, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//782 QWebView::loadStarted()
    {77, 483, 38, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//783 QWebView::loadProgress(int)
    {77, 481, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//784 QWebView::loadFinished(bool)
    {77, 806, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//785 QWebView::titleChanged(const QString&)
    {77, 782, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//786 QWebView::statusBarMessage(const QString&)
    {77, 467, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//787 QWebView::linkClicked(const QUrl&)
    {77, 648, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//788 QWebView::selectionChanged()
    {77, 426, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//789 QWebView::iconChanged()
    {77, 838, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//790 QWebView::urlChanged(const QUrl&)
    {77, 621, 137, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 52},	//791 QWebView::resizeEvent(QResizeEvent*)
    {77, 558, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//792 QWebView::paintEvent(QPaintEvent*)
    {77, 301, 197, 1, Smoke::mf_protected|Smoke::mf_virtual, 136, 54},	//793 QWebView::createWindow(QWebPage::WebWindowType)
    {77, 268, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//794 QWebView::changeEvent(QEvent*)
    {77, 504, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//795 QWebView::mouseMoveEvent(QMouseEvent*)
    {77, 506, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//796 QWebView::mousePressEvent(QMouseEvent*)
    {77, 502, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//797 QWebView::mouseDoubleClickEvent(QMouseEvent*)
    {77, 508, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 59},	//798 QWebView::mouseReleaseEvent(QMouseEvent*)
    {77, 293, 165, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 60},	//799 QWebView::contextMenuEvent(QContextMenuEvent*)
    {77, 852, 297, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 61},	//800 QWebView::wheelEvent(QWheelEvent*)
    {77, 458, 299, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 62},	//801 QWebView::keyPressEvent(QKeyEvent*)
    {77, 460, 299, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//802 QWebView::keyReleaseEvent(QKeyEvent*)
    {77, 324, 301, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 64},	//803 QWebView::dragEnterEvent(QDragEnterEvent*)
    {77, 326, 303, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 65},	//804 QWebView::dragLeaveEvent(QDragLeaveEvent*)
    {77, 328, 305, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 66},	//805 QWebView::dragMoveEvent(QDragMoveEvent*)
    {77, 330, 307, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 67},	//806 QWebView::dropEvent(QDropEvent*)
    {77, 378, 309, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 68},	//807 QWebView::focusInEvent(QFocusEvent*)
    {77, 382, 309, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 69},	//808 QWebView::focusOutEvent(QFocusEvent*)
    {77, 433, 311, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 70},	//809 QWebView::inputMethodEvent(QInputMethodEvent*)
    {77, 380, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 235, 71},	//810 QWebView::focusNextPrevChild(bool)
    {77, 818, 10, 1, Smoke::mf_static, 62, 72},	//811 QWebView::tr(const char*)
    {77, 822, 10, 1, Smoke::mf_static, 62, 73},	//812 QWebView::trUtf8(const char*)
    {77, 161, 0, 0, Smoke::mf_ctor, 136, 74},	//813 QWebView::QWebView()
    {77, 477, 110, 1, 0, 0, 75},	//814 QWebView::load(const QNetworkRequest&)
    {77, 477, 112, 2, 0, 0, 76},	//815 QWebView::load(const QNetworkRequest&, QNetworkAccessManager::Operation)
    {77, 698, 16, 1, 0, 0, 77},	//816 QWebView::setHtml(const QString&)
    {77, 659, 115, 1, 0, 0, 78},	//817 QWebView::setContent(const QByteArray&)
    {77, 659, 117, 2, 0, 0, 79},	//818 QWebView::setContent(const QByteArray&, const QString&)
    {77, 829, 149, 1, 0, 0, 80},	//819 QWebView::triggerPageAction(QWebPage::WebAction)
    {77, 743, 313, 1, 0, 0, 81},	//820 QWebView::setRenderHint(QPainter::RenderHint)
    {77, 373, 16, 1, 0, 235, 82},	//821 QWebView::findText(const QString&)
    {77, 781, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 239, 83},	//822 QWebView::staticMetaObject() const
    {77, 876, 0, 0, Smoke::mf_dtor, 0, 84 },	//823 QWebView::~QWebView()
    {79, 315, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 280, 0},	//824 QWidget::devType() const
    {79, 770, 108, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//825 QWidget::setVisible(bool)
    {79, 501, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 55, 0},	//826 QWidget::minimumSizeHint() const
    {79, 416, 38, 1, Smoke::mf_const|Smoke::mf_virtual, 280, 0},	//827 QWidget::heightForWidth(int) const
    {79, 557, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 42, 0},	//828 QWidget::paintEngine() const
    {79, 506, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//829 QWidget::mousePressEvent(QMouseEvent*)
    {79, 508, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//830 QWidget::mouseReleaseEvent(QMouseEvent*)
    {79, 502, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//831 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {79, 504, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//832 QWidget::mouseMoveEvent(QMouseEvent*)
    {79, 852, 297, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//833 QWidget::wheelEvent(QWheelEvent*)
    {79, 458, 299, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//834 QWidget::keyPressEvent(QKeyEvent*)
    {79, 460, 299, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//835 QWidget::keyReleaseEvent(QKeyEvent*)
    {79, 378, 309, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//836 QWidget::focusInEvent(QFocusEvent*)
    {79, 382, 309, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//837 QWidget::focusOutEvent(QFocusEvent*)
    {79, 345, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//838 QWidget::enterEvent(QEvent*)
    {79, 466, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//839 QWidget::leaveEvent(QEvent*)
    {79, 558, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//840 QWidget::paintEvent(QPaintEvent*)
    {79, 510, 315, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//841 QWidget::moveEvent(QMoveEvent*)
    {79, 279, 143, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//842 QWidget::closeEvent(QCloseEvent*)
    {79, 293, 165, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//843 QWidget::contextMenuEvent(QContextMenuEvent*)
    {79, 798, 317, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//844 QWidget::tabletEvent(QTabletEvent*)
    {79, 226, 319, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//845 QWidget::actionEvent(QActionEvent*)
    {79, 324, 301, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//846 QWidget::dragEnterEvent(QDragEnterEvent*)
    {79, 328, 305, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//847 QWidget::dragMoveEvent(QDragMoveEvent*)
    {79, 326, 303, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//848 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {79, 330, 307, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//849 QWidget::dropEvent(QDropEvent*)
    {79, 777, 139, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//850 QWidget::showEvent(QShowEvent*)
    {79, 417, 141, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//851 QWidget::hideEvent(QHideEvent*)
    {79, 856, 321, 1, Smoke::mf_protected|Smoke::mf_virtual, 235, 0},	//852 QWidget::x11Event(_XEvent*)
    {79, 268, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//853 QWidget::changeEvent(QEvent*)
    {79, 497, 323, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 280, 0},	//854 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {79, 433, 311, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//855 QWidget::inputMethodEvent(QInputMethodEvent*)
    {79, 435, 156, 1, Smoke::mf_const|Smoke::mf_virtual, 74, 0},	//856 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {79, 380, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 235, 0},	//857 QWidget::focusNextPrevChild(bool)
    {79, 787, 325, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//858 QWidget::styleChange(QStyle&)
    {79, 335, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//859 QWidget::enabledChange(bool)
    {79, 561, 163, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//860 QWidget::paletteChange(const QPalette&)
    {79, 384, 327, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//861 QWidget::fontChange(const QFont&)
    {79, 854, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//862 QWidget::windowActivationChange(bool)
    {79, 462, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//863 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    134,  // QWebElementCollection::begin() const
    138,  // QWebElementCollection::begin()
    0,
    135,  // QWebElementCollection::end() const
    139,  // QWebElementCollection::end()
    0,
    187,  // QWebFrame::load(const QUrl&)
    249,  // QWebFrame::load(const QNetworkRequest&)
    0,
    750,  // QWebView::load(const QUrl&)
    814,  // QWebView::load(const QNetworkRequest&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {16, 72, 22},	// QGlobalSpace::LicensedActiveQt
    {16, 73, 17},	// QGlobalSpace::LicensedCore
    {16, 74, 23},	// QGlobalSpace::LicensedDBus
    {16, 75, 21},	// QGlobalSpace::LicensedDeclarative
    {16, 76, 20},	// QGlobalSpace::LicensedGui
    {16, 77, 29},	// QGlobalSpace::LicensedHelp
    {16, 78, 28},	// QGlobalSpace::LicensedMultimedia
    {16, 79, 15},	// QGlobalSpace::LicensedNetwork
    {16, 80, 12},	// QGlobalSpace::LicensedOpenGL
    {16, 81, 14},	// QGlobalSpace::LicensedOpenVG
    {16, 82, 13},	// QGlobalSpace::LicensedQt3Support
    {16, 83, 26},	// QGlobalSpace::LicensedQt3SupportLight
    {16, 84, 27},	// QGlobalSpace::LicensedScript
    {16, 85, 25},	// QGlobalSpace::LicensedScriptTools
    {16, 86, 16},	// QGlobalSpace::LicensedSql
    {16, 87, 18},	// QGlobalSpace::LicensedSvg
    {16, 88, 24},	// QGlobalSpace::LicensedTest
    {16, 89, 6},	// QGlobalSpace::LicensedXml
    {16, 90, 19},	// QGlobalSpace::LicensedXmlPatterns
    {16, 163, 1},	// QGlobalSpace::Q_COMPLEX_TYPE
    {16, 164, 5},	// QGlobalSpace::Q_DUMMY_TYPE
    {16, 165, 4},	// QGlobalSpace::Q_MOVABLE_TYPE
    {16, 166, 2},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {16, 167, 3},	// QGlobalSpace::Q_STATIC_TYPE
    {16, 168, 9},	// QGlobalSpace::QtCriticalMsg
    {16, 169, 7},	// QGlobalSpace::QtDebugMsg
    {16, 170, 10},	// QGlobalSpace::QtFatalMsg
    {16, 172, 11},	// QGlobalSpace::QtSystemMsg
    {16, 173, 8},	// QGlobalSpace::QtWarningMsg
    {49, 141, 37},	// QWebDatabase::QWebDatabase#
    {49, 318, 40},	// QWebDatabase::displayName
    {49, 353, 41},	// QWebDatabase::expectedSize
    {49, 363, 43},	// QWebDatabase::fileName
    {49, 511, 39},	// QWebDatabase::name
    {49, 542, 38},	// QWebDatabase::operator=#
    {49, 551, 44},	// QWebDatabase::origin
    {49, 590, 46},	// QWebDatabase::removeAllDatabases
    {49, 598, 45},	// QWebDatabase::removeDatabase#
    {49, 779, 42},	// QWebDatabase::size
    {49, 866, 47},	// QWebDatabase::~QWebDatabase
    {50, 9, 118},	// QWebElement::CascadedStyle
    {50, 15, 119},	// QWebElement::ComputedStyle
    {50, 60, 117},	// QWebElement::InlineStyle
    {50, 142, 48},	// QWebElement::QWebElement
    {50, 143, 49},	// QWebElement::QWebElement#
    {50, 228, 74},	// QWebElement::addClass$
    {50, 241, 92},	// QWebElement::appendInside#
    {50, 242, 91},	// QWebElement::appendInside$
    {50, 244, 96},	// QWebElement::appendOutside#
    {50, 245, 95},	// QWebElement::appendOutside$
    {50, 251, 114},	// QWebElement::attribute$
    {50, 252, 64},	// QWebElement::attribute$$
    {50, 254, 115},	// QWebElement::attributeNS$$
    {50, 255, 65},	// QWebElement::attributeNS$$$
    {50, 256, 116},	// QWebElement::attributeNames
    {50, 257, 71},	// QWebElement::attributeNames$
    {50, 274, 72},	// QWebElement::classes
    {50, 278, 105},	// QWebElement::clone
    {50, 319, 89},	// QWebElement::document
    {50, 337, 99},	// QWebElement::encloseContentsWith#
    {50, 338, 100},	// QWebElement::encloseContentsWith$
    {50, 340, 102},	// QWebElement::encloseWith#
    {50, 341, 101},	// QWebElement::encloseWith$
    {50, 349, 109},	// QWebElement::evaluateJavaScript$
    {50, 366, 54},	// QWebElement::findAll$
    {50, 370, 55},	// QWebElement::findFirst$
    {50, 377, 85},	// QWebElement::firstChild
    {50, 400, 79},	// QWebElement::geometry
    {50, 408, 66},	// QWebElement::hasAttribute$
    {50, 410, 67},	// QWebElement::hasAttributeNS$$
    {50, 411, 70},	// QWebElement::hasAttributes
    {50, 413, 73},	// QWebElement::hasClass$
    {50, 414, 77},	// QWebElement::hasFocus
    {50, 440, 53},	// QWebElement::isNull
    {50, 464, 86},	// QWebElement::lastChild
    {50, 486, 82},	// QWebElement::localName
    {50, 512, 83},	// QWebElement::namespaceUri
    {50, 514, 87},	// QWebElement::nextSibling
    {50, 520, 52},	// QWebElement::operator!=#
    {50, 542, 50},	// QWebElement::operator=#
    {50, 544, 51},	// QWebElement::operator==#
    {50, 562, 84},	// QWebElement::parent
    {50, 570, 81},	// QWebElement::prefix
    {50, 572, 94},	// QWebElement::prependInside#
    {50, 573, 93},	// QWebElement::prependInside$
    {50, 575, 98},	// QWebElement::prependOutside#
    {50, 576, 97},	// QWebElement::prependOutside$
    {50, 577, 88},	// QWebElement::previousSibling
    {50, 589, 108},	// QWebElement::removeAllChildren
    {50, 592, 68},	// QWebElement::removeAttribute$
    {50, 594, 69},	// QWebElement::removeAttributeNS$$
    {50, 596, 75},	// QWebElement::removeClass$
    {50, 599, 107},	// QWebElement::removeFromDocument
    {50, 603, 112},	// QWebElement::render#
    {50, 604, 113},	// QWebElement::render##
    {50, 612, 104},	// QWebElement::replace#
    {50, 613, 103},	// QWebElement::replace$
    {50, 654, 62},	// QWebElement::setAttribute$$
    {50, 656, 63},	// QWebElement::setAttributeNS$$$
    {50, 689, 78},	// QWebElement::setFocus
    {50, 704, 60},	// QWebElement::setInnerXml$
    {50, 730, 58},	// QWebElement::setOuterXml$
    {50, 738, 56},	// QWebElement::setPlainText$
    {50, 755, 111},	// QWebElement::setStyleProperty$$
    {50, 789, 110},	// QWebElement::styleProperty$$
    {50, 799, 80},	// QWebElement::tagName
    {50, 800, 106},	// QWebElement::takeFromDocument
    {50, 809, 61},	// QWebElement::toInnerXml
    {50, 811, 59},	// QWebElement::toOuterXml
    {50, 812, 57},	// QWebElement::toPlainText
    {50, 814, 76},	// QWebElement::toggleClass$
    {50, 849, 90},	// QWebElement::webFrame
    {50, 867, 120},	// QWebElement::~QWebElement
    {51, 144, 121},	// QWebElementCollection::QWebElementCollection
    {51, 145, 123},	// QWebElementCollection::QWebElementCollection#
    {51, 146, 122},	// QWebElementCollection::QWebElementCollection#$
    {51, 239, 127},	// QWebElementCollection::append#
    {51, 249, 129},	// QWebElementCollection::at$
    {51, 263, -1},	// QWebElementCollection::begin
    {51, 282, 136},	// QWebElementCollection::constBegin
    {51, 283, 137},	// QWebElementCollection::constEnd
    {51, 295, 128},	// QWebElementCollection::count
    {51, 344, -4},	// QWebElementCollection::end
    {51, 376, 131},	// QWebElementCollection::first
    {51, 463, 132},	// QWebElementCollection::last
    {51, 523, 125},	// QWebElementCollection::operator+#
    {51, 528, 126},	// QWebElementCollection::operator+=#
    {51, 542, 124},	// QWebElementCollection::operator=#
    {51, 550, 130},	// QWebElementCollection::operator[]$
    {51, 810, 133},	// QWebElementCollection::toList
    {51, 868, 140},	// QWebElementCollection::~QWebElementCollection
    {52, 285, 142},	// QWebElementCollection::const_iterator::const_iterator#
    {52, 286, 141},	// QWebElementCollection::const_iterator::const_iterator#$
    {52, 520, 145},	// QWebElementCollection::const_iterator::operator!=#
    {52, 521, 143},	// QWebElementCollection::const_iterator::operator*
    {52, 524, 156},	// QWebElementCollection::const_iterator::operator+$
    {52, 525, 150},	// QWebElementCollection::const_iterator::operator++
    {52, 526, 151},	// QWebElementCollection::const_iterator::operator++$
    {52, 529, 154},	// QWebElementCollection::const_iterator::operator+=$
    {52, 531, 158},	// QWebElementCollection::const_iterator::operator-#
    {52, 532, 157},	// QWebElementCollection::const_iterator::operator-$
    {52, 533, 152},	// QWebElementCollection::const_iterator::operator--
    {52, 534, 153},	// QWebElementCollection::const_iterator::operator--$
    {52, 536, 155},	// QWebElementCollection::const_iterator::operator-=$
    {52, 538, 146},	// QWebElementCollection::const_iterator::operator<#
    {52, 540, 147},	// QWebElementCollection::const_iterator::operator<=#
    {52, 544, 144},	// QWebElementCollection::const_iterator::operator==#
    {52, 546, 148},	// QWebElementCollection::const_iterator::operator>#
    {52, 548, 149},	// QWebElementCollection::const_iterator::operator>=#
    {52, 878, 159},	// QWebElementCollection::const_iterator::~const_iterator
    {53, 447, 161},	// QWebElementCollection::iterator::iterator#
    {53, 448, 160},	// QWebElementCollection::iterator::iterator#$
    {53, 520, 164},	// QWebElementCollection::iterator::operator!=#
    {53, 521, 162},	// QWebElementCollection::iterator::operator*
    {53, 524, 175},	// QWebElementCollection::iterator::operator+$
    {53, 525, 169},	// QWebElementCollection::iterator::operator++
    {53, 526, 170},	// QWebElementCollection::iterator::operator++$
    {53, 529, 173},	// QWebElementCollection::iterator::operator+=$
    {53, 531, 177},	// QWebElementCollection::iterator::operator-#
    {53, 532, 176},	// QWebElementCollection::iterator::operator-$
    {53, 533, 171},	// QWebElementCollection::iterator::operator--
    {53, 534, 172},	// QWebElementCollection::iterator::operator--$
    {53, 536, 174},	// QWebElementCollection::iterator::operator-=$
    {53, 538, 165},	// QWebElementCollection::iterator::operator<#
    {53, 540, 166},	// QWebElementCollection::iterator::operator<=#
    {53, 544, 163},	// QWebElementCollection::iterator::operator==#
    {53, 546, 167},	// QWebElementCollection::iterator::operator>#
    {53, 548, 168},	// QWebElementCollection::iterator::operator>=#
    {53, 879, 178},	// QWebElementCollection::iterator::~iterator
    {54, 6, 259},	// QWebFrame::AllLayers
    {54, 16, 256},	// QWebFrame::ContentsLayer
    {54, 129, 258},	// QWebFrame::PanIconLayer
    {54, 179, 257},	// QWebFrame::ScrollBarLayer
    {54, 234, 191},	// QWebFrame::addToJavaScriptWindowObject$#
    {54, 235, 192},	// QWebFrame::addToJavaScriptWindowObject$#$
    {54, 262, 200},	// QWebFrame::baseUrl
    {54, 271, 205},	// QWebFrame::childFrames
    {54, 290, 228},	// QWebFrame::contentsSize
    {54, 292, 243},	// QWebFrame::contentsSizeChanged#
    {54, 320, 229},	// QWebFrame::documentElement
    {54, 349, 235},	// QWebFrame::evaluateJavaScript$
    {54, 351, 233},	// QWebFrame::event#
    {54, 368, 230},	// QWebFrame::findAllElements$
    {54, 372, 231},	// QWebFrame::findFirstElement$
    {54, 399, 203},	// QWebFrame::frameName
    {54, 400, 227},	// QWebFrame::geometry
    {54, 414, 224},	// QWebFrame::hasFocus
    {54, 423, 232},	// QWebFrame::hitTestContent#
    {54, 425, 201},	// QWebFrame::icon
    {54, 426, 242},	// QWebFrame::iconChanged
    {54, 431, 241},	// QWebFrame::initialLayoutCompleted
    {54, 457, 237},	// QWebFrame::javaScriptWindowObjectCleared
    {54, 478, -7},	// QWebFrame::load#
    {54, 479, 250},	// QWebFrame::load#$
    {54, 480, 188},	// QWebFrame::load#$#
    {54, 482, 245},	// QWebFrame::loadFinished$
    {54, 485, 244},	// QWebFrame::loadStarted
    {54, 495, 202},	// QWebFrame::metaData
    {54, 496, 179},	// QWebFrame::metaObject
    {54, 553, 186},	// QWebFrame::page
    {54, 556, 246},	// QWebFrame::pageChanged
    {54, 563, 204},	// QWebFrame::parentFrame
    {54, 568, 226},	// QWebFrame::pos
    {54, 579, 236},	// QWebFrame::print#
    {54, 582, 238},	// QWebFrame::provisionalLoad
    {54, 584, 185},	// QWebFrame::qt_metacall$$?
    {54, 586, 180},	// QWebFrame::qt_metacast$
    {54, 603, 217},	// QWebFrame::render#
    {54, 604, 218},	// QWebFrame::render##
    {54, 605, 254},	// QWebFrame::render#$
    {54, 606, 219},	// QWebFrame::render#$#
    {54, 608, 195},	// QWebFrame::renderTreeDump
    {54, 614, 199},	// QWebFrame::requestedUrl
    {54, 629, 213},	// QWebFrame::scroll$$
    {54, 631, 212},	// QWebFrame::scrollBarGeometry$
    {54, 633, 211},	// QWebFrame::scrollBarMaximum$
    {54, 635, 210},	// QWebFrame::scrollBarMinimum$
    {54, 637, 206},	// QWebFrame::scrollBarPolicy$
    {54, 639, 209},	// QWebFrame::scrollBarValue$
    {54, 640, 214},	// QWebFrame::scrollPosition
    {54, 644, 216},	// QWebFrame::scrollToAnchor$
    {54, 645, 234},	// QWebFrame::securityOrigin
    {54, 660, 252},	// QWebFrame::setContent#
    {54, 661, 253},	// QWebFrame::setContent#$
    {54, 662, 190},	// QWebFrame::setContent#$#
    {54, 689, 225},	// QWebFrame::setFocus
    {54, 699, 251},	// QWebFrame::setHtml$
    {54, 700, 189},	// QWebFrame::setHtml$#
    {54, 749, 207},	// QWebFrame::setScrollBarPolicy$$
    {54, 751, 208},	// QWebFrame::setScrollBarValue$$
    {54, 753, 215},	// QWebFrame::setScrollPosition#
    {54, 759, 220},	// QWebFrame::setTextSizeMultiplier$
    {54, 761, 197},	// QWebFrame::setUrl#
    {54, 774, 223},	// QWebFrame::setZoomFactor$
    {54, 781, 255},	// QWebFrame::staticMetaObject
    {54, 803, 221},	// QWebFrame::textSizeMultiplier
    {54, 805, 196},	// QWebFrame::title
    {54, 807, 239},	// QWebFrame::titleChanged$
    {54, 808, 193},	// QWebFrame::toHtml
    {54, 812, 194},	// QWebFrame::toPlainText
    {54, 819, 247},	// QWebFrame::tr$
    {54, 820, 181},	// QWebFrame::tr$$
    {54, 821, 183},	// QWebFrame::tr$$$
    {54, 823, 248},	// QWebFrame::trUtf8$
    {54, 824, 182},	// QWebFrame::trUtf8$$
    {54, 825, 184},	// QWebFrame::trUtf8$$$
    {54, 837, 198},	// QWebFrame::url
    {54, 839, 240},	// QWebFrame::urlChanged#
    {54, 857, 222},	// QWebFrame::zoomFactor
    {55, 258, 266},	// QWebHistory::back
    {55, 259, 269},	// QWebHistory::backItem
    {55, 261, 262},	// QWebHistory::backItems$
    {55, 266, 264},	// QWebHistory::canGoBack
    {55, 267, 265},	// QWebHistory::canGoForward
    {55, 275, 260},	// QWebHistory::clear
    {55, 295, 274},	// QWebHistory::count
    {55, 304, 270},	// QWebHistory::currentItem
    {55, 305, 273},	// QWebHistory::currentItemIndex
    {55, 389, 267},	// QWebHistory::forward
    {55, 390, 271},	// QWebHistory::forwardItem
    {55, 392, 263},	// QWebHistory::forwardItems$
    {55, 405, 268},	// QWebHistory::goToItem#
    {55, 444, 272},	// QWebHistory::itemAt$
    {55, 445, 261},	// QWebHistory::items
    {55, 490, 275},	// QWebHistory::maximumItemCount
    {55, 710, 276},	// QWebHistory::setMaximumItemCount$
    {56, 147, 291},	// QWebHistoryInterface::QWebHistoryInterface
    {56, 148, 284},	// QWebHistoryInterface::QWebHistoryInterface#
    {56, 230, 288},	// QWebHistoryInterface::addHistoryEntry$
    {56, 312, 286},	// QWebHistoryInterface::defaultInterface
    {56, 421, 287},	// QWebHistoryInterface::historyContains$
    {56, 496, 277},	// QWebHistoryInterface::metaObject
    {56, 584, 283},	// QWebHistoryInterface::qt_metacall$$?
    {56, 586, 278},	// QWebHistoryInterface::qt_metacast$
    {56, 670, 285},	// QWebHistoryInterface::setDefaultInterface#
    {56, 781, 292},	// QWebHistoryInterface::staticMetaObject
    {56, 819, 289},	// QWebHistoryInterface::tr$
    {56, 820, 279},	// QWebHistoryInterface::tr$$
    {56, 821, 281},	// QWebHistoryInterface::tr$$$
    {56, 823, 290},	// QWebHistoryInterface::trUtf8$
    {56, 824, 280},	// QWebHistoryInterface::trUtf8$$
    {56, 825, 282},	// QWebHistoryInterface::trUtf8$$$
    {56, 869, 293},	// QWebHistoryInterface::~QWebHistoryInterface
    {57, 150, 294},	// QWebHistoryItem::QWebHistoryItem#
    {57, 425, 300},	// QWebHistoryItem::icon
    {57, 442, 303},	// QWebHistoryItem::isValid
    {57, 465, 299},	// QWebHistoryItem::lastVisited
    {57, 542, 295},	// QWebHistoryItem::operator=#
    {57, 552, 296},	// QWebHistoryItem::originalUrl
    {57, 763, 302},	// QWebHistoryItem::setUserData#
    {57, 805, 298},	// QWebHistoryItem::title
    {57, 837, 297},	// QWebHistoryItem::url
    {57, 842, 301},	// QWebHistoryItem::userData
    {57, 870, 304},	// QWebHistoryItem::~QWebHistoryItem
    {58, 151, 305},	// QWebHitTestResult::QWebHitTestResult
    {58, 152, 306},	// QWebHitTestResult::QWebHitTestResult#
    {58, 237, 318},	// QWebHitTestResult::alternateText
    {58, 264, 310},	// QWebHitTestResult::boundingRect
    {58, 332, 323},	// QWebHitTestResult::element
    {58, 342, 311},	// QWebHitTestResult::enclosingBlockElement
    {58, 394, 324},	// QWebHitTestResult::frame
    {58, 430, 319},	// QWebHitTestResult::imageUrl
    {58, 437, 321},	// QWebHitTestResult::isContentEditable
    {58, 438, 322},	// QWebHitTestResult::isContentSelected
    {58, 440, 308},	// QWebHitTestResult::isNull
    {58, 470, 317},	// QWebHitTestResult::linkElement
    {58, 473, 316},	// QWebHitTestResult::linkTargetFrame
    {58, 474, 313},	// QWebHitTestResult::linkText
    {58, 475, 315},	// QWebHitTestResult::linkTitle
    {58, 476, 314},	// QWebHitTestResult::linkUrl
    {58, 542, 307},	// QWebHitTestResult::operator=#
    {58, 564, 320},	// QWebHitTestResult::pixmap
    {58, 568, 309},	// QWebHitTestResult::pos
    {58, 805, 312},	// QWebHitTestResult::title
    {58, 871, 325},	// QWebHitTestResult::~QWebHitTestResult
    {59, 153, 344},	// QWebInspector::QWebInspector
    {59, 154, 333},	// QWebInspector::QWebInspector#
    {59, 280, 341},	// QWebInspector::closeEvent#
    {59, 351, 337},	// QWebInspector::event#
    {59, 418, 340},	// QWebInspector::hideEvent#
    {59, 496, 326},	// QWebInspector::metaObject
    {59, 553, 335},	// QWebInspector::page
    {59, 584, 332},	// QWebInspector::qt_metacall$$?
    {59, 586, 327},	// QWebInspector::qt_metacast$
    {59, 622, 338},	// QWebInspector::resizeEvent#
    {59, 732, 334},	// QWebInspector::setPage#
    {59, 778, 339},	// QWebInspector::showEvent#
    {59, 780, 336},	// QWebInspector::sizeHint
    {59, 781, 345},	// QWebInspector::staticMetaObject
    {59, 819, 342},	// QWebInspector::tr$
    {59, 820, 328},	// QWebInspector::tr$$
    {59, 821, 330},	// QWebInspector::tr$$$
    {59, 823, 343},	// QWebInspector::trUtf8$
    {59, 824, 329},	// QWebInspector::trUtf8$$
    {59, 825, 331},	// QWebInspector::trUtf8$$$
    {59, 872, 346},	// QWebInspector::~QWebInspector
    {60, 2, 517},	// QWebPage::AlignCenter
    {60, 3, 518},	// QWebPage::AlignJustified
    {60, 4, 519},	// QWebPage::AlignLeft
    {60, 5, 520},	// QWebPage::AlignRight
    {60, 8, 462},	// QWebPage::Back
    {60, 10, 538},	// QWebPage::ChooseMultipleFilesExtension
    {60, 17, 467},	// QWebPage::Copy
    {60, 18, 461},	// QWebPage::CopyImageToClipboard
    {60, 19, 522},	// QWebPage::CopyImageUrlToClipboard
    {60, 20, 458},	// QWebPage::CopyLinkToClipboard
    {60, 22, 466},	// QWebPage::Cut
    {60, 26, 530},	// QWebPage::DelegateAllLinks
    {60, 27, 529},	// QWebPage::DelegateExternalLinks
    {60, 29, 496},	// QWebPage::DeleteEndOfWord
    {60, 30, 495},	// QWebPage::DeleteStartOfWord
    {60, 33, 528},	// QWebPage::DontDelegateLinks
    {60, 34, 460},	// QWebPage::DownloadImageToDisk
    {60, 35, 457},	// QWebPage::DownloadLinkToDisk
    {60, 38, 539},	// QWebPage::ErrorPageExtension
    {60, 48, 524},	// QWebPage::FindBackward
    {60, 49, 525},	// QWebPage::FindCaseSensitively
    {60, 50, 526},	// QWebPage::FindWrapsAroundDocument
    {60, 52, 463},	// QWebPage::Forward
    {60, 54, 537},	// QWebPage::Geolocation
    {60, 55, 527},	// QWebPage::HighlightAllOccurrences
    {60, 56, 541},	// QWebPage::Http
    {60, 59, 515},	// QWebPage::Indent
    {60, 62, 505},	// QWebPage::InsertLineSeparator
    {60, 63, 514},	// QWebPage::InsertOrderedList
    {60, 64, 504},	// QWebPage::InsertParagraphSeparator
    {60, 65, 513},	// QWebPage::InsertUnorderedList
    {60, 66, 503},	// QWebPage::InspectElement
    {60, 102, 480},	// QWebPage::MoveToEndOfBlock
    {60, 103, 482},	// QWebPage::MoveToEndOfDocument
    {60, 104, 478},	// QWebPage::MoveToEndOfLine
    {60, 105, 471},	// QWebPage::MoveToNextChar
    {60, 106, 475},	// QWebPage::MoveToNextLine
    {60, 107, 473},	// QWebPage::MoveToNextWord
    {60, 108, 472},	// QWebPage::MoveToPreviousChar
    {60, 109, 476},	// QWebPage::MoveToPreviousLine
    {60, 110, 474},	// QWebPage::MoveToPreviousWord
    {60, 111, 479},	// QWebPage::MoveToStartOfBlock
    {60, 112, 481},	// QWebPage::MoveToStartOfDocument
    {60, 113, 477},	// QWebPage::MoveToStartOfLine
    {60, 114, 449},	// QWebPage::NavigationTypeBackOrForward
    {60, 115, 451},	// QWebPage::NavigationTypeFormResubmitted
    {60, 116, 448},	// QWebPage::NavigationTypeFormSubmitted
    {60, 117, 447},	// QWebPage::NavigationTypeLinkClicked
    {60, 118, 452},	// QWebPage::NavigationTypeOther
    {60, 119, 450},	// QWebPage::NavigationTypeReload
    {60, 120, 453},	// QWebPage::NoWebAction
    {60, 121, 536},	// QWebPage::Notifications
    {60, 124, 456},	// QWebPage::OpenFrameInNewWindow
    {60, 125, 459},	// QWebPage::OpenImageInNewWindow
    {60, 126, 454},	// QWebPage::OpenLink
    {60, 127, 455},	// QWebPage::OpenLinkInNewWindow
    {60, 128, 516},	// QWebPage::Outdent
    {60, 130, 468},	// QWebPage::Paste
    {60, 131, 508},	// QWebPage::PasteAndMatchStyle
    {60, 132, 535},	// QWebPage::PermissionDeniedByUser
    {60, 133, 534},	// QWebPage::PermissionGrantedByUser
    {60, 134, 533},	// QWebPage::PermissionUnknown
    {60, 155, 441},	// QWebPage::QWebPage
    {60, 156, 354},	// QWebPage::QWebPage#
    {60, 171, 540},	// QWebPage::QtNetwork
    {60, 174, 470},	// QWebPage::Redo
    {60, 175, 465},	// QWebPage::Reload
    {60, 176, 507},	// QWebPage::ReloadAndBypassCache
    {60, 177, 509},	// QWebPage::RemoveFormat
    {60, 182, 506},	// QWebPage::SelectAll
    {60, 183, 492},	// QWebPage::SelectEndOfBlock
    {60, 184, 494},	// QWebPage::SelectEndOfDocument
    {60, 185, 490},	// QWebPage::SelectEndOfLine
    {60, 186, 483},	// QWebPage::SelectNextChar
    {60, 187, 487},	// QWebPage::SelectNextLine
    {60, 188, 485},	// QWebPage::SelectNextWord
    {60, 189, 484},	// QWebPage::SelectPreviousChar
    {60, 190, 488},	// QWebPage::SelectPreviousLine
    {60, 191, 486},	// QWebPage::SelectPreviousWord
    {60, 192, 491},	// QWebPage::SelectStartOfBlock
    {60, 193, 493},	// QWebPage::SelectStartOfDocument
    {60, 194, 489},	// QWebPage::SelectStartOfLine
    {60, 196, 497},	// QWebPage::SetTextDirectionDefault
    {60, 197, 498},	// QWebPage::SetTextDirectionLeftToRight
    {60, 198, 499},	// QWebPage::SetTextDirectionRightToLeft
    {60, 202, 464},	// QWebPage::Stop
    {60, 203, 521},	// QWebPage::StopScheduledPageRefresh
    {60, 206, 500},	// QWebPage::ToggleBold
    {60, 207, 501},	// QWebPage::ToggleItalic
    {60, 208, 510},	// QWebPage::ToggleStrikethrough
    {60, 209, 511},	// QWebPage::ToggleSubscript
    {60, 210, 512},	// QWebPage::ToggleSuperscript
    {60, 211, 502},	// QWebPage::ToggleUnderline
    {60, 212, 469},	// QWebPage::Undo
    {60, 215, 523},	// QWebPage::WebActionCount
    {60, 216, 531},	// QWebPage::WebBrowserWindow
    {60, 218, 542},	// QWebPage::WebKit
    {60, 219, 532},	// QWebPage::WebModalDialog
    {60, 223, 432},	// QWebPage::acceptNavigationRequest##$
    {60, 225, 373},	// QWebPage::action$
    {60, 247, 424},	// QWebPage::applicationCacheQuotaExceeded#$
    {60, 265, 369},	// QWebPage::bytesReceived
    {60, 273, 433},	// QWebPage::chooseFile#$
    {60, 289, 422},	// QWebPage::contentsChanged
    {60, 299, 431},	// QWebPage::createPlugin$#??
    {60, 300, 395},	// QWebPage::createStandardContextMenu
    {60, 302, 430},	// QWebPage::createWindow$
    {60, 303, 356},	// QWebPage::currentFrame
    {60, 309, 423},	// QWebPage::databaseQuotaExceeded#$
    {60, 323, 420},	// QWebPage::downloadRequested#
    {60, 351, 381},	// QWebPage::event#
    {60, 355, 444},	// QWebPage::extension$
    {60, 356, 445},	// QWebPage::extension$#
    {60, 357, 399},	// QWebPage::extension$##
    {60, 359, 429},	// QWebPage::featurePermissionRequestCanceled#$
    {60, 361, 428},	// QWebPage::featurePermissionRequested#$
    {60, 374, 443},	// QWebPage::findText$
    {60, 375, 384},	// QWebPage::findText$$
    {60, 381, 382},	// QWebPage::focusNextPrevChild$
    {60, 393, 386},	// QWebPage::forwardUnsupportedContent
    {60, 396, 357},	// QWebPage::frameAt#
    {60, 398, 409},	// QWebPage::frameCreated#
    {60, 402, 410},	// QWebPage::geometryChangeRequested#
    {60, 406, 401},	// QWebPage::handle
    {60, 415, 370},	// QWebPage::hasSelection
    {60, 419, 358},	// QWebPage::history
    {60, 436, 383},	// QWebPage::inputMethodQuery$
    {60, 437, 392},	// QWebPage::isContentEditable
    {60, 439, 362},	// QWebPage::isModified
    {60, 450, 434},	// QWebPage::javaScriptAlert#$
    {60, 452, 435},	// QWebPage::javaScriptConfirm#$
    {60, 454, 437},	// QWebPage::javaScriptConsoleMessage$$$
    {60, 456, 436},	// QWebPage::javaScriptPrompt#$$$
    {60, 468, 415},	// QWebPage::linkClicked#
    {60, 469, 388},	// QWebPage::linkDelegationPolicy
    {60, 472, 406},	// QWebPage::linkHovered$$$
    {60, 482, 405},	// QWebPage::loadFinished$
    {60, 484, 404},	// QWebPage::loadProgress$
    {60, 485, 403},	// QWebPage::loadStarted
    {60, 489, 355},	// QWebPage::mainFrame
    {60, 494, 418},	// QWebPage::menuBarVisibilityChangeRequested$
    {60, 496, 347},	// QWebPage::metaObject
    {60, 498, 421},	// QWebPage::microFocusChanged
    {60, 513, 365},	// QWebPage::networkAccessManager
    {60, 560, 390},	// QWebPage::palette
    {60, 565, 367},	// QWebPage::pluginFactory
    {60, 569, 378},	// QWebPage::preferredContentsSize
    {60, 581, 414},	// QWebPage::printRequested#
    {60, 584, 353},	// QWebPage::qt_metacall$$?
    {60, 586, 348},	// QWebPage::qt_metacast$
    {60, 610, 411},	// QWebPage::repaintRequested#
    {60, 624, 426},	// QWebPage::restoreFrameStateRequested#
    {60, 626, 425},	// QWebPage::saveFrameStateRequested##
    {60, 642, 412},	// QWebPage::scrollRequested$$#
    {60, 646, 372},	// QWebPage::selectedHtml
    {60, 647, 371},	// QWebPage::selectedText
    {60, 648, 408},	// QWebPage::selectionChanged
    {60, 650, 380},	// QWebPage::setActualVisibleContentRect#
    {60, 664, 391},	// QWebPage::setContentEditable$
    {60, 684, 396},	// QWebPage::setFeaturePermission#$$
    {60, 695, 385},	// QWebPage::setForwardUnsupportedContent$
    {60, 706, 387},	// QWebPage::setLinkDelegationPolicy$
    {60, 718, 364},	// QWebPage::setNetworkAccessManager#
    {60, 734, 389},	// QWebPage::setPalette#
    {60, 740, 366},	// QWebPage::setPluginFactory#
    {60, 742, 379},	// QWebPage::setPreferredContentsSize#
    {60, 767, 360},	// QWebPage::setView#
    {60, 769, 376},	// QWebPage::setViewportSize#
    {60, 775, 359},	// QWebPage::settings
    {60, 776, 402},	// QWebPage::shouldInterruptJavaScript
    {60, 781, 446},	// QWebPage::staticMetaObject
    {60, 783, 407},	// QWebPage::statusBarMessage$
    {60, 785, 417},	// QWebPage::statusBarVisibilityChangeRequested$
    {60, 791, 397},	// QWebPage::supportedContentTypes
    {60, 793, 398},	// QWebPage::supportsContentType$
    {60, 795, 400},	// QWebPage::supportsExtension$
    {60, 797, 393},	// QWebPage::swallowContextMenuEvent#
    {60, 816, 416},	// QWebPage::toolBarVisibilityChangeRequested$
    {60, 817, 368},	// QWebPage::totalBytes
    {60, 819, 439},	// QWebPage::tr$
    {60, 820, 349},	// QWebPage::tr$$
    {60, 821, 351},	// QWebPage::tr$$$
    {60, 823, 440},	// QWebPage::trUtf8$
    {60, 824, 350},	// QWebPage::trUtf8$$
    {60, 825, 352},	// QWebPage::trUtf8$$$
    {60, 827, 442},	// QWebPage::triggerAction$
    {60, 828, 374},	// QWebPage::triggerAction$$
    {60, 832, 363},	// QWebPage::undoStack
    {60, 834, 419},	// QWebPage::unsupportedContent#
    {60, 836, 394},	// QWebPage::updatePositionDependentActions#
    {60, 841, 438},	// QWebPage::userAgentForUrl#
    {60, 844, 361},	// QWebPage::view
    {60, 846, 377},	// QWebPage::viewportAttributesForSize#
    {60, 847, 427},	// QWebPage::viewportChangeRequested
    {60, 848, 375},	// QWebPage::viewportSize
    {60, 855, 413},	// QWebPage::windowCloseRequested
    {60, 873, 543},	// QWebPage::~QWebPage
    {61, 11, 544},	// QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption
    {61, 12, 545},	// QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption#
    {61, 563, 546},	// QWebPage::ChooseMultipleFilesExtensionOption::parentFrame
    {61, 736, 547},	// QWebPage::ChooseMultipleFilesExtensionOption::setParentFrame#
    {61, 757, 549},	// QWebPage::ChooseMultipleFilesExtensionOption::setSuggestedFileNames?
    {61, 790, 548},	// QWebPage::ChooseMultipleFilesExtensionOption::suggestedFileNames
    {61, 858, 550},	// QWebPage::ChooseMultipleFilesExtensionOption::~ChooseMultipleFilesExtensionOption
    {62, 13, 551},	// QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn
    {62, 14, 552},	// QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn#
    {62, 364, 553},	// QWebPage::ChooseMultipleFilesExtensionReturn::fileNames
    {62, 688, 554},	// QWebPage::ChooseMultipleFilesExtensionReturn::setFileNames?
    {62, 859, 555},	// QWebPage::ChooseMultipleFilesExtensionReturn::~ChooseMultipleFilesExtensionReturn
    {63, 39, 556},	// QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption
    {63, 40, 557},	// QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption#
    {63, 321, 562},	// QWebPage::ErrorPageExtensionOption::domain
    {63, 346, 564},	// QWebPage::ErrorPageExtensionOption::error
    {63, 347, 566},	// QWebPage::ErrorPageExtensionOption::errorString
    {63, 394, 560},	// QWebPage::ErrorPageExtensionOption::frame
    {63, 676, 563},	// QWebPage::ErrorPageExtensionOption::setDomain$
    {63, 680, 565},	// QWebPage::ErrorPageExtensionOption::setError$
    {63, 682, 567},	// QWebPage::ErrorPageExtensionOption::setErrorString$
    {63, 697, 561},	// QWebPage::ErrorPageExtensionOption::setFrame#
    {63, 761, 559},	// QWebPage::ErrorPageExtensionOption::setUrl#
    {63, 837, 558},	// QWebPage::ErrorPageExtensionOption::url
    {63, 860, 568},	// QWebPage::ErrorPageExtensionOption::~ErrorPageExtensionOption
    {64, 41, 569},	// QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn
    {64, 42, 570},	// QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn#
    {64, 262, 575},	// QWebPage::ErrorPageExtensionReturn::baseUrl
    {64, 287, 577},	// QWebPage::ErrorPageExtensionReturn::content
    {64, 288, 571},	// QWebPage::ErrorPageExtensionReturn::contentType
    {64, 343, 573},	// QWebPage::ErrorPageExtensionReturn::encoding
    {64, 658, 576},	// QWebPage::ErrorPageExtensionReturn::setBaseUrl#
    {64, 660, 578},	// QWebPage::ErrorPageExtensionReturn::setContent#
    {64, 666, 572},	// QWebPage::ErrorPageExtensionReturn::setContentType$
    {64, 678, 574},	// QWebPage::ErrorPageExtensionReturn::setEncoding$
    {64, 861, 579},	// QWebPage::ErrorPageExtensionReturn::~ErrorPageExtensionReturn
    {65, 43, 580},	// QWebPage::ExtensionOption::ExtensionOption
    {65, 44, 581},	// QWebPage::ExtensionOption::ExtensionOption#
    {65, 862, 582},	// QWebPage::ExtensionOption::~ExtensionOption
    {66, 45, 583},	// QWebPage::ExtensionReturn::ExtensionReturn
    {66, 46, 584},	// QWebPage::ExtensionReturn::ExtensionReturn#
    {66, 863, 585},	// QWebPage::ExtensionReturn::~ExtensionReturn
    {67, 213, 586},	// QWebPage::ViewportAttributes::ViewportAttributes
    {67, 214, 587},	// QWebPage::ViewportAttributes::ViewportAttributes#
    {67, 316, 592},	// QWebPage::ViewportAttributes::devicePixelRatio
    {67, 432, 589},	// QWebPage::ViewportAttributes::initialScaleFactor
    {67, 441, 593},	// QWebPage::ViewportAttributes::isUserScalable
    {67, 442, 594},	// QWebPage::ViewportAttributes::isValid
    {67, 492, 591},	// QWebPage::ViewportAttributes::maximumScaleFactor
    {67, 500, 590},	// QWebPage::ViewportAttributes::minimumScaleFactor
    {67, 542, 588},	// QWebPage::ViewportAttributes::operator=#
    {67, 779, 595},	// QWebPage::ViewportAttributes::size
    {67, 877, 596},	// QWebPage::ViewportAttributes::~ViewportAttributes
    {69, 157, 612},	// QWebPluginFactory::QWebPluginFactory
    {69, 158, 604},	// QWebPluginFactory::QWebPluginFactory#
    {69, 297, 607},	// QWebPluginFactory::create$#??
    {69, 355, 613},	// QWebPluginFactory::extension$
    {69, 356, 614},	// QWebPluginFactory::extension$#
    {69, 357, 608},	// QWebPluginFactory::extension$##
    {69, 496, 597},	// QWebPluginFactory::metaObject
    {69, 566, 605},	// QWebPluginFactory::plugins
    {69, 584, 603},	// QWebPluginFactory::qt_metacall$$?
    {69, 586, 598},	// QWebPluginFactory::qt_metacast$
    {69, 587, 606},	// QWebPluginFactory::refreshPlugins
    {69, 781, 615},	// QWebPluginFactory::staticMetaObject
    {69, 795, 609},	// QWebPluginFactory::supportsExtension$
    {69, 819, 610},	// QWebPluginFactory::tr$
    {69, 820, 599},	// QWebPluginFactory::tr$$
    {69, 821, 601},	// QWebPluginFactory::tr$$$
    {69, 823, 611},	// QWebPluginFactory::trUtf8$
    {69, 824, 600},	// QWebPluginFactory::trUtf8$$
    {69, 825, 602},	// QWebPluginFactory::trUtf8$$$
    {69, 874, 616},	// QWebPluginFactory::~QWebPluginFactory
    {70, 43, 617},	// QWebPluginFactory::ExtensionOption::ExtensionOption
    {70, 44, 618},	// QWebPluginFactory::ExtensionOption::ExtensionOption#
    {70, 862, 619},	// QWebPluginFactory::ExtensionOption::~ExtensionOption
    {71, 45, 620},	// QWebPluginFactory::ExtensionReturn::ExtensionReturn
    {71, 46, 621},	// QWebPluginFactory::ExtensionReturn::ExtensionReturn#
    {71, 863, 622},	// QWebPluginFactory::ExtensionReturn::~ExtensionReturn
    {72, 96, 625},	// QWebPluginFactory::MimeType::MimeType
    {72, 97, 626},	// QWebPluginFactory::MimeType::MimeType#
    {72, 314, 629},	// QWebPluginFactory::MimeType::description
    {72, 362, 631},	// QWebPluginFactory::MimeType::fileExtensions
    {72, 511, 627},	// QWebPluginFactory::MimeType::name
    {72, 520, 624},	// QWebPluginFactory::MimeType::operator!=#
    {72, 544, 623},	// QWebPluginFactory::MimeType::operator==#
    {72, 674, 630},	// QWebPluginFactory::MimeType::setDescription$
    {72, 686, 632},	// QWebPluginFactory::MimeType::setFileExtensions?
    {72, 716, 628},	// QWebPluginFactory::MimeType::setName$
    {72, 864, 633},	// QWebPluginFactory::MimeType::~MimeType
    {73, 135, 634},	// QWebPluginFactory::Plugin::Plugin
    {73, 136, 635},	// QWebPluginFactory::Plugin::Plugin#
    {73, 314, 638},	// QWebPluginFactory::Plugin::description
    {73, 499, 640},	// QWebPluginFactory::Plugin::mimeTypes
    {73, 511, 636},	// QWebPluginFactory::Plugin::name
    {73, 674, 639},	// QWebPluginFactory::Plugin::setDescription$
    {73, 714, 641},	// QWebPluginFactory::Plugin::setMimeTypes?
    {73, 716, 637},	// QWebPluginFactory::Plugin::setName$
    {73, 865, 642},	// QWebPluginFactory::Plugin::~Plugin
    {74, 160, 655},	// QWebSecurityOrigin::QWebSecurityOrigin#
    {74, 232, 644},	// QWebSecurityOrigin::addLocalScheme$
    {74, 236, 643},	// QWebSecurityOrigin::allOrigins
    {74, 307, 651},	// QWebSecurityOrigin::databaseQuota
    {74, 310, 650},	// QWebSecurityOrigin::databaseUsage
    {74, 311, 654},	// QWebSecurityOrigin::databases
    {74, 424, 648},	// QWebSecurityOrigin::host
    {74, 487, 646},	// QWebSecurityOrigin::localSchemes
    {74, 542, 656},	// QWebSecurityOrigin::operator=#
    {74, 567, 649},	// QWebSecurityOrigin::port
    {74, 601, 645},	// QWebSecurityOrigin::removeLocalScheme$
    {74, 627, 647},	// QWebSecurityOrigin::scheme
    {74, 652, 653},	// QWebSecurityOrigin::setApplicationCacheQuota$
    {74, 668, 652},	// QWebSecurityOrigin::setDatabaseQuota$
    {74, 875, 657},	// QWebSecurityOrigin::~QWebSecurityOrigin
    {75, 1, 719},	// QWebSettings::AcceleratedCompositingEnabled
    {75, 7, 701},	// QWebSettings::AutoLoadImages
    {75, 21, 699},	// QWebSettings::CursiveFont
    {75, 23, 739},	// QWebSettings::DefaultFixedFontSize
    {75, 24, 738},	// QWebSettings::DefaultFontSize
    {75, 25, 730},	// QWebSettings::DefaultFrameIconGraphic
    {75, 28, 732},	// QWebSettings::DeleteButtonGraphic
    {75, 31, 708},	// QWebSettings::DeveloperExtrasEnabled
    {75, 32, 717},	// QWebSettings::DnsPrefetchEnabled
    {75, 47, 700},	// QWebSettings::FantasyFont
    {75, 51, 696},	// QWebSettings::FixedFont
    {75, 53, 723},	// QWebSettings::FrameFlatteningEnabled
    {75, 57, 727},	// QWebSettings::HyperlinkAuditingEnabled
    {75, 61, 733},	// QWebSettings::InputSpeechButtonGraphic
    {75, 67, 703},	// QWebSettings::JavaEnabled
    {75, 68, 707},	// QWebSettings::JavascriptCanAccessClipboard
    {75, 69, 725},	// QWebSettings::JavascriptCanCloseWindows
    {75, 70, 706},	// QWebSettings::JavascriptCanOpenWindows
    {75, 71, 702},	// QWebSettings::JavascriptEnabled
    {75, 91, 709},	// QWebSettings::LinksIncludedInFocusChain
    {75, 92, 721},	// QWebSettings::LocalContentCanAccessFileUrls
    {75, 93, 716},	// QWebSettings::LocalContentCanAccessRemoteUrls
    {75, 94, 715},	// QWebSettings::LocalStorageDatabaseEnabled
    {75, 95, 714},	// QWebSettings::LocalStorageEnabled
    {75, 98, 736},	// QWebSettings::MinimumFontSize
    {75, 99, 737},	// QWebSettings::MinimumLogicalFontSize
    {75, 100, 728},	// QWebSettings::MissingImageGraphic
    {75, 101, 729},	// QWebSettings::MissingPluginGraphic
    {75, 122, 712},	// QWebSettings::OfflineStorageDatabaseEnabled
    {75, 123, 713},	// QWebSettings::OfflineWebApplicationCacheEnabled
    {75, 137, 704},	// QWebSettings::PluginsEnabled
    {75, 138, 711},	// QWebSettings::PrintElementBackgrounds
    {75, 139, 705},	// QWebSettings::PrivateBrowsingEnabled
    {75, 178, 698},	// QWebSettings::SansSerifFont
    {75, 180, 734},	// QWebSettings::SearchCancelButtonGraphic
    {75, 181, 735},	// QWebSettings::SearchCancelButtonPressedGraphic
    {75, 195, 697},	// QWebSettings::SerifFont
    {75, 199, 724},	// QWebSettings::SiteSpecificQuirksEnabled
    {75, 200, 720},	// QWebSettings::SpatialNavigationEnabled
    {75, 201, 695},	// QWebSettings::StandardFont
    {75, 204, 731},	// QWebSettings::TextAreaSizeGripCornerGraphic
    {75, 205, 722},	// QWebSettings::TiledBackingStoreEnabled
    {75, 217, 726},	// QWebSettings::WebGLEnabled
    {75, 220, 718},	// QWebSettings::XSSAuditingEnabled
    {75, 221, 710},	// QWebSettings::ZoomTextOnly
    {75, 276, 674},	// QWebSettings::clearIconDatabase
    {75, 277, 691},	// QWebSettings::clearMemoryCaches
    {75, 313, 671},	// QWebSettings::defaultTextEncoding
    {75, 333, 694},	// QWebSettings::enablePersistentStorage
    {75, 334, 692},	// QWebSettings::enablePersistentStorage$
    {75, 386, 660},	// QWebSettings::fontFamily$
    {75, 388, 663},	// QWebSettings::fontSize$
    {75, 403, 658},	// QWebSettings::globalSettings
    {75, 406, 693},	// QWebSettings::handle
    {75, 427, 673},	// QWebSettings::iconDatabasePath
    {75, 429, 675},	// QWebSettings::iconForUrl#
    {75, 488, 690},	// QWebSettings::localStoragePath
    {75, 491, 679},	// QWebSettings::maximumPagesInCache
    {75, 515, 684},	// QWebSettings::offlineStorageDefaultQuota
    {75, 516, 682},	// QWebSettings::offlineStoragePath
    {75, 517, 686},	// QWebSettings::offlineWebApplicationCachePath
    {75, 518, 688},	// QWebSettings::offlineWebApplicationCacheQuota
    {75, 616, 667},	// QWebSettings::resetAttribute$
    {75, 618, 661},	// QWebSettings::resetFontFamily$
    {75, 620, 664},	// QWebSettings::resetFontSize$
    {75, 654, 665},	// QWebSettings::setAttribute$$
    {75, 672, 670},	// QWebSettings::setDefaultTextEncoding$
    {75, 691, 659},	// QWebSettings::setFontFamily$$
    {75, 693, 662},	// QWebSettings::setFontSize$$
    {75, 702, 672},	// QWebSettings::setIconDatabasePath$
    {75, 708, 689},	// QWebSettings::setLocalStoragePath$
    {75, 712, 678},	// QWebSettings::setMaximumPagesInCache$
    {75, 720, 680},	// QWebSettings::setObjectCacheCapacities$$$
    {75, 722, 683},	// QWebSettings::setOfflineStorageDefaultQuota$
    {75, 724, 681},	// QWebSettings::setOfflineStoragePath$
    {75, 726, 685},	// QWebSettings::setOfflineWebApplicationCachePath$
    {75, 728, 687},	// QWebSettings::setOfflineWebApplicationCacheQuota$
    {75, 765, 668},	// QWebSettings::setUserStyleSheetUrl#
    {75, 772, 676},	// QWebSettings::setWebGraphic$#
    {75, 802, 666},	// QWebSettings::testAttribute$
    {75, 843, 669},	// QWebSettings::userStyleSheetUrl
    {75, 851, 677},	// QWebSettings::webGraphic$
    {77, 161, 813},	// QWebView::QWebView
    {77, 162, 747},	// QWebView::QWebView#
    {77, 258, 778},	// QWebView::back
    {77, 269, 794},	// QWebView::changeEvent#
    {77, 294, 799},	// QWebView::contextMenuEvent#
    {77, 302, 793},	// QWebView::createWindow$
    {77, 325, 803},	// QWebView::dragEnterEvent#
    {77, 327, 804},	// QWebView::dragLeaveEvent#
    {77, 329, 805},	// QWebView::dragMoveEvent#
    {77, 331, 806},	// QWebView::dropEvent#
    {77, 351, 776},	// QWebView::event#
    {77, 374, 821},	// QWebView::findText$
    {77, 375, 775},	// QWebView::findText$$
    {77, 379, 807},	// QWebView::focusInEvent#
    {77, 381, 810},	// QWebView::focusNextPrevChild$
    {77, 383, 808},	// QWebView::focusOutEvent#
    {77, 389, 779},	// QWebView::forward
    {77, 415, 760},	// QWebView::hasSelection
    {77, 419, 754},	// QWebView::history
    {77, 425, 759},	// QWebView::icon
    {77, 426, 789},	// QWebView::iconChanged
    {77, 434, 809},	// QWebView::inputMethodEvent#
    {77, 436, 766},	// QWebView::inputMethodQuery$
    {77, 439, 765},	// QWebView::isModified
    {77, 459, 801},	// QWebView::keyPressEvent#
    {77, 461, 802},	// QWebView::keyReleaseEvent#
    {77, 468, 787},	// QWebView::linkClicked#
    {77, 478, -10},	// QWebView::load#
    {77, 479, 815},	// QWebView::load#$
    {77, 480, 751},	// QWebView::load#$#
    {77, 482, 784},	// QWebView::loadFinished$
    {77, 484, 783},	// QWebView::loadProgress$
    {77, 485, 782},	// QWebView::loadStarted
    {77, 496, 740},	// QWebView::metaObject
    {77, 503, 797},	// QWebView::mouseDoubleClickEvent#
    {77, 505, 795},	// QWebView::mouseMoveEvent#
    {77, 507, 796},	// QWebView::mousePressEvent#
    {77, 509, 798},	// QWebView::mouseReleaseEvent#
    {77, 553, 748},	// QWebView::page
    {77, 555, 763},	// QWebView::pageAction$
    {77, 559, 792},	// QWebView::paintEvent#
    {77, 579, 781},	// QWebView::print#
    {77, 584, 746},	// QWebView::qt_metacall$$?
    {77, 586, 741},	// QWebView::qt_metacast$
    {77, 588, 780},	// QWebView::reload
    {77, 607, 772},	// QWebView::renderHints
    {77, 622, 791},	// QWebView::resizeEvent#
    {77, 646, 762},	// QWebView::selectedHtml
    {77, 647, 761},	// QWebView::selectedText
    {77, 648, 788},	// QWebView::selectionChanged
    {77, 660, 817},	// QWebView::setContent#
    {77, 661, 818},	// QWebView::setContent#$
    {77, 662, 753},	// QWebView::setContent#$#
    {77, 699, 816},	// QWebView::setHtml$
    {77, 700, 752},	// QWebView::setHtml$#
    {77, 732, 749},	// QWebView::setPage#
    {77, 744, 820},	// QWebView::setRenderHint$
    {77, 745, 774},	// QWebView::setRenderHint$$
    {77, 747, 773},	// QWebView::setRenderHints$
    {77, 759, 770},	// QWebView::setTextSizeMultiplier$
    {77, 761, 757},	// QWebView::setUrl#
    {77, 774, 769},	// QWebView::setZoomFactor$
    {77, 775, 755},	// QWebView::settings
    {77, 780, 767},	// QWebView::sizeHint
    {77, 781, 822},	// QWebView::staticMetaObject
    {77, 783, 786},	// QWebView::statusBarMessage$
    {77, 786, 777},	// QWebView::stop
    {77, 803, 771},	// QWebView::textSizeMultiplier
    {77, 805, 756},	// QWebView::title
    {77, 807, 785},	// QWebView::titleChanged$
    {77, 819, 811},	// QWebView::tr$
    {77, 820, 742},	// QWebView::tr$$
    {77, 821, 744},	// QWebView::tr$$$
    {77, 823, 812},	// QWebView::trUtf8$
    {77, 824, 743},	// QWebView::trUtf8$$
    {77, 825, 745},	// QWebView::trUtf8$$$
    {77, 830, 819},	// QWebView::triggerPageAction$
    {77, 831, 764},	// QWebView::triggerPageAction$$
    {77, 837, 758},	// QWebView::url
    {77, 839, 790},	// QWebView::urlChanged#
    {77, 853, 800},	// QWebView::wheelEvent#
    {77, 857, 768},	// QWebView::zoomFactor
    {77, 876, 823},	// QWebView::~QWebView
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtwebkit_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtwebkit_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtwebkit_Smoke = new Smoke(
        "qtwebkit",
        __smokeqtwebkit::classes, 81,
        __smokeqtwebkit::methods, 864,
        __smokeqtwebkit::methodMaps, 813,
        __smokeqtwebkit::methodNames, 879,
        __smokeqtwebkit::types, 290,
        __smokeqtwebkit::inheritanceList,
        __smokeqtwebkit::argumentList,
        __smokeqtwebkit::ambiguousMethodList,
        __smokeqtwebkit::cast );
    initialized = true;
}

void delete_qtwebkit_Smoke() { delete qtwebkit_Smoke; }

}
